
/* Copyright © 2015-2021 Intel Corporation
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice (including the next
 * paragraph) shall be included in all copies or substantial portions of the
 * Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
 * IN THE SOFTWARE.
 */

/* This file generated from vk_entrypoints_gen.py, don't edit directly. */

#include "radv_entrypoints.h"

/* Weak aliases for all potential implementations. These will resolve to
 * NULL if they're not defined, which lets the resolve_entrypoint() function
 * either pick the correct entry point.
 */




#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CreateInstance_Weak=radv_CreateInstance_Null")
    #pragma comment(linker, "/alternatename:radv_CreateInstance=radv_CreateInstance_Weak")
    VkResult (*radv_CreateInstance_Null)(const VkInstanceCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkInstance* pInstance) = 0;
    VkResult radv_CreateInstance_Weak(const VkInstanceCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkInstance* pInstance);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateInstance(const VkInstanceCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkInstance* pInstance) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_DestroyInstance_Weak=radv_DestroyInstance_Null")
    #pragma comment(linker, "/alternatename:radv_DestroyInstance=radv_DestroyInstance_Weak")
    void (*radv_DestroyInstance_Null)(VkInstance instance, const VkAllocationCallbacks* pAllocator) = 0;
    void radv_DestroyInstance_Weak(VkInstance instance, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroyInstance(VkInstance instance, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_EnumeratePhysicalDevices_Weak=radv_EnumeratePhysicalDevices_Null")
    #pragma comment(linker, "/alternatename:radv_EnumeratePhysicalDevices=radv_EnumeratePhysicalDevices_Weak")
    VkResult (*radv_EnumeratePhysicalDevices_Null)(VkInstance instance, uint32_t* pPhysicalDeviceCount, VkPhysicalDevice* pPhysicalDevices) = 0;
    VkResult radv_EnumeratePhysicalDevices_Weak(VkInstance instance, uint32_t* pPhysicalDeviceCount, VkPhysicalDevice* pPhysicalDevices);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_EnumeratePhysicalDevices(VkInstance instance, uint32_t* pPhysicalDeviceCount, VkPhysicalDevice* pPhysicalDevices) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetInstanceProcAddr_Weak=radv_GetInstanceProcAddr_Null")
    #pragma comment(linker, "/alternatename:radv_GetInstanceProcAddr=radv_GetInstanceProcAddr_Weak")
    PFN_vkVoidFunction (*radv_GetInstanceProcAddr_Null)(VkInstance instance, const char* pName) = 0;
    PFN_vkVoidFunction radv_GetInstanceProcAddr_Weak(VkInstance instance, const char* pName);
#else
    VKAPI_ATTR PFN_vkVoidFunction VKAPI_CALL radv_GetInstanceProcAddr(VkInstance instance, const char* pName) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_EnumerateInstanceVersion_Weak=radv_EnumerateInstanceVersion_Null")
    #pragma comment(linker, "/alternatename:radv_EnumerateInstanceVersion=radv_EnumerateInstanceVersion_Weak")
    VkResult (*radv_EnumerateInstanceVersion_Null)(uint32_t* pApiVersion) = 0;
    VkResult radv_EnumerateInstanceVersion_Weak(uint32_t* pApiVersion);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_EnumerateInstanceVersion(uint32_t* pApiVersion) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_EnumerateInstanceLayerProperties_Weak=radv_EnumerateInstanceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:radv_EnumerateInstanceLayerProperties=radv_EnumerateInstanceLayerProperties_Weak")
    VkResult (*radv_EnumerateInstanceLayerProperties_Null)(uint32_t* pPropertyCount, VkLayerProperties* pProperties) = 0;
    VkResult radv_EnumerateInstanceLayerProperties_Weak(uint32_t* pPropertyCount, VkLayerProperties* pProperties);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_EnumerateInstanceLayerProperties(uint32_t* pPropertyCount, VkLayerProperties* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_EnumerateInstanceExtensionProperties_Weak=radv_EnumerateInstanceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:radv_EnumerateInstanceExtensionProperties=radv_EnumerateInstanceExtensionProperties_Weak")
    VkResult (*radv_EnumerateInstanceExtensionProperties_Null)(const char* pLayerName, uint32_t* pPropertyCount, VkExtensionProperties* pProperties) = 0;
    VkResult radv_EnumerateInstanceExtensionProperties_Weak(const char* pLayerName, uint32_t* pPropertyCount, VkExtensionProperties* pProperties);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_EnumerateInstanceExtensionProperties(const char* pLayerName, uint32_t* pPropertyCount, VkExtensionProperties* pProperties) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_ANDROID_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CreateAndroidSurfaceKHR_Weak=radv_CreateAndroidSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:radv_CreateAndroidSurfaceKHR=radv_CreateAndroidSurfaceKHR_Weak")
    VkResult (*radv_CreateAndroidSurfaceKHR_Null)(VkInstance instance, const VkAndroidSurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
    VkResult radv_CreateAndroidSurfaceKHR_Weak(VkInstance instance, const VkAndroidSurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateAndroidSurfaceKHR(VkInstance instance, const VkAndroidSurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CreateDisplayPlaneSurfaceKHR_Weak=radv_CreateDisplayPlaneSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:radv_CreateDisplayPlaneSurfaceKHR=radv_CreateDisplayPlaneSurfaceKHR_Weak")
    VkResult (*radv_CreateDisplayPlaneSurfaceKHR_Null)(VkInstance instance, const VkDisplaySurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
    VkResult radv_CreateDisplayPlaneSurfaceKHR_Weak(VkInstance instance, const VkDisplaySurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateDisplayPlaneSurfaceKHR(VkInstance instance, const VkDisplaySurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_DestroySurfaceKHR_Weak=radv_DestroySurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:radv_DestroySurfaceKHR=radv_DestroySurfaceKHR_Weak")
    void (*radv_DestroySurfaceKHR_Null)(VkInstance instance, VkSurfaceKHR surface, const VkAllocationCallbacks* pAllocator) = 0;
    void radv_DestroySurfaceKHR_Weak(VkInstance instance, VkSurfaceKHR surface, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroySurfaceKHR(VkInstance instance, VkSurfaceKHR surface, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_VI_NN
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CreateViSurfaceNN_Weak=radv_CreateViSurfaceNN_Null")
    #pragma comment(linker, "/alternatename:radv_CreateViSurfaceNN=radv_CreateViSurfaceNN_Weak")
    VkResult (*radv_CreateViSurfaceNN_Null)(VkInstance instance, const VkViSurfaceCreateInfoNN* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
    VkResult radv_CreateViSurfaceNN_Weak(VkInstance instance, const VkViSurfaceCreateInfoNN* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateViSurfaceNN(VkInstance instance, const VkViSurfaceCreateInfoNN* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_VI_NN
#ifdef VK_USE_PLATFORM_WAYLAND_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CreateWaylandSurfaceKHR_Weak=radv_CreateWaylandSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:radv_CreateWaylandSurfaceKHR=radv_CreateWaylandSurfaceKHR_Weak")
    VkResult (*radv_CreateWaylandSurfaceKHR_Null)(VkInstance instance, const VkWaylandSurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
    VkResult radv_CreateWaylandSurfaceKHR_Weak(VkInstance instance, const VkWaylandSurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateWaylandSurfaceKHR(VkInstance instance, const VkWaylandSurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WAYLAND_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CreateWin32SurfaceKHR_Weak=radv_CreateWin32SurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:radv_CreateWin32SurfaceKHR=radv_CreateWin32SurfaceKHR_Weak")
    VkResult (*radv_CreateWin32SurfaceKHR_Null)(VkInstance instance, const VkWin32SurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
    VkResult radv_CreateWin32SurfaceKHR_Weak(VkInstance instance, const VkWin32SurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateWin32SurfaceKHR(VkInstance instance, const VkWin32SurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_XLIB_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CreateXlibSurfaceKHR_Weak=radv_CreateXlibSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:radv_CreateXlibSurfaceKHR=radv_CreateXlibSurfaceKHR_Weak")
    VkResult (*radv_CreateXlibSurfaceKHR_Null)(VkInstance instance, const VkXlibSurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
    VkResult radv_CreateXlibSurfaceKHR_Weak(VkInstance instance, const VkXlibSurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateXlibSurfaceKHR(VkInstance instance, const VkXlibSurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_XLIB_KHR
#ifdef VK_USE_PLATFORM_XCB_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CreateXcbSurfaceKHR_Weak=radv_CreateXcbSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:radv_CreateXcbSurfaceKHR=radv_CreateXcbSurfaceKHR_Weak")
    VkResult (*radv_CreateXcbSurfaceKHR_Null)(VkInstance instance, const VkXcbSurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
    VkResult radv_CreateXcbSurfaceKHR_Weak(VkInstance instance, const VkXcbSurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateXcbSurfaceKHR(VkInstance instance, const VkXcbSurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_XCB_KHR
#ifdef VK_USE_PLATFORM_DIRECTFB_EXT
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CreateDirectFBSurfaceEXT_Weak=radv_CreateDirectFBSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:radv_CreateDirectFBSurfaceEXT=radv_CreateDirectFBSurfaceEXT_Weak")
    VkResult (*radv_CreateDirectFBSurfaceEXT_Null)(VkInstance instance, const VkDirectFBSurfaceCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
    VkResult radv_CreateDirectFBSurfaceEXT_Weak(VkInstance instance, const VkDirectFBSurfaceCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateDirectFBSurfaceEXT(VkInstance instance, const VkDirectFBSurfaceCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_DIRECTFB_EXT
#ifdef VK_USE_PLATFORM_FUCHSIA
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CreateImagePipeSurfaceFUCHSIA_Weak=radv_CreateImagePipeSurfaceFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:radv_CreateImagePipeSurfaceFUCHSIA=radv_CreateImagePipeSurfaceFUCHSIA_Weak")
    VkResult (*radv_CreateImagePipeSurfaceFUCHSIA_Null)(VkInstance instance, const VkImagePipeSurfaceCreateInfoFUCHSIA* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
    VkResult radv_CreateImagePipeSurfaceFUCHSIA_Weak(VkInstance instance, const VkImagePipeSurfaceCreateInfoFUCHSIA* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateImagePipeSurfaceFUCHSIA(VkInstance instance, const VkImagePipeSurfaceCreateInfoFUCHSIA* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_GGP
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CreateStreamDescriptorSurfaceGGP_Weak=radv_CreateStreamDescriptorSurfaceGGP_Null")
    #pragma comment(linker, "/alternatename:radv_CreateStreamDescriptorSurfaceGGP=radv_CreateStreamDescriptorSurfaceGGP_Weak")
    VkResult (*radv_CreateStreamDescriptorSurfaceGGP_Null)(VkInstance instance, const VkStreamDescriptorSurfaceCreateInfoGGP* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
    VkResult radv_CreateStreamDescriptorSurfaceGGP_Weak(VkInstance instance, const VkStreamDescriptorSurfaceCreateInfoGGP* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateStreamDescriptorSurfaceGGP(VkInstance instance, const VkStreamDescriptorSurfaceCreateInfoGGP* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_GGP
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CreateDebugReportCallbackEXT_Weak=radv_CreateDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:radv_CreateDebugReportCallbackEXT=radv_CreateDebugReportCallbackEXT_Weak")
    VkResult (*radv_CreateDebugReportCallbackEXT_Null)(VkInstance instance, const VkDebugReportCallbackCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDebugReportCallbackEXT* pCallback) = 0;
    VkResult radv_CreateDebugReportCallbackEXT_Weak(VkInstance instance, const VkDebugReportCallbackCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDebugReportCallbackEXT* pCallback);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateDebugReportCallbackEXT(VkInstance instance, const VkDebugReportCallbackCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDebugReportCallbackEXT* pCallback) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_DestroyDebugReportCallbackEXT_Weak=radv_DestroyDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:radv_DestroyDebugReportCallbackEXT=radv_DestroyDebugReportCallbackEXT_Weak")
    void (*radv_DestroyDebugReportCallbackEXT_Null)(VkInstance instance, VkDebugReportCallbackEXT callback, const VkAllocationCallbacks* pAllocator) = 0;
    void radv_DestroyDebugReportCallbackEXT_Weak(VkInstance instance, VkDebugReportCallbackEXT callback, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroyDebugReportCallbackEXT(VkInstance instance, VkDebugReportCallbackEXT callback, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_DebugReportMessageEXT_Weak=radv_DebugReportMessageEXT_Null")
    #pragma comment(linker, "/alternatename:radv_DebugReportMessageEXT=radv_DebugReportMessageEXT_Weak")
    void (*radv_DebugReportMessageEXT_Null)(VkInstance instance, VkDebugReportFlagsEXT flags, VkDebugReportObjectTypeEXT objectType, uint64_t object, size_t location, int32_t messageCode, const char* pLayerPrefix, const char* pMessage) = 0;
    void radv_DebugReportMessageEXT_Weak(VkInstance instance, VkDebugReportFlagsEXT flags, VkDebugReportObjectTypeEXT objectType, uint64_t object, size_t location, int32_t messageCode, const char* pLayerPrefix, const char* pMessage);
#else
    VKAPI_ATTR void VKAPI_CALL radv_DebugReportMessageEXT(VkInstance instance, VkDebugReportFlagsEXT flags, VkDebugReportObjectTypeEXT objectType, uint64_t object, size_t location, int32_t messageCode, const char* pLayerPrefix, const char* pMessage) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_EnumeratePhysicalDeviceGroups_Weak=radv_EnumeratePhysicalDeviceGroups_Null")
    #pragma comment(linker, "/alternatename:radv_EnumeratePhysicalDeviceGroups=radv_EnumeratePhysicalDeviceGroups_Weak")
    VkResult (*radv_EnumeratePhysicalDeviceGroups_Null)(VkInstance instance, uint32_t* pPhysicalDeviceGroupCount, VkPhysicalDeviceGroupProperties* pPhysicalDeviceGroupProperties) = 0;
    VkResult radv_EnumeratePhysicalDeviceGroups_Weak(VkInstance instance, uint32_t* pPhysicalDeviceGroupCount, VkPhysicalDeviceGroupProperties* pPhysicalDeviceGroupProperties);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_EnumeratePhysicalDeviceGroups(VkInstance instance, uint32_t* pPhysicalDeviceGroupCount, VkPhysicalDeviceGroupProperties* pPhysicalDeviceGroupProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_EnumeratePhysicalDeviceGroupsKHR_Weak=radv_EnumeratePhysicalDeviceGroupsKHR_Null")
    #pragma comment(linker, "/alternatename:radv_EnumeratePhysicalDeviceGroupsKHR=radv_EnumeratePhysicalDeviceGroupsKHR_Weak")
    VkResult (*radv_EnumeratePhysicalDeviceGroupsKHR_Null)(VkInstance instance, uint32_t* pPhysicalDeviceGroupCount, VkPhysicalDeviceGroupProperties* pPhysicalDeviceGroupProperties) = 0;
    VkResult radv_EnumeratePhysicalDeviceGroupsKHR_Weak(VkInstance instance, uint32_t* pPhysicalDeviceGroupCount, VkPhysicalDeviceGroupProperties* pPhysicalDeviceGroupProperties);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_EnumeratePhysicalDeviceGroupsKHR(VkInstance instance, uint32_t* pPhysicalDeviceGroupCount, VkPhysicalDeviceGroupProperties* pPhysicalDeviceGroupProperties) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_IOS_MVK
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CreateIOSSurfaceMVK_Weak=radv_CreateIOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:radv_CreateIOSSurfaceMVK=radv_CreateIOSSurfaceMVK_Weak")
    VkResult (*radv_CreateIOSSurfaceMVK_Null)(VkInstance instance, const VkIOSSurfaceCreateInfoMVK* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
    VkResult radv_CreateIOSSurfaceMVK_Weak(VkInstance instance, const VkIOSSurfaceCreateInfoMVK* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateIOSSurfaceMVK(VkInstance instance, const VkIOSSurfaceCreateInfoMVK* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_IOS_MVK
#ifdef VK_USE_PLATFORM_MACOS_MVK
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CreateMacOSSurfaceMVK_Weak=radv_CreateMacOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:radv_CreateMacOSSurfaceMVK=radv_CreateMacOSSurfaceMVK_Weak")
    VkResult (*radv_CreateMacOSSurfaceMVK_Null)(VkInstance instance, const VkMacOSSurfaceCreateInfoMVK* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
    VkResult radv_CreateMacOSSurfaceMVK_Weak(VkInstance instance, const VkMacOSSurfaceCreateInfoMVK* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateMacOSSurfaceMVK(VkInstance instance, const VkMacOSSurfaceCreateInfoMVK* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_MACOS_MVK
#ifdef VK_USE_PLATFORM_METAL_EXT
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CreateMetalSurfaceEXT_Weak=radv_CreateMetalSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:radv_CreateMetalSurfaceEXT=radv_CreateMetalSurfaceEXT_Weak")
    VkResult (*radv_CreateMetalSurfaceEXT_Null)(VkInstance instance, const VkMetalSurfaceCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
    VkResult radv_CreateMetalSurfaceEXT_Weak(VkInstance instance, const VkMetalSurfaceCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateMetalSurfaceEXT(VkInstance instance, const VkMetalSurfaceCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_METAL_EXT
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CreateDebugUtilsMessengerEXT_Weak=radv_CreateDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:radv_CreateDebugUtilsMessengerEXT=radv_CreateDebugUtilsMessengerEXT_Weak")
    VkResult (*radv_CreateDebugUtilsMessengerEXT_Null)(VkInstance instance, const VkDebugUtilsMessengerCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDebugUtilsMessengerEXT* pMessenger) = 0;
    VkResult radv_CreateDebugUtilsMessengerEXT_Weak(VkInstance instance, const VkDebugUtilsMessengerCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDebugUtilsMessengerEXT* pMessenger);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateDebugUtilsMessengerEXT(VkInstance instance, const VkDebugUtilsMessengerCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDebugUtilsMessengerEXT* pMessenger) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_DestroyDebugUtilsMessengerEXT_Weak=radv_DestroyDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:radv_DestroyDebugUtilsMessengerEXT=radv_DestroyDebugUtilsMessengerEXT_Weak")
    void (*radv_DestroyDebugUtilsMessengerEXT_Null)(VkInstance instance, VkDebugUtilsMessengerEXT messenger, const VkAllocationCallbacks* pAllocator) = 0;
    void radv_DestroyDebugUtilsMessengerEXT_Weak(VkInstance instance, VkDebugUtilsMessengerEXT messenger, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroyDebugUtilsMessengerEXT(VkInstance instance, VkDebugUtilsMessengerEXT messenger, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_SubmitDebugUtilsMessageEXT_Weak=radv_SubmitDebugUtilsMessageEXT_Null")
    #pragma comment(linker, "/alternatename:radv_SubmitDebugUtilsMessageEXT=radv_SubmitDebugUtilsMessageEXT_Weak")
    void (*radv_SubmitDebugUtilsMessageEXT_Null)(VkInstance instance, VkDebugUtilsMessageSeverityFlagBitsEXT messageSeverity, VkDebugUtilsMessageTypeFlagsEXT messageTypes, const VkDebugUtilsMessengerCallbackDataEXT* pCallbackData) = 0;
    void radv_SubmitDebugUtilsMessageEXT_Weak(VkInstance instance, VkDebugUtilsMessageSeverityFlagBitsEXT messageSeverity, VkDebugUtilsMessageTypeFlagsEXT messageTypes, const VkDebugUtilsMessengerCallbackDataEXT* pCallbackData);
#else
    VKAPI_ATTR void VKAPI_CALL radv_SubmitDebugUtilsMessageEXT(VkInstance instance, VkDebugUtilsMessageSeverityFlagBitsEXT messageSeverity, VkDebugUtilsMessageTypeFlagsEXT messageTypes, const VkDebugUtilsMessengerCallbackDataEXT* pCallbackData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CreateHeadlessSurfaceEXT_Weak=radv_CreateHeadlessSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:radv_CreateHeadlessSurfaceEXT=radv_CreateHeadlessSurfaceEXT_Weak")
    VkResult (*radv_CreateHeadlessSurfaceEXT_Null)(VkInstance instance, const VkHeadlessSurfaceCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
    VkResult radv_CreateHeadlessSurfaceEXT_Weak(VkInstance instance, const VkHeadlessSurfaceCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateHeadlessSurfaceEXT(VkInstance instance, const VkHeadlessSurfaceCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif

const struct vk_instance_entrypoint_table radv_instance_entrypoints = {
    .CreateInstance = radv_CreateInstance,
    .DestroyInstance = radv_DestroyInstance,
    .EnumeratePhysicalDevices = radv_EnumeratePhysicalDevices,
    .GetInstanceProcAddr = radv_GetInstanceProcAddr,
    .EnumerateInstanceVersion = radv_EnumerateInstanceVersion,
    .EnumerateInstanceLayerProperties = radv_EnumerateInstanceLayerProperties,
    .EnumerateInstanceExtensionProperties = radv_EnumerateInstanceExtensionProperties,
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .CreateAndroidSurfaceKHR = radv_CreateAndroidSurfaceKHR,
#endif // VK_USE_PLATFORM_ANDROID_KHR
    .CreateDisplayPlaneSurfaceKHR = radv_CreateDisplayPlaneSurfaceKHR,
    .DestroySurfaceKHR = radv_DestroySurfaceKHR,
#ifdef VK_USE_PLATFORM_VI_NN
    .CreateViSurfaceNN = radv_CreateViSurfaceNN,
#endif // VK_USE_PLATFORM_VI_NN
#ifdef VK_USE_PLATFORM_WAYLAND_KHR
    .CreateWaylandSurfaceKHR = radv_CreateWaylandSurfaceKHR,
#endif // VK_USE_PLATFORM_WAYLAND_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .CreateWin32SurfaceKHR = radv_CreateWin32SurfaceKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_XLIB_KHR
    .CreateXlibSurfaceKHR = radv_CreateXlibSurfaceKHR,
#endif // VK_USE_PLATFORM_XLIB_KHR
#ifdef VK_USE_PLATFORM_XCB_KHR
    .CreateXcbSurfaceKHR = radv_CreateXcbSurfaceKHR,
#endif // VK_USE_PLATFORM_XCB_KHR
#ifdef VK_USE_PLATFORM_DIRECTFB_EXT
    .CreateDirectFBSurfaceEXT = radv_CreateDirectFBSurfaceEXT,
#endif // VK_USE_PLATFORM_DIRECTFB_EXT
#ifdef VK_USE_PLATFORM_FUCHSIA
    .CreateImagePipeSurfaceFUCHSIA = radv_CreateImagePipeSurfaceFUCHSIA,
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_GGP
    .CreateStreamDescriptorSurfaceGGP = radv_CreateStreamDescriptorSurfaceGGP,
#endif // VK_USE_PLATFORM_GGP
    .CreateDebugReportCallbackEXT = radv_CreateDebugReportCallbackEXT,
    .DestroyDebugReportCallbackEXT = radv_DestroyDebugReportCallbackEXT,
    .DebugReportMessageEXT = radv_DebugReportMessageEXT,
    .EnumeratePhysicalDeviceGroups = radv_EnumeratePhysicalDeviceGroups,
    .EnumeratePhysicalDeviceGroupsKHR = radv_EnumeratePhysicalDeviceGroupsKHR,
#ifdef VK_USE_PLATFORM_IOS_MVK
    .CreateIOSSurfaceMVK = radv_CreateIOSSurfaceMVK,
#endif // VK_USE_PLATFORM_IOS_MVK
#ifdef VK_USE_PLATFORM_MACOS_MVK
    .CreateMacOSSurfaceMVK = radv_CreateMacOSSurfaceMVK,
#endif // VK_USE_PLATFORM_MACOS_MVK
#ifdef VK_USE_PLATFORM_METAL_EXT
    .CreateMetalSurfaceEXT = radv_CreateMetalSurfaceEXT,
#endif // VK_USE_PLATFORM_METAL_EXT
    .CreateDebugUtilsMessengerEXT = radv_CreateDebugUtilsMessengerEXT,
    .DestroyDebugUtilsMessengerEXT = radv_DestroyDebugUtilsMessengerEXT,
    .SubmitDebugUtilsMessageEXT = radv_SubmitDebugUtilsMessageEXT,
    .CreateHeadlessSurfaceEXT = radv_CreateHeadlessSurfaceEXT,
};


#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceProperties_Weak=radv_GetPhysicalDeviceProperties_Null")
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceProperties=radv_GetPhysicalDeviceProperties_Weak")
    void (*radv_GetPhysicalDeviceProperties_Null)(VkPhysicalDevice physicalDevice, VkPhysicalDeviceProperties* pProperties) = 0;
    void radv_GetPhysicalDeviceProperties_Weak(VkPhysicalDevice physicalDevice, VkPhysicalDeviceProperties* pProperties);
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetPhysicalDeviceProperties(VkPhysicalDevice physicalDevice, VkPhysicalDeviceProperties* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceQueueFamilyProperties_Weak=radv_GetPhysicalDeviceQueueFamilyProperties_Null")
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceQueueFamilyProperties=radv_GetPhysicalDeviceQueueFamilyProperties_Weak")
    void (*radv_GetPhysicalDeviceQueueFamilyProperties_Null)(VkPhysicalDevice physicalDevice, uint32_t* pQueueFamilyPropertyCount, VkQueueFamilyProperties* pQueueFamilyProperties) = 0;
    void radv_GetPhysicalDeviceQueueFamilyProperties_Weak(VkPhysicalDevice physicalDevice, uint32_t* pQueueFamilyPropertyCount, VkQueueFamilyProperties* pQueueFamilyProperties);
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetPhysicalDeviceQueueFamilyProperties(VkPhysicalDevice physicalDevice, uint32_t* pQueueFamilyPropertyCount, VkQueueFamilyProperties* pQueueFamilyProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceMemoryProperties_Weak=radv_GetPhysicalDeviceMemoryProperties_Null")
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceMemoryProperties=radv_GetPhysicalDeviceMemoryProperties_Weak")
    void (*radv_GetPhysicalDeviceMemoryProperties_Null)(VkPhysicalDevice physicalDevice, VkPhysicalDeviceMemoryProperties* pMemoryProperties) = 0;
    void radv_GetPhysicalDeviceMemoryProperties_Weak(VkPhysicalDevice physicalDevice, VkPhysicalDeviceMemoryProperties* pMemoryProperties);
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetPhysicalDeviceMemoryProperties(VkPhysicalDevice physicalDevice, VkPhysicalDeviceMemoryProperties* pMemoryProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceFeatures_Weak=radv_GetPhysicalDeviceFeatures_Null")
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceFeatures=radv_GetPhysicalDeviceFeatures_Weak")
    void (*radv_GetPhysicalDeviceFeatures_Null)(VkPhysicalDevice physicalDevice, VkPhysicalDeviceFeatures* pFeatures) = 0;
    void radv_GetPhysicalDeviceFeatures_Weak(VkPhysicalDevice physicalDevice, VkPhysicalDeviceFeatures* pFeatures);
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetPhysicalDeviceFeatures(VkPhysicalDevice physicalDevice, VkPhysicalDeviceFeatures* pFeatures) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceFormatProperties_Weak=radv_GetPhysicalDeviceFormatProperties_Null")
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceFormatProperties=radv_GetPhysicalDeviceFormatProperties_Weak")
    void (*radv_GetPhysicalDeviceFormatProperties_Null)(VkPhysicalDevice physicalDevice, VkFormat format, VkFormatProperties* pFormatProperties) = 0;
    void radv_GetPhysicalDeviceFormatProperties_Weak(VkPhysicalDevice physicalDevice, VkFormat format, VkFormatProperties* pFormatProperties);
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetPhysicalDeviceFormatProperties(VkPhysicalDevice physicalDevice, VkFormat format, VkFormatProperties* pFormatProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceImageFormatProperties_Weak=radv_GetPhysicalDeviceImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceImageFormatProperties=radv_GetPhysicalDeviceImageFormatProperties_Weak")
    VkResult (*radv_GetPhysicalDeviceImageFormatProperties_Null)(VkPhysicalDevice physicalDevice, VkFormat format, VkImageType type, VkImageTiling tiling, VkImageUsageFlags usage, VkImageCreateFlags flags, VkImageFormatProperties* pImageFormatProperties) = 0;
    VkResult radv_GetPhysicalDeviceImageFormatProperties_Weak(VkPhysicalDevice physicalDevice, VkFormat format, VkImageType type, VkImageTiling tiling, VkImageUsageFlags usage, VkImageCreateFlags flags, VkImageFormatProperties* pImageFormatProperties);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetPhysicalDeviceImageFormatProperties(VkPhysicalDevice physicalDevice, VkFormat format, VkImageType type, VkImageTiling tiling, VkImageUsageFlags usage, VkImageCreateFlags flags, VkImageFormatProperties* pImageFormatProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CreateDevice_Weak=radv_CreateDevice_Null")
    #pragma comment(linker, "/alternatename:radv_CreateDevice=radv_CreateDevice_Weak")
    VkResult (*radv_CreateDevice_Null)(VkPhysicalDevice physicalDevice, const VkDeviceCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDevice* pDevice) = 0;
    VkResult radv_CreateDevice_Weak(VkPhysicalDevice physicalDevice, const VkDeviceCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDevice* pDevice);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateDevice(VkPhysicalDevice physicalDevice, const VkDeviceCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDevice* pDevice) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_EnumerateDeviceLayerProperties_Weak=radv_EnumerateDeviceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:radv_EnumerateDeviceLayerProperties=radv_EnumerateDeviceLayerProperties_Weak")
    VkResult (*radv_EnumerateDeviceLayerProperties_Null)(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkLayerProperties* pProperties) = 0;
    VkResult radv_EnumerateDeviceLayerProperties_Weak(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkLayerProperties* pProperties);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_EnumerateDeviceLayerProperties(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkLayerProperties* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_EnumerateDeviceExtensionProperties_Weak=radv_EnumerateDeviceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:radv_EnumerateDeviceExtensionProperties=radv_EnumerateDeviceExtensionProperties_Weak")
    VkResult (*radv_EnumerateDeviceExtensionProperties_Null)(VkPhysicalDevice physicalDevice, const char* pLayerName, uint32_t* pPropertyCount, VkExtensionProperties* pProperties) = 0;
    VkResult radv_EnumerateDeviceExtensionProperties_Weak(VkPhysicalDevice physicalDevice, const char* pLayerName, uint32_t* pPropertyCount, VkExtensionProperties* pProperties);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_EnumerateDeviceExtensionProperties(VkPhysicalDevice physicalDevice, const char* pLayerName, uint32_t* pPropertyCount, VkExtensionProperties* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceSparseImageFormatProperties_Weak=radv_GetPhysicalDeviceSparseImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceSparseImageFormatProperties=radv_GetPhysicalDeviceSparseImageFormatProperties_Weak")
    void (*radv_GetPhysicalDeviceSparseImageFormatProperties_Null)(VkPhysicalDevice physicalDevice, VkFormat format, VkImageType type, VkSampleCountFlagBits samples, VkImageUsageFlags usage, VkImageTiling tiling, uint32_t* pPropertyCount, VkSparseImageFormatProperties* pProperties) = 0;
    void radv_GetPhysicalDeviceSparseImageFormatProperties_Weak(VkPhysicalDevice physicalDevice, VkFormat format, VkImageType type, VkSampleCountFlagBits samples, VkImageUsageFlags usage, VkImageTiling tiling, uint32_t* pPropertyCount, VkSparseImageFormatProperties* pProperties);
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetPhysicalDeviceSparseImageFormatProperties(VkPhysicalDevice physicalDevice, VkFormat format, VkImageType type, VkSampleCountFlagBits samples, VkImageUsageFlags usage, VkImageTiling tiling, uint32_t* pPropertyCount, VkSparseImageFormatProperties* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceDisplayPropertiesKHR_Weak=radv_GetPhysicalDeviceDisplayPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceDisplayPropertiesKHR=radv_GetPhysicalDeviceDisplayPropertiesKHR_Weak")
    VkResult (*radv_GetPhysicalDeviceDisplayPropertiesKHR_Null)(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkDisplayPropertiesKHR* pProperties) = 0;
    VkResult radv_GetPhysicalDeviceDisplayPropertiesKHR_Weak(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkDisplayPropertiesKHR* pProperties);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetPhysicalDeviceDisplayPropertiesKHR(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkDisplayPropertiesKHR* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceDisplayPlanePropertiesKHR_Weak=radv_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceDisplayPlanePropertiesKHR=radv_GetPhysicalDeviceDisplayPlanePropertiesKHR_Weak")
    VkResult (*radv_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null)(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkDisplayPlanePropertiesKHR* pProperties) = 0;
    VkResult radv_GetPhysicalDeviceDisplayPlanePropertiesKHR_Weak(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkDisplayPlanePropertiesKHR* pProperties);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetPhysicalDeviceDisplayPlanePropertiesKHR(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkDisplayPlanePropertiesKHR* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetDisplayPlaneSupportedDisplaysKHR_Weak=radv_GetDisplayPlaneSupportedDisplaysKHR_Null")
    #pragma comment(linker, "/alternatename:radv_GetDisplayPlaneSupportedDisplaysKHR=radv_GetDisplayPlaneSupportedDisplaysKHR_Weak")
    VkResult (*radv_GetDisplayPlaneSupportedDisplaysKHR_Null)(VkPhysicalDevice physicalDevice, uint32_t planeIndex, uint32_t* pDisplayCount, VkDisplayKHR* pDisplays) = 0;
    VkResult radv_GetDisplayPlaneSupportedDisplaysKHR_Weak(VkPhysicalDevice physicalDevice, uint32_t planeIndex, uint32_t* pDisplayCount, VkDisplayKHR* pDisplays);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetDisplayPlaneSupportedDisplaysKHR(VkPhysicalDevice physicalDevice, uint32_t planeIndex, uint32_t* pDisplayCount, VkDisplayKHR* pDisplays) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetDisplayModePropertiesKHR_Weak=radv_GetDisplayModePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:radv_GetDisplayModePropertiesKHR=radv_GetDisplayModePropertiesKHR_Weak")
    VkResult (*radv_GetDisplayModePropertiesKHR_Null)(VkPhysicalDevice physicalDevice, VkDisplayKHR display, uint32_t* pPropertyCount, VkDisplayModePropertiesKHR* pProperties) = 0;
    VkResult radv_GetDisplayModePropertiesKHR_Weak(VkPhysicalDevice physicalDevice, VkDisplayKHR display, uint32_t* pPropertyCount, VkDisplayModePropertiesKHR* pProperties);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetDisplayModePropertiesKHR(VkPhysicalDevice physicalDevice, VkDisplayKHR display, uint32_t* pPropertyCount, VkDisplayModePropertiesKHR* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CreateDisplayModeKHR_Weak=radv_CreateDisplayModeKHR_Null")
    #pragma comment(linker, "/alternatename:radv_CreateDisplayModeKHR=radv_CreateDisplayModeKHR_Weak")
    VkResult (*radv_CreateDisplayModeKHR_Null)(VkPhysicalDevice physicalDevice, VkDisplayKHR display, const VkDisplayModeCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDisplayModeKHR* pMode) = 0;
    VkResult radv_CreateDisplayModeKHR_Weak(VkPhysicalDevice physicalDevice, VkDisplayKHR display, const VkDisplayModeCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDisplayModeKHR* pMode);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateDisplayModeKHR(VkPhysicalDevice physicalDevice, VkDisplayKHR display, const VkDisplayModeCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDisplayModeKHR* pMode) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetDisplayPlaneCapabilitiesKHR_Weak=radv_GetDisplayPlaneCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:radv_GetDisplayPlaneCapabilitiesKHR=radv_GetDisplayPlaneCapabilitiesKHR_Weak")
    VkResult (*radv_GetDisplayPlaneCapabilitiesKHR_Null)(VkPhysicalDevice physicalDevice, VkDisplayModeKHR mode, uint32_t planeIndex, VkDisplayPlaneCapabilitiesKHR* pCapabilities) = 0;
    VkResult radv_GetDisplayPlaneCapabilitiesKHR_Weak(VkPhysicalDevice physicalDevice, VkDisplayModeKHR mode, uint32_t planeIndex, VkDisplayPlaneCapabilitiesKHR* pCapabilities);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetDisplayPlaneCapabilitiesKHR(VkPhysicalDevice physicalDevice, VkDisplayModeKHR mode, uint32_t planeIndex, VkDisplayPlaneCapabilitiesKHR* pCapabilities) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceSurfaceSupportKHR_Weak=radv_GetPhysicalDeviceSurfaceSupportKHR_Null")
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceSurfaceSupportKHR=radv_GetPhysicalDeviceSurfaceSupportKHR_Weak")
    VkResult (*radv_GetPhysicalDeviceSurfaceSupportKHR_Null)(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, VkSurfaceKHR surface, VkBool32* pSupported) = 0;
    VkResult radv_GetPhysicalDeviceSurfaceSupportKHR_Weak(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, VkSurfaceKHR surface, VkBool32* pSupported);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetPhysicalDeviceSurfaceSupportKHR(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, VkSurfaceKHR surface, VkBool32* pSupported) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceSurfaceCapabilitiesKHR_Weak=radv_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceSurfaceCapabilitiesKHR=radv_GetPhysicalDeviceSurfaceCapabilitiesKHR_Weak")
    VkResult (*radv_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null)(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, VkSurfaceCapabilitiesKHR* pSurfaceCapabilities) = 0;
    VkResult radv_GetPhysicalDeviceSurfaceCapabilitiesKHR_Weak(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, VkSurfaceCapabilitiesKHR* pSurfaceCapabilities);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetPhysicalDeviceSurfaceCapabilitiesKHR(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, VkSurfaceCapabilitiesKHR* pSurfaceCapabilities) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceSurfaceFormatsKHR_Weak=radv_GetPhysicalDeviceSurfaceFormatsKHR_Null")
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceSurfaceFormatsKHR=radv_GetPhysicalDeviceSurfaceFormatsKHR_Weak")
    VkResult (*radv_GetPhysicalDeviceSurfaceFormatsKHR_Null)(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, uint32_t* pSurfaceFormatCount, VkSurfaceFormatKHR* pSurfaceFormats) = 0;
    VkResult radv_GetPhysicalDeviceSurfaceFormatsKHR_Weak(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, uint32_t* pSurfaceFormatCount, VkSurfaceFormatKHR* pSurfaceFormats);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetPhysicalDeviceSurfaceFormatsKHR(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, uint32_t* pSurfaceFormatCount, VkSurfaceFormatKHR* pSurfaceFormats) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceSurfacePresentModesKHR_Weak=radv_GetPhysicalDeviceSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceSurfacePresentModesKHR=radv_GetPhysicalDeviceSurfacePresentModesKHR_Weak")
    VkResult (*radv_GetPhysicalDeviceSurfacePresentModesKHR_Null)(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, uint32_t* pPresentModeCount, VkPresentModeKHR* pPresentModes) = 0;
    VkResult radv_GetPhysicalDeviceSurfacePresentModesKHR_Weak(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, uint32_t* pPresentModeCount, VkPresentModeKHR* pPresentModes);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetPhysicalDeviceSurfacePresentModesKHR(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, uint32_t* pPresentModeCount, VkPresentModeKHR* pPresentModes) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_WAYLAND_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceWaylandPresentationSupportKHR_Weak=radv_GetPhysicalDeviceWaylandPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceWaylandPresentationSupportKHR=radv_GetPhysicalDeviceWaylandPresentationSupportKHR_Weak")
    VkBool32 (*radv_GetPhysicalDeviceWaylandPresentationSupportKHR_Null)(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, struct wl_display* display) = 0;
    VkBool32 radv_GetPhysicalDeviceWaylandPresentationSupportKHR_Weak(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, struct wl_display* display);
#else
    VKAPI_ATTR VkBool32 VKAPI_CALL radv_GetPhysicalDeviceWaylandPresentationSupportKHR(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, struct wl_display* display) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WAYLAND_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceWin32PresentationSupportKHR_Weak=radv_GetPhysicalDeviceWin32PresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceWin32PresentationSupportKHR=radv_GetPhysicalDeviceWin32PresentationSupportKHR_Weak")
    VkBool32 (*radv_GetPhysicalDeviceWin32PresentationSupportKHR_Null)(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex) = 0;
    VkBool32 radv_GetPhysicalDeviceWin32PresentationSupportKHR_Weak(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex);
#else
    VKAPI_ATTR VkBool32 VKAPI_CALL radv_GetPhysicalDeviceWin32PresentationSupportKHR(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_XLIB_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceXlibPresentationSupportKHR_Weak=radv_GetPhysicalDeviceXlibPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceXlibPresentationSupportKHR=radv_GetPhysicalDeviceXlibPresentationSupportKHR_Weak")
    VkBool32 (*radv_GetPhysicalDeviceXlibPresentationSupportKHR_Null)(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, Display* dpy, VisualID visualID) = 0;
    VkBool32 radv_GetPhysicalDeviceXlibPresentationSupportKHR_Weak(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, Display* dpy, VisualID visualID);
#else
    VKAPI_ATTR VkBool32 VKAPI_CALL radv_GetPhysicalDeviceXlibPresentationSupportKHR(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, Display* dpy, VisualID visualID) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_XLIB_KHR
#ifdef VK_USE_PLATFORM_XCB_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceXcbPresentationSupportKHR_Weak=radv_GetPhysicalDeviceXcbPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceXcbPresentationSupportKHR=radv_GetPhysicalDeviceXcbPresentationSupportKHR_Weak")
    VkBool32 (*radv_GetPhysicalDeviceXcbPresentationSupportKHR_Null)(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, xcb_connection_t* connection, xcb_visualid_t visual_id) = 0;
    VkBool32 radv_GetPhysicalDeviceXcbPresentationSupportKHR_Weak(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, xcb_connection_t* connection, xcb_visualid_t visual_id);
#else
    VKAPI_ATTR VkBool32 VKAPI_CALL radv_GetPhysicalDeviceXcbPresentationSupportKHR(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, xcb_connection_t* connection, xcb_visualid_t visual_id) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_XCB_KHR
#ifdef VK_USE_PLATFORM_DIRECTFB_EXT
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceDirectFBPresentationSupportEXT_Weak=radv_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null")
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceDirectFBPresentationSupportEXT=radv_GetPhysicalDeviceDirectFBPresentationSupportEXT_Weak")
    VkBool32 (*radv_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null)(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, IDirectFB* dfb) = 0;
    VkBool32 radv_GetPhysicalDeviceDirectFBPresentationSupportEXT_Weak(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, IDirectFB* dfb);
#else
    VKAPI_ATTR VkBool32 VKAPI_CALL radv_GetPhysicalDeviceDirectFBPresentationSupportEXT(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, IDirectFB* dfb) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_DIRECTFB_EXT
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceExternalImageFormatPropertiesNV_Weak=radv_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceExternalImageFormatPropertiesNV=radv_GetPhysicalDeviceExternalImageFormatPropertiesNV_Weak")
    VkResult (*radv_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null)(VkPhysicalDevice physicalDevice, VkFormat format, VkImageType type, VkImageTiling tiling, VkImageUsageFlags usage, VkImageCreateFlags flags, VkExternalMemoryHandleTypeFlagsNV externalHandleType, VkExternalImageFormatPropertiesNV* pExternalImageFormatProperties) = 0;
    VkResult radv_GetPhysicalDeviceExternalImageFormatPropertiesNV_Weak(VkPhysicalDevice physicalDevice, VkFormat format, VkImageType type, VkImageTiling tiling, VkImageUsageFlags usage, VkImageCreateFlags flags, VkExternalMemoryHandleTypeFlagsNV externalHandleType, VkExternalImageFormatPropertiesNV* pExternalImageFormatProperties);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetPhysicalDeviceExternalImageFormatPropertiesNV(VkPhysicalDevice physicalDevice, VkFormat format, VkImageType type, VkImageTiling tiling, VkImageUsageFlags usage, VkImageCreateFlags flags, VkExternalMemoryHandleTypeFlagsNV externalHandleType, VkExternalImageFormatPropertiesNV* pExternalImageFormatProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceFeatures2_Weak=radv_GetPhysicalDeviceFeatures2_Null")
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceFeatures2=radv_GetPhysicalDeviceFeatures2_Weak")
    void (*radv_GetPhysicalDeviceFeatures2_Null)(VkPhysicalDevice physicalDevice, VkPhysicalDeviceFeatures2* pFeatures) = 0;
    void radv_GetPhysicalDeviceFeatures2_Weak(VkPhysicalDevice physicalDevice, VkPhysicalDeviceFeatures2* pFeatures);
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetPhysicalDeviceFeatures2(VkPhysicalDevice physicalDevice, VkPhysicalDeviceFeatures2* pFeatures) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceFeatures2KHR_Weak=radv_GetPhysicalDeviceFeatures2KHR_Null")
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceFeatures2KHR=radv_GetPhysicalDeviceFeatures2KHR_Weak")
    void (*radv_GetPhysicalDeviceFeatures2KHR_Null)(VkPhysicalDevice physicalDevice, VkPhysicalDeviceFeatures2* pFeatures) = 0;
    void radv_GetPhysicalDeviceFeatures2KHR_Weak(VkPhysicalDevice physicalDevice, VkPhysicalDeviceFeatures2* pFeatures);
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetPhysicalDeviceFeatures2KHR(VkPhysicalDevice physicalDevice, VkPhysicalDeviceFeatures2* pFeatures) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceProperties2_Weak=radv_GetPhysicalDeviceProperties2_Null")
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceProperties2=radv_GetPhysicalDeviceProperties2_Weak")
    void (*radv_GetPhysicalDeviceProperties2_Null)(VkPhysicalDevice physicalDevice, VkPhysicalDeviceProperties2* pProperties) = 0;
    void radv_GetPhysicalDeviceProperties2_Weak(VkPhysicalDevice physicalDevice, VkPhysicalDeviceProperties2* pProperties);
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetPhysicalDeviceProperties2(VkPhysicalDevice physicalDevice, VkPhysicalDeviceProperties2* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceProperties2KHR_Weak=radv_GetPhysicalDeviceProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceProperties2KHR=radv_GetPhysicalDeviceProperties2KHR_Weak")
    void (*radv_GetPhysicalDeviceProperties2KHR_Null)(VkPhysicalDevice physicalDevice, VkPhysicalDeviceProperties2* pProperties) = 0;
    void radv_GetPhysicalDeviceProperties2KHR_Weak(VkPhysicalDevice physicalDevice, VkPhysicalDeviceProperties2* pProperties);
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetPhysicalDeviceProperties2KHR(VkPhysicalDevice physicalDevice, VkPhysicalDeviceProperties2* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceFormatProperties2_Weak=radv_GetPhysicalDeviceFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceFormatProperties2=radv_GetPhysicalDeviceFormatProperties2_Weak")
    void (*radv_GetPhysicalDeviceFormatProperties2_Null)(VkPhysicalDevice physicalDevice, VkFormat format, VkFormatProperties2* pFormatProperties) = 0;
    void radv_GetPhysicalDeviceFormatProperties2_Weak(VkPhysicalDevice physicalDevice, VkFormat format, VkFormatProperties2* pFormatProperties);
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetPhysicalDeviceFormatProperties2(VkPhysicalDevice physicalDevice, VkFormat format, VkFormatProperties2* pFormatProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceFormatProperties2KHR_Weak=radv_GetPhysicalDeviceFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceFormatProperties2KHR=radv_GetPhysicalDeviceFormatProperties2KHR_Weak")
    void (*radv_GetPhysicalDeviceFormatProperties2KHR_Null)(VkPhysicalDevice physicalDevice, VkFormat format, VkFormatProperties2* pFormatProperties) = 0;
    void radv_GetPhysicalDeviceFormatProperties2KHR_Weak(VkPhysicalDevice physicalDevice, VkFormat format, VkFormatProperties2* pFormatProperties);
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetPhysicalDeviceFormatProperties2KHR(VkPhysicalDevice physicalDevice, VkFormat format, VkFormatProperties2* pFormatProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceImageFormatProperties2_Weak=radv_GetPhysicalDeviceImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceImageFormatProperties2=radv_GetPhysicalDeviceImageFormatProperties2_Weak")
    VkResult (*radv_GetPhysicalDeviceImageFormatProperties2_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceImageFormatInfo2* pImageFormatInfo, VkImageFormatProperties2* pImageFormatProperties) = 0;
    VkResult radv_GetPhysicalDeviceImageFormatProperties2_Weak(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceImageFormatInfo2* pImageFormatInfo, VkImageFormatProperties2* pImageFormatProperties);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetPhysicalDeviceImageFormatProperties2(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceImageFormatInfo2* pImageFormatInfo, VkImageFormatProperties2* pImageFormatProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceImageFormatProperties2KHR_Weak=radv_GetPhysicalDeviceImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceImageFormatProperties2KHR=radv_GetPhysicalDeviceImageFormatProperties2KHR_Weak")
    VkResult (*radv_GetPhysicalDeviceImageFormatProperties2KHR_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceImageFormatInfo2* pImageFormatInfo, VkImageFormatProperties2* pImageFormatProperties) = 0;
    VkResult radv_GetPhysicalDeviceImageFormatProperties2KHR_Weak(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceImageFormatInfo2* pImageFormatInfo, VkImageFormatProperties2* pImageFormatProperties);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetPhysicalDeviceImageFormatProperties2KHR(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceImageFormatInfo2* pImageFormatInfo, VkImageFormatProperties2* pImageFormatProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceQueueFamilyProperties2_Weak=radv_GetPhysicalDeviceQueueFamilyProperties2_Null")
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceQueueFamilyProperties2=radv_GetPhysicalDeviceQueueFamilyProperties2_Weak")
    void (*radv_GetPhysicalDeviceQueueFamilyProperties2_Null)(VkPhysicalDevice physicalDevice, uint32_t* pQueueFamilyPropertyCount, VkQueueFamilyProperties2* pQueueFamilyProperties) = 0;
    void radv_GetPhysicalDeviceQueueFamilyProperties2_Weak(VkPhysicalDevice physicalDevice, uint32_t* pQueueFamilyPropertyCount, VkQueueFamilyProperties2* pQueueFamilyProperties);
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetPhysicalDeviceQueueFamilyProperties2(VkPhysicalDevice physicalDevice, uint32_t* pQueueFamilyPropertyCount, VkQueueFamilyProperties2* pQueueFamilyProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceQueueFamilyProperties2KHR_Weak=radv_GetPhysicalDeviceQueueFamilyProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceQueueFamilyProperties2KHR=radv_GetPhysicalDeviceQueueFamilyProperties2KHR_Weak")
    void (*radv_GetPhysicalDeviceQueueFamilyProperties2KHR_Null)(VkPhysicalDevice physicalDevice, uint32_t* pQueueFamilyPropertyCount, VkQueueFamilyProperties2* pQueueFamilyProperties) = 0;
    void radv_GetPhysicalDeviceQueueFamilyProperties2KHR_Weak(VkPhysicalDevice physicalDevice, uint32_t* pQueueFamilyPropertyCount, VkQueueFamilyProperties2* pQueueFamilyProperties);
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetPhysicalDeviceQueueFamilyProperties2KHR(VkPhysicalDevice physicalDevice, uint32_t* pQueueFamilyPropertyCount, VkQueueFamilyProperties2* pQueueFamilyProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceMemoryProperties2_Weak=radv_GetPhysicalDeviceMemoryProperties2_Null")
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceMemoryProperties2=radv_GetPhysicalDeviceMemoryProperties2_Weak")
    void (*radv_GetPhysicalDeviceMemoryProperties2_Null)(VkPhysicalDevice physicalDevice, VkPhysicalDeviceMemoryProperties2* pMemoryProperties) = 0;
    void radv_GetPhysicalDeviceMemoryProperties2_Weak(VkPhysicalDevice physicalDevice, VkPhysicalDeviceMemoryProperties2* pMemoryProperties);
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetPhysicalDeviceMemoryProperties2(VkPhysicalDevice physicalDevice, VkPhysicalDeviceMemoryProperties2* pMemoryProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceMemoryProperties2KHR_Weak=radv_GetPhysicalDeviceMemoryProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceMemoryProperties2KHR=radv_GetPhysicalDeviceMemoryProperties2KHR_Weak")
    void (*radv_GetPhysicalDeviceMemoryProperties2KHR_Null)(VkPhysicalDevice physicalDevice, VkPhysicalDeviceMemoryProperties2* pMemoryProperties) = 0;
    void radv_GetPhysicalDeviceMemoryProperties2KHR_Weak(VkPhysicalDevice physicalDevice, VkPhysicalDeviceMemoryProperties2* pMemoryProperties);
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetPhysicalDeviceMemoryProperties2KHR(VkPhysicalDevice physicalDevice, VkPhysicalDeviceMemoryProperties2* pMemoryProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceSparseImageFormatProperties2_Weak=radv_GetPhysicalDeviceSparseImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceSparseImageFormatProperties2=radv_GetPhysicalDeviceSparseImageFormatProperties2_Weak")
    void (*radv_GetPhysicalDeviceSparseImageFormatProperties2_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSparseImageFormatInfo2* pFormatInfo, uint32_t* pPropertyCount, VkSparseImageFormatProperties2* pProperties) = 0;
    void radv_GetPhysicalDeviceSparseImageFormatProperties2_Weak(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSparseImageFormatInfo2* pFormatInfo, uint32_t* pPropertyCount, VkSparseImageFormatProperties2* pProperties);
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetPhysicalDeviceSparseImageFormatProperties2(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSparseImageFormatInfo2* pFormatInfo, uint32_t* pPropertyCount, VkSparseImageFormatProperties2* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceSparseImageFormatProperties2KHR_Weak=radv_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceSparseImageFormatProperties2KHR=radv_GetPhysicalDeviceSparseImageFormatProperties2KHR_Weak")
    void (*radv_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSparseImageFormatInfo2* pFormatInfo, uint32_t* pPropertyCount, VkSparseImageFormatProperties2* pProperties) = 0;
    void radv_GetPhysicalDeviceSparseImageFormatProperties2KHR_Weak(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSparseImageFormatInfo2* pFormatInfo, uint32_t* pPropertyCount, VkSparseImageFormatProperties2* pProperties);
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetPhysicalDeviceSparseImageFormatProperties2KHR(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSparseImageFormatInfo2* pFormatInfo, uint32_t* pPropertyCount, VkSparseImageFormatProperties2* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceExternalBufferProperties_Weak=radv_GetPhysicalDeviceExternalBufferProperties_Null")
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceExternalBufferProperties=radv_GetPhysicalDeviceExternalBufferProperties_Weak")
    void (*radv_GetPhysicalDeviceExternalBufferProperties_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalBufferInfo* pExternalBufferInfo, VkExternalBufferProperties* pExternalBufferProperties) = 0;
    void radv_GetPhysicalDeviceExternalBufferProperties_Weak(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalBufferInfo* pExternalBufferInfo, VkExternalBufferProperties* pExternalBufferProperties);
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetPhysicalDeviceExternalBufferProperties(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalBufferInfo* pExternalBufferInfo, VkExternalBufferProperties* pExternalBufferProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceExternalBufferPropertiesKHR_Weak=radv_GetPhysicalDeviceExternalBufferPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceExternalBufferPropertiesKHR=radv_GetPhysicalDeviceExternalBufferPropertiesKHR_Weak")
    void (*radv_GetPhysicalDeviceExternalBufferPropertiesKHR_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalBufferInfo* pExternalBufferInfo, VkExternalBufferProperties* pExternalBufferProperties) = 0;
    void radv_GetPhysicalDeviceExternalBufferPropertiesKHR_Weak(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalBufferInfo* pExternalBufferInfo, VkExternalBufferProperties* pExternalBufferProperties);
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetPhysicalDeviceExternalBufferPropertiesKHR(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalBufferInfo* pExternalBufferInfo, VkExternalBufferProperties* pExternalBufferProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceExternalSemaphoreProperties_Weak=radv_GetPhysicalDeviceExternalSemaphoreProperties_Null")
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceExternalSemaphoreProperties=radv_GetPhysicalDeviceExternalSemaphoreProperties_Weak")
    void (*radv_GetPhysicalDeviceExternalSemaphoreProperties_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalSemaphoreInfo* pExternalSemaphoreInfo, VkExternalSemaphoreProperties* pExternalSemaphoreProperties) = 0;
    void radv_GetPhysicalDeviceExternalSemaphoreProperties_Weak(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalSemaphoreInfo* pExternalSemaphoreInfo, VkExternalSemaphoreProperties* pExternalSemaphoreProperties);
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetPhysicalDeviceExternalSemaphoreProperties(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalSemaphoreInfo* pExternalSemaphoreInfo, VkExternalSemaphoreProperties* pExternalSemaphoreProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Weak=radv_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceExternalSemaphorePropertiesKHR=radv_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Weak")
    void (*radv_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalSemaphoreInfo* pExternalSemaphoreInfo, VkExternalSemaphoreProperties* pExternalSemaphoreProperties) = 0;
    void radv_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Weak(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalSemaphoreInfo* pExternalSemaphoreInfo, VkExternalSemaphoreProperties* pExternalSemaphoreProperties);
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetPhysicalDeviceExternalSemaphorePropertiesKHR(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalSemaphoreInfo* pExternalSemaphoreInfo, VkExternalSemaphoreProperties* pExternalSemaphoreProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceExternalFenceProperties_Weak=radv_GetPhysicalDeviceExternalFenceProperties_Null")
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceExternalFenceProperties=radv_GetPhysicalDeviceExternalFenceProperties_Weak")
    void (*radv_GetPhysicalDeviceExternalFenceProperties_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalFenceInfo* pExternalFenceInfo, VkExternalFenceProperties* pExternalFenceProperties) = 0;
    void radv_GetPhysicalDeviceExternalFenceProperties_Weak(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalFenceInfo* pExternalFenceInfo, VkExternalFenceProperties* pExternalFenceProperties);
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetPhysicalDeviceExternalFenceProperties(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalFenceInfo* pExternalFenceInfo, VkExternalFenceProperties* pExternalFenceProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceExternalFencePropertiesKHR_Weak=radv_GetPhysicalDeviceExternalFencePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceExternalFencePropertiesKHR=radv_GetPhysicalDeviceExternalFencePropertiesKHR_Weak")
    void (*radv_GetPhysicalDeviceExternalFencePropertiesKHR_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalFenceInfo* pExternalFenceInfo, VkExternalFenceProperties* pExternalFenceProperties) = 0;
    void radv_GetPhysicalDeviceExternalFencePropertiesKHR_Weak(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalFenceInfo* pExternalFenceInfo, VkExternalFenceProperties* pExternalFenceProperties);
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetPhysicalDeviceExternalFencePropertiesKHR(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalFenceInfo* pExternalFenceInfo, VkExternalFenceProperties* pExternalFenceProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_ReleaseDisplayEXT_Weak=radv_ReleaseDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:radv_ReleaseDisplayEXT=radv_ReleaseDisplayEXT_Weak")
    VkResult (*radv_ReleaseDisplayEXT_Null)(VkPhysicalDevice physicalDevice, VkDisplayKHR display) = 0;
    VkResult radv_ReleaseDisplayEXT_Weak(VkPhysicalDevice physicalDevice, VkDisplayKHR display);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_ReleaseDisplayEXT(VkPhysicalDevice physicalDevice, VkDisplayKHR display) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_XLIB_XRANDR_EXT
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_AcquireXlibDisplayEXT_Weak=radv_AcquireXlibDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:radv_AcquireXlibDisplayEXT=radv_AcquireXlibDisplayEXT_Weak")
    VkResult (*radv_AcquireXlibDisplayEXT_Null)(VkPhysicalDevice physicalDevice, Display* dpy, VkDisplayKHR display) = 0;
    VkResult radv_AcquireXlibDisplayEXT_Weak(VkPhysicalDevice physicalDevice, Display* dpy, VkDisplayKHR display);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_AcquireXlibDisplayEXT(VkPhysicalDevice physicalDevice, Display* dpy, VkDisplayKHR display) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_XLIB_XRANDR_EXT
#ifdef VK_USE_PLATFORM_XLIB_XRANDR_EXT
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetRandROutputDisplayEXT_Weak=radv_GetRandROutputDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:radv_GetRandROutputDisplayEXT=radv_GetRandROutputDisplayEXT_Weak")
    VkResult (*radv_GetRandROutputDisplayEXT_Null)(VkPhysicalDevice physicalDevice, Display* dpy, RROutput rrOutput, VkDisplayKHR* pDisplay) = 0;
    VkResult radv_GetRandROutputDisplayEXT_Weak(VkPhysicalDevice physicalDevice, Display* dpy, RROutput rrOutput, VkDisplayKHR* pDisplay);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetRandROutputDisplayEXT(VkPhysicalDevice physicalDevice, Display* dpy, RROutput rrOutput, VkDisplayKHR* pDisplay) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_XLIB_XRANDR_EXT
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_AcquireWinrtDisplayNV_Weak=radv_AcquireWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:radv_AcquireWinrtDisplayNV=radv_AcquireWinrtDisplayNV_Weak")
    VkResult (*radv_AcquireWinrtDisplayNV_Null)(VkPhysicalDevice physicalDevice, VkDisplayKHR display) = 0;
    VkResult radv_AcquireWinrtDisplayNV_Weak(VkPhysicalDevice physicalDevice, VkDisplayKHR display);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_AcquireWinrtDisplayNV(VkPhysicalDevice physicalDevice, VkDisplayKHR display) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetWinrtDisplayNV_Weak=radv_GetWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:radv_GetWinrtDisplayNV=radv_GetWinrtDisplayNV_Weak")
    VkResult (*radv_GetWinrtDisplayNV_Null)(VkPhysicalDevice physicalDevice, uint32_t deviceRelativeId, VkDisplayKHR* pDisplay) = 0;
    VkResult radv_GetWinrtDisplayNV_Weak(VkPhysicalDevice physicalDevice, uint32_t deviceRelativeId, VkDisplayKHR* pDisplay);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetWinrtDisplayNV(VkPhysicalDevice physicalDevice, uint32_t deviceRelativeId, VkDisplayKHR* pDisplay) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceSurfaceCapabilities2EXT_Weak=radv_GetPhysicalDeviceSurfaceCapabilities2EXT_Null")
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceSurfaceCapabilities2EXT=radv_GetPhysicalDeviceSurfaceCapabilities2EXT_Weak")
    VkResult (*radv_GetPhysicalDeviceSurfaceCapabilities2EXT_Null)(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, VkSurfaceCapabilities2EXT* pSurfaceCapabilities) = 0;
    VkResult radv_GetPhysicalDeviceSurfaceCapabilities2EXT_Weak(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, VkSurfaceCapabilities2EXT* pSurfaceCapabilities);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetPhysicalDeviceSurfaceCapabilities2EXT(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, VkSurfaceCapabilities2EXT* pSurfaceCapabilities) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDevicePresentRectanglesKHR_Weak=radv_GetPhysicalDevicePresentRectanglesKHR_Null")
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDevicePresentRectanglesKHR=radv_GetPhysicalDevicePresentRectanglesKHR_Weak")
    VkResult (*radv_GetPhysicalDevicePresentRectanglesKHR_Null)(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, uint32_t* pRectCount, VkRect2D* pRects) = 0;
    VkResult radv_GetPhysicalDevicePresentRectanglesKHR_Weak(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, uint32_t* pRectCount, VkRect2D* pRects);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetPhysicalDevicePresentRectanglesKHR(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, uint32_t* pRectCount, VkRect2D* pRects) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceMultisamplePropertiesEXT_Weak=radv_GetPhysicalDeviceMultisamplePropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceMultisamplePropertiesEXT=radv_GetPhysicalDeviceMultisamplePropertiesEXT_Weak")
    void (*radv_GetPhysicalDeviceMultisamplePropertiesEXT_Null)(VkPhysicalDevice physicalDevice, VkSampleCountFlagBits samples, VkMultisamplePropertiesEXT* pMultisampleProperties) = 0;
    void radv_GetPhysicalDeviceMultisamplePropertiesEXT_Weak(VkPhysicalDevice physicalDevice, VkSampleCountFlagBits samples, VkMultisamplePropertiesEXT* pMultisampleProperties);
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetPhysicalDeviceMultisamplePropertiesEXT(VkPhysicalDevice physicalDevice, VkSampleCountFlagBits samples, VkMultisamplePropertiesEXT* pMultisampleProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceSurfaceCapabilities2KHR_Weak=radv_GetPhysicalDeviceSurfaceCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceSurfaceCapabilities2KHR=radv_GetPhysicalDeviceSurfaceCapabilities2KHR_Weak")
    VkResult (*radv_GetPhysicalDeviceSurfaceCapabilities2KHR_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, VkSurfaceCapabilities2KHR* pSurfaceCapabilities) = 0;
    VkResult radv_GetPhysicalDeviceSurfaceCapabilities2KHR_Weak(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, VkSurfaceCapabilities2KHR* pSurfaceCapabilities);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetPhysicalDeviceSurfaceCapabilities2KHR(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, VkSurfaceCapabilities2KHR* pSurfaceCapabilities) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceSurfaceFormats2KHR_Weak=radv_GetPhysicalDeviceSurfaceFormats2KHR_Null")
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceSurfaceFormats2KHR=radv_GetPhysicalDeviceSurfaceFormats2KHR_Weak")
    VkResult (*radv_GetPhysicalDeviceSurfaceFormats2KHR_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, uint32_t* pSurfaceFormatCount, VkSurfaceFormat2KHR* pSurfaceFormats) = 0;
    VkResult radv_GetPhysicalDeviceSurfaceFormats2KHR_Weak(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, uint32_t* pSurfaceFormatCount, VkSurfaceFormat2KHR* pSurfaceFormats);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetPhysicalDeviceSurfaceFormats2KHR(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, uint32_t* pSurfaceFormatCount, VkSurfaceFormat2KHR* pSurfaceFormats) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceDisplayProperties2KHR_Weak=radv_GetPhysicalDeviceDisplayProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceDisplayProperties2KHR=radv_GetPhysicalDeviceDisplayProperties2KHR_Weak")
    VkResult (*radv_GetPhysicalDeviceDisplayProperties2KHR_Null)(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkDisplayProperties2KHR* pProperties) = 0;
    VkResult radv_GetPhysicalDeviceDisplayProperties2KHR_Weak(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkDisplayProperties2KHR* pProperties);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetPhysicalDeviceDisplayProperties2KHR(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkDisplayProperties2KHR* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceDisplayPlaneProperties2KHR_Weak=radv_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceDisplayPlaneProperties2KHR=radv_GetPhysicalDeviceDisplayPlaneProperties2KHR_Weak")
    VkResult (*radv_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null)(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkDisplayPlaneProperties2KHR* pProperties) = 0;
    VkResult radv_GetPhysicalDeviceDisplayPlaneProperties2KHR_Weak(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkDisplayPlaneProperties2KHR* pProperties);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetPhysicalDeviceDisplayPlaneProperties2KHR(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkDisplayPlaneProperties2KHR* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetDisplayModeProperties2KHR_Weak=radv_GetDisplayModeProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:radv_GetDisplayModeProperties2KHR=radv_GetDisplayModeProperties2KHR_Weak")
    VkResult (*radv_GetDisplayModeProperties2KHR_Null)(VkPhysicalDevice physicalDevice, VkDisplayKHR display, uint32_t* pPropertyCount, VkDisplayModeProperties2KHR* pProperties) = 0;
    VkResult radv_GetDisplayModeProperties2KHR_Weak(VkPhysicalDevice physicalDevice, VkDisplayKHR display, uint32_t* pPropertyCount, VkDisplayModeProperties2KHR* pProperties);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetDisplayModeProperties2KHR(VkPhysicalDevice physicalDevice, VkDisplayKHR display, uint32_t* pPropertyCount, VkDisplayModeProperties2KHR* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetDisplayPlaneCapabilities2KHR_Weak=radv_GetDisplayPlaneCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:radv_GetDisplayPlaneCapabilities2KHR=radv_GetDisplayPlaneCapabilities2KHR_Weak")
    VkResult (*radv_GetDisplayPlaneCapabilities2KHR_Null)(VkPhysicalDevice physicalDevice, const VkDisplayPlaneInfo2KHR* pDisplayPlaneInfo, VkDisplayPlaneCapabilities2KHR* pCapabilities) = 0;
    VkResult radv_GetDisplayPlaneCapabilities2KHR_Weak(VkPhysicalDevice physicalDevice, const VkDisplayPlaneInfo2KHR* pDisplayPlaneInfo, VkDisplayPlaneCapabilities2KHR* pCapabilities);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetDisplayPlaneCapabilities2KHR(VkPhysicalDevice physicalDevice, const VkDisplayPlaneInfo2KHR* pDisplayPlaneInfo, VkDisplayPlaneCapabilities2KHR* pCapabilities) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Weak=radv_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null")
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceCalibrateableTimeDomainsEXT=radv_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Weak")
    VkResult (*radv_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null)(VkPhysicalDevice physicalDevice, uint32_t* pTimeDomainCount, VkTimeDomainEXT* pTimeDomains) = 0;
    VkResult radv_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Weak(VkPhysicalDevice physicalDevice, uint32_t* pTimeDomainCount, VkTimeDomainEXT* pTimeDomains);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetPhysicalDeviceCalibrateableTimeDomainsEXT(VkPhysicalDevice physicalDevice, uint32_t* pTimeDomainCount, VkTimeDomainEXT* pTimeDomains) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Weak=radv_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceCooperativeMatrixPropertiesNV=radv_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Weak")
    VkResult (*radv_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null)(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkCooperativeMatrixPropertiesNV* pProperties) = 0;
    VkResult radv_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Weak(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkCooperativeMatrixPropertiesNV* pProperties);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetPhysicalDeviceCooperativeMatrixPropertiesNV(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkCooperativeMatrixPropertiesNV* pProperties) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceSurfacePresentModes2EXT_Weak=radv_GetPhysicalDeviceSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceSurfacePresentModes2EXT=radv_GetPhysicalDeviceSurfacePresentModes2EXT_Weak")
    VkResult (*radv_GetPhysicalDeviceSurfacePresentModes2EXT_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, uint32_t* pPresentModeCount, VkPresentModeKHR* pPresentModes) = 0;
    VkResult radv_GetPhysicalDeviceSurfacePresentModes2EXT_Weak(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, uint32_t* pPresentModeCount, VkPresentModeKHR* pPresentModes);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetPhysicalDeviceSurfacePresentModes2EXT(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, uint32_t* pPresentModeCount, VkPresentModeKHR* pPresentModes) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Weak=radv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null")
    #pragma comment(linker, "/alternatename:radv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR=radv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Weak")
    VkResult (*radv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null)(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, uint32_t* pCounterCount, VkPerformanceCounterKHR* pCounters, VkPerformanceCounterDescriptionKHR* pCounterDescriptions) = 0;
    VkResult radv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Weak(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, uint32_t* pCounterCount, VkPerformanceCounterKHR* pCounters, VkPerformanceCounterDescriptionKHR* pCounterDescriptions);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, uint32_t* pCounterCount, VkPerformanceCounterKHR* pCounters, VkPerformanceCounterDescriptionKHR* pCounterDescriptions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Weak=radv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null")
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR=radv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Weak")
    void (*radv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null)(VkPhysicalDevice physicalDevice, const VkQueryPoolPerformanceCreateInfoKHR* pPerformanceQueryCreateInfo, uint32_t* pNumPasses) = 0;
    void radv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Weak(VkPhysicalDevice physicalDevice, const VkQueryPoolPerformanceCreateInfoKHR* pPerformanceQueryCreateInfo, uint32_t* pNumPasses);
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR(VkPhysicalDevice physicalDevice, const VkQueryPoolPerformanceCreateInfoKHR* pPerformanceQueryCreateInfo, uint32_t* pNumPasses) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Weak=radv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null")
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV=radv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Weak")
    VkResult (*radv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null)(VkPhysicalDevice physicalDevice, uint32_t* pCombinationCount, VkFramebufferMixedSamplesCombinationNV* pCombinations) = 0;
    VkResult radv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Weak(VkPhysicalDevice physicalDevice, uint32_t* pCombinationCount, VkFramebufferMixedSamplesCombinationNV* pCombinations);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV(VkPhysicalDevice physicalDevice, uint32_t* pCombinationCount, VkFramebufferMixedSamplesCombinationNV* pCombinations) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceToolPropertiesEXT_Weak=radv_GetPhysicalDeviceToolPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceToolPropertiesEXT=radv_GetPhysicalDeviceToolPropertiesEXT_Weak")
    VkResult (*radv_GetPhysicalDeviceToolPropertiesEXT_Null)(VkPhysicalDevice physicalDevice, uint32_t* pToolCount, VkPhysicalDeviceToolPropertiesEXT* pToolProperties) = 0;
    VkResult radv_GetPhysicalDeviceToolPropertiesEXT_Weak(VkPhysicalDevice physicalDevice, uint32_t* pToolCount, VkPhysicalDeviceToolPropertiesEXT* pToolProperties);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetPhysicalDeviceToolPropertiesEXT(VkPhysicalDevice physicalDevice, uint32_t* pToolCount, VkPhysicalDeviceToolPropertiesEXT* pToolProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceFragmentShadingRatesKHR_Weak=radv_GetPhysicalDeviceFragmentShadingRatesKHR_Null")
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceFragmentShadingRatesKHR=radv_GetPhysicalDeviceFragmentShadingRatesKHR_Weak")
    VkResult (*radv_GetPhysicalDeviceFragmentShadingRatesKHR_Null)(VkPhysicalDevice physicalDevice, uint32_t* pFragmentShadingRateCount, VkPhysicalDeviceFragmentShadingRateKHR* pFragmentShadingRates) = 0;
    VkResult radv_GetPhysicalDeviceFragmentShadingRatesKHR_Weak(VkPhysicalDevice physicalDevice, uint32_t* pFragmentShadingRateCount, VkPhysicalDeviceFragmentShadingRateKHR* pFragmentShadingRates);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetPhysicalDeviceFragmentShadingRatesKHR(VkPhysicalDevice physicalDevice, uint32_t* pFragmentShadingRateCount, VkPhysicalDeviceFragmentShadingRateKHR* pFragmentShadingRates) __attribute__ ((weak));
#endif

const struct vk_physical_device_entrypoint_table radv_physical_device_entrypoints = {
    .GetPhysicalDeviceProperties = radv_GetPhysicalDeviceProperties,
    .GetPhysicalDeviceQueueFamilyProperties = radv_GetPhysicalDeviceQueueFamilyProperties,
    .GetPhysicalDeviceMemoryProperties = radv_GetPhysicalDeviceMemoryProperties,
    .GetPhysicalDeviceFeatures = radv_GetPhysicalDeviceFeatures,
    .GetPhysicalDeviceFormatProperties = radv_GetPhysicalDeviceFormatProperties,
    .GetPhysicalDeviceImageFormatProperties = radv_GetPhysicalDeviceImageFormatProperties,
    .CreateDevice = radv_CreateDevice,
    .EnumerateDeviceLayerProperties = radv_EnumerateDeviceLayerProperties,
    .EnumerateDeviceExtensionProperties = radv_EnumerateDeviceExtensionProperties,
    .GetPhysicalDeviceSparseImageFormatProperties = radv_GetPhysicalDeviceSparseImageFormatProperties,
    .GetPhysicalDeviceDisplayPropertiesKHR = radv_GetPhysicalDeviceDisplayPropertiesKHR,
    .GetPhysicalDeviceDisplayPlanePropertiesKHR = radv_GetPhysicalDeviceDisplayPlanePropertiesKHR,
    .GetDisplayPlaneSupportedDisplaysKHR = radv_GetDisplayPlaneSupportedDisplaysKHR,
    .GetDisplayModePropertiesKHR = radv_GetDisplayModePropertiesKHR,
    .CreateDisplayModeKHR = radv_CreateDisplayModeKHR,
    .GetDisplayPlaneCapabilitiesKHR = radv_GetDisplayPlaneCapabilitiesKHR,
    .GetPhysicalDeviceSurfaceSupportKHR = radv_GetPhysicalDeviceSurfaceSupportKHR,
    .GetPhysicalDeviceSurfaceCapabilitiesKHR = radv_GetPhysicalDeviceSurfaceCapabilitiesKHR,
    .GetPhysicalDeviceSurfaceFormatsKHR = radv_GetPhysicalDeviceSurfaceFormatsKHR,
    .GetPhysicalDeviceSurfacePresentModesKHR = radv_GetPhysicalDeviceSurfacePresentModesKHR,
#ifdef VK_USE_PLATFORM_WAYLAND_KHR
    .GetPhysicalDeviceWaylandPresentationSupportKHR = radv_GetPhysicalDeviceWaylandPresentationSupportKHR,
#endif // VK_USE_PLATFORM_WAYLAND_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetPhysicalDeviceWin32PresentationSupportKHR = radv_GetPhysicalDeviceWin32PresentationSupportKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_XLIB_KHR
    .GetPhysicalDeviceXlibPresentationSupportKHR = radv_GetPhysicalDeviceXlibPresentationSupportKHR,
#endif // VK_USE_PLATFORM_XLIB_KHR
#ifdef VK_USE_PLATFORM_XCB_KHR
    .GetPhysicalDeviceXcbPresentationSupportKHR = radv_GetPhysicalDeviceXcbPresentationSupportKHR,
#endif // VK_USE_PLATFORM_XCB_KHR
#ifdef VK_USE_PLATFORM_DIRECTFB_EXT
    .GetPhysicalDeviceDirectFBPresentationSupportEXT = radv_GetPhysicalDeviceDirectFBPresentationSupportEXT,
#endif // VK_USE_PLATFORM_DIRECTFB_EXT
    .GetPhysicalDeviceExternalImageFormatPropertiesNV = radv_GetPhysicalDeviceExternalImageFormatPropertiesNV,
    .GetPhysicalDeviceFeatures2 = radv_GetPhysicalDeviceFeatures2,
    .GetPhysicalDeviceFeatures2KHR = radv_GetPhysicalDeviceFeatures2KHR,
    .GetPhysicalDeviceProperties2 = radv_GetPhysicalDeviceProperties2,
    .GetPhysicalDeviceProperties2KHR = radv_GetPhysicalDeviceProperties2KHR,
    .GetPhysicalDeviceFormatProperties2 = radv_GetPhysicalDeviceFormatProperties2,
    .GetPhysicalDeviceFormatProperties2KHR = radv_GetPhysicalDeviceFormatProperties2KHR,
    .GetPhysicalDeviceImageFormatProperties2 = radv_GetPhysicalDeviceImageFormatProperties2,
    .GetPhysicalDeviceImageFormatProperties2KHR = radv_GetPhysicalDeviceImageFormatProperties2KHR,
    .GetPhysicalDeviceQueueFamilyProperties2 = radv_GetPhysicalDeviceQueueFamilyProperties2,
    .GetPhysicalDeviceQueueFamilyProperties2KHR = radv_GetPhysicalDeviceQueueFamilyProperties2KHR,
    .GetPhysicalDeviceMemoryProperties2 = radv_GetPhysicalDeviceMemoryProperties2,
    .GetPhysicalDeviceMemoryProperties2KHR = radv_GetPhysicalDeviceMemoryProperties2KHR,
    .GetPhysicalDeviceSparseImageFormatProperties2 = radv_GetPhysicalDeviceSparseImageFormatProperties2,
    .GetPhysicalDeviceSparseImageFormatProperties2KHR = radv_GetPhysicalDeviceSparseImageFormatProperties2KHR,
    .GetPhysicalDeviceExternalBufferProperties = radv_GetPhysicalDeviceExternalBufferProperties,
    .GetPhysicalDeviceExternalBufferPropertiesKHR = radv_GetPhysicalDeviceExternalBufferPropertiesKHR,
    .GetPhysicalDeviceExternalSemaphoreProperties = radv_GetPhysicalDeviceExternalSemaphoreProperties,
    .GetPhysicalDeviceExternalSemaphorePropertiesKHR = radv_GetPhysicalDeviceExternalSemaphorePropertiesKHR,
    .GetPhysicalDeviceExternalFenceProperties = radv_GetPhysicalDeviceExternalFenceProperties,
    .GetPhysicalDeviceExternalFencePropertiesKHR = radv_GetPhysicalDeviceExternalFencePropertiesKHR,
    .ReleaseDisplayEXT = radv_ReleaseDisplayEXT,
#ifdef VK_USE_PLATFORM_XLIB_XRANDR_EXT
    .AcquireXlibDisplayEXT = radv_AcquireXlibDisplayEXT,
#endif // VK_USE_PLATFORM_XLIB_XRANDR_EXT
#ifdef VK_USE_PLATFORM_XLIB_XRANDR_EXT
    .GetRandROutputDisplayEXT = radv_GetRandROutputDisplayEXT,
#endif // VK_USE_PLATFORM_XLIB_XRANDR_EXT
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .AcquireWinrtDisplayNV = radv_AcquireWinrtDisplayNV,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetWinrtDisplayNV = radv_GetWinrtDisplayNV,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .GetPhysicalDeviceSurfaceCapabilities2EXT = radv_GetPhysicalDeviceSurfaceCapabilities2EXT,
    .GetPhysicalDevicePresentRectanglesKHR = radv_GetPhysicalDevicePresentRectanglesKHR,
    .GetPhysicalDeviceMultisamplePropertiesEXT = radv_GetPhysicalDeviceMultisamplePropertiesEXT,
    .GetPhysicalDeviceSurfaceCapabilities2KHR = radv_GetPhysicalDeviceSurfaceCapabilities2KHR,
    .GetPhysicalDeviceSurfaceFormats2KHR = radv_GetPhysicalDeviceSurfaceFormats2KHR,
    .GetPhysicalDeviceDisplayProperties2KHR = radv_GetPhysicalDeviceDisplayProperties2KHR,
    .GetPhysicalDeviceDisplayPlaneProperties2KHR = radv_GetPhysicalDeviceDisplayPlaneProperties2KHR,
    .GetDisplayModeProperties2KHR = radv_GetDisplayModeProperties2KHR,
    .GetDisplayPlaneCapabilities2KHR = radv_GetDisplayPlaneCapabilities2KHR,
    .GetPhysicalDeviceCalibrateableTimeDomainsEXT = radv_GetPhysicalDeviceCalibrateableTimeDomainsEXT,
    .GetPhysicalDeviceCooperativeMatrixPropertiesNV = radv_GetPhysicalDeviceCooperativeMatrixPropertiesNV,
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetPhysicalDeviceSurfacePresentModes2EXT = radv_GetPhysicalDeviceSurfacePresentModes2EXT,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR = radv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR,
    .GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR = radv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR,
    .GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV = radv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV,
    .GetPhysicalDeviceToolPropertiesEXT = radv_GetPhysicalDeviceToolPropertiesEXT,
    .GetPhysicalDeviceFragmentShadingRatesKHR = radv_GetPhysicalDeviceFragmentShadingRatesKHR,
};


#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetDeviceProcAddr_Weak=radv_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:radv_GetDeviceProcAddr=radv_GetDeviceProcAddr_Weak")
    PFN_vkVoidFunction (*radv_GetDeviceProcAddr_Null)(VkDevice device, const char* pName) = 0;
    PFN_vkVoidFunction radv_GetDeviceProcAddr_Weak(VkDevice device, const char* pName);
#else
    VKAPI_ATTR PFN_vkVoidFunction VKAPI_CALL radv_GetDeviceProcAddr(VkDevice device, const char* pName) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetDeviceProcAddr_Weak=sqtt_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetDeviceProcAddr=sqtt_GetDeviceProcAddr_Weak")
    PFN_vkVoidFunction (*sqtt_GetDeviceProcAddr_Null)(VkDevice device, const char* pName) = 0;
    PFN_vkVoidFunction sqtt_GetDeviceProcAddr_Weak(VkDevice device, const char* pName);
#else
    VKAPI_ATTR PFN_vkVoidFunction VKAPI_CALL sqtt_GetDeviceProcAddr(VkDevice device, const char* pName) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_DestroyDevice_Weak=radv_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:radv_DestroyDevice=radv_DestroyDevice_Weak")
    void (*radv_DestroyDevice_Null)(VkDevice device, const VkAllocationCallbacks* pAllocator) = 0;
    void radv_DestroyDevice_Weak(VkDevice device, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroyDevice(VkDevice device, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_DestroyDevice_Weak=sqtt_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:sqtt_DestroyDevice=sqtt_DestroyDevice_Weak")
    void (*sqtt_DestroyDevice_Null)(VkDevice device, const VkAllocationCallbacks* pAllocator) = 0;
    void sqtt_DestroyDevice_Weak(VkDevice device, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_DestroyDevice(VkDevice device, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetDeviceQueue_Weak=radv_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:radv_GetDeviceQueue=radv_GetDeviceQueue_Weak")
    void (*radv_GetDeviceQueue_Null)(VkDevice device, uint32_t queueFamilyIndex, uint32_t queueIndex, VkQueue* pQueue) = 0;
    void radv_GetDeviceQueue_Weak(VkDevice device, uint32_t queueFamilyIndex, uint32_t queueIndex, VkQueue* pQueue);
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetDeviceQueue(VkDevice device, uint32_t queueFamilyIndex, uint32_t queueIndex, VkQueue* pQueue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetDeviceQueue_Weak=sqtt_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetDeviceQueue=sqtt_GetDeviceQueue_Weak")
    void (*sqtt_GetDeviceQueue_Null)(VkDevice device, uint32_t queueFamilyIndex, uint32_t queueIndex, VkQueue* pQueue) = 0;
    void sqtt_GetDeviceQueue_Weak(VkDevice device, uint32_t queueFamilyIndex, uint32_t queueIndex, VkQueue* pQueue);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_GetDeviceQueue(VkDevice device, uint32_t queueFamilyIndex, uint32_t queueIndex, VkQueue* pQueue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_QueueSubmit_Weak=radv_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:radv_QueueSubmit=radv_QueueSubmit_Weak")
    VkResult (*radv_QueueSubmit_Null)(VkQueue queue, uint32_t submitCount, const VkSubmitInfo* pSubmits, VkFence fence) = 0;
    VkResult radv_QueueSubmit_Weak(VkQueue queue, uint32_t submitCount, const VkSubmitInfo* pSubmits, VkFence fence);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_QueueSubmit(VkQueue queue, uint32_t submitCount, const VkSubmitInfo* pSubmits, VkFence fence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_QueueSubmit_Weak=sqtt_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:sqtt_QueueSubmit=sqtt_QueueSubmit_Weak")
    VkResult (*sqtt_QueueSubmit_Null)(VkQueue queue, uint32_t submitCount, const VkSubmitInfo* pSubmits, VkFence fence) = 0;
    VkResult sqtt_QueueSubmit_Weak(VkQueue queue, uint32_t submitCount, const VkSubmitInfo* pSubmits, VkFence fence);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_QueueSubmit(VkQueue queue, uint32_t submitCount, const VkSubmitInfo* pSubmits, VkFence fence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_QueueWaitIdle_Weak=radv_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:radv_QueueWaitIdle=radv_QueueWaitIdle_Weak")
    VkResult (*radv_QueueWaitIdle_Null)(VkQueue queue) = 0;
    VkResult radv_QueueWaitIdle_Weak(VkQueue queue);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_QueueWaitIdle(VkQueue queue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_QueueWaitIdle_Weak=sqtt_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:sqtt_QueueWaitIdle=sqtt_QueueWaitIdle_Weak")
    VkResult (*sqtt_QueueWaitIdle_Null)(VkQueue queue) = 0;
    VkResult sqtt_QueueWaitIdle_Weak(VkQueue queue);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_QueueWaitIdle(VkQueue queue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_DeviceWaitIdle_Weak=radv_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:radv_DeviceWaitIdle=radv_DeviceWaitIdle_Weak")
    VkResult (*radv_DeviceWaitIdle_Null)(VkDevice device) = 0;
    VkResult radv_DeviceWaitIdle_Weak(VkDevice device);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_DeviceWaitIdle(VkDevice device) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_DeviceWaitIdle_Weak=sqtt_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:sqtt_DeviceWaitIdle=sqtt_DeviceWaitIdle_Weak")
    VkResult (*sqtt_DeviceWaitIdle_Null)(VkDevice device) = 0;
    VkResult sqtt_DeviceWaitIdle_Weak(VkDevice device);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_DeviceWaitIdle(VkDevice device) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_AllocateMemory_Weak=radv_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:radv_AllocateMemory=radv_AllocateMemory_Weak")
    VkResult (*radv_AllocateMemory_Null)(VkDevice device, const VkMemoryAllocateInfo* pAllocateInfo, const VkAllocationCallbacks* pAllocator, VkDeviceMemory* pMemory) = 0;
    VkResult radv_AllocateMemory_Weak(VkDevice device, const VkMemoryAllocateInfo* pAllocateInfo, const VkAllocationCallbacks* pAllocator, VkDeviceMemory* pMemory);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_AllocateMemory(VkDevice device, const VkMemoryAllocateInfo* pAllocateInfo, const VkAllocationCallbacks* pAllocator, VkDeviceMemory* pMemory) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_AllocateMemory_Weak=sqtt_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:sqtt_AllocateMemory=sqtt_AllocateMemory_Weak")
    VkResult (*sqtt_AllocateMemory_Null)(VkDevice device, const VkMemoryAllocateInfo* pAllocateInfo, const VkAllocationCallbacks* pAllocator, VkDeviceMemory* pMemory) = 0;
    VkResult sqtt_AllocateMemory_Weak(VkDevice device, const VkMemoryAllocateInfo* pAllocateInfo, const VkAllocationCallbacks* pAllocator, VkDeviceMemory* pMemory);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_AllocateMemory(VkDevice device, const VkMemoryAllocateInfo* pAllocateInfo, const VkAllocationCallbacks* pAllocator, VkDeviceMemory* pMemory) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_FreeMemory_Weak=radv_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:radv_FreeMemory=radv_FreeMemory_Weak")
    void (*radv_FreeMemory_Null)(VkDevice device, VkDeviceMemory memory, const VkAllocationCallbacks* pAllocator) = 0;
    void radv_FreeMemory_Weak(VkDevice device, VkDeviceMemory memory, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL radv_FreeMemory(VkDevice device, VkDeviceMemory memory, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_FreeMemory_Weak=sqtt_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:sqtt_FreeMemory=sqtt_FreeMemory_Weak")
    void (*sqtt_FreeMemory_Null)(VkDevice device, VkDeviceMemory memory, const VkAllocationCallbacks* pAllocator) = 0;
    void sqtt_FreeMemory_Weak(VkDevice device, VkDeviceMemory memory, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_FreeMemory(VkDevice device, VkDeviceMemory memory, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_MapMemory_Weak=radv_MapMemory_Null")
    #pragma comment(linker, "/alternatename:radv_MapMemory=radv_MapMemory_Weak")
    VkResult (*radv_MapMemory_Null)(VkDevice device, VkDeviceMemory memory, VkDeviceSize offset, VkDeviceSize size, VkMemoryMapFlags flags, void** ppData) = 0;
    VkResult radv_MapMemory_Weak(VkDevice device, VkDeviceMemory memory, VkDeviceSize offset, VkDeviceSize size, VkMemoryMapFlags flags, void** ppData);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_MapMemory(VkDevice device, VkDeviceMemory memory, VkDeviceSize offset, VkDeviceSize size, VkMemoryMapFlags flags, void** ppData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_MapMemory_Weak=sqtt_MapMemory_Null")
    #pragma comment(linker, "/alternatename:sqtt_MapMemory=sqtt_MapMemory_Weak")
    VkResult (*sqtt_MapMemory_Null)(VkDevice device, VkDeviceMemory memory, VkDeviceSize offset, VkDeviceSize size, VkMemoryMapFlags flags, void** ppData) = 0;
    VkResult sqtt_MapMemory_Weak(VkDevice device, VkDeviceMemory memory, VkDeviceSize offset, VkDeviceSize size, VkMemoryMapFlags flags, void** ppData);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_MapMemory(VkDevice device, VkDeviceMemory memory, VkDeviceSize offset, VkDeviceSize size, VkMemoryMapFlags flags, void** ppData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_UnmapMemory_Weak=radv_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:radv_UnmapMemory=radv_UnmapMemory_Weak")
    void (*radv_UnmapMemory_Null)(VkDevice device, VkDeviceMemory memory) = 0;
    void radv_UnmapMemory_Weak(VkDevice device, VkDeviceMemory memory);
#else
    VKAPI_ATTR void VKAPI_CALL radv_UnmapMemory(VkDevice device, VkDeviceMemory memory) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_UnmapMemory_Weak=sqtt_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:sqtt_UnmapMemory=sqtt_UnmapMemory_Weak")
    void (*sqtt_UnmapMemory_Null)(VkDevice device, VkDeviceMemory memory) = 0;
    void sqtt_UnmapMemory_Weak(VkDevice device, VkDeviceMemory memory);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_UnmapMemory(VkDevice device, VkDeviceMemory memory) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_FlushMappedMemoryRanges_Weak=radv_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:radv_FlushMappedMemoryRanges=radv_FlushMappedMemoryRanges_Weak")
    VkResult (*radv_FlushMappedMemoryRanges_Null)(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges) = 0;
    VkResult radv_FlushMappedMemoryRanges_Weak(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_FlushMappedMemoryRanges(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_FlushMappedMemoryRanges_Weak=sqtt_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:sqtt_FlushMappedMemoryRanges=sqtt_FlushMappedMemoryRanges_Weak")
    VkResult (*sqtt_FlushMappedMemoryRanges_Null)(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges) = 0;
    VkResult sqtt_FlushMappedMemoryRanges_Weak(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_FlushMappedMemoryRanges(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_InvalidateMappedMemoryRanges_Weak=radv_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:radv_InvalidateMappedMemoryRanges=radv_InvalidateMappedMemoryRanges_Weak")
    VkResult (*radv_InvalidateMappedMemoryRanges_Null)(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges) = 0;
    VkResult radv_InvalidateMappedMemoryRanges_Weak(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_InvalidateMappedMemoryRanges(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_InvalidateMappedMemoryRanges_Weak=sqtt_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:sqtt_InvalidateMappedMemoryRanges=sqtt_InvalidateMappedMemoryRanges_Weak")
    VkResult (*sqtt_InvalidateMappedMemoryRanges_Null)(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges) = 0;
    VkResult sqtt_InvalidateMappedMemoryRanges_Weak(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_InvalidateMappedMemoryRanges(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetDeviceMemoryCommitment_Weak=radv_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:radv_GetDeviceMemoryCommitment=radv_GetDeviceMemoryCommitment_Weak")
    void (*radv_GetDeviceMemoryCommitment_Null)(VkDevice device, VkDeviceMemory memory, VkDeviceSize* pCommittedMemoryInBytes) = 0;
    void radv_GetDeviceMemoryCommitment_Weak(VkDevice device, VkDeviceMemory memory, VkDeviceSize* pCommittedMemoryInBytes);
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetDeviceMemoryCommitment(VkDevice device, VkDeviceMemory memory, VkDeviceSize* pCommittedMemoryInBytes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetDeviceMemoryCommitment_Weak=sqtt_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetDeviceMemoryCommitment=sqtt_GetDeviceMemoryCommitment_Weak")
    void (*sqtt_GetDeviceMemoryCommitment_Null)(VkDevice device, VkDeviceMemory memory, VkDeviceSize* pCommittedMemoryInBytes) = 0;
    void sqtt_GetDeviceMemoryCommitment_Weak(VkDevice device, VkDeviceMemory memory, VkDeviceSize* pCommittedMemoryInBytes);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_GetDeviceMemoryCommitment(VkDevice device, VkDeviceMemory memory, VkDeviceSize* pCommittedMemoryInBytes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetBufferMemoryRequirements_Weak=radv_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:radv_GetBufferMemoryRequirements=radv_GetBufferMemoryRequirements_Weak")
    void (*radv_GetBufferMemoryRequirements_Null)(VkDevice device, VkBuffer buffer, VkMemoryRequirements* pMemoryRequirements) = 0;
    void radv_GetBufferMemoryRequirements_Weak(VkDevice device, VkBuffer buffer, VkMemoryRequirements* pMemoryRequirements);
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetBufferMemoryRequirements(VkDevice device, VkBuffer buffer, VkMemoryRequirements* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetBufferMemoryRequirements_Weak=sqtt_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetBufferMemoryRequirements=sqtt_GetBufferMemoryRequirements_Weak")
    void (*sqtt_GetBufferMemoryRequirements_Null)(VkDevice device, VkBuffer buffer, VkMemoryRequirements* pMemoryRequirements) = 0;
    void sqtt_GetBufferMemoryRequirements_Weak(VkDevice device, VkBuffer buffer, VkMemoryRequirements* pMemoryRequirements);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_GetBufferMemoryRequirements(VkDevice device, VkBuffer buffer, VkMemoryRequirements* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_BindBufferMemory_Weak=radv_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:radv_BindBufferMemory=radv_BindBufferMemory_Weak")
    VkResult (*radv_BindBufferMemory_Null)(VkDevice device, VkBuffer buffer, VkDeviceMemory memory, VkDeviceSize memoryOffset) = 0;
    VkResult radv_BindBufferMemory_Weak(VkDevice device, VkBuffer buffer, VkDeviceMemory memory, VkDeviceSize memoryOffset);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_BindBufferMemory(VkDevice device, VkBuffer buffer, VkDeviceMemory memory, VkDeviceSize memoryOffset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_BindBufferMemory_Weak=sqtt_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:sqtt_BindBufferMemory=sqtt_BindBufferMemory_Weak")
    VkResult (*sqtt_BindBufferMemory_Null)(VkDevice device, VkBuffer buffer, VkDeviceMemory memory, VkDeviceSize memoryOffset) = 0;
    VkResult sqtt_BindBufferMemory_Weak(VkDevice device, VkBuffer buffer, VkDeviceMemory memory, VkDeviceSize memoryOffset);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_BindBufferMemory(VkDevice device, VkBuffer buffer, VkDeviceMemory memory, VkDeviceSize memoryOffset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetImageMemoryRequirements_Weak=radv_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:radv_GetImageMemoryRequirements=radv_GetImageMemoryRequirements_Weak")
    void (*radv_GetImageMemoryRequirements_Null)(VkDevice device, VkImage image, VkMemoryRequirements* pMemoryRequirements) = 0;
    void radv_GetImageMemoryRequirements_Weak(VkDevice device, VkImage image, VkMemoryRequirements* pMemoryRequirements);
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetImageMemoryRequirements(VkDevice device, VkImage image, VkMemoryRequirements* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetImageMemoryRequirements_Weak=sqtt_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetImageMemoryRequirements=sqtt_GetImageMemoryRequirements_Weak")
    void (*sqtt_GetImageMemoryRequirements_Null)(VkDevice device, VkImage image, VkMemoryRequirements* pMemoryRequirements) = 0;
    void sqtt_GetImageMemoryRequirements_Weak(VkDevice device, VkImage image, VkMemoryRequirements* pMemoryRequirements);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_GetImageMemoryRequirements(VkDevice device, VkImage image, VkMemoryRequirements* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_BindImageMemory_Weak=radv_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:radv_BindImageMemory=radv_BindImageMemory_Weak")
    VkResult (*radv_BindImageMemory_Null)(VkDevice device, VkImage image, VkDeviceMemory memory, VkDeviceSize memoryOffset) = 0;
    VkResult radv_BindImageMemory_Weak(VkDevice device, VkImage image, VkDeviceMemory memory, VkDeviceSize memoryOffset);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_BindImageMemory(VkDevice device, VkImage image, VkDeviceMemory memory, VkDeviceSize memoryOffset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_BindImageMemory_Weak=sqtt_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:sqtt_BindImageMemory=sqtt_BindImageMemory_Weak")
    VkResult (*sqtt_BindImageMemory_Null)(VkDevice device, VkImage image, VkDeviceMemory memory, VkDeviceSize memoryOffset) = 0;
    VkResult sqtt_BindImageMemory_Weak(VkDevice device, VkImage image, VkDeviceMemory memory, VkDeviceSize memoryOffset);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_BindImageMemory(VkDevice device, VkImage image, VkDeviceMemory memory, VkDeviceSize memoryOffset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetImageSparseMemoryRequirements_Weak=radv_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:radv_GetImageSparseMemoryRequirements=radv_GetImageSparseMemoryRequirements_Weak")
    void (*radv_GetImageSparseMemoryRequirements_Null)(VkDevice device, VkImage image, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements* pSparseMemoryRequirements) = 0;
    void radv_GetImageSparseMemoryRequirements_Weak(VkDevice device, VkImage image, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements* pSparseMemoryRequirements);
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetImageSparseMemoryRequirements(VkDevice device, VkImage image, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements* pSparseMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetImageSparseMemoryRequirements_Weak=sqtt_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetImageSparseMemoryRequirements=sqtt_GetImageSparseMemoryRequirements_Weak")
    void (*sqtt_GetImageSparseMemoryRequirements_Null)(VkDevice device, VkImage image, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements* pSparseMemoryRequirements) = 0;
    void sqtt_GetImageSparseMemoryRequirements_Weak(VkDevice device, VkImage image, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements* pSparseMemoryRequirements);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_GetImageSparseMemoryRequirements(VkDevice device, VkImage image, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements* pSparseMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_QueueBindSparse_Weak=radv_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:radv_QueueBindSparse=radv_QueueBindSparse_Weak")
    VkResult (*radv_QueueBindSparse_Null)(VkQueue queue, uint32_t bindInfoCount, const VkBindSparseInfo* pBindInfo, VkFence fence) = 0;
    VkResult radv_QueueBindSparse_Weak(VkQueue queue, uint32_t bindInfoCount, const VkBindSparseInfo* pBindInfo, VkFence fence);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_QueueBindSparse(VkQueue queue, uint32_t bindInfoCount, const VkBindSparseInfo* pBindInfo, VkFence fence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_QueueBindSparse_Weak=sqtt_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:sqtt_QueueBindSparse=sqtt_QueueBindSparse_Weak")
    VkResult (*sqtt_QueueBindSparse_Null)(VkQueue queue, uint32_t bindInfoCount, const VkBindSparseInfo* pBindInfo, VkFence fence) = 0;
    VkResult sqtt_QueueBindSparse_Weak(VkQueue queue, uint32_t bindInfoCount, const VkBindSparseInfo* pBindInfo, VkFence fence);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_QueueBindSparse(VkQueue queue, uint32_t bindInfoCount, const VkBindSparseInfo* pBindInfo, VkFence fence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CreateFence_Weak=radv_CreateFence_Null")
    #pragma comment(linker, "/alternatename:radv_CreateFence=radv_CreateFence_Weak")
    VkResult (*radv_CreateFence_Null)(VkDevice device, const VkFenceCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) = 0;
    VkResult radv_CreateFence_Weak(VkDevice device, const VkFenceCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateFence(VkDevice device, const VkFenceCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CreateFence_Weak=sqtt_CreateFence_Null")
    #pragma comment(linker, "/alternatename:sqtt_CreateFence=sqtt_CreateFence_Weak")
    VkResult (*sqtt_CreateFence_Null)(VkDevice device, const VkFenceCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) = 0;
    VkResult sqtt_CreateFence_Weak(VkDevice device, const VkFenceCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateFence(VkDevice device, const VkFenceCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_DestroyFence_Weak=radv_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:radv_DestroyFence=radv_DestroyFence_Weak")
    void (*radv_DestroyFence_Null)(VkDevice device, VkFence fence, const VkAllocationCallbacks* pAllocator) = 0;
    void radv_DestroyFence_Weak(VkDevice device, VkFence fence, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroyFence(VkDevice device, VkFence fence, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_DestroyFence_Weak=sqtt_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:sqtt_DestroyFence=sqtt_DestroyFence_Weak")
    void (*sqtt_DestroyFence_Null)(VkDevice device, VkFence fence, const VkAllocationCallbacks* pAllocator) = 0;
    void sqtt_DestroyFence_Weak(VkDevice device, VkFence fence, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_DestroyFence(VkDevice device, VkFence fence, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_ResetFences_Weak=radv_ResetFences_Null")
    #pragma comment(linker, "/alternatename:radv_ResetFences=radv_ResetFences_Weak")
    VkResult (*radv_ResetFences_Null)(VkDevice device, uint32_t fenceCount, const VkFence* pFences) = 0;
    VkResult radv_ResetFences_Weak(VkDevice device, uint32_t fenceCount, const VkFence* pFences);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_ResetFences(VkDevice device, uint32_t fenceCount, const VkFence* pFences) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_ResetFences_Weak=sqtt_ResetFences_Null")
    #pragma comment(linker, "/alternatename:sqtt_ResetFences=sqtt_ResetFences_Weak")
    VkResult (*sqtt_ResetFences_Null)(VkDevice device, uint32_t fenceCount, const VkFence* pFences) = 0;
    VkResult sqtt_ResetFences_Weak(VkDevice device, uint32_t fenceCount, const VkFence* pFences);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_ResetFences(VkDevice device, uint32_t fenceCount, const VkFence* pFences) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetFenceStatus_Weak=radv_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:radv_GetFenceStatus=radv_GetFenceStatus_Weak")
    VkResult (*radv_GetFenceStatus_Null)(VkDevice device, VkFence fence) = 0;
    VkResult radv_GetFenceStatus_Weak(VkDevice device, VkFence fence);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetFenceStatus(VkDevice device, VkFence fence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetFenceStatus_Weak=sqtt_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetFenceStatus=sqtt_GetFenceStatus_Weak")
    VkResult (*sqtt_GetFenceStatus_Null)(VkDevice device, VkFence fence) = 0;
    VkResult sqtt_GetFenceStatus_Weak(VkDevice device, VkFence fence);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetFenceStatus(VkDevice device, VkFence fence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_WaitForFences_Weak=radv_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:radv_WaitForFences=radv_WaitForFences_Weak")
    VkResult (*radv_WaitForFences_Null)(VkDevice device, uint32_t fenceCount, const VkFence* pFences, VkBool32 waitAll, uint64_t timeout) = 0;
    VkResult radv_WaitForFences_Weak(VkDevice device, uint32_t fenceCount, const VkFence* pFences, VkBool32 waitAll, uint64_t timeout);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_WaitForFences(VkDevice device, uint32_t fenceCount, const VkFence* pFences, VkBool32 waitAll, uint64_t timeout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_WaitForFences_Weak=sqtt_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:sqtt_WaitForFences=sqtt_WaitForFences_Weak")
    VkResult (*sqtt_WaitForFences_Null)(VkDevice device, uint32_t fenceCount, const VkFence* pFences, VkBool32 waitAll, uint64_t timeout) = 0;
    VkResult sqtt_WaitForFences_Weak(VkDevice device, uint32_t fenceCount, const VkFence* pFences, VkBool32 waitAll, uint64_t timeout);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_WaitForFences(VkDevice device, uint32_t fenceCount, const VkFence* pFences, VkBool32 waitAll, uint64_t timeout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CreateSemaphore_Weak=radv_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:radv_CreateSemaphore=radv_CreateSemaphore_Weak")
    VkResult (*radv_CreateSemaphore_Null)(VkDevice device, const VkSemaphoreCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSemaphore* pSemaphore) = 0;
    VkResult radv_CreateSemaphore_Weak(VkDevice device, const VkSemaphoreCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSemaphore* pSemaphore);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateSemaphore(VkDevice device, const VkSemaphoreCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSemaphore* pSemaphore) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CreateSemaphore_Weak=sqtt_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:sqtt_CreateSemaphore=sqtt_CreateSemaphore_Weak")
    VkResult (*sqtt_CreateSemaphore_Null)(VkDevice device, const VkSemaphoreCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSemaphore* pSemaphore) = 0;
    VkResult sqtt_CreateSemaphore_Weak(VkDevice device, const VkSemaphoreCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSemaphore* pSemaphore);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateSemaphore(VkDevice device, const VkSemaphoreCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSemaphore* pSemaphore) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_DestroySemaphore_Weak=radv_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:radv_DestroySemaphore=radv_DestroySemaphore_Weak")
    void (*radv_DestroySemaphore_Null)(VkDevice device, VkSemaphore semaphore, const VkAllocationCallbacks* pAllocator) = 0;
    void radv_DestroySemaphore_Weak(VkDevice device, VkSemaphore semaphore, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroySemaphore(VkDevice device, VkSemaphore semaphore, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_DestroySemaphore_Weak=sqtt_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:sqtt_DestroySemaphore=sqtt_DestroySemaphore_Weak")
    void (*sqtt_DestroySemaphore_Null)(VkDevice device, VkSemaphore semaphore, const VkAllocationCallbacks* pAllocator) = 0;
    void sqtt_DestroySemaphore_Weak(VkDevice device, VkSemaphore semaphore, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_DestroySemaphore(VkDevice device, VkSemaphore semaphore, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CreateEvent_Weak=radv_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:radv_CreateEvent=radv_CreateEvent_Weak")
    VkResult (*radv_CreateEvent_Null)(VkDevice device, const VkEventCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkEvent* pEvent) = 0;
    VkResult radv_CreateEvent_Weak(VkDevice device, const VkEventCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkEvent* pEvent);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateEvent(VkDevice device, const VkEventCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkEvent* pEvent) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CreateEvent_Weak=sqtt_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:sqtt_CreateEvent=sqtt_CreateEvent_Weak")
    VkResult (*sqtt_CreateEvent_Null)(VkDevice device, const VkEventCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkEvent* pEvent) = 0;
    VkResult sqtt_CreateEvent_Weak(VkDevice device, const VkEventCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkEvent* pEvent);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateEvent(VkDevice device, const VkEventCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkEvent* pEvent) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_DestroyEvent_Weak=radv_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:radv_DestroyEvent=radv_DestroyEvent_Weak")
    void (*radv_DestroyEvent_Null)(VkDevice device, VkEvent event, const VkAllocationCallbacks* pAllocator) = 0;
    void radv_DestroyEvent_Weak(VkDevice device, VkEvent event, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroyEvent(VkDevice device, VkEvent event, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_DestroyEvent_Weak=sqtt_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:sqtt_DestroyEvent=sqtt_DestroyEvent_Weak")
    void (*sqtt_DestroyEvent_Null)(VkDevice device, VkEvent event, const VkAllocationCallbacks* pAllocator) = 0;
    void sqtt_DestroyEvent_Weak(VkDevice device, VkEvent event, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_DestroyEvent(VkDevice device, VkEvent event, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetEventStatus_Weak=radv_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:radv_GetEventStatus=radv_GetEventStatus_Weak")
    VkResult (*radv_GetEventStatus_Null)(VkDevice device, VkEvent event) = 0;
    VkResult radv_GetEventStatus_Weak(VkDevice device, VkEvent event);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetEventStatus(VkDevice device, VkEvent event) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetEventStatus_Weak=sqtt_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetEventStatus=sqtt_GetEventStatus_Weak")
    VkResult (*sqtt_GetEventStatus_Null)(VkDevice device, VkEvent event) = 0;
    VkResult sqtt_GetEventStatus_Weak(VkDevice device, VkEvent event);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetEventStatus(VkDevice device, VkEvent event) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_SetEvent_Weak=radv_SetEvent_Null")
    #pragma comment(linker, "/alternatename:radv_SetEvent=radv_SetEvent_Weak")
    VkResult (*radv_SetEvent_Null)(VkDevice device, VkEvent event) = 0;
    VkResult radv_SetEvent_Weak(VkDevice device, VkEvent event);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_SetEvent(VkDevice device, VkEvent event) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_SetEvent_Weak=sqtt_SetEvent_Null")
    #pragma comment(linker, "/alternatename:sqtt_SetEvent=sqtt_SetEvent_Weak")
    VkResult (*sqtt_SetEvent_Null)(VkDevice device, VkEvent event) = 0;
    VkResult sqtt_SetEvent_Weak(VkDevice device, VkEvent event);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_SetEvent(VkDevice device, VkEvent event) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_ResetEvent_Weak=radv_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:radv_ResetEvent=radv_ResetEvent_Weak")
    VkResult (*radv_ResetEvent_Null)(VkDevice device, VkEvent event) = 0;
    VkResult radv_ResetEvent_Weak(VkDevice device, VkEvent event);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_ResetEvent(VkDevice device, VkEvent event) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_ResetEvent_Weak=sqtt_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:sqtt_ResetEvent=sqtt_ResetEvent_Weak")
    VkResult (*sqtt_ResetEvent_Null)(VkDevice device, VkEvent event) = 0;
    VkResult sqtt_ResetEvent_Weak(VkDevice device, VkEvent event);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_ResetEvent(VkDevice device, VkEvent event) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CreateQueryPool_Weak=radv_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:radv_CreateQueryPool=radv_CreateQueryPool_Weak")
    VkResult (*radv_CreateQueryPool_Null)(VkDevice device, const VkQueryPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkQueryPool* pQueryPool) = 0;
    VkResult radv_CreateQueryPool_Weak(VkDevice device, const VkQueryPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkQueryPool* pQueryPool);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateQueryPool(VkDevice device, const VkQueryPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkQueryPool* pQueryPool) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CreateQueryPool_Weak=sqtt_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:sqtt_CreateQueryPool=sqtt_CreateQueryPool_Weak")
    VkResult (*sqtt_CreateQueryPool_Null)(VkDevice device, const VkQueryPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkQueryPool* pQueryPool) = 0;
    VkResult sqtt_CreateQueryPool_Weak(VkDevice device, const VkQueryPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkQueryPool* pQueryPool);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateQueryPool(VkDevice device, const VkQueryPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkQueryPool* pQueryPool) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_DestroyQueryPool_Weak=radv_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:radv_DestroyQueryPool=radv_DestroyQueryPool_Weak")
    void (*radv_DestroyQueryPool_Null)(VkDevice device, VkQueryPool queryPool, const VkAllocationCallbacks* pAllocator) = 0;
    void radv_DestroyQueryPool_Weak(VkDevice device, VkQueryPool queryPool, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroyQueryPool(VkDevice device, VkQueryPool queryPool, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_DestroyQueryPool_Weak=sqtt_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:sqtt_DestroyQueryPool=sqtt_DestroyQueryPool_Weak")
    void (*sqtt_DestroyQueryPool_Null)(VkDevice device, VkQueryPool queryPool, const VkAllocationCallbacks* pAllocator) = 0;
    void sqtt_DestroyQueryPool_Weak(VkDevice device, VkQueryPool queryPool, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_DestroyQueryPool(VkDevice device, VkQueryPool queryPool, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetQueryPoolResults_Weak=radv_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:radv_GetQueryPoolResults=radv_GetQueryPoolResults_Weak")
    VkResult (*radv_GetQueryPoolResults_Null)(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, size_t dataSize, void* pData, VkDeviceSize stride, VkQueryResultFlags flags) = 0;
    VkResult radv_GetQueryPoolResults_Weak(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, size_t dataSize, void* pData, VkDeviceSize stride, VkQueryResultFlags flags);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetQueryPoolResults(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, size_t dataSize, void* pData, VkDeviceSize stride, VkQueryResultFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetQueryPoolResults_Weak=sqtt_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetQueryPoolResults=sqtt_GetQueryPoolResults_Weak")
    VkResult (*sqtt_GetQueryPoolResults_Null)(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, size_t dataSize, void* pData, VkDeviceSize stride, VkQueryResultFlags flags) = 0;
    VkResult sqtt_GetQueryPoolResults_Weak(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, size_t dataSize, void* pData, VkDeviceSize stride, VkQueryResultFlags flags);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetQueryPoolResults(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, size_t dataSize, void* pData, VkDeviceSize stride, VkQueryResultFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_ResetQueryPool_Weak=radv_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:radv_ResetQueryPool=radv_ResetQueryPool_Weak")
    void (*radv_ResetQueryPool_Null)(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) = 0;
    void radv_ResetQueryPool_Weak(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount);
#else
    VKAPI_ATTR void VKAPI_CALL radv_ResetQueryPool(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_ResetQueryPool_Weak=sqtt_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:sqtt_ResetQueryPool=sqtt_ResetQueryPool_Weak")
    void (*sqtt_ResetQueryPool_Null)(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) = 0;
    void sqtt_ResetQueryPool_Weak(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_ResetQueryPool(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_ResetQueryPoolEXT_Weak=radv_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:radv_ResetQueryPoolEXT=radv_ResetQueryPoolEXT_Weak")
    void (*radv_ResetQueryPoolEXT_Null)(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) = 0;
    void radv_ResetQueryPoolEXT_Weak(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount);
#else
    VKAPI_ATTR void VKAPI_CALL radv_ResetQueryPoolEXT(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_ResetQueryPoolEXT_Weak=sqtt_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:sqtt_ResetQueryPoolEXT=sqtt_ResetQueryPoolEXT_Weak")
    void (*sqtt_ResetQueryPoolEXT_Null)(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) = 0;
    void sqtt_ResetQueryPoolEXT_Weak(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_ResetQueryPoolEXT(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CreateBuffer_Weak=radv_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:radv_CreateBuffer=radv_CreateBuffer_Weak")
    VkResult (*radv_CreateBuffer_Null)(VkDevice device, const VkBufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBuffer* pBuffer) = 0;
    VkResult radv_CreateBuffer_Weak(VkDevice device, const VkBufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBuffer* pBuffer);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateBuffer(VkDevice device, const VkBufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBuffer* pBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CreateBuffer_Weak=sqtt_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:sqtt_CreateBuffer=sqtt_CreateBuffer_Weak")
    VkResult (*sqtt_CreateBuffer_Null)(VkDevice device, const VkBufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBuffer* pBuffer) = 0;
    VkResult sqtt_CreateBuffer_Weak(VkDevice device, const VkBufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBuffer* pBuffer);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateBuffer(VkDevice device, const VkBufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBuffer* pBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_DestroyBuffer_Weak=radv_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:radv_DestroyBuffer=radv_DestroyBuffer_Weak")
    void (*radv_DestroyBuffer_Null)(VkDevice device, VkBuffer buffer, const VkAllocationCallbacks* pAllocator) = 0;
    void radv_DestroyBuffer_Weak(VkDevice device, VkBuffer buffer, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroyBuffer(VkDevice device, VkBuffer buffer, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_DestroyBuffer_Weak=sqtt_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:sqtt_DestroyBuffer=sqtt_DestroyBuffer_Weak")
    void (*sqtt_DestroyBuffer_Null)(VkDevice device, VkBuffer buffer, const VkAllocationCallbacks* pAllocator) = 0;
    void sqtt_DestroyBuffer_Weak(VkDevice device, VkBuffer buffer, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_DestroyBuffer(VkDevice device, VkBuffer buffer, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CreateBufferView_Weak=radv_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:radv_CreateBufferView=radv_CreateBufferView_Weak")
    VkResult (*radv_CreateBufferView_Null)(VkDevice device, const VkBufferViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBufferView* pView) = 0;
    VkResult radv_CreateBufferView_Weak(VkDevice device, const VkBufferViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBufferView* pView);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateBufferView(VkDevice device, const VkBufferViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBufferView* pView) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CreateBufferView_Weak=sqtt_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:sqtt_CreateBufferView=sqtt_CreateBufferView_Weak")
    VkResult (*sqtt_CreateBufferView_Null)(VkDevice device, const VkBufferViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBufferView* pView) = 0;
    VkResult sqtt_CreateBufferView_Weak(VkDevice device, const VkBufferViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBufferView* pView);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateBufferView(VkDevice device, const VkBufferViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBufferView* pView) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_DestroyBufferView_Weak=radv_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:radv_DestroyBufferView=radv_DestroyBufferView_Weak")
    void (*radv_DestroyBufferView_Null)(VkDevice device, VkBufferView bufferView, const VkAllocationCallbacks* pAllocator) = 0;
    void radv_DestroyBufferView_Weak(VkDevice device, VkBufferView bufferView, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroyBufferView(VkDevice device, VkBufferView bufferView, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_DestroyBufferView_Weak=sqtt_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:sqtt_DestroyBufferView=sqtt_DestroyBufferView_Weak")
    void (*sqtt_DestroyBufferView_Null)(VkDevice device, VkBufferView bufferView, const VkAllocationCallbacks* pAllocator) = 0;
    void sqtt_DestroyBufferView_Weak(VkDevice device, VkBufferView bufferView, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_DestroyBufferView(VkDevice device, VkBufferView bufferView, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CreateImage_Weak=radv_CreateImage_Null")
    #pragma comment(linker, "/alternatename:radv_CreateImage=radv_CreateImage_Weak")
    VkResult (*radv_CreateImage_Null)(VkDevice device, const VkImageCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImage* pImage) = 0;
    VkResult radv_CreateImage_Weak(VkDevice device, const VkImageCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImage* pImage);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateImage(VkDevice device, const VkImageCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImage* pImage) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CreateImage_Weak=sqtt_CreateImage_Null")
    #pragma comment(linker, "/alternatename:sqtt_CreateImage=sqtt_CreateImage_Weak")
    VkResult (*sqtt_CreateImage_Null)(VkDevice device, const VkImageCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImage* pImage) = 0;
    VkResult sqtt_CreateImage_Weak(VkDevice device, const VkImageCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImage* pImage);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateImage(VkDevice device, const VkImageCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImage* pImage) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_DestroyImage_Weak=radv_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:radv_DestroyImage=radv_DestroyImage_Weak")
    void (*radv_DestroyImage_Null)(VkDevice device, VkImage image, const VkAllocationCallbacks* pAllocator) = 0;
    void radv_DestroyImage_Weak(VkDevice device, VkImage image, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroyImage(VkDevice device, VkImage image, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_DestroyImage_Weak=sqtt_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:sqtt_DestroyImage=sqtt_DestroyImage_Weak")
    void (*sqtt_DestroyImage_Null)(VkDevice device, VkImage image, const VkAllocationCallbacks* pAllocator) = 0;
    void sqtt_DestroyImage_Weak(VkDevice device, VkImage image, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_DestroyImage(VkDevice device, VkImage image, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetImageSubresourceLayout_Weak=radv_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:radv_GetImageSubresourceLayout=radv_GetImageSubresourceLayout_Weak")
    void (*radv_GetImageSubresourceLayout_Null)(VkDevice device, VkImage image, const VkImageSubresource* pSubresource, VkSubresourceLayout* pLayout) = 0;
    void radv_GetImageSubresourceLayout_Weak(VkDevice device, VkImage image, const VkImageSubresource* pSubresource, VkSubresourceLayout* pLayout);
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetImageSubresourceLayout(VkDevice device, VkImage image, const VkImageSubresource* pSubresource, VkSubresourceLayout* pLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetImageSubresourceLayout_Weak=sqtt_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetImageSubresourceLayout=sqtt_GetImageSubresourceLayout_Weak")
    void (*sqtt_GetImageSubresourceLayout_Null)(VkDevice device, VkImage image, const VkImageSubresource* pSubresource, VkSubresourceLayout* pLayout) = 0;
    void sqtt_GetImageSubresourceLayout_Weak(VkDevice device, VkImage image, const VkImageSubresource* pSubresource, VkSubresourceLayout* pLayout);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_GetImageSubresourceLayout(VkDevice device, VkImage image, const VkImageSubresource* pSubresource, VkSubresourceLayout* pLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CreateImageView_Weak=radv_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:radv_CreateImageView=radv_CreateImageView_Weak")
    VkResult (*radv_CreateImageView_Null)(VkDevice device, const VkImageViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImageView* pView) = 0;
    VkResult radv_CreateImageView_Weak(VkDevice device, const VkImageViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImageView* pView);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateImageView(VkDevice device, const VkImageViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImageView* pView) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CreateImageView_Weak=sqtt_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:sqtt_CreateImageView=sqtt_CreateImageView_Weak")
    VkResult (*sqtt_CreateImageView_Null)(VkDevice device, const VkImageViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImageView* pView) = 0;
    VkResult sqtt_CreateImageView_Weak(VkDevice device, const VkImageViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImageView* pView);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateImageView(VkDevice device, const VkImageViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImageView* pView) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_DestroyImageView_Weak=radv_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:radv_DestroyImageView=radv_DestroyImageView_Weak")
    void (*radv_DestroyImageView_Null)(VkDevice device, VkImageView imageView, const VkAllocationCallbacks* pAllocator) = 0;
    void radv_DestroyImageView_Weak(VkDevice device, VkImageView imageView, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroyImageView(VkDevice device, VkImageView imageView, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_DestroyImageView_Weak=sqtt_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:sqtt_DestroyImageView=sqtt_DestroyImageView_Weak")
    void (*sqtt_DestroyImageView_Null)(VkDevice device, VkImageView imageView, const VkAllocationCallbacks* pAllocator) = 0;
    void sqtt_DestroyImageView_Weak(VkDevice device, VkImageView imageView, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_DestroyImageView(VkDevice device, VkImageView imageView, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CreateShaderModule_Weak=radv_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:radv_CreateShaderModule=radv_CreateShaderModule_Weak")
    VkResult (*radv_CreateShaderModule_Null)(VkDevice device, const VkShaderModuleCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkShaderModule* pShaderModule) = 0;
    VkResult radv_CreateShaderModule_Weak(VkDevice device, const VkShaderModuleCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkShaderModule* pShaderModule);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateShaderModule(VkDevice device, const VkShaderModuleCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkShaderModule* pShaderModule) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CreateShaderModule_Weak=sqtt_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:sqtt_CreateShaderModule=sqtt_CreateShaderModule_Weak")
    VkResult (*sqtt_CreateShaderModule_Null)(VkDevice device, const VkShaderModuleCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkShaderModule* pShaderModule) = 0;
    VkResult sqtt_CreateShaderModule_Weak(VkDevice device, const VkShaderModuleCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkShaderModule* pShaderModule);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateShaderModule(VkDevice device, const VkShaderModuleCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkShaderModule* pShaderModule) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_DestroyShaderModule_Weak=radv_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:radv_DestroyShaderModule=radv_DestroyShaderModule_Weak")
    void (*radv_DestroyShaderModule_Null)(VkDevice device, VkShaderModule shaderModule, const VkAllocationCallbacks* pAllocator) = 0;
    void radv_DestroyShaderModule_Weak(VkDevice device, VkShaderModule shaderModule, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroyShaderModule(VkDevice device, VkShaderModule shaderModule, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_DestroyShaderModule_Weak=sqtt_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:sqtt_DestroyShaderModule=sqtt_DestroyShaderModule_Weak")
    void (*sqtt_DestroyShaderModule_Null)(VkDevice device, VkShaderModule shaderModule, const VkAllocationCallbacks* pAllocator) = 0;
    void sqtt_DestroyShaderModule_Weak(VkDevice device, VkShaderModule shaderModule, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_DestroyShaderModule(VkDevice device, VkShaderModule shaderModule, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CreatePipelineCache_Weak=radv_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:radv_CreatePipelineCache=radv_CreatePipelineCache_Weak")
    VkResult (*radv_CreatePipelineCache_Null)(VkDevice device, const VkPipelineCacheCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineCache* pPipelineCache) = 0;
    VkResult radv_CreatePipelineCache_Weak(VkDevice device, const VkPipelineCacheCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineCache* pPipelineCache);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreatePipelineCache(VkDevice device, const VkPipelineCacheCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineCache* pPipelineCache) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CreatePipelineCache_Weak=sqtt_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:sqtt_CreatePipelineCache=sqtt_CreatePipelineCache_Weak")
    VkResult (*sqtt_CreatePipelineCache_Null)(VkDevice device, const VkPipelineCacheCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineCache* pPipelineCache) = 0;
    VkResult sqtt_CreatePipelineCache_Weak(VkDevice device, const VkPipelineCacheCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineCache* pPipelineCache);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreatePipelineCache(VkDevice device, const VkPipelineCacheCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineCache* pPipelineCache) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_DestroyPipelineCache_Weak=radv_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:radv_DestroyPipelineCache=radv_DestroyPipelineCache_Weak")
    void (*radv_DestroyPipelineCache_Null)(VkDevice device, VkPipelineCache pipelineCache, const VkAllocationCallbacks* pAllocator) = 0;
    void radv_DestroyPipelineCache_Weak(VkDevice device, VkPipelineCache pipelineCache, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroyPipelineCache(VkDevice device, VkPipelineCache pipelineCache, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_DestroyPipelineCache_Weak=sqtt_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:sqtt_DestroyPipelineCache=sqtt_DestroyPipelineCache_Weak")
    void (*sqtt_DestroyPipelineCache_Null)(VkDevice device, VkPipelineCache pipelineCache, const VkAllocationCallbacks* pAllocator) = 0;
    void sqtt_DestroyPipelineCache_Weak(VkDevice device, VkPipelineCache pipelineCache, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_DestroyPipelineCache(VkDevice device, VkPipelineCache pipelineCache, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetPipelineCacheData_Weak=radv_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:radv_GetPipelineCacheData=radv_GetPipelineCacheData_Weak")
    VkResult (*radv_GetPipelineCacheData_Null)(VkDevice device, VkPipelineCache pipelineCache, size_t* pDataSize, void* pData) = 0;
    VkResult radv_GetPipelineCacheData_Weak(VkDevice device, VkPipelineCache pipelineCache, size_t* pDataSize, void* pData);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetPipelineCacheData(VkDevice device, VkPipelineCache pipelineCache, size_t* pDataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetPipelineCacheData_Weak=sqtt_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetPipelineCacheData=sqtt_GetPipelineCacheData_Weak")
    VkResult (*sqtt_GetPipelineCacheData_Null)(VkDevice device, VkPipelineCache pipelineCache, size_t* pDataSize, void* pData) = 0;
    VkResult sqtt_GetPipelineCacheData_Weak(VkDevice device, VkPipelineCache pipelineCache, size_t* pDataSize, void* pData);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetPipelineCacheData(VkDevice device, VkPipelineCache pipelineCache, size_t* pDataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_MergePipelineCaches_Weak=radv_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:radv_MergePipelineCaches=radv_MergePipelineCaches_Weak")
    VkResult (*radv_MergePipelineCaches_Null)(VkDevice device, VkPipelineCache dstCache, uint32_t srcCacheCount, const VkPipelineCache* pSrcCaches) = 0;
    VkResult radv_MergePipelineCaches_Weak(VkDevice device, VkPipelineCache dstCache, uint32_t srcCacheCount, const VkPipelineCache* pSrcCaches);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_MergePipelineCaches(VkDevice device, VkPipelineCache dstCache, uint32_t srcCacheCount, const VkPipelineCache* pSrcCaches) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_MergePipelineCaches_Weak=sqtt_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:sqtt_MergePipelineCaches=sqtt_MergePipelineCaches_Weak")
    VkResult (*sqtt_MergePipelineCaches_Null)(VkDevice device, VkPipelineCache dstCache, uint32_t srcCacheCount, const VkPipelineCache* pSrcCaches) = 0;
    VkResult sqtt_MergePipelineCaches_Weak(VkDevice device, VkPipelineCache dstCache, uint32_t srcCacheCount, const VkPipelineCache* pSrcCaches);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_MergePipelineCaches(VkDevice device, VkPipelineCache dstCache, uint32_t srcCacheCount, const VkPipelineCache* pSrcCaches) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CreateGraphicsPipelines_Weak=radv_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:radv_CreateGraphicsPipelines=radv_CreateGraphicsPipelines_Weak")
    VkResult (*radv_CreateGraphicsPipelines_Null)(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkGraphicsPipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) = 0;
    VkResult radv_CreateGraphicsPipelines_Weak(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkGraphicsPipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateGraphicsPipelines(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkGraphicsPipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CreateGraphicsPipelines_Weak=sqtt_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:sqtt_CreateGraphicsPipelines=sqtt_CreateGraphicsPipelines_Weak")
    VkResult (*sqtt_CreateGraphicsPipelines_Null)(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkGraphicsPipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) = 0;
    VkResult sqtt_CreateGraphicsPipelines_Weak(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkGraphicsPipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateGraphicsPipelines(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkGraphicsPipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CreateComputePipelines_Weak=radv_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:radv_CreateComputePipelines=radv_CreateComputePipelines_Weak")
    VkResult (*radv_CreateComputePipelines_Null)(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkComputePipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) = 0;
    VkResult radv_CreateComputePipelines_Weak(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkComputePipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateComputePipelines(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkComputePipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CreateComputePipelines_Weak=sqtt_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:sqtt_CreateComputePipelines=sqtt_CreateComputePipelines_Weak")
    VkResult (*sqtt_CreateComputePipelines_Null)(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkComputePipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) = 0;
    VkResult sqtt_CreateComputePipelines_Weak(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkComputePipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateComputePipelines(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkComputePipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_DestroyPipeline_Weak=radv_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:radv_DestroyPipeline=radv_DestroyPipeline_Weak")
    void (*radv_DestroyPipeline_Null)(VkDevice device, VkPipeline pipeline, const VkAllocationCallbacks* pAllocator) = 0;
    void radv_DestroyPipeline_Weak(VkDevice device, VkPipeline pipeline, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroyPipeline(VkDevice device, VkPipeline pipeline, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_DestroyPipeline_Weak=sqtt_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:sqtt_DestroyPipeline=sqtt_DestroyPipeline_Weak")
    void (*sqtt_DestroyPipeline_Null)(VkDevice device, VkPipeline pipeline, const VkAllocationCallbacks* pAllocator) = 0;
    void sqtt_DestroyPipeline_Weak(VkDevice device, VkPipeline pipeline, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_DestroyPipeline(VkDevice device, VkPipeline pipeline, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CreatePipelineLayout_Weak=radv_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:radv_CreatePipelineLayout=radv_CreatePipelineLayout_Weak")
    VkResult (*radv_CreatePipelineLayout_Null)(VkDevice device, const VkPipelineLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineLayout* pPipelineLayout) = 0;
    VkResult radv_CreatePipelineLayout_Weak(VkDevice device, const VkPipelineLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineLayout* pPipelineLayout);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreatePipelineLayout(VkDevice device, const VkPipelineLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineLayout* pPipelineLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CreatePipelineLayout_Weak=sqtt_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:sqtt_CreatePipelineLayout=sqtt_CreatePipelineLayout_Weak")
    VkResult (*sqtt_CreatePipelineLayout_Null)(VkDevice device, const VkPipelineLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineLayout* pPipelineLayout) = 0;
    VkResult sqtt_CreatePipelineLayout_Weak(VkDevice device, const VkPipelineLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineLayout* pPipelineLayout);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreatePipelineLayout(VkDevice device, const VkPipelineLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineLayout* pPipelineLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_DestroyPipelineLayout_Weak=radv_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:radv_DestroyPipelineLayout=radv_DestroyPipelineLayout_Weak")
    void (*radv_DestroyPipelineLayout_Null)(VkDevice device, VkPipelineLayout pipelineLayout, const VkAllocationCallbacks* pAllocator) = 0;
    void radv_DestroyPipelineLayout_Weak(VkDevice device, VkPipelineLayout pipelineLayout, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroyPipelineLayout(VkDevice device, VkPipelineLayout pipelineLayout, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_DestroyPipelineLayout_Weak=sqtt_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:sqtt_DestroyPipelineLayout=sqtt_DestroyPipelineLayout_Weak")
    void (*sqtt_DestroyPipelineLayout_Null)(VkDevice device, VkPipelineLayout pipelineLayout, const VkAllocationCallbacks* pAllocator) = 0;
    void sqtt_DestroyPipelineLayout_Weak(VkDevice device, VkPipelineLayout pipelineLayout, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_DestroyPipelineLayout(VkDevice device, VkPipelineLayout pipelineLayout, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CreateSampler_Weak=radv_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:radv_CreateSampler=radv_CreateSampler_Weak")
    VkResult (*radv_CreateSampler_Null)(VkDevice device, const VkSamplerCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSampler* pSampler) = 0;
    VkResult radv_CreateSampler_Weak(VkDevice device, const VkSamplerCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSampler* pSampler);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateSampler(VkDevice device, const VkSamplerCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSampler* pSampler) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CreateSampler_Weak=sqtt_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:sqtt_CreateSampler=sqtt_CreateSampler_Weak")
    VkResult (*sqtt_CreateSampler_Null)(VkDevice device, const VkSamplerCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSampler* pSampler) = 0;
    VkResult sqtt_CreateSampler_Weak(VkDevice device, const VkSamplerCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSampler* pSampler);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateSampler(VkDevice device, const VkSamplerCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSampler* pSampler) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_DestroySampler_Weak=radv_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:radv_DestroySampler=radv_DestroySampler_Weak")
    void (*radv_DestroySampler_Null)(VkDevice device, VkSampler sampler, const VkAllocationCallbacks* pAllocator) = 0;
    void radv_DestroySampler_Weak(VkDevice device, VkSampler sampler, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroySampler(VkDevice device, VkSampler sampler, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_DestroySampler_Weak=sqtt_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:sqtt_DestroySampler=sqtt_DestroySampler_Weak")
    void (*sqtt_DestroySampler_Null)(VkDevice device, VkSampler sampler, const VkAllocationCallbacks* pAllocator) = 0;
    void sqtt_DestroySampler_Weak(VkDevice device, VkSampler sampler, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_DestroySampler(VkDevice device, VkSampler sampler, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CreateDescriptorSetLayout_Weak=radv_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:radv_CreateDescriptorSetLayout=radv_CreateDescriptorSetLayout_Weak")
    VkResult (*radv_CreateDescriptorSetLayout_Null)(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorSetLayout* pSetLayout) = 0;
    VkResult radv_CreateDescriptorSetLayout_Weak(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorSetLayout* pSetLayout);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateDescriptorSetLayout(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorSetLayout* pSetLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CreateDescriptorSetLayout_Weak=sqtt_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:sqtt_CreateDescriptorSetLayout=sqtt_CreateDescriptorSetLayout_Weak")
    VkResult (*sqtt_CreateDescriptorSetLayout_Null)(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorSetLayout* pSetLayout) = 0;
    VkResult sqtt_CreateDescriptorSetLayout_Weak(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorSetLayout* pSetLayout);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateDescriptorSetLayout(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorSetLayout* pSetLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_DestroyDescriptorSetLayout_Weak=radv_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:radv_DestroyDescriptorSetLayout=radv_DestroyDescriptorSetLayout_Weak")
    void (*radv_DestroyDescriptorSetLayout_Null)(VkDevice device, VkDescriptorSetLayout descriptorSetLayout, const VkAllocationCallbacks* pAllocator) = 0;
    void radv_DestroyDescriptorSetLayout_Weak(VkDevice device, VkDescriptorSetLayout descriptorSetLayout, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroyDescriptorSetLayout(VkDevice device, VkDescriptorSetLayout descriptorSetLayout, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_DestroyDescriptorSetLayout_Weak=sqtt_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:sqtt_DestroyDescriptorSetLayout=sqtt_DestroyDescriptorSetLayout_Weak")
    void (*sqtt_DestroyDescriptorSetLayout_Null)(VkDevice device, VkDescriptorSetLayout descriptorSetLayout, const VkAllocationCallbacks* pAllocator) = 0;
    void sqtt_DestroyDescriptorSetLayout_Weak(VkDevice device, VkDescriptorSetLayout descriptorSetLayout, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_DestroyDescriptorSetLayout(VkDevice device, VkDescriptorSetLayout descriptorSetLayout, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CreateDescriptorPool_Weak=radv_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:radv_CreateDescriptorPool=radv_CreateDescriptorPool_Weak")
    VkResult (*radv_CreateDescriptorPool_Null)(VkDevice device, const VkDescriptorPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorPool* pDescriptorPool) = 0;
    VkResult radv_CreateDescriptorPool_Weak(VkDevice device, const VkDescriptorPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorPool* pDescriptorPool);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateDescriptorPool(VkDevice device, const VkDescriptorPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorPool* pDescriptorPool) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CreateDescriptorPool_Weak=sqtt_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:sqtt_CreateDescriptorPool=sqtt_CreateDescriptorPool_Weak")
    VkResult (*sqtt_CreateDescriptorPool_Null)(VkDevice device, const VkDescriptorPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorPool* pDescriptorPool) = 0;
    VkResult sqtt_CreateDescriptorPool_Weak(VkDevice device, const VkDescriptorPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorPool* pDescriptorPool);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateDescriptorPool(VkDevice device, const VkDescriptorPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorPool* pDescriptorPool) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_DestroyDescriptorPool_Weak=radv_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:radv_DestroyDescriptorPool=radv_DestroyDescriptorPool_Weak")
    void (*radv_DestroyDescriptorPool_Null)(VkDevice device, VkDescriptorPool descriptorPool, const VkAllocationCallbacks* pAllocator) = 0;
    void radv_DestroyDescriptorPool_Weak(VkDevice device, VkDescriptorPool descriptorPool, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroyDescriptorPool(VkDevice device, VkDescriptorPool descriptorPool, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_DestroyDescriptorPool_Weak=sqtt_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:sqtt_DestroyDescriptorPool=sqtt_DestroyDescriptorPool_Weak")
    void (*sqtt_DestroyDescriptorPool_Null)(VkDevice device, VkDescriptorPool descriptorPool, const VkAllocationCallbacks* pAllocator) = 0;
    void sqtt_DestroyDescriptorPool_Weak(VkDevice device, VkDescriptorPool descriptorPool, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_DestroyDescriptorPool(VkDevice device, VkDescriptorPool descriptorPool, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_ResetDescriptorPool_Weak=radv_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:radv_ResetDescriptorPool=radv_ResetDescriptorPool_Weak")
    VkResult (*radv_ResetDescriptorPool_Null)(VkDevice device, VkDescriptorPool descriptorPool, VkDescriptorPoolResetFlags flags) = 0;
    VkResult radv_ResetDescriptorPool_Weak(VkDevice device, VkDescriptorPool descriptorPool, VkDescriptorPoolResetFlags flags);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_ResetDescriptorPool(VkDevice device, VkDescriptorPool descriptorPool, VkDescriptorPoolResetFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_ResetDescriptorPool_Weak=sqtt_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:sqtt_ResetDescriptorPool=sqtt_ResetDescriptorPool_Weak")
    VkResult (*sqtt_ResetDescriptorPool_Null)(VkDevice device, VkDescriptorPool descriptorPool, VkDescriptorPoolResetFlags flags) = 0;
    VkResult sqtt_ResetDescriptorPool_Weak(VkDevice device, VkDescriptorPool descriptorPool, VkDescriptorPoolResetFlags flags);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_ResetDescriptorPool(VkDevice device, VkDescriptorPool descriptorPool, VkDescriptorPoolResetFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_AllocateDescriptorSets_Weak=radv_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:radv_AllocateDescriptorSets=radv_AllocateDescriptorSets_Weak")
    VkResult (*radv_AllocateDescriptorSets_Null)(VkDevice device, const VkDescriptorSetAllocateInfo* pAllocateInfo, VkDescriptorSet* pDescriptorSets) = 0;
    VkResult radv_AllocateDescriptorSets_Weak(VkDevice device, const VkDescriptorSetAllocateInfo* pAllocateInfo, VkDescriptorSet* pDescriptorSets);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_AllocateDescriptorSets(VkDevice device, const VkDescriptorSetAllocateInfo* pAllocateInfo, VkDescriptorSet* pDescriptorSets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_AllocateDescriptorSets_Weak=sqtt_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:sqtt_AllocateDescriptorSets=sqtt_AllocateDescriptorSets_Weak")
    VkResult (*sqtt_AllocateDescriptorSets_Null)(VkDevice device, const VkDescriptorSetAllocateInfo* pAllocateInfo, VkDescriptorSet* pDescriptorSets) = 0;
    VkResult sqtt_AllocateDescriptorSets_Weak(VkDevice device, const VkDescriptorSetAllocateInfo* pAllocateInfo, VkDescriptorSet* pDescriptorSets);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_AllocateDescriptorSets(VkDevice device, const VkDescriptorSetAllocateInfo* pAllocateInfo, VkDescriptorSet* pDescriptorSets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_FreeDescriptorSets_Weak=radv_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:radv_FreeDescriptorSets=radv_FreeDescriptorSets_Weak")
    VkResult (*radv_FreeDescriptorSets_Null)(VkDevice device, VkDescriptorPool descriptorPool, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets) = 0;
    VkResult radv_FreeDescriptorSets_Weak(VkDevice device, VkDescriptorPool descriptorPool, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_FreeDescriptorSets(VkDevice device, VkDescriptorPool descriptorPool, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_FreeDescriptorSets_Weak=sqtt_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:sqtt_FreeDescriptorSets=sqtt_FreeDescriptorSets_Weak")
    VkResult (*sqtt_FreeDescriptorSets_Null)(VkDevice device, VkDescriptorPool descriptorPool, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets) = 0;
    VkResult sqtt_FreeDescriptorSets_Weak(VkDevice device, VkDescriptorPool descriptorPool, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_FreeDescriptorSets(VkDevice device, VkDescriptorPool descriptorPool, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_UpdateDescriptorSets_Weak=radv_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:radv_UpdateDescriptorSets=radv_UpdateDescriptorSets_Weak")
    void (*radv_UpdateDescriptorSets_Null)(VkDevice device, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites, uint32_t descriptorCopyCount, const VkCopyDescriptorSet* pDescriptorCopies) = 0;
    void radv_UpdateDescriptorSets_Weak(VkDevice device, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites, uint32_t descriptorCopyCount, const VkCopyDescriptorSet* pDescriptorCopies);
#else
    VKAPI_ATTR void VKAPI_CALL radv_UpdateDescriptorSets(VkDevice device, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites, uint32_t descriptorCopyCount, const VkCopyDescriptorSet* pDescriptorCopies) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_UpdateDescriptorSets_Weak=sqtt_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:sqtt_UpdateDescriptorSets=sqtt_UpdateDescriptorSets_Weak")
    void (*sqtt_UpdateDescriptorSets_Null)(VkDevice device, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites, uint32_t descriptorCopyCount, const VkCopyDescriptorSet* pDescriptorCopies) = 0;
    void sqtt_UpdateDescriptorSets_Weak(VkDevice device, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites, uint32_t descriptorCopyCount, const VkCopyDescriptorSet* pDescriptorCopies);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_UpdateDescriptorSets(VkDevice device, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites, uint32_t descriptorCopyCount, const VkCopyDescriptorSet* pDescriptorCopies) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CreateFramebuffer_Weak=radv_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:radv_CreateFramebuffer=radv_CreateFramebuffer_Weak")
    VkResult (*radv_CreateFramebuffer_Null)(VkDevice device, const VkFramebufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFramebuffer* pFramebuffer) = 0;
    VkResult radv_CreateFramebuffer_Weak(VkDevice device, const VkFramebufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFramebuffer* pFramebuffer);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateFramebuffer(VkDevice device, const VkFramebufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFramebuffer* pFramebuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CreateFramebuffer_Weak=sqtt_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:sqtt_CreateFramebuffer=sqtt_CreateFramebuffer_Weak")
    VkResult (*sqtt_CreateFramebuffer_Null)(VkDevice device, const VkFramebufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFramebuffer* pFramebuffer) = 0;
    VkResult sqtt_CreateFramebuffer_Weak(VkDevice device, const VkFramebufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFramebuffer* pFramebuffer);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateFramebuffer(VkDevice device, const VkFramebufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFramebuffer* pFramebuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_DestroyFramebuffer_Weak=radv_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:radv_DestroyFramebuffer=radv_DestroyFramebuffer_Weak")
    void (*radv_DestroyFramebuffer_Null)(VkDevice device, VkFramebuffer framebuffer, const VkAllocationCallbacks* pAllocator) = 0;
    void radv_DestroyFramebuffer_Weak(VkDevice device, VkFramebuffer framebuffer, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroyFramebuffer(VkDevice device, VkFramebuffer framebuffer, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_DestroyFramebuffer_Weak=sqtt_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:sqtt_DestroyFramebuffer=sqtt_DestroyFramebuffer_Weak")
    void (*sqtt_DestroyFramebuffer_Null)(VkDevice device, VkFramebuffer framebuffer, const VkAllocationCallbacks* pAllocator) = 0;
    void sqtt_DestroyFramebuffer_Weak(VkDevice device, VkFramebuffer framebuffer, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_DestroyFramebuffer(VkDevice device, VkFramebuffer framebuffer, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CreateRenderPass_Weak=radv_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:radv_CreateRenderPass=radv_CreateRenderPass_Weak")
    VkResult (*radv_CreateRenderPass_Null)(VkDevice device, const VkRenderPassCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) = 0;
    VkResult radv_CreateRenderPass_Weak(VkDevice device, const VkRenderPassCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateRenderPass(VkDevice device, const VkRenderPassCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CreateRenderPass_Weak=sqtt_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:sqtt_CreateRenderPass=sqtt_CreateRenderPass_Weak")
    VkResult (*sqtt_CreateRenderPass_Null)(VkDevice device, const VkRenderPassCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) = 0;
    VkResult sqtt_CreateRenderPass_Weak(VkDevice device, const VkRenderPassCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateRenderPass(VkDevice device, const VkRenderPassCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_DestroyRenderPass_Weak=radv_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:radv_DestroyRenderPass=radv_DestroyRenderPass_Weak")
    void (*radv_DestroyRenderPass_Null)(VkDevice device, VkRenderPass renderPass, const VkAllocationCallbacks* pAllocator) = 0;
    void radv_DestroyRenderPass_Weak(VkDevice device, VkRenderPass renderPass, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroyRenderPass(VkDevice device, VkRenderPass renderPass, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_DestroyRenderPass_Weak=sqtt_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:sqtt_DestroyRenderPass=sqtt_DestroyRenderPass_Weak")
    void (*sqtt_DestroyRenderPass_Null)(VkDevice device, VkRenderPass renderPass, const VkAllocationCallbacks* pAllocator) = 0;
    void sqtt_DestroyRenderPass_Weak(VkDevice device, VkRenderPass renderPass, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_DestroyRenderPass(VkDevice device, VkRenderPass renderPass, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetRenderAreaGranularity_Weak=radv_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:radv_GetRenderAreaGranularity=radv_GetRenderAreaGranularity_Weak")
    void (*radv_GetRenderAreaGranularity_Null)(VkDevice device, VkRenderPass renderPass, VkExtent2D* pGranularity) = 0;
    void radv_GetRenderAreaGranularity_Weak(VkDevice device, VkRenderPass renderPass, VkExtent2D* pGranularity);
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetRenderAreaGranularity(VkDevice device, VkRenderPass renderPass, VkExtent2D* pGranularity) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetRenderAreaGranularity_Weak=sqtt_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetRenderAreaGranularity=sqtt_GetRenderAreaGranularity_Weak")
    void (*sqtt_GetRenderAreaGranularity_Null)(VkDevice device, VkRenderPass renderPass, VkExtent2D* pGranularity) = 0;
    void sqtt_GetRenderAreaGranularity_Weak(VkDevice device, VkRenderPass renderPass, VkExtent2D* pGranularity);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_GetRenderAreaGranularity(VkDevice device, VkRenderPass renderPass, VkExtent2D* pGranularity) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CreateCommandPool_Weak=radv_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:radv_CreateCommandPool=radv_CreateCommandPool_Weak")
    VkResult (*radv_CreateCommandPool_Null)(VkDevice device, const VkCommandPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCommandPool* pCommandPool) = 0;
    VkResult radv_CreateCommandPool_Weak(VkDevice device, const VkCommandPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCommandPool* pCommandPool);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateCommandPool(VkDevice device, const VkCommandPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCommandPool* pCommandPool) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CreateCommandPool_Weak=sqtt_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:sqtt_CreateCommandPool=sqtt_CreateCommandPool_Weak")
    VkResult (*sqtt_CreateCommandPool_Null)(VkDevice device, const VkCommandPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCommandPool* pCommandPool) = 0;
    VkResult sqtt_CreateCommandPool_Weak(VkDevice device, const VkCommandPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCommandPool* pCommandPool);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateCommandPool(VkDevice device, const VkCommandPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCommandPool* pCommandPool) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_DestroyCommandPool_Weak=radv_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:radv_DestroyCommandPool=radv_DestroyCommandPool_Weak")
    void (*radv_DestroyCommandPool_Null)(VkDevice device, VkCommandPool commandPool, const VkAllocationCallbacks* pAllocator) = 0;
    void radv_DestroyCommandPool_Weak(VkDevice device, VkCommandPool commandPool, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroyCommandPool(VkDevice device, VkCommandPool commandPool, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_DestroyCommandPool_Weak=sqtt_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:sqtt_DestroyCommandPool=sqtt_DestroyCommandPool_Weak")
    void (*sqtt_DestroyCommandPool_Null)(VkDevice device, VkCommandPool commandPool, const VkAllocationCallbacks* pAllocator) = 0;
    void sqtt_DestroyCommandPool_Weak(VkDevice device, VkCommandPool commandPool, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_DestroyCommandPool(VkDevice device, VkCommandPool commandPool, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_ResetCommandPool_Weak=radv_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:radv_ResetCommandPool=radv_ResetCommandPool_Weak")
    VkResult (*radv_ResetCommandPool_Null)(VkDevice device, VkCommandPool commandPool, VkCommandPoolResetFlags flags) = 0;
    VkResult radv_ResetCommandPool_Weak(VkDevice device, VkCommandPool commandPool, VkCommandPoolResetFlags flags);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_ResetCommandPool(VkDevice device, VkCommandPool commandPool, VkCommandPoolResetFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_ResetCommandPool_Weak=sqtt_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:sqtt_ResetCommandPool=sqtt_ResetCommandPool_Weak")
    VkResult (*sqtt_ResetCommandPool_Null)(VkDevice device, VkCommandPool commandPool, VkCommandPoolResetFlags flags) = 0;
    VkResult sqtt_ResetCommandPool_Weak(VkDevice device, VkCommandPool commandPool, VkCommandPoolResetFlags flags);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_ResetCommandPool(VkDevice device, VkCommandPool commandPool, VkCommandPoolResetFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_AllocateCommandBuffers_Weak=radv_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:radv_AllocateCommandBuffers=radv_AllocateCommandBuffers_Weak")
    VkResult (*radv_AllocateCommandBuffers_Null)(VkDevice device, const VkCommandBufferAllocateInfo* pAllocateInfo, VkCommandBuffer* pCommandBuffers) = 0;
    VkResult radv_AllocateCommandBuffers_Weak(VkDevice device, const VkCommandBufferAllocateInfo* pAllocateInfo, VkCommandBuffer* pCommandBuffers);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_AllocateCommandBuffers(VkDevice device, const VkCommandBufferAllocateInfo* pAllocateInfo, VkCommandBuffer* pCommandBuffers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_AllocateCommandBuffers_Weak=sqtt_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:sqtt_AllocateCommandBuffers=sqtt_AllocateCommandBuffers_Weak")
    VkResult (*sqtt_AllocateCommandBuffers_Null)(VkDevice device, const VkCommandBufferAllocateInfo* pAllocateInfo, VkCommandBuffer* pCommandBuffers) = 0;
    VkResult sqtt_AllocateCommandBuffers_Weak(VkDevice device, const VkCommandBufferAllocateInfo* pAllocateInfo, VkCommandBuffer* pCommandBuffers);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_AllocateCommandBuffers(VkDevice device, const VkCommandBufferAllocateInfo* pAllocateInfo, VkCommandBuffer* pCommandBuffers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_FreeCommandBuffers_Weak=radv_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:radv_FreeCommandBuffers=radv_FreeCommandBuffers_Weak")
    void (*radv_FreeCommandBuffers_Null)(VkDevice device, VkCommandPool commandPool, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers) = 0;
    void radv_FreeCommandBuffers_Weak(VkDevice device, VkCommandPool commandPool, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers);
#else
    VKAPI_ATTR void VKAPI_CALL radv_FreeCommandBuffers(VkDevice device, VkCommandPool commandPool, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_FreeCommandBuffers_Weak=sqtt_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:sqtt_FreeCommandBuffers=sqtt_FreeCommandBuffers_Weak")
    void (*sqtt_FreeCommandBuffers_Null)(VkDevice device, VkCommandPool commandPool, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers) = 0;
    void sqtt_FreeCommandBuffers_Weak(VkDevice device, VkCommandPool commandPool, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_FreeCommandBuffers(VkDevice device, VkCommandPool commandPool, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_BeginCommandBuffer_Weak=radv_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:radv_BeginCommandBuffer=radv_BeginCommandBuffer_Weak")
    VkResult (*radv_BeginCommandBuffer_Null)(VkCommandBuffer commandBuffer, const VkCommandBufferBeginInfo* pBeginInfo) = 0;
    VkResult radv_BeginCommandBuffer_Weak(VkCommandBuffer commandBuffer, const VkCommandBufferBeginInfo* pBeginInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_BeginCommandBuffer(VkCommandBuffer commandBuffer, const VkCommandBufferBeginInfo* pBeginInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_BeginCommandBuffer_Weak=sqtt_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:sqtt_BeginCommandBuffer=sqtt_BeginCommandBuffer_Weak")
    VkResult (*sqtt_BeginCommandBuffer_Null)(VkCommandBuffer commandBuffer, const VkCommandBufferBeginInfo* pBeginInfo) = 0;
    VkResult sqtt_BeginCommandBuffer_Weak(VkCommandBuffer commandBuffer, const VkCommandBufferBeginInfo* pBeginInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_BeginCommandBuffer(VkCommandBuffer commandBuffer, const VkCommandBufferBeginInfo* pBeginInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_EndCommandBuffer_Weak=radv_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:radv_EndCommandBuffer=radv_EndCommandBuffer_Weak")
    VkResult (*radv_EndCommandBuffer_Null)(VkCommandBuffer commandBuffer) = 0;
    VkResult radv_EndCommandBuffer_Weak(VkCommandBuffer commandBuffer);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_EndCommandBuffer(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_EndCommandBuffer_Weak=sqtt_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:sqtt_EndCommandBuffer=sqtt_EndCommandBuffer_Weak")
    VkResult (*sqtt_EndCommandBuffer_Null)(VkCommandBuffer commandBuffer) = 0;
    VkResult sqtt_EndCommandBuffer_Weak(VkCommandBuffer commandBuffer);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_EndCommandBuffer(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_ResetCommandBuffer_Weak=radv_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:radv_ResetCommandBuffer=radv_ResetCommandBuffer_Weak")
    VkResult (*radv_ResetCommandBuffer_Null)(VkCommandBuffer commandBuffer, VkCommandBufferResetFlags flags) = 0;
    VkResult radv_ResetCommandBuffer_Weak(VkCommandBuffer commandBuffer, VkCommandBufferResetFlags flags);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_ResetCommandBuffer(VkCommandBuffer commandBuffer, VkCommandBufferResetFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_ResetCommandBuffer_Weak=sqtt_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:sqtt_ResetCommandBuffer=sqtt_ResetCommandBuffer_Weak")
    VkResult (*sqtt_ResetCommandBuffer_Null)(VkCommandBuffer commandBuffer, VkCommandBufferResetFlags flags) = 0;
    VkResult sqtt_ResetCommandBuffer_Weak(VkCommandBuffer commandBuffer, VkCommandBufferResetFlags flags);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_ResetCommandBuffer(VkCommandBuffer commandBuffer, VkCommandBufferResetFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdBindPipeline_Weak=radv_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:radv_CmdBindPipeline=radv_CmdBindPipeline_Weak")
    void (*radv_CmdBindPipeline_Null)(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline) = 0;
    void radv_CmdBindPipeline_Weak(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdBindPipeline(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdBindPipeline_Weak=sqtt_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdBindPipeline=sqtt_CmdBindPipeline_Weak")
    void (*sqtt_CmdBindPipeline_Null)(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline) = 0;
    void sqtt_CmdBindPipeline_Weak(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdBindPipeline(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdSetViewport_Weak=radv_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:radv_CmdSetViewport=radv_CmdSetViewport_Weak")
    void (*radv_CmdSetViewport_Null)(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewport* pViewports) = 0;
    void radv_CmdSetViewport_Weak(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewport* pViewports);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetViewport(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewport* pViewports) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdSetViewport_Weak=sqtt_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdSetViewport=sqtt_CmdSetViewport_Weak")
    void (*sqtt_CmdSetViewport_Null)(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewport* pViewports) = 0;
    void sqtt_CmdSetViewport_Weak(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewport* pViewports);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetViewport(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewport* pViewports) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdSetScissor_Weak=radv_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:radv_CmdSetScissor=radv_CmdSetScissor_Weak")
    void (*radv_CmdSetScissor_Null)(VkCommandBuffer commandBuffer, uint32_t firstScissor, uint32_t scissorCount, const VkRect2D* pScissors) = 0;
    void radv_CmdSetScissor_Weak(VkCommandBuffer commandBuffer, uint32_t firstScissor, uint32_t scissorCount, const VkRect2D* pScissors);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetScissor(VkCommandBuffer commandBuffer, uint32_t firstScissor, uint32_t scissorCount, const VkRect2D* pScissors) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdSetScissor_Weak=sqtt_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdSetScissor=sqtt_CmdSetScissor_Weak")
    void (*sqtt_CmdSetScissor_Null)(VkCommandBuffer commandBuffer, uint32_t firstScissor, uint32_t scissorCount, const VkRect2D* pScissors) = 0;
    void sqtt_CmdSetScissor_Weak(VkCommandBuffer commandBuffer, uint32_t firstScissor, uint32_t scissorCount, const VkRect2D* pScissors);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetScissor(VkCommandBuffer commandBuffer, uint32_t firstScissor, uint32_t scissorCount, const VkRect2D* pScissors) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdSetLineWidth_Weak=radv_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:radv_CmdSetLineWidth=radv_CmdSetLineWidth_Weak")
    void (*radv_CmdSetLineWidth_Null)(VkCommandBuffer commandBuffer, float lineWidth) = 0;
    void radv_CmdSetLineWidth_Weak(VkCommandBuffer commandBuffer, float lineWidth);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetLineWidth(VkCommandBuffer commandBuffer, float lineWidth) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdSetLineWidth_Weak=sqtt_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdSetLineWidth=sqtt_CmdSetLineWidth_Weak")
    void (*sqtt_CmdSetLineWidth_Null)(VkCommandBuffer commandBuffer, float lineWidth) = 0;
    void sqtt_CmdSetLineWidth_Weak(VkCommandBuffer commandBuffer, float lineWidth);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetLineWidth(VkCommandBuffer commandBuffer, float lineWidth) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdSetDepthBias_Weak=radv_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:radv_CmdSetDepthBias=radv_CmdSetDepthBias_Weak")
    void (*radv_CmdSetDepthBias_Null)(VkCommandBuffer commandBuffer, float depthBiasConstantFactor, float depthBiasClamp, float depthBiasSlopeFactor) = 0;
    void radv_CmdSetDepthBias_Weak(VkCommandBuffer commandBuffer, float depthBiasConstantFactor, float depthBiasClamp, float depthBiasSlopeFactor);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetDepthBias(VkCommandBuffer commandBuffer, float depthBiasConstantFactor, float depthBiasClamp, float depthBiasSlopeFactor) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdSetDepthBias_Weak=sqtt_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdSetDepthBias=sqtt_CmdSetDepthBias_Weak")
    void (*sqtt_CmdSetDepthBias_Null)(VkCommandBuffer commandBuffer, float depthBiasConstantFactor, float depthBiasClamp, float depthBiasSlopeFactor) = 0;
    void sqtt_CmdSetDepthBias_Weak(VkCommandBuffer commandBuffer, float depthBiasConstantFactor, float depthBiasClamp, float depthBiasSlopeFactor);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetDepthBias(VkCommandBuffer commandBuffer, float depthBiasConstantFactor, float depthBiasClamp, float depthBiasSlopeFactor) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdSetBlendConstants_Weak=radv_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:radv_CmdSetBlendConstants=radv_CmdSetBlendConstants_Weak")
    void (*radv_CmdSetBlendConstants_Null)(VkCommandBuffer commandBuffer, const float blendConstants[4]) = 0;
    void radv_CmdSetBlendConstants_Weak(VkCommandBuffer commandBuffer, const float blendConstants[4]);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetBlendConstants(VkCommandBuffer commandBuffer, const float blendConstants[4]) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdSetBlendConstants_Weak=sqtt_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdSetBlendConstants=sqtt_CmdSetBlendConstants_Weak")
    void (*sqtt_CmdSetBlendConstants_Null)(VkCommandBuffer commandBuffer, const float blendConstants[4]) = 0;
    void sqtt_CmdSetBlendConstants_Weak(VkCommandBuffer commandBuffer, const float blendConstants[4]);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetBlendConstants(VkCommandBuffer commandBuffer, const float blendConstants[4]) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdSetDepthBounds_Weak=radv_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:radv_CmdSetDepthBounds=radv_CmdSetDepthBounds_Weak")
    void (*radv_CmdSetDepthBounds_Null)(VkCommandBuffer commandBuffer, float minDepthBounds, float maxDepthBounds) = 0;
    void radv_CmdSetDepthBounds_Weak(VkCommandBuffer commandBuffer, float minDepthBounds, float maxDepthBounds);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetDepthBounds(VkCommandBuffer commandBuffer, float minDepthBounds, float maxDepthBounds) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdSetDepthBounds_Weak=sqtt_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdSetDepthBounds=sqtt_CmdSetDepthBounds_Weak")
    void (*sqtt_CmdSetDepthBounds_Null)(VkCommandBuffer commandBuffer, float minDepthBounds, float maxDepthBounds) = 0;
    void sqtt_CmdSetDepthBounds_Weak(VkCommandBuffer commandBuffer, float minDepthBounds, float maxDepthBounds);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetDepthBounds(VkCommandBuffer commandBuffer, float minDepthBounds, float maxDepthBounds) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdSetStencilCompareMask_Weak=radv_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:radv_CmdSetStencilCompareMask=radv_CmdSetStencilCompareMask_Weak")
    void (*radv_CmdSetStencilCompareMask_Null)(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t compareMask) = 0;
    void radv_CmdSetStencilCompareMask_Weak(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t compareMask);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetStencilCompareMask(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t compareMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdSetStencilCompareMask_Weak=sqtt_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdSetStencilCompareMask=sqtt_CmdSetStencilCompareMask_Weak")
    void (*sqtt_CmdSetStencilCompareMask_Null)(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t compareMask) = 0;
    void sqtt_CmdSetStencilCompareMask_Weak(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t compareMask);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetStencilCompareMask(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t compareMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdSetStencilWriteMask_Weak=radv_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:radv_CmdSetStencilWriteMask=radv_CmdSetStencilWriteMask_Weak")
    void (*radv_CmdSetStencilWriteMask_Null)(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t writeMask) = 0;
    void radv_CmdSetStencilWriteMask_Weak(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t writeMask);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetStencilWriteMask(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t writeMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdSetStencilWriteMask_Weak=sqtt_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdSetStencilWriteMask=sqtt_CmdSetStencilWriteMask_Weak")
    void (*sqtt_CmdSetStencilWriteMask_Null)(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t writeMask) = 0;
    void sqtt_CmdSetStencilWriteMask_Weak(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t writeMask);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetStencilWriteMask(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t writeMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdSetStencilReference_Weak=radv_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:radv_CmdSetStencilReference=radv_CmdSetStencilReference_Weak")
    void (*radv_CmdSetStencilReference_Null)(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t reference) = 0;
    void radv_CmdSetStencilReference_Weak(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t reference);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetStencilReference(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t reference) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdSetStencilReference_Weak=sqtt_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdSetStencilReference=sqtt_CmdSetStencilReference_Weak")
    void (*sqtt_CmdSetStencilReference_Null)(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t reference) = 0;
    void sqtt_CmdSetStencilReference_Weak(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t reference);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetStencilReference(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t reference) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdBindDescriptorSets_Weak=radv_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:radv_CmdBindDescriptorSets=radv_CmdBindDescriptorSets_Weak")
    void (*radv_CmdBindDescriptorSets_Null)(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t firstSet, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets, uint32_t dynamicOffsetCount, const uint32_t* pDynamicOffsets) = 0;
    void radv_CmdBindDescriptorSets_Weak(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t firstSet, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets, uint32_t dynamicOffsetCount, const uint32_t* pDynamicOffsets);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdBindDescriptorSets(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t firstSet, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets, uint32_t dynamicOffsetCount, const uint32_t* pDynamicOffsets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdBindDescriptorSets_Weak=sqtt_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdBindDescriptorSets=sqtt_CmdBindDescriptorSets_Weak")
    void (*sqtt_CmdBindDescriptorSets_Null)(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t firstSet, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets, uint32_t dynamicOffsetCount, const uint32_t* pDynamicOffsets) = 0;
    void sqtt_CmdBindDescriptorSets_Weak(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t firstSet, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets, uint32_t dynamicOffsetCount, const uint32_t* pDynamicOffsets);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdBindDescriptorSets(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t firstSet, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets, uint32_t dynamicOffsetCount, const uint32_t* pDynamicOffsets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdBindIndexBuffer_Weak=radv_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:radv_CmdBindIndexBuffer=radv_CmdBindIndexBuffer_Weak")
    void (*radv_CmdBindIndexBuffer_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkIndexType indexType) = 0;
    void radv_CmdBindIndexBuffer_Weak(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkIndexType indexType);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdBindIndexBuffer(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkIndexType indexType) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdBindIndexBuffer_Weak=sqtt_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdBindIndexBuffer=sqtt_CmdBindIndexBuffer_Weak")
    void (*sqtt_CmdBindIndexBuffer_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkIndexType indexType) = 0;
    void sqtt_CmdBindIndexBuffer_Weak(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkIndexType indexType);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdBindIndexBuffer(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkIndexType indexType) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdBindVertexBuffers_Weak=radv_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:radv_CmdBindVertexBuffers=radv_CmdBindVertexBuffers_Weak")
    void (*radv_CmdBindVertexBuffers_Null)(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets) = 0;
    void radv_CmdBindVertexBuffers_Weak(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdBindVertexBuffers(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdBindVertexBuffers_Weak=sqtt_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdBindVertexBuffers=sqtt_CmdBindVertexBuffers_Weak")
    void (*sqtt_CmdBindVertexBuffers_Null)(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets) = 0;
    void sqtt_CmdBindVertexBuffers_Weak(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdBindVertexBuffers(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdDraw_Weak=radv_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:radv_CmdDraw=radv_CmdDraw_Weak")
    void (*radv_CmdDraw_Null)(VkCommandBuffer commandBuffer, uint32_t vertexCount, uint32_t instanceCount, uint32_t firstVertex, uint32_t firstInstance) = 0;
    void radv_CmdDraw_Weak(VkCommandBuffer commandBuffer, uint32_t vertexCount, uint32_t instanceCount, uint32_t firstVertex, uint32_t firstInstance);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdDraw(VkCommandBuffer commandBuffer, uint32_t vertexCount, uint32_t instanceCount, uint32_t firstVertex, uint32_t firstInstance) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdDraw_Weak=sqtt_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdDraw=sqtt_CmdDraw_Weak")
    void (*sqtt_CmdDraw_Null)(VkCommandBuffer commandBuffer, uint32_t vertexCount, uint32_t instanceCount, uint32_t firstVertex, uint32_t firstInstance) = 0;
    void sqtt_CmdDraw_Weak(VkCommandBuffer commandBuffer, uint32_t vertexCount, uint32_t instanceCount, uint32_t firstVertex, uint32_t firstInstance);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdDraw(VkCommandBuffer commandBuffer, uint32_t vertexCount, uint32_t instanceCount, uint32_t firstVertex, uint32_t firstInstance) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdDrawIndexed_Weak=radv_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:radv_CmdDrawIndexed=radv_CmdDrawIndexed_Weak")
    void (*radv_CmdDrawIndexed_Null)(VkCommandBuffer commandBuffer, uint32_t indexCount, uint32_t instanceCount, uint32_t firstIndex, int32_t vertexOffset, uint32_t firstInstance) = 0;
    void radv_CmdDrawIndexed_Weak(VkCommandBuffer commandBuffer, uint32_t indexCount, uint32_t instanceCount, uint32_t firstIndex, int32_t vertexOffset, uint32_t firstInstance);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdDrawIndexed(VkCommandBuffer commandBuffer, uint32_t indexCount, uint32_t instanceCount, uint32_t firstIndex, int32_t vertexOffset, uint32_t firstInstance) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdDrawIndexed_Weak=sqtt_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdDrawIndexed=sqtt_CmdDrawIndexed_Weak")
    void (*sqtt_CmdDrawIndexed_Null)(VkCommandBuffer commandBuffer, uint32_t indexCount, uint32_t instanceCount, uint32_t firstIndex, int32_t vertexOffset, uint32_t firstInstance) = 0;
    void sqtt_CmdDrawIndexed_Weak(VkCommandBuffer commandBuffer, uint32_t indexCount, uint32_t instanceCount, uint32_t firstIndex, int32_t vertexOffset, uint32_t firstInstance);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdDrawIndexed(VkCommandBuffer commandBuffer, uint32_t indexCount, uint32_t instanceCount, uint32_t firstIndex, int32_t vertexOffset, uint32_t firstInstance) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdDrawIndirect_Weak=radv_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:radv_CmdDrawIndirect=radv_CmdDrawIndirect_Weak")
    void (*radv_CmdDrawIndirect_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) = 0;
    void radv_CmdDrawIndirect_Weak(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdDrawIndirect(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdDrawIndirect_Weak=sqtt_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdDrawIndirect=sqtt_CmdDrawIndirect_Weak")
    void (*sqtt_CmdDrawIndirect_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) = 0;
    void sqtt_CmdDrawIndirect_Weak(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdDrawIndirect(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdDrawIndexedIndirect_Weak=radv_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:radv_CmdDrawIndexedIndirect=radv_CmdDrawIndexedIndirect_Weak")
    void (*radv_CmdDrawIndexedIndirect_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) = 0;
    void radv_CmdDrawIndexedIndirect_Weak(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdDrawIndexedIndirect(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdDrawIndexedIndirect_Weak=sqtt_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdDrawIndexedIndirect=sqtt_CmdDrawIndexedIndirect_Weak")
    void (*sqtt_CmdDrawIndexedIndirect_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) = 0;
    void sqtt_CmdDrawIndexedIndirect_Weak(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdDrawIndexedIndirect(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdDispatch_Weak=radv_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:radv_CmdDispatch=radv_CmdDispatch_Weak")
    void (*radv_CmdDispatch_Null)(VkCommandBuffer commandBuffer, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) = 0;
    void radv_CmdDispatch_Weak(VkCommandBuffer commandBuffer, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdDispatch(VkCommandBuffer commandBuffer, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdDispatch_Weak=sqtt_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdDispatch=sqtt_CmdDispatch_Weak")
    void (*sqtt_CmdDispatch_Null)(VkCommandBuffer commandBuffer, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) = 0;
    void sqtt_CmdDispatch_Weak(VkCommandBuffer commandBuffer, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdDispatch(VkCommandBuffer commandBuffer, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdDispatchIndirect_Weak=radv_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:radv_CmdDispatchIndirect=radv_CmdDispatchIndirect_Weak")
    void (*radv_CmdDispatchIndirect_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset) = 0;
    void radv_CmdDispatchIndirect_Weak(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdDispatchIndirect(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdDispatchIndirect_Weak=sqtt_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdDispatchIndirect=sqtt_CmdDispatchIndirect_Weak")
    void (*sqtt_CmdDispatchIndirect_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset) = 0;
    void sqtt_CmdDispatchIndirect_Weak(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdDispatchIndirect(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdCopyBuffer_Weak=radv_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:radv_CmdCopyBuffer=radv_CmdCopyBuffer_Weak")
    void (*radv_CmdCopyBuffer_Null)(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferCopy* pRegions) = 0;
    void radv_CmdCopyBuffer_Weak(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferCopy* pRegions);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdCopyBuffer(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferCopy* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdCopyBuffer_Weak=sqtt_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdCopyBuffer=sqtt_CmdCopyBuffer_Weak")
    void (*sqtt_CmdCopyBuffer_Null)(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferCopy* pRegions) = 0;
    void sqtt_CmdCopyBuffer_Weak(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferCopy* pRegions);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdCopyBuffer(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferCopy* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdCopyImage_Weak=radv_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:radv_CmdCopyImage=radv_CmdCopyImage_Weak")
    void (*radv_CmdCopyImage_Null)(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageCopy* pRegions) = 0;
    void radv_CmdCopyImage_Weak(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageCopy* pRegions);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdCopyImage(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageCopy* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdCopyImage_Weak=sqtt_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdCopyImage=sqtt_CmdCopyImage_Weak")
    void (*sqtt_CmdCopyImage_Null)(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageCopy* pRegions) = 0;
    void sqtt_CmdCopyImage_Weak(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageCopy* pRegions);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdCopyImage(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageCopy* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdBlitImage_Weak=radv_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:radv_CmdBlitImage=radv_CmdBlitImage_Weak")
    void (*radv_CmdBlitImage_Null)(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageBlit* pRegions, VkFilter filter) = 0;
    void radv_CmdBlitImage_Weak(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageBlit* pRegions, VkFilter filter);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdBlitImage(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageBlit* pRegions, VkFilter filter) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdBlitImage_Weak=sqtt_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdBlitImage=sqtt_CmdBlitImage_Weak")
    void (*sqtt_CmdBlitImage_Null)(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageBlit* pRegions, VkFilter filter) = 0;
    void sqtt_CmdBlitImage_Weak(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageBlit* pRegions, VkFilter filter);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdBlitImage(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageBlit* pRegions, VkFilter filter) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdCopyBufferToImage_Weak=radv_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:radv_CmdCopyBufferToImage=radv_CmdCopyBufferToImage_Weak")
    void (*radv_CmdCopyBufferToImage_Null)(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkBufferImageCopy* pRegions) = 0;
    void radv_CmdCopyBufferToImage_Weak(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkBufferImageCopy* pRegions);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdCopyBufferToImage(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkBufferImageCopy* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdCopyBufferToImage_Weak=sqtt_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdCopyBufferToImage=sqtt_CmdCopyBufferToImage_Weak")
    void (*sqtt_CmdCopyBufferToImage_Null)(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkBufferImageCopy* pRegions) = 0;
    void sqtt_CmdCopyBufferToImage_Weak(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkBufferImageCopy* pRegions);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdCopyBufferToImage(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkBufferImageCopy* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdCopyImageToBuffer_Weak=radv_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:radv_CmdCopyImageToBuffer=radv_CmdCopyImageToBuffer_Weak")
    void (*radv_CmdCopyImageToBuffer_Null)(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferImageCopy* pRegions) = 0;
    void radv_CmdCopyImageToBuffer_Weak(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferImageCopy* pRegions);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdCopyImageToBuffer(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferImageCopy* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdCopyImageToBuffer_Weak=sqtt_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdCopyImageToBuffer=sqtt_CmdCopyImageToBuffer_Weak")
    void (*sqtt_CmdCopyImageToBuffer_Null)(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferImageCopy* pRegions) = 0;
    void sqtt_CmdCopyImageToBuffer_Weak(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferImageCopy* pRegions);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdCopyImageToBuffer(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferImageCopy* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdUpdateBuffer_Weak=radv_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:radv_CmdUpdateBuffer=radv_CmdUpdateBuffer_Weak")
    void (*radv_CmdUpdateBuffer_Null)(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize dataSize, const void* pData) = 0;
    void radv_CmdUpdateBuffer_Weak(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize dataSize, const void* pData);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdUpdateBuffer(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize dataSize, const void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdUpdateBuffer_Weak=sqtt_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdUpdateBuffer=sqtt_CmdUpdateBuffer_Weak")
    void (*sqtt_CmdUpdateBuffer_Null)(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize dataSize, const void* pData) = 0;
    void sqtt_CmdUpdateBuffer_Weak(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize dataSize, const void* pData);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdUpdateBuffer(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize dataSize, const void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdFillBuffer_Weak=radv_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:radv_CmdFillBuffer=radv_CmdFillBuffer_Weak")
    void (*radv_CmdFillBuffer_Null)(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize size, uint32_t data) = 0;
    void radv_CmdFillBuffer_Weak(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize size, uint32_t data);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdFillBuffer(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize size, uint32_t data) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdFillBuffer_Weak=sqtt_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdFillBuffer=sqtt_CmdFillBuffer_Weak")
    void (*sqtt_CmdFillBuffer_Null)(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize size, uint32_t data) = 0;
    void sqtt_CmdFillBuffer_Weak(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize size, uint32_t data);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdFillBuffer(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize size, uint32_t data) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdClearColorImage_Weak=radv_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:radv_CmdClearColorImage=radv_CmdClearColorImage_Weak")
    void (*radv_CmdClearColorImage_Null)(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearColorValue* pColor, uint32_t rangeCount, const VkImageSubresourceRange* pRanges) = 0;
    void radv_CmdClearColorImage_Weak(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearColorValue* pColor, uint32_t rangeCount, const VkImageSubresourceRange* pRanges);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdClearColorImage(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearColorValue* pColor, uint32_t rangeCount, const VkImageSubresourceRange* pRanges) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdClearColorImage_Weak=sqtt_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdClearColorImage=sqtt_CmdClearColorImage_Weak")
    void (*sqtt_CmdClearColorImage_Null)(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearColorValue* pColor, uint32_t rangeCount, const VkImageSubresourceRange* pRanges) = 0;
    void sqtt_CmdClearColorImage_Weak(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearColorValue* pColor, uint32_t rangeCount, const VkImageSubresourceRange* pRanges);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdClearColorImage(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearColorValue* pColor, uint32_t rangeCount, const VkImageSubresourceRange* pRanges) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdClearDepthStencilImage_Weak=radv_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:radv_CmdClearDepthStencilImage=radv_CmdClearDepthStencilImage_Weak")
    void (*radv_CmdClearDepthStencilImage_Null)(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearDepthStencilValue* pDepthStencil, uint32_t rangeCount, const VkImageSubresourceRange* pRanges) = 0;
    void radv_CmdClearDepthStencilImage_Weak(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearDepthStencilValue* pDepthStencil, uint32_t rangeCount, const VkImageSubresourceRange* pRanges);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdClearDepthStencilImage(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearDepthStencilValue* pDepthStencil, uint32_t rangeCount, const VkImageSubresourceRange* pRanges) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdClearDepthStencilImage_Weak=sqtt_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdClearDepthStencilImage=sqtt_CmdClearDepthStencilImage_Weak")
    void (*sqtt_CmdClearDepthStencilImage_Null)(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearDepthStencilValue* pDepthStencil, uint32_t rangeCount, const VkImageSubresourceRange* pRanges) = 0;
    void sqtt_CmdClearDepthStencilImage_Weak(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearDepthStencilValue* pDepthStencil, uint32_t rangeCount, const VkImageSubresourceRange* pRanges);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdClearDepthStencilImage(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearDepthStencilValue* pDepthStencil, uint32_t rangeCount, const VkImageSubresourceRange* pRanges) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdClearAttachments_Weak=radv_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:radv_CmdClearAttachments=radv_CmdClearAttachments_Weak")
    void (*radv_CmdClearAttachments_Null)(VkCommandBuffer commandBuffer, uint32_t attachmentCount, const VkClearAttachment* pAttachments, uint32_t rectCount, const VkClearRect* pRects) = 0;
    void radv_CmdClearAttachments_Weak(VkCommandBuffer commandBuffer, uint32_t attachmentCount, const VkClearAttachment* pAttachments, uint32_t rectCount, const VkClearRect* pRects);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdClearAttachments(VkCommandBuffer commandBuffer, uint32_t attachmentCount, const VkClearAttachment* pAttachments, uint32_t rectCount, const VkClearRect* pRects) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdClearAttachments_Weak=sqtt_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdClearAttachments=sqtt_CmdClearAttachments_Weak")
    void (*sqtt_CmdClearAttachments_Null)(VkCommandBuffer commandBuffer, uint32_t attachmentCount, const VkClearAttachment* pAttachments, uint32_t rectCount, const VkClearRect* pRects) = 0;
    void sqtt_CmdClearAttachments_Weak(VkCommandBuffer commandBuffer, uint32_t attachmentCount, const VkClearAttachment* pAttachments, uint32_t rectCount, const VkClearRect* pRects);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdClearAttachments(VkCommandBuffer commandBuffer, uint32_t attachmentCount, const VkClearAttachment* pAttachments, uint32_t rectCount, const VkClearRect* pRects) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdResolveImage_Weak=radv_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:radv_CmdResolveImage=radv_CmdResolveImage_Weak")
    void (*radv_CmdResolveImage_Null)(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageResolve* pRegions) = 0;
    void radv_CmdResolveImage_Weak(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageResolve* pRegions);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdResolveImage(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageResolve* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdResolveImage_Weak=sqtt_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdResolveImage=sqtt_CmdResolveImage_Weak")
    void (*sqtt_CmdResolveImage_Null)(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageResolve* pRegions) = 0;
    void sqtt_CmdResolveImage_Weak(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageResolve* pRegions);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdResolveImage(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageResolve* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdSetEvent_Weak=radv_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:radv_CmdSetEvent=radv_CmdSetEvent_Weak")
    void (*radv_CmdSetEvent_Null)(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask) = 0;
    void radv_CmdSetEvent_Weak(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetEvent(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdSetEvent_Weak=sqtt_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdSetEvent=sqtt_CmdSetEvent_Weak")
    void (*sqtt_CmdSetEvent_Null)(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask) = 0;
    void sqtt_CmdSetEvent_Weak(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetEvent(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdResetEvent_Weak=radv_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:radv_CmdResetEvent=radv_CmdResetEvent_Weak")
    void (*radv_CmdResetEvent_Null)(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask) = 0;
    void radv_CmdResetEvent_Weak(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdResetEvent(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdResetEvent_Weak=sqtt_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdResetEvent=sqtt_CmdResetEvent_Weak")
    void (*sqtt_CmdResetEvent_Null)(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask) = 0;
    void sqtt_CmdResetEvent_Weak(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdResetEvent(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdWaitEvents_Weak=radv_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:radv_CmdWaitEvents=radv_CmdWaitEvents_Weak")
    void (*radv_CmdWaitEvents_Null)(VkCommandBuffer commandBuffer, uint32_t eventCount, const VkEvent* pEvents, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers) = 0;
    void radv_CmdWaitEvents_Weak(VkCommandBuffer commandBuffer, uint32_t eventCount, const VkEvent* pEvents, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdWaitEvents(VkCommandBuffer commandBuffer, uint32_t eventCount, const VkEvent* pEvents, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdWaitEvents_Weak=sqtt_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdWaitEvents=sqtt_CmdWaitEvents_Weak")
    void (*sqtt_CmdWaitEvents_Null)(VkCommandBuffer commandBuffer, uint32_t eventCount, const VkEvent* pEvents, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers) = 0;
    void sqtt_CmdWaitEvents_Weak(VkCommandBuffer commandBuffer, uint32_t eventCount, const VkEvent* pEvents, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdWaitEvents(VkCommandBuffer commandBuffer, uint32_t eventCount, const VkEvent* pEvents, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdPipelineBarrier_Weak=radv_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:radv_CmdPipelineBarrier=radv_CmdPipelineBarrier_Weak")
    void (*radv_CmdPipelineBarrier_Null)(VkCommandBuffer commandBuffer, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, VkDependencyFlags dependencyFlags, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers) = 0;
    void radv_CmdPipelineBarrier_Weak(VkCommandBuffer commandBuffer, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, VkDependencyFlags dependencyFlags, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdPipelineBarrier(VkCommandBuffer commandBuffer, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, VkDependencyFlags dependencyFlags, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdPipelineBarrier_Weak=sqtt_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdPipelineBarrier=sqtt_CmdPipelineBarrier_Weak")
    void (*sqtt_CmdPipelineBarrier_Null)(VkCommandBuffer commandBuffer, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, VkDependencyFlags dependencyFlags, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers) = 0;
    void sqtt_CmdPipelineBarrier_Weak(VkCommandBuffer commandBuffer, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, VkDependencyFlags dependencyFlags, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdPipelineBarrier(VkCommandBuffer commandBuffer, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, VkDependencyFlags dependencyFlags, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdBeginQuery_Weak=radv_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:radv_CmdBeginQuery=radv_CmdBeginQuery_Weak")
    void (*radv_CmdBeginQuery_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags) = 0;
    void radv_CmdBeginQuery_Weak(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdBeginQuery(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdBeginQuery_Weak=sqtt_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdBeginQuery=sqtt_CmdBeginQuery_Weak")
    void (*sqtt_CmdBeginQuery_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags) = 0;
    void sqtt_CmdBeginQuery_Weak(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdBeginQuery(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdEndQuery_Weak=radv_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:radv_CmdEndQuery=radv_CmdEndQuery_Weak")
    void (*radv_CmdEndQuery_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query) = 0;
    void radv_CmdEndQuery_Weak(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdEndQuery(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdEndQuery_Weak=sqtt_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdEndQuery=sqtt_CmdEndQuery_Weak")
    void (*sqtt_CmdEndQuery_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query) = 0;
    void sqtt_CmdEndQuery_Weak(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdEndQuery(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdBeginConditionalRenderingEXT_Weak=radv_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:radv_CmdBeginConditionalRenderingEXT=radv_CmdBeginConditionalRenderingEXT_Weak")
    void (*radv_CmdBeginConditionalRenderingEXT_Null)(VkCommandBuffer commandBuffer, const VkConditionalRenderingBeginInfoEXT* pConditionalRenderingBegin) = 0;
    void radv_CmdBeginConditionalRenderingEXT_Weak(VkCommandBuffer commandBuffer, const VkConditionalRenderingBeginInfoEXT* pConditionalRenderingBegin);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdBeginConditionalRenderingEXT(VkCommandBuffer commandBuffer, const VkConditionalRenderingBeginInfoEXT* pConditionalRenderingBegin) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdBeginConditionalRenderingEXT_Weak=sqtt_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdBeginConditionalRenderingEXT=sqtt_CmdBeginConditionalRenderingEXT_Weak")
    void (*sqtt_CmdBeginConditionalRenderingEXT_Null)(VkCommandBuffer commandBuffer, const VkConditionalRenderingBeginInfoEXT* pConditionalRenderingBegin) = 0;
    void sqtt_CmdBeginConditionalRenderingEXT_Weak(VkCommandBuffer commandBuffer, const VkConditionalRenderingBeginInfoEXT* pConditionalRenderingBegin);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdBeginConditionalRenderingEXT(VkCommandBuffer commandBuffer, const VkConditionalRenderingBeginInfoEXT* pConditionalRenderingBegin) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdEndConditionalRenderingEXT_Weak=radv_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:radv_CmdEndConditionalRenderingEXT=radv_CmdEndConditionalRenderingEXT_Weak")
    void (*radv_CmdEndConditionalRenderingEXT_Null)(VkCommandBuffer commandBuffer) = 0;
    void radv_CmdEndConditionalRenderingEXT_Weak(VkCommandBuffer commandBuffer);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdEndConditionalRenderingEXT(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdEndConditionalRenderingEXT_Weak=sqtt_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdEndConditionalRenderingEXT=sqtt_CmdEndConditionalRenderingEXT_Weak")
    void (*sqtt_CmdEndConditionalRenderingEXT_Null)(VkCommandBuffer commandBuffer) = 0;
    void sqtt_CmdEndConditionalRenderingEXT_Weak(VkCommandBuffer commandBuffer);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdEndConditionalRenderingEXT(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdResetQueryPool_Weak=radv_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:radv_CmdResetQueryPool=radv_CmdResetQueryPool_Weak")
    void (*radv_CmdResetQueryPool_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) = 0;
    void radv_CmdResetQueryPool_Weak(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdResetQueryPool(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdResetQueryPool_Weak=sqtt_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdResetQueryPool=sqtt_CmdResetQueryPool_Weak")
    void (*sqtt_CmdResetQueryPool_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) = 0;
    void sqtt_CmdResetQueryPool_Weak(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdResetQueryPool(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdWriteTimestamp_Weak=radv_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:radv_CmdWriteTimestamp=radv_CmdWriteTimestamp_Weak")
    void (*radv_CmdWriteTimestamp_Null)(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkQueryPool queryPool, uint32_t query) = 0;
    void radv_CmdWriteTimestamp_Weak(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkQueryPool queryPool, uint32_t query);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdWriteTimestamp(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkQueryPool queryPool, uint32_t query) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdWriteTimestamp_Weak=sqtt_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdWriteTimestamp=sqtt_CmdWriteTimestamp_Weak")
    void (*sqtt_CmdWriteTimestamp_Null)(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkQueryPool queryPool, uint32_t query) = 0;
    void sqtt_CmdWriteTimestamp_Weak(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkQueryPool queryPool, uint32_t query);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdWriteTimestamp(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkQueryPool queryPool, uint32_t query) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdCopyQueryPoolResults_Weak=radv_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:radv_CmdCopyQueryPoolResults=radv_CmdCopyQueryPoolResults_Weak")
    void (*radv_CmdCopyQueryPoolResults_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize stride, VkQueryResultFlags flags) = 0;
    void radv_CmdCopyQueryPoolResults_Weak(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize stride, VkQueryResultFlags flags);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdCopyQueryPoolResults(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize stride, VkQueryResultFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdCopyQueryPoolResults_Weak=sqtt_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdCopyQueryPoolResults=sqtt_CmdCopyQueryPoolResults_Weak")
    void (*sqtt_CmdCopyQueryPoolResults_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize stride, VkQueryResultFlags flags) = 0;
    void sqtt_CmdCopyQueryPoolResults_Weak(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize stride, VkQueryResultFlags flags);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdCopyQueryPoolResults(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize stride, VkQueryResultFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdPushConstants_Weak=radv_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:radv_CmdPushConstants=radv_CmdPushConstants_Weak")
    void (*radv_CmdPushConstants_Null)(VkCommandBuffer commandBuffer, VkPipelineLayout layout, VkShaderStageFlags stageFlags, uint32_t offset, uint32_t size, const void* pValues) = 0;
    void radv_CmdPushConstants_Weak(VkCommandBuffer commandBuffer, VkPipelineLayout layout, VkShaderStageFlags stageFlags, uint32_t offset, uint32_t size, const void* pValues);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdPushConstants(VkCommandBuffer commandBuffer, VkPipelineLayout layout, VkShaderStageFlags stageFlags, uint32_t offset, uint32_t size, const void* pValues) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdPushConstants_Weak=sqtt_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdPushConstants=sqtt_CmdPushConstants_Weak")
    void (*sqtt_CmdPushConstants_Null)(VkCommandBuffer commandBuffer, VkPipelineLayout layout, VkShaderStageFlags stageFlags, uint32_t offset, uint32_t size, const void* pValues) = 0;
    void sqtt_CmdPushConstants_Weak(VkCommandBuffer commandBuffer, VkPipelineLayout layout, VkShaderStageFlags stageFlags, uint32_t offset, uint32_t size, const void* pValues);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdPushConstants(VkCommandBuffer commandBuffer, VkPipelineLayout layout, VkShaderStageFlags stageFlags, uint32_t offset, uint32_t size, const void* pValues) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdBeginRenderPass_Weak=radv_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:radv_CmdBeginRenderPass=radv_CmdBeginRenderPass_Weak")
    void (*radv_CmdBeginRenderPass_Null)(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo* pRenderPassBegin, VkSubpassContents contents) = 0;
    void radv_CmdBeginRenderPass_Weak(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo* pRenderPassBegin, VkSubpassContents contents);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdBeginRenderPass(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo* pRenderPassBegin, VkSubpassContents contents) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdBeginRenderPass_Weak=sqtt_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdBeginRenderPass=sqtt_CmdBeginRenderPass_Weak")
    void (*sqtt_CmdBeginRenderPass_Null)(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo* pRenderPassBegin, VkSubpassContents contents) = 0;
    void sqtt_CmdBeginRenderPass_Weak(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo* pRenderPassBegin, VkSubpassContents contents);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdBeginRenderPass(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo* pRenderPassBegin, VkSubpassContents contents) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdNextSubpass_Weak=radv_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:radv_CmdNextSubpass=radv_CmdNextSubpass_Weak")
    void (*radv_CmdNextSubpass_Null)(VkCommandBuffer commandBuffer, VkSubpassContents contents) = 0;
    void radv_CmdNextSubpass_Weak(VkCommandBuffer commandBuffer, VkSubpassContents contents);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdNextSubpass(VkCommandBuffer commandBuffer, VkSubpassContents contents) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdNextSubpass_Weak=sqtt_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdNextSubpass=sqtt_CmdNextSubpass_Weak")
    void (*sqtt_CmdNextSubpass_Null)(VkCommandBuffer commandBuffer, VkSubpassContents contents) = 0;
    void sqtt_CmdNextSubpass_Weak(VkCommandBuffer commandBuffer, VkSubpassContents contents);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdNextSubpass(VkCommandBuffer commandBuffer, VkSubpassContents contents) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdEndRenderPass_Weak=radv_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:radv_CmdEndRenderPass=radv_CmdEndRenderPass_Weak")
    void (*radv_CmdEndRenderPass_Null)(VkCommandBuffer commandBuffer) = 0;
    void radv_CmdEndRenderPass_Weak(VkCommandBuffer commandBuffer);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdEndRenderPass(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdEndRenderPass_Weak=sqtt_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdEndRenderPass=sqtt_CmdEndRenderPass_Weak")
    void (*sqtt_CmdEndRenderPass_Null)(VkCommandBuffer commandBuffer) = 0;
    void sqtt_CmdEndRenderPass_Weak(VkCommandBuffer commandBuffer);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdEndRenderPass(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdExecuteCommands_Weak=radv_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:radv_CmdExecuteCommands=radv_CmdExecuteCommands_Weak")
    void (*radv_CmdExecuteCommands_Null)(VkCommandBuffer commandBuffer, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers) = 0;
    void radv_CmdExecuteCommands_Weak(VkCommandBuffer commandBuffer, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdExecuteCommands(VkCommandBuffer commandBuffer, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdExecuteCommands_Weak=sqtt_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdExecuteCommands=sqtt_CmdExecuteCommands_Weak")
    void (*sqtt_CmdExecuteCommands_Null)(VkCommandBuffer commandBuffer, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers) = 0;
    void sqtt_CmdExecuteCommands_Weak(VkCommandBuffer commandBuffer, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdExecuteCommands(VkCommandBuffer commandBuffer, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CreateSharedSwapchainsKHR_Weak=radv_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:radv_CreateSharedSwapchainsKHR=radv_CreateSharedSwapchainsKHR_Weak")
    VkResult (*radv_CreateSharedSwapchainsKHR_Null)(VkDevice device, uint32_t swapchainCount, const VkSwapchainCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchains) = 0;
    VkResult radv_CreateSharedSwapchainsKHR_Weak(VkDevice device, uint32_t swapchainCount, const VkSwapchainCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchains);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateSharedSwapchainsKHR(VkDevice device, uint32_t swapchainCount, const VkSwapchainCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchains) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CreateSharedSwapchainsKHR_Weak=sqtt_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_CreateSharedSwapchainsKHR=sqtt_CreateSharedSwapchainsKHR_Weak")
    VkResult (*sqtt_CreateSharedSwapchainsKHR_Null)(VkDevice device, uint32_t swapchainCount, const VkSwapchainCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchains) = 0;
    VkResult sqtt_CreateSharedSwapchainsKHR_Weak(VkDevice device, uint32_t swapchainCount, const VkSwapchainCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchains);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateSharedSwapchainsKHR(VkDevice device, uint32_t swapchainCount, const VkSwapchainCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchains) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CreateSwapchainKHR_Weak=radv_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:radv_CreateSwapchainKHR=radv_CreateSwapchainKHR_Weak")
    VkResult (*radv_CreateSwapchainKHR_Null)(VkDevice device, const VkSwapchainCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchain) = 0;
    VkResult radv_CreateSwapchainKHR_Weak(VkDevice device, const VkSwapchainCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchain);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateSwapchainKHR(VkDevice device, const VkSwapchainCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchain) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CreateSwapchainKHR_Weak=sqtt_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_CreateSwapchainKHR=sqtt_CreateSwapchainKHR_Weak")
    VkResult (*sqtt_CreateSwapchainKHR_Null)(VkDevice device, const VkSwapchainCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchain) = 0;
    VkResult sqtt_CreateSwapchainKHR_Weak(VkDevice device, const VkSwapchainCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchain);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateSwapchainKHR(VkDevice device, const VkSwapchainCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchain) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_DestroySwapchainKHR_Weak=radv_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:radv_DestroySwapchainKHR=radv_DestroySwapchainKHR_Weak")
    void (*radv_DestroySwapchainKHR_Null)(VkDevice device, VkSwapchainKHR swapchain, const VkAllocationCallbacks* pAllocator) = 0;
    void radv_DestroySwapchainKHR_Weak(VkDevice device, VkSwapchainKHR swapchain, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroySwapchainKHR(VkDevice device, VkSwapchainKHR swapchain, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_DestroySwapchainKHR_Weak=sqtt_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_DestroySwapchainKHR=sqtt_DestroySwapchainKHR_Weak")
    void (*sqtt_DestroySwapchainKHR_Null)(VkDevice device, VkSwapchainKHR swapchain, const VkAllocationCallbacks* pAllocator) = 0;
    void sqtt_DestroySwapchainKHR_Weak(VkDevice device, VkSwapchainKHR swapchain, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_DestroySwapchainKHR(VkDevice device, VkSwapchainKHR swapchain, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetSwapchainImagesKHR_Weak=radv_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:radv_GetSwapchainImagesKHR=radv_GetSwapchainImagesKHR_Weak")
    VkResult (*radv_GetSwapchainImagesKHR_Null)(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pSwapchainImageCount, VkImage* pSwapchainImages) = 0;
    VkResult radv_GetSwapchainImagesKHR_Weak(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pSwapchainImageCount, VkImage* pSwapchainImages);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetSwapchainImagesKHR(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pSwapchainImageCount, VkImage* pSwapchainImages) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetSwapchainImagesKHR_Weak=sqtt_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetSwapchainImagesKHR=sqtt_GetSwapchainImagesKHR_Weak")
    VkResult (*sqtt_GetSwapchainImagesKHR_Null)(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pSwapchainImageCount, VkImage* pSwapchainImages) = 0;
    VkResult sqtt_GetSwapchainImagesKHR_Weak(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pSwapchainImageCount, VkImage* pSwapchainImages);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetSwapchainImagesKHR(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pSwapchainImageCount, VkImage* pSwapchainImages) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_AcquireNextImageKHR_Weak=radv_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:radv_AcquireNextImageKHR=radv_AcquireNextImageKHR_Weak")
    VkResult (*radv_AcquireNextImageKHR_Null)(VkDevice device, VkSwapchainKHR swapchain, uint64_t timeout, VkSemaphore semaphore, VkFence fence, uint32_t* pImageIndex) = 0;
    VkResult radv_AcquireNextImageKHR_Weak(VkDevice device, VkSwapchainKHR swapchain, uint64_t timeout, VkSemaphore semaphore, VkFence fence, uint32_t* pImageIndex);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_AcquireNextImageKHR(VkDevice device, VkSwapchainKHR swapchain, uint64_t timeout, VkSemaphore semaphore, VkFence fence, uint32_t* pImageIndex) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_AcquireNextImageKHR_Weak=sqtt_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_AcquireNextImageKHR=sqtt_AcquireNextImageKHR_Weak")
    VkResult (*sqtt_AcquireNextImageKHR_Null)(VkDevice device, VkSwapchainKHR swapchain, uint64_t timeout, VkSemaphore semaphore, VkFence fence, uint32_t* pImageIndex) = 0;
    VkResult sqtt_AcquireNextImageKHR_Weak(VkDevice device, VkSwapchainKHR swapchain, uint64_t timeout, VkSemaphore semaphore, VkFence fence, uint32_t* pImageIndex);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_AcquireNextImageKHR(VkDevice device, VkSwapchainKHR swapchain, uint64_t timeout, VkSemaphore semaphore, VkFence fence, uint32_t* pImageIndex) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_QueuePresentKHR_Weak=radv_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:radv_QueuePresentKHR=radv_QueuePresentKHR_Weak")
    VkResult (*radv_QueuePresentKHR_Null)(VkQueue queue, const VkPresentInfoKHR* pPresentInfo) = 0;
    VkResult radv_QueuePresentKHR_Weak(VkQueue queue, const VkPresentInfoKHR* pPresentInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_QueuePresentKHR(VkQueue queue, const VkPresentInfoKHR* pPresentInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_QueuePresentKHR_Weak=sqtt_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_QueuePresentKHR=sqtt_QueuePresentKHR_Weak")
    VkResult (*sqtt_QueuePresentKHR_Null)(VkQueue queue, const VkPresentInfoKHR* pPresentInfo) = 0;
    VkResult sqtt_QueuePresentKHR_Weak(VkQueue queue, const VkPresentInfoKHR* pPresentInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_QueuePresentKHR(VkQueue queue, const VkPresentInfoKHR* pPresentInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_DebugMarkerSetObjectNameEXT_Weak=radv_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:radv_DebugMarkerSetObjectNameEXT=radv_DebugMarkerSetObjectNameEXT_Weak")
    VkResult (*radv_DebugMarkerSetObjectNameEXT_Null)(VkDevice device, const VkDebugMarkerObjectNameInfoEXT* pNameInfo) = 0;
    VkResult radv_DebugMarkerSetObjectNameEXT_Weak(VkDevice device, const VkDebugMarkerObjectNameInfoEXT* pNameInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_DebugMarkerSetObjectNameEXT(VkDevice device, const VkDebugMarkerObjectNameInfoEXT* pNameInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_DebugMarkerSetObjectNameEXT_Weak=sqtt_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:sqtt_DebugMarkerSetObjectNameEXT=sqtt_DebugMarkerSetObjectNameEXT_Weak")
    VkResult (*sqtt_DebugMarkerSetObjectNameEXT_Null)(VkDevice device, const VkDebugMarkerObjectNameInfoEXT* pNameInfo) = 0;
    VkResult sqtt_DebugMarkerSetObjectNameEXT_Weak(VkDevice device, const VkDebugMarkerObjectNameInfoEXT* pNameInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_DebugMarkerSetObjectNameEXT(VkDevice device, const VkDebugMarkerObjectNameInfoEXT* pNameInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_DebugMarkerSetObjectTagEXT_Weak=radv_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:radv_DebugMarkerSetObjectTagEXT=radv_DebugMarkerSetObjectTagEXT_Weak")
    VkResult (*radv_DebugMarkerSetObjectTagEXT_Null)(VkDevice device, const VkDebugMarkerObjectTagInfoEXT* pTagInfo) = 0;
    VkResult radv_DebugMarkerSetObjectTagEXT_Weak(VkDevice device, const VkDebugMarkerObjectTagInfoEXT* pTagInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_DebugMarkerSetObjectTagEXT(VkDevice device, const VkDebugMarkerObjectTagInfoEXT* pTagInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_DebugMarkerSetObjectTagEXT_Weak=sqtt_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:sqtt_DebugMarkerSetObjectTagEXT=sqtt_DebugMarkerSetObjectTagEXT_Weak")
    VkResult (*sqtt_DebugMarkerSetObjectTagEXT_Null)(VkDevice device, const VkDebugMarkerObjectTagInfoEXT* pTagInfo) = 0;
    VkResult sqtt_DebugMarkerSetObjectTagEXT_Weak(VkDevice device, const VkDebugMarkerObjectTagInfoEXT* pTagInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_DebugMarkerSetObjectTagEXT(VkDevice device, const VkDebugMarkerObjectTagInfoEXT* pTagInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdDebugMarkerBeginEXT_Weak=radv_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:radv_CmdDebugMarkerBeginEXT=radv_CmdDebugMarkerBeginEXT_Weak")
    void (*radv_CmdDebugMarkerBeginEXT_Null)(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo) = 0;
    void radv_CmdDebugMarkerBeginEXT_Weak(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdDebugMarkerBeginEXT(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdDebugMarkerBeginEXT_Weak=sqtt_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdDebugMarkerBeginEXT=sqtt_CmdDebugMarkerBeginEXT_Weak")
    void (*sqtt_CmdDebugMarkerBeginEXT_Null)(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo) = 0;
    void sqtt_CmdDebugMarkerBeginEXT_Weak(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdDebugMarkerBeginEXT(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdDebugMarkerEndEXT_Weak=radv_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:radv_CmdDebugMarkerEndEXT=radv_CmdDebugMarkerEndEXT_Weak")
    void (*radv_CmdDebugMarkerEndEXT_Null)(VkCommandBuffer commandBuffer) = 0;
    void radv_CmdDebugMarkerEndEXT_Weak(VkCommandBuffer commandBuffer);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdDebugMarkerEndEXT(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdDebugMarkerEndEXT_Weak=sqtt_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdDebugMarkerEndEXT=sqtt_CmdDebugMarkerEndEXT_Weak")
    void (*sqtt_CmdDebugMarkerEndEXT_Null)(VkCommandBuffer commandBuffer) = 0;
    void sqtt_CmdDebugMarkerEndEXT_Weak(VkCommandBuffer commandBuffer);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdDebugMarkerEndEXT(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdDebugMarkerInsertEXT_Weak=radv_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:radv_CmdDebugMarkerInsertEXT=radv_CmdDebugMarkerInsertEXT_Weak")
    void (*radv_CmdDebugMarkerInsertEXT_Null)(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo) = 0;
    void radv_CmdDebugMarkerInsertEXT_Weak(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdDebugMarkerInsertEXT(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdDebugMarkerInsertEXT_Weak=sqtt_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdDebugMarkerInsertEXT=sqtt_CmdDebugMarkerInsertEXT_Weak")
    void (*sqtt_CmdDebugMarkerInsertEXT_Null)(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo) = 0;
    void sqtt_CmdDebugMarkerInsertEXT_Weak(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdDebugMarkerInsertEXT(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetMemoryWin32HandleNV_Weak=radv_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:radv_GetMemoryWin32HandleNV=radv_GetMemoryWin32HandleNV_Weak")
    VkResult (*radv_GetMemoryWin32HandleNV_Null)(VkDevice device, VkDeviceMemory memory, VkExternalMemoryHandleTypeFlagsNV handleType, HANDLE* pHandle) = 0;
    VkResult radv_GetMemoryWin32HandleNV_Weak(VkDevice device, VkDeviceMemory memory, VkExternalMemoryHandleTypeFlagsNV handleType, HANDLE* pHandle);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetMemoryWin32HandleNV(VkDevice device, VkDeviceMemory memory, VkExternalMemoryHandleTypeFlagsNV handleType, HANDLE* pHandle) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetMemoryWin32HandleNV_Weak=sqtt_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetMemoryWin32HandleNV=sqtt_GetMemoryWin32HandleNV_Weak")
    VkResult (*sqtt_GetMemoryWin32HandleNV_Null)(VkDevice device, VkDeviceMemory memory, VkExternalMemoryHandleTypeFlagsNV handleType, HANDLE* pHandle) = 0;
    VkResult sqtt_GetMemoryWin32HandleNV_Weak(VkDevice device, VkDeviceMemory memory, VkExternalMemoryHandleTypeFlagsNV handleType, HANDLE* pHandle);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetMemoryWin32HandleNV(VkDevice device, VkDeviceMemory memory, VkExternalMemoryHandleTypeFlagsNV handleType, HANDLE* pHandle) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdExecuteGeneratedCommandsNV_Weak=radv_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:radv_CmdExecuteGeneratedCommandsNV=radv_CmdExecuteGeneratedCommandsNV_Weak")
    void (*radv_CmdExecuteGeneratedCommandsNV_Null)(VkCommandBuffer commandBuffer, VkBool32 isPreprocessed, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo) = 0;
    void radv_CmdExecuteGeneratedCommandsNV_Weak(VkCommandBuffer commandBuffer, VkBool32 isPreprocessed, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdExecuteGeneratedCommandsNV(VkCommandBuffer commandBuffer, VkBool32 isPreprocessed, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdExecuteGeneratedCommandsNV_Weak=sqtt_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdExecuteGeneratedCommandsNV=sqtt_CmdExecuteGeneratedCommandsNV_Weak")
    void (*sqtt_CmdExecuteGeneratedCommandsNV_Null)(VkCommandBuffer commandBuffer, VkBool32 isPreprocessed, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo) = 0;
    void sqtt_CmdExecuteGeneratedCommandsNV_Weak(VkCommandBuffer commandBuffer, VkBool32 isPreprocessed, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdExecuteGeneratedCommandsNV(VkCommandBuffer commandBuffer, VkBool32 isPreprocessed, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdPreprocessGeneratedCommandsNV_Weak=radv_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:radv_CmdPreprocessGeneratedCommandsNV=radv_CmdPreprocessGeneratedCommandsNV_Weak")
    void (*radv_CmdPreprocessGeneratedCommandsNV_Null)(VkCommandBuffer commandBuffer, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo) = 0;
    void radv_CmdPreprocessGeneratedCommandsNV_Weak(VkCommandBuffer commandBuffer, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdPreprocessGeneratedCommandsNV(VkCommandBuffer commandBuffer, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdPreprocessGeneratedCommandsNV_Weak=sqtt_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdPreprocessGeneratedCommandsNV=sqtt_CmdPreprocessGeneratedCommandsNV_Weak")
    void (*sqtt_CmdPreprocessGeneratedCommandsNV_Null)(VkCommandBuffer commandBuffer, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo) = 0;
    void sqtt_CmdPreprocessGeneratedCommandsNV_Weak(VkCommandBuffer commandBuffer, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdPreprocessGeneratedCommandsNV(VkCommandBuffer commandBuffer, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdBindPipelineShaderGroupNV_Weak=radv_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:radv_CmdBindPipelineShaderGroupNV=radv_CmdBindPipelineShaderGroupNV_Weak")
    void (*radv_CmdBindPipelineShaderGroupNV_Null)(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline, uint32_t groupIndex) = 0;
    void radv_CmdBindPipelineShaderGroupNV_Weak(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline, uint32_t groupIndex);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdBindPipelineShaderGroupNV(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline, uint32_t groupIndex) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdBindPipelineShaderGroupNV_Weak=sqtt_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdBindPipelineShaderGroupNV=sqtt_CmdBindPipelineShaderGroupNV_Weak")
    void (*sqtt_CmdBindPipelineShaderGroupNV_Null)(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline, uint32_t groupIndex) = 0;
    void sqtt_CmdBindPipelineShaderGroupNV_Weak(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline, uint32_t groupIndex);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdBindPipelineShaderGroupNV(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline, uint32_t groupIndex) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetGeneratedCommandsMemoryRequirementsNV_Weak=radv_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:radv_GetGeneratedCommandsMemoryRequirementsNV=radv_GetGeneratedCommandsMemoryRequirementsNV_Weak")
    void (*radv_GetGeneratedCommandsMemoryRequirementsNV_Null)(VkDevice device, const VkGeneratedCommandsMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
    void radv_GetGeneratedCommandsMemoryRequirementsNV_Weak(VkDevice device, const VkGeneratedCommandsMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2* pMemoryRequirements);
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetGeneratedCommandsMemoryRequirementsNV(VkDevice device, const VkGeneratedCommandsMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetGeneratedCommandsMemoryRequirementsNV_Weak=sqtt_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetGeneratedCommandsMemoryRequirementsNV=sqtt_GetGeneratedCommandsMemoryRequirementsNV_Weak")
    void (*sqtt_GetGeneratedCommandsMemoryRequirementsNV_Null)(VkDevice device, const VkGeneratedCommandsMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
    void sqtt_GetGeneratedCommandsMemoryRequirementsNV_Weak(VkDevice device, const VkGeneratedCommandsMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2* pMemoryRequirements);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_GetGeneratedCommandsMemoryRequirementsNV(VkDevice device, const VkGeneratedCommandsMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CreateIndirectCommandsLayoutNV_Weak=radv_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:radv_CreateIndirectCommandsLayoutNV=radv_CreateIndirectCommandsLayoutNV_Weak")
    VkResult (*radv_CreateIndirectCommandsLayoutNV_Null)(VkDevice device, const VkIndirectCommandsLayoutCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkIndirectCommandsLayoutNV* pIndirectCommandsLayout) = 0;
    VkResult radv_CreateIndirectCommandsLayoutNV_Weak(VkDevice device, const VkIndirectCommandsLayoutCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkIndirectCommandsLayoutNV* pIndirectCommandsLayout);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateIndirectCommandsLayoutNV(VkDevice device, const VkIndirectCommandsLayoutCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkIndirectCommandsLayoutNV* pIndirectCommandsLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CreateIndirectCommandsLayoutNV_Weak=sqtt_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:sqtt_CreateIndirectCommandsLayoutNV=sqtt_CreateIndirectCommandsLayoutNV_Weak")
    VkResult (*sqtt_CreateIndirectCommandsLayoutNV_Null)(VkDevice device, const VkIndirectCommandsLayoutCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkIndirectCommandsLayoutNV* pIndirectCommandsLayout) = 0;
    VkResult sqtt_CreateIndirectCommandsLayoutNV_Weak(VkDevice device, const VkIndirectCommandsLayoutCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkIndirectCommandsLayoutNV* pIndirectCommandsLayout);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateIndirectCommandsLayoutNV(VkDevice device, const VkIndirectCommandsLayoutCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkIndirectCommandsLayoutNV* pIndirectCommandsLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_DestroyIndirectCommandsLayoutNV_Weak=radv_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:radv_DestroyIndirectCommandsLayoutNV=radv_DestroyIndirectCommandsLayoutNV_Weak")
    void (*radv_DestroyIndirectCommandsLayoutNV_Null)(VkDevice device, VkIndirectCommandsLayoutNV indirectCommandsLayout, const VkAllocationCallbacks* pAllocator) = 0;
    void radv_DestroyIndirectCommandsLayoutNV_Weak(VkDevice device, VkIndirectCommandsLayoutNV indirectCommandsLayout, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroyIndirectCommandsLayoutNV(VkDevice device, VkIndirectCommandsLayoutNV indirectCommandsLayout, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_DestroyIndirectCommandsLayoutNV_Weak=sqtt_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:sqtt_DestroyIndirectCommandsLayoutNV=sqtt_DestroyIndirectCommandsLayoutNV_Weak")
    void (*sqtt_DestroyIndirectCommandsLayoutNV_Null)(VkDevice device, VkIndirectCommandsLayoutNV indirectCommandsLayout, const VkAllocationCallbacks* pAllocator) = 0;
    void sqtt_DestroyIndirectCommandsLayoutNV_Weak(VkDevice device, VkIndirectCommandsLayoutNV indirectCommandsLayout, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_DestroyIndirectCommandsLayoutNV(VkDevice device, VkIndirectCommandsLayoutNV indirectCommandsLayout, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdPushDescriptorSetKHR_Weak=radv_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:radv_CmdPushDescriptorSetKHR=radv_CmdPushDescriptorSetKHR_Weak")
    void (*radv_CmdPushDescriptorSetKHR_Null)(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t set, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites) = 0;
    void radv_CmdPushDescriptorSetKHR_Weak(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t set, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdPushDescriptorSetKHR(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t set, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdPushDescriptorSetKHR_Weak=sqtt_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdPushDescriptorSetKHR=sqtt_CmdPushDescriptorSetKHR_Weak")
    void (*sqtt_CmdPushDescriptorSetKHR_Null)(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t set, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites) = 0;
    void sqtt_CmdPushDescriptorSetKHR_Weak(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t set, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdPushDescriptorSetKHR(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t set, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_TrimCommandPool_Weak=radv_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:radv_TrimCommandPool=radv_TrimCommandPool_Weak")
    void (*radv_TrimCommandPool_Null)(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags) = 0;
    void radv_TrimCommandPool_Weak(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags);
#else
    VKAPI_ATTR void VKAPI_CALL radv_TrimCommandPool(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_TrimCommandPool_Weak=sqtt_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:sqtt_TrimCommandPool=sqtt_TrimCommandPool_Weak")
    void (*sqtt_TrimCommandPool_Null)(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags) = 0;
    void sqtt_TrimCommandPool_Weak(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_TrimCommandPool(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_TrimCommandPoolKHR_Weak=radv_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:radv_TrimCommandPoolKHR=radv_TrimCommandPoolKHR_Weak")
    void (*radv_TrimCommandPoolKHR_Null)(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags) = 0;
    void radv_TrimCommandPoolKHR_Weak(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags);
#else
    VKAPI_ATTR void VKAPI_CALL radv_TrimCommandPoolKHR(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_TrimCommandPoolKHR_Weak=sqtt_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_TrimCommandPoolKHR=sqtt_TrimCommandPoolKHR_Weak")
    void (*sqtt_TrimCommandPoolKHR_Null)(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags) = 0;
    void sqtt_TrimCommandPoolKHR_Weak(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_TrimCommandPoolKHR(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetMemoryWin32HandleKHR_Weak=radv_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:radv_GetMemoryWin32HandleKHR=radv_GetMemoryWin32HandleKHR_Weak")
    VkResult (*radv_GetMemoryWin32HandleKHR_Null)(VkDevice device, const VkMemoryGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) = 0;
    VkResult radv_GetMemoryWin32HandleKHR_Weak(VkDevice device, const VkMemoryGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetMemoryWin32HandleKHR(VkDevice device, const VkMemoryGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetMemoryWin32HandleKHR_Weak=sqtt_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetMemoryWin32HandleKHR=sqtt_GetMemoryWin32HandleKHR_Weak")
    VkResult (*sqtt_GetMemoryWin32HandleKHR_Null)(VkDevice device, const VkMemoryGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) = 0;
    VkResult sqtt_GetMemoryWin32HandleKHR_Weak(VkDevice device, const VkMemoryGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetMemoryWin32HandleKHR(VkDevice device, const VkMemoryGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetMemoryWin32HandlePropertiesKHR_Weak=radv_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:radv_GetMemoryWin32HandlePropertiesKHR=radv_GetMemoryWin32HandlePropertiesKHR_Weak")
    VkResult (*radv_GetMemoryWin32HandlePropertiesKHR_Null)(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, HANDLE handle, VkMemoryWin32HandlePropertiesKHR* pMemoryWin32HandleProperties) = 0;
    VkResult radv_GetMemoryWin32HandlePropertiesKHR_Weak(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, HANDLE handle, VkMemoryWin32HandlePropertiesKHR* pMemoryWin32HandleProperties);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetMemoryWin32HandlePropertiesKHR(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, HANDLE handle, VkMemoryWin32HandlePropertiesKHR* pMemoryWin32HandleProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetMemoryWin32HandlePropertiesKHR_Weak=sqtt_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetMemoryWin32HandlePropertiesKHR=sqtt_GetMemoryWin32HandlePropertiesKHR_Weak")
    VkResult (*sqtt_GetMemoryWin32HandlePropertiesKHR_Null)(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, HANDLE handle, VkMemoryWin32HandlePropertiesKHR* pMemoryWin32HandleProperties) = 0;
    VkResult sqtt_GetMemoryWin32HandlePropertiesKHR_Weak(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, HANDLE handle, VkMemoryWin32HandlePropertiesKHR* pMemoryWin32HandleProperties);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetMemoryWin32HandlePropertiesKHR(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, HANDLE handle, VkMemoryWin32HandlePropertiesKHR* pMemoryWin32HandleProperties) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetMemoryFdKHR_Weak=radv_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:radv_GetMemoryFdKHR=radv_GetMemoryFdKHR_Weak")
    VkResult (*radv_GetMemoryFdKHR_Null)(VkDevice device, const VkMemoryGetFdInfoKHR* pGetFdInfo, int* pFd) = 0;
    VkResult radv_GetMemoryFdKHR_Weak(VkDevice device, const VkMemoryGetFdInfoKHR* pGetFdInfo, int* pFd);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetMemoryFdKHR(VkDevice device, const VkMemoryGetFdInfoKHR* pGetFdInfo, int* pFd) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetMemoryFdKHR_Weak=sqtt_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetMemoryFdKHR=sqtt_GetMemoryFdKHR_Weak")
    VkResult (*sqtt_GetMemoryFdKHR_Null)(VkDevice device, const VkMemoryGetFdInfoKHR* pGetFdInfo, int* pFd) = 0;
    VkResult sqtt_GetMemoryFdKHR_Weak(VkDevice device, const VkMemoryGetFdInfoKHR* pGetFdInfo, int* pFd);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetMemoryFdKHR(VkDevice device, const VkMemoryGetFdInfoKHR* pGetFdInfo, int* pFd) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetMemoryFdPropertiesKHR_Weak=radv_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:radv_GetMemoryFdPropertiesKHR=radv_GetMemoryFdPropertiesKHR_Weak")
    VkResult (*radv_GetMemoryFdPropertiesKHR_Null)(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, int fd, VkMemoryFdPropertiesKHR* pMemoryFdProperties) = 0;
    VkResult radv_GetMemoryFdPropertiesKHR_Weak(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, int fd, VkMemoryFdPropertiesKHR* pMemoryFdProperties);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetMemoryFdPropertiesKHR(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, int fd, VkMemoryFdPropertiesKHR* pMemoryFdProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetMemoryFdPropertiesKHR_Weak=sqtt_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetMemoryFdPropertiesKHR=sqtt_GetMemoryFdPropertiesKHR_Weak")
    VkResult (*sqtt_GetMemoryFdPropertiesKHR_Null)(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, int fd, VkMemoryFdPropertiesKHR* pMemoryFdProperties) = 0;
    VkResult sqtt_GetMemoryFdPropertiesKHR_Weak(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, int fd, VkMemoryFdPropertiesKHR* pMemoryFdProperties);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetMemoryFdPropertiesKHR(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, int fd, VkMemoryFdPropertiesKHR* pMemoryFdProperties) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetSemaphoreWin32HandleKHR_Weak=radv_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:radv_GetSemaphoreWin32HandleKHR=radv_GetSemaphoreWin32HandleKHR_Weak")
    VkResult (*radv_GetSemaphoreWin32HandleKHR_Null)(VkDevice device, const VkSemaphoreGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) = 0;
    VkResult radv_GetSemaphoreWin32HandleKHR_Weak(VkDevice device, const VkSemaphoreGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetSemaphoreWin32HandleKHR(VkDevice device, const VkSemaphoreGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetSemaphoreWin32HandleKHR_Weak=sqtt_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetSemaphoreWin32HandleKHR=sqtt_GetSemaphoreWin32HandleKHR_Weak")
    VkResult (*sqtt_GetSemaphoreWin32HandleKHR_Null)(VkDevice device, const VkSemaphoreGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) = 0;
    VkResult sqtt_GetSemaphoreWin32HandleKHR_Weak(VkDevice device, const VkSemaphoreGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetSemaphoreWin32HandleKHR(VkDevice device, const VkSemaphoreGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_ImportSemaphoreWin32HandleKHR_Weak=radv_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:radv_ImportSemaphoreWin32HandleKHR=radv_ImportSemaphoreWin32HandleKHR_Weak")
    VkResult (*radv_ImportSemaphoreWin32HandleKHR_Null)(VkDevice device, const VkImportSemaphoreWin32HandleInfoKHR* pImportSemaphoreWin32HandleInfo) = 0;
    VkResult radv_ImportSemaphoreWin32HandleKHR_Weak(VkDevice device, const VkImportSemaphoreWin32HandleInfoKHR* pImportSemaphoreWin32HandleInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_ImportSemaphoreWin32HandleKHR(VkDevice device, const VkImportSemaphoreWin32HandleInfoKHR* pImportSemaphoreWin32HandleInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_ImportSemaphoreWin32HandleKHR_Weak=sqtt_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_ImportSemaphoreWin32HandleKHR=sqtt_ImportSemaphoreWin32HandleKHR_Weak")
    VkResult (*sqtt_ImportSemaphoreWin32HandleKHR_Null)(VkDevice device, const VkImportSemaphoreWin32HandleInfoKHR* pImportSemaphoreWin32HandleInfo) = 0;
    VkResult sqtt_ImportSemaphoreWin32HandleKHR_Weak(VkDevice device, const VkImportSemaphoreWin32HandleInfoKHR* pImportSemaphoreWin32HandleInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_ImportSemaphoreWin32HandleKHR(VkDevice device, const VkImportSemaphoreWin32HandleInfoKHR* pImportSemaphoreWin32HandleInfo) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetSemaphoreFdKHR_Weak=radv_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:radv_GetSemaphoreFdKHR=radv_GetSemaphoreFdKHR_Weak")
    VkResult (*radv_GetSemaphoreFdKHR_Null)(VkDevice device, const VkSemaphoreGetFdInfoKHR* pGetFdInfo, int* pFd) = 0;
    VkResult radv_GetSemaphoreFdKHR_Weak(VkDevice device, const VkSemaphoreGetFdInfoKHR* pGetFdInfo, int* pFd);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetSemaphoreFdKHR(VkDevice device, const VkSemaphoreGetFdInfoKHR* pGetFdInfo, int* pFd) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetSemaphoreFdKHR_Weak=sqtt_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetSemaphoreFdKHR=sqtt_GetSemaphoreFdKHR_Weak")
    VkResult (*sqtt_GetSemaphoreFdKHR_Null)(VkDevice device, const VkSemaphoreGetFdInfoKHR* pGetFdInfo, int* pFd) = 0;
    VkResult sqtt_GetSemaphoreFdKHR_Weak(VkDevice device, const VkSemaphoreGetFdInfoKHR* pGetFdInfo, int* pFd);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetSemaphoreFdKHR(VkDevice device, const VkSemaphoreGetFdInfoKHR* pGetFdInfo, int* pFd) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_ImportSemaphoreFdKHR_Weak=radv_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:radv_ImportSemaphoreFdKHR=radv_ImportSemaphoreFdKHR_Weak")
    VkResult (*radv_ImportSemaphoreFdKHR_Null)(VkDevice device, const VkImportSemaphoreFdInfoKHR* pImportSemaphoreFdInfo) = 0;
    VkResult radv_ImportSemaphoreFdKHR_Weak(VkDevice device, const VkImportSemaphoreFdInfoKHR* pImportSemaphoreFdInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_ImportSemaphoreFdKHR(VkDevice device, const VkImportSemaphoreFdInfoKHR* pImportSemaphoreFdInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_ImportSemaphoreFdKHR_Weak=sqtt_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_ImportSemaphoreFdKHR=sqtt_ImportSemaphoreFdKHR_Weak")
    VkResult (*sqtt_ImportSemaphoreFdKHR_Null)(VkDevice device, const VkImportSemaphoreFdInfoKHR* pImportSemaphoreFdInfo) = 0;
    VkResult sqtt_ImportSemaphoreFdKHR_Weak(VkDevice device, const VkImportSemaphoreFdInfoKHR* pImportSemaphoreFdInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_ImportSemaphoreFdKHR(VkDevice device, const VkImportSemaphoreFdInfoKHR* pImportSemaphoreFdInfo) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetFenceWin32HandleKHR_Weak=radv_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:radv_GetFenceWin32HandleKHR=radv_GetFenceWin32HandleKHR_Weak")
    VkResult (*radv_GetFenceWin32HandleKHR_Null)(VkDevice device, const VkFenceGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) = 0;
    VkResult radv_GetFenceWin32HandleKHR_Weak(VkDevice device, const VkFenceGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetFenceWin32HandleKHR(VkDevice device, const VkFenceGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetFenceWin32HandleKHR_Weak=sqtt_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetFenceWin32HandleKHR=sqtt_GetFenceWin32HandleKHR_Weak")
    VkResult (*sqtt_GetFenceWin32HandleKHR_Null)(VkDevice device, const VkFenceGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) = 0;
    VkResult sqtt_GetFenceWin32HandleKHR_Weak(VkDevice device, const VkFenceGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetFenceWin32HandleKHR(VkDevice device, const VkFenceGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_ImportFenceWin32HandleKHR_Weak=radv_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:radv_ImportFenceWin32HandleKHR=radv_ImportFenceWin32HandleKHR_Weak")
    VkResult (*radv_ImportFenceWin32HandleKHR_Null)(VkDevice device, const VkImportFenceWin32HandleInfoKHR* pImportFenceWin32HandleInfo) = 0;
    VkResult radv_ImportFenceWin32HandleKHR_Weak(VkDevice device, const VkImportFenceWin32HandleInfoKHR* pImportFenceWin32HandleInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_ImportFenceWin32HandleKHR(VkDevice device, const VkImportFenceWin32HandleInfoKHR* pImportFenceWin32HandleInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_ImportFenceWin32HandleKHR_Weak=sqtt_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_ImportFenceWin32HandleKHR=sqtt_ImportFenceWin32HandleKHR_Weak")
    VkResult (*sqtt_ImportFenceWin32HandleKHR_Null)(VkDevice device, const VkImportFenceWin32HandleInfoKHR* pImportFenceWin32HandleInfo) = 0;
    VkResult sqtt_ImportFenceWin32HandleKHR_Weak(VkDevice device, const VkImportFenceWin32HandleInfoKHR* pImportFenceWin32HandleInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_ImportFenceWin32HandleKHR(VkDevice device, const VkImportFenceWin32HandleInfoKHR* pImportFenceWin32HandleInfo) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetFenceFdKHR_Weak=radv_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:radv_GetFenceFdKHR=radv_GetFenceFdKHR_Weak")
    VkResult (*radv_GetFenceFdKHR_Null)(VkDevice device, const VkFenceGetFdInfoKHR* pGetFdInfo, int* pFd) = 0;
    VkResult radv_GetFenceFdKHR_Weak(VkDevice device, const VkFenceGetFdInfoKHR* pGetFdInfo, int* pFd);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetFenceFdKHR(VkDevice device, const VkFenceGetFdInfoKHR* pGetFdInfo, int* pFd) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetFenceFdKHR_Weak=sqtt_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetFenceFdKHR=sqtt_GetFenceFdKHR_Weak")
    VkResult (*sqtt_GetFenceFdKHR_Null)(VkDevice device, const VkFenceGetFdInfoKHR* pGetFdInfo, int* pFd) = 0;
    VkResult sqtt_GetFenceFdKHR_Weak(VkDevice device, const VkFenceGetFdInfoKHR* pGetFdInfo, int* pFd);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetFenceFdKHR(VkDevice device, const VkFenceGetFdInfoKHR* pGetFdInfo, int* pFd) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_ImportFenceFdKHR_Weak=radv_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:radv_ImportFenceFdKHR=radv_ImportFenceFdKHR_Weak")
    VkResult (*radv_ImportFenceFdKHR_Null)(VkDevice device, const VkImportFenceFdInfoKHR* pImportFenceFdInfo) = 0;
    VkResult radv_ImportFenceFdKHR_Weak(VkDevice device, const VkImportFenceFdInfoKHR* pImportFenceFdInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_ImportFenceFdKHR(VkDevice device, const VkImportFenceFdInfoKHR* pImportFenceFdInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_ImportFenceFdKHR_Weak=sqtt_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_ImportFenceFdKHR=sqtt_ImportFenceFdKHR_Weak")
    VkResult (*sqtt_ImportFenceFdKHR_Null)(VkDevice device, const VkImportFenceFdInfoKHR* pImportFenceFdInfo) = 0;
    VkResult sqtt_ImportFenceFdKHR_Weak(VkDevice device, const VkImportFenceFdInfoKHR* pImportFenceFdInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_ImportFenceFdKHR(VkDevice device, const VkImportFenceFdInfoKHR* pImportFenceFdInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_DisplayPowerControlEXT_Weak=radv_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:radv_DisplayPowerControlEXT=radv_DisplayPowerControlEXT_Weak")
    VkResult (*radv_DisplayPowerControlEXT_Null)(VkDevice device, VkDisplayKHR display, const VkDisplayPowerInfoEXT* pDisplayPowerInfo) = 0;
    VkResult radv_DisplayPowerControlEXT_Weak(VkDevice device, VkDisplayKHR display, const VkDisplayPowerInfoEXT* pDisplayPowerInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_DisplayPowerControlEXT(VkDevice device, VkDisplayKHR display, const VkDisplayPowerInfoEXT* pDisplayPowerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_DisplayPowerControlEXT_Weak=sqtt_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:sqtt_DisplayPowerControlEXT=sqtt_DisplayPowerControlEXT_Weak")
    VkResult (*sqtt_DisplayPowerControlEXT_Null)(VkDevice device, VkDisplayKHR display, const VkDisplayPowerInfoEXT* pDisplayPowerInfo) = 0;
    VkResult sqtt_DisplayPowerControlEXT_Weak(VkDevice device, VkDisplayKHR display, const VkDisplayPowerInfoEXT* pDisplayPowerInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_DisplayPowerControlEXT(VkDevice device, VkDisplayKHR display, const VkDisplayPowerInfoEXT* pDisplayPowerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_RegisterDeviceEventEXT_Weak=radv_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:radv_RegisterDeviceEventEXT=radv_RegisterDeviceEventEXT_Weak")
    VkResult (*radv_RegisterDeviceEventEXT_Null)(VkDevice device, const VkDeviceEventInfoEXT* pDeviceEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) = 0;
    VkResult radv_RegisterDeviceEventEXT_Weak(VkDevice device, const VkDeviceEventInfoEXT* pDeviceEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_RegisterDeviceEventEXT(VkDevice device, const VkDeviceEventInfoEXT* pDeviceEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_RegisterDeviceEventEXT_Weak=sqtt_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:sqtt_RegisterDeviceEventEXT=sqtt_RegisterDeviceEventEXT_Weak")
    VkResult (*sqtt_RegisterDeviceEventEXT_Null)(VkDevice device, const VkDeviceEventInfoEXT* pDeviceEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) = 0;
    VkResult sqtt_RegisterDeviceEventEXT_Weak(VkDevice device, const VkDeviceEventInfoEXT* pDeviceEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_RegisterDeviceEventEXT(VkDevice device, const VkDeviceEventInfoEXT* pDeviceEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_RegisterDisplayEventEXT_Weak=radv_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:radv_RegisterDisplayEventEXT=radv_RegisterDisplayEventEXT_Weak")
    VkResult (*radv_RegisterDisplayEventEXT_Null)(VkDevice device, VkDisplayKHR display, const VkDisplayEventInfoEXT* pDisplayEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) = 0;
    VkResult radv_RegisterDisplayEventEXT_Weak(VkDevice device, VkDisplayKHR display, const VkDisplayEventInfoEXT* pDisplayEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_RegisterDisplayEventEXT(VkDevice device, VkDisplayKHR display, const VkDisplayEventInfoEXT* pDisplayEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_RegisterDisplayEventEXT_Weak=sqtt_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:sqtt_RegisterDisplayEventEXT=sqtt_RegisterDisplayEventEXT_Weak")
    VkResult (*sqtt_RegisterDisplayEventEXT_Null)(VkDevice device, VkDisplayKHR display, const VkDisplayEventInfoEXT* pDisplayEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) = 0;
    VkResult sqtt_RegisterDisplayEventEXT_Weak(VkDevice device, VkDisplayKHR display, const VkDisplayEventInfoEXT* pDisplayEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_RegisterDisplayEventEXT(VkDevice device, VkDisplayKHR display, const VkDisplayEventInfoEXT* pDisplayEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetSwapchainCounterEXT_Weak=radv_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:radv_GetSwapchainCounterEXT=radv_GetSwapchainCounterEXT_Weak")
    VkResult (*radv_GetSwapchainCounterEXT_Null)(VkDevice device, VkSwapchainKHR swapchain, VkSurfaceCounterFlagBitsEXT counter, uint64_t* pCounterValue) = 0;
    VkResult radv_GetSwapchainCounterEXT_Weak(VkDevice device, VkSwapchainKHR swapchain, VkSurfaceCounterFlagBitsEXT counter, uint64_t* pCounterValue);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetSwapchainCounterEXT(VkDevice device, VkSwapchainKHR swapchain, VkSurfaceCounterFlagBitsEXT counter, uint64_t* pCounterValue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetSwapchainCounterEXT_Weak=sqtt_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetSwapchainCounterEXT=sqtt_GetSwapchainCounterEXT_Weak")
    VkResult (*sqtt_GetSwapchainCounterEXT_Null)(VkDevice device, VkSwapchainKHR swapchain, VkSurfaceCounterFlagBitsEXT counter, uint64_t* pCounterValue) = 0;
    VkResult sqtt_GetSwapchainCounterEXT_Weak(VkDevice device, VkSwapchainKHR swapchain, VkSurfaceCounterFlagBitsEXT counter, uint64_t* pCounterValue);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetSwapchainCounterEXT(VkDevice device, VkSwapchainKHR swapchain, VkSurfaceCounterFlagBitsEXT counter, uint64_t* pCounterValue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetDeviceGroupPeerMemoryFeatures_Weak=radv_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:radv_GetDeviceGroupPeerMemoryFeatures=radv_GetDeviceGroupPeerMemoryFeatures_Weak")
    void (*radv_GetDeviceGroupPeerMemoryFeatures_Null)(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures) = 0;
    void radv_GetDeviceGroupPeerMemoryFeatures_Weak(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures);
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetDeviceGroupPeerMemoryFeatures(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetDeviceGroupPeerMemoryFeatures_Weak=sqtt_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetDeviceGroupPeerMemoryFeatures=sqtt_GetDeviceGroupPeerMemoryFeatures_Weak")
    void (*sqtt_GetDeviceGroupPeerMemoryFeatures_Null)(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures) = 0;
    void sqtt_GetDeviceGroupPeerMemoryFeatures_Weak(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_GetDeviceGroupPeerMemoryFeatures(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetDeviceGroupPeerMemoryFeaturesKHR_Weak=radv_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:radv_GetDeviceGroupPeerMemoryFeaturesKHR=radv_GetDeviceGroupPeerMemoryFeaturesKHR_Weak")
    void (*radv_GetDeviceGroupPeerMemoryFeaturesKHR_Null)(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures) = 0;
    void radv_GetDeviceGroupPeerMemoryFeaturesKHR_Weak(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures);
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetDeviceGroupPeerMemoryFeaturesKHR(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetDeviceGroupPeerMemoryFeaturesKHR_Weak=sqtt_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetDeviceGroupPeerMemoryFeaturesKHR=sqtt_GetDeviceGroupPeerMemoryFeaturesKHR_Weak")
    void (*sqtt_GetDeviceGroupPeerMemoryFeaturesKHR_Null)(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures) = 0;
    void sqtt_GetDeviceGroupPeerMemoryFeaturesKHR_Weak(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_GetDeviceGroupPeerMemoryFeaturesKHR(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_BindBufferMemory2_Weak=radv_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:radv_BindBufferMemory2=radv_BindBufferMemory2_Weak")
    VkResult (*radv_BindBufferMemory2_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos) = 0;
    VkResult radv_BindBufferMemory2_Weak(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_BindBufferMemory2(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_BindBufferMemory2_Weak=sqtt_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:sqtt_BindBufferMemory2=sqtt_BindBufferMemory2_Weak")
    VkResult (*sqtt_BindBufferMemory2_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos) = 0;
    VkResult sqtt_BindBufferMemory2_Weak(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_BindBufferMemory2(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_BindBufferMemory2KHR_Weak=radv_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:radv_BindBufferMemory2KHR=radv_BindBufferMemory2KHR_Weak")
    VkResult (*radv_BindBufferMemory2KHR_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos) = 0;
    VkResult radv_BindBufferMemory2KHR_Weak(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_BindBufferMemory2KHR(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_BindBufferMemory2KHR_Weak=sqtt_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_BindBufferMemory2KHR=sqtt_BindBufferMemory2KHR_Weak")
    VkResult (*sqtt_BindBufferMemory2KHR_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos) = 0;
    VkResult sqtt_BindBufferMemory2KHR_Weak(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_BindBufferMemory2KHR(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_BindImageMemory2_Weak=radv_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:radv_BindImageMemory2=radv_BindImageMemory2_Weak")
    VkResult (*radv_BindImageMemory2_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos) = 0;
    VkResult radv_BindImageMemory2_Weak(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_BindImageMemory2(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_BindImageMemory2_Weak=sqtt_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:sqtt_BindImageMemory2=sqtt_BindImageMemory2_Weak")
    VkResult (*sqtt_BindImageMemory2_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos) = 0;
    VkResult sqtt_BindImageMemory2_Weak(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_BindImageMemory2(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_BindImageMemory2KHR_Weak=radv_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:radv_BindImageMemory2KHR=radv_BindImageMemory2KHR_Weak")
    VkResult (*radv_BindImageMemory2KHR_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos) = 0;
    VkResult radv_BindImageMemory2KHR_Weak(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_BindImageMemory2KHR(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_BindImageMemory2KHR_Weak=sqtt_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_BindImageMemory2KHR=sqtt_BindImageMemory2KHR_Weak")
    VkResult (*sqtt_BindImageMemory2KHR_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos) = 0;
    VkResult sqtt_BindImageMemory2KHR_Weak(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_BindImageMemory2KHR(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdSetDeviceMask_Weak=radv_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:radv_CmdSetDeviceMask=radv_CmdSetDeviceMask_Weak")
    void (*radv_CmdSetDeviceMask_Null)(VkCommandBuffer commandBuffer, uint32_t deviceMask) = 0;
    void radv_CmdSetDeviceMask_Weak(VkCommandBuffer commandBuffer, uint32_t deviceMask);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetDeviceMask(VkCommandBuffer commandBuffer, uint32_t deviceMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdSetDeviceMask_Weak=sqtt_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdSetDeviceMask=sqtt_CmdSetDeviceMask_Weak")
    void (*sqtt_CmdSetDeviceMask_Null)(VkCommandBuffer commandBuffer, uint32_t deviceMask) = 0;
    void sqtt_CmdSetDeviceMask_Weak(VkCommandBuffer commandBuffer, uint32_t deviceMask);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetDeviceMask(VkCommandBuffer commandBuffer, uint32_t deviceMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdSetDeviceMaskKHR_Weak=radv_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:radv_CmdSetDeviceMaskKHR=radv_CmdSetDeviceMaskKHR_Weak")
    void (*radv_CmdSetDeviceMaskKHR_Null)(VkCommandBuffer commandBuffer, uint32_t deviceMask) = 0;
    void radv_CmdSetDeviceMaskKHR_Weak(VkCommandBuffer commandBuffer, uint32_t deviceMask);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetDeviceMaskKHR(VkCommandBuffer commandBuffer, uint32_t deviceMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdSetDeviceMaskKHR_Weak=sqtt_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdSetDeviceMaskKHR=sqtt_CmdSetDeviceMaskKHR_Weak")
    void (*sqtt_CmdSetDeviceMaskKHR_Null)(VkCommandBuffer commandBuffer, uint32_t deviceMask) = 0;
    void sqtt_CmdSetDeviceMaskKHR_Weak(VkCommandBuffer commandBuffer, uint32_t deviceMask);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetDeviceMaskKHR(VkCommandBuffer commandBuffer, uint32_t deviceMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetDeviceGroupPresentCapabilitiesKHR_Weak=radv_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:radv_GetDeviceGroupPresentCapabilitiesKHR=radv_GetDeviceGroupPresentCapabilitiesKHR_Weak")
    VkResult (*radv_GetDeviceGroupPresentCapabilitiesKHR_Null)(VkDevice device, VkDeviceGroupPresentCapabilitiesKHR* pDeviceGroupPresentCapabilities) = 0;
    VkResult radv_GetDeviceGroupPresentCapabilitiesKHR_Weak(VkDevice device, VkDeviceGroupPresentCapabilitiesKHR* pDeviceGroupPresentCapabilities);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetDeviceGroupPresentCapabilitiesKHR(VkDevice device, VkDeviceGroupPresentCapabilitiesKHR* pDeviceGroupPresentCapabilities) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetDeviceGroupPresentCapabilitiesKHR_Weak=sqtt_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetDeviceGroupPresentCapabilitiesKHR=sqtt_GetDeviceGroupPresentCapabilitiesKHR_Weak")
    VkResult (*sqtt_GetDeviceGroupPresentCapabilitiesKHR_Null)(VkDevice device, VkDeviceGroupPresentCapabilitiesKHR* pDeviceGroupPresentCapabilities) = 0;
    VkResult sqtt_GetDeviceGroupPresentCapabilitiesKHR_Weak(VkDevice device, VkDeviceGroupPresentCapabilitiesKHR* pDeviceGroupPresentCapabilities);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetDeviceGroupPresentCapabilitiesKHR(VkDevice device, VkDeviceGroupPresentCapabilitiesKHR* pDeviceGroupPresentCapabilities) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetDeviceGroupSurfacePresentModesKHR_Weak=radv_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:radv_GetDeviceGroupSurfacePresentModesKHR=radv_GetDeviceGroupSurfacePresentModesKHR_Weak")
    VkResult (*radv_GetDeviceGroupSurfacePresentModesKHR_Null)(VkDevice device, VkSurfaceKHR surface, VkDeviceGroupPresentModeFlagsKHR* pModes) = 0;
    VkResult radv_GetDeviceGroupSurfacePresentModesKHR_Weak(VkDevice device, VkSurfaceKHR surface, VkDeviceGroupPresentModeFlagsKHR* pModes);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetDeviceGroupSurfacePresentModesKHR(VkDevice device, VkSurfaceKHR surface, VkDeviceGroupPresentModeFlagsKHR* pModes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetDeviceGroupSurfacePresentModesKHR_Weak=sqtt_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetDeviceGroupSurfacePresentModesKHR=sqtt_GetDeviceGroupSurfacePresentModesKHR_Weak")
    VkResult (*sqtt_GetDeviceGroupSurfacePresentModesKHR_Null)(VkDevice device, VkSurfaceKHR surface, VkDeviceGroupPresentModeFlagsKHR* pModes) = 0;
    VkResult sqtt_GetDeviceGroupSurfacePresentModesKHR_Weak(VkDevice device, VkSurfaceKHR surface, VkDeviceGroupPresentModeFlagsKHR* pModes);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetDeviceGroupSurfacePresentModesKHR(VkDevice device, VkSurfaceKHR surface, VkDeviceGroupPresentModeFlagsKHR* pModes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_AcquireNextImage2KHR_Weak=radv_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:radv_AcquireNextImage2KHR=radv_AcquireNextImage2KHR_Weak")
    VkResult (*radv_AcquireNextImage2KHR_Null)(VkDevice device, const VkAcquireNextImageInfoKHR* pAcquireInfo, uint32_t* pImageIndex) = 0;
    VkResult radv_AcquireNextImage2KHR_Weak(VkDevice device, const VkAcquireNextImageInfoKHR* pAcquireInfo, uint32_t* pImageIndex);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_AcquireNextImage2KHR(VkDevice device, const VkAcquireNextImageInfoKHR* pAcquireInfo, uint32_t* pImageIndex) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_AcquireNextImage2KHR_Weak=sqtt_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_AcquireNextImage2KHR=sqtt_AcquireNextImage2KHR_Weak")
    VkResult (*sqtt_AcquireNextImage2KHR_Null)(VkDevice device, const VkAcquireNextImageInfoKHR* pAcquireInfo, uint32_t* pImageIndex) = 0;
    VkResult sqtt_AcquireNextImage2KHR_Weak(VkDevice device, const VkAcquireNextImageInfoKHR* pAcquireInfo, uint32_t* pImageIndex);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_AcquireNextImage2KHR(VkDevice device, const VkAcquireNextImageInfoKHR* pAcquireInfo, uint32_t* pImageIndex) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdDispatchBase_Weak=radv_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:radv_CmdDispatchBase=radv_CmdDispatchBase_Weak")
    void (*radv_CmdDispatchBase_Null)(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) = 0;
    void radv_CmdDispatchBase_Weak(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdDispatchBase(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdDispatchBase_Weak=sqtt_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdDispatchBase=sqtt_CmdDispatchBase_Weak")
    void (*sqtt_CmdDispatchBase_Null)(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) = 0;
    void sqtt_CmdDispatchBase_Weak(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdDispatchBase(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdDispatchBaseKHR_Weak=radv_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:radv_CmdDispatchBaseKHR=radv_CmdDispatchBaseKHR_Weak")
    void (*radv_CmdDispatchBaseKHR_Null)(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) = 0;
    void radv_CmdDispatchBaseKHR_Weak(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdDispatchBaseKHR(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdDispatchBaseKHR_Weak=sqtt_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdDispatchBaseKHR=sqtt_CmdDispatchBaseKHR_Weak")
    void (*sqtt_CmdDispatchBaseKHR_Null)(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) = 0;
    void sqtt_CmdDispatchBaseKHR_Weak(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdDispatchBaseKHR(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CreateDescriptorUpdateTemplate_Weak=radv_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:radv_CreateDescriptorUpdateTemplate=radv_CreateDescriptorUpdateTemplate_Weak")
    VkResult (*radv_CreateDescriptorUpdateTemplate_Null)(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate) = 0;
    VkResult radv_CreateDescriptorUpdateTemplate_Weak(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateDescriptorUpdateTemplate(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CreateDescriptorUpdateTemplate_Weak=sqtt_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:sqtt_CreateDescriptorUpdateTemplate=sqtt_CreateDescriptorUpdateTemplate_Weak")
    VkResult (*sqtt_CreateDescriptorUpdateTemplate_Null)(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate) = 0;
    VkResult sqtt_CreateDescriptorUpdateTemplate_Weak(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateDescriptorUpdateTemplate(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CreateDescriptorUpdateTemplateKHR_Weak=radv_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:radv_CreateDescriptorUpdateTemplateKHR=radv_CreateDescriptorUpdateTemplateKHR_Weak")
    VkResult (*radv_CreateDescriptorUpdateTemplateKHR_Null)(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate) = 0;
    VkResult radv_CreateDescriptorUpdateTemplateKHR_Weak(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateDescriptorUpdateTemplateKHR(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CreateDescriptorUpdateTemplateKHR_Weak=sqtt_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_CreateDescriptorUpdateTemplateKHR=sqtt_CreateDescriptorUpdateTemplateKHR_Weak")
    VkResult (*sqtt_CreateDescriptorUpdateTemplateKHR_Null)(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate) = 0;
    VkResult sqtt_CreateDescriptorUpdateTemplateKHR_Weak(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateDescriptorUpdateTemplateKHR(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_DestroyDescriptorUpdateTemplate_Weak=radv_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:radv_DestroyDescriptorUpdateTemplate=radv_DestroyDescriptorUpdateTemplate_Weak")
    void (*radv_DestroyDescriptorUpdateTemplate_Null)(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator) = 0;
    void radv_DestroyDescriptorUpdateTemplate_Weak(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroyDescriptorUpdateTemplate(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_DestroyDescriptorUpdateTemplate_Weak=sqtt_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:sqtt_DestroyDescriptorUpdateTemplate=sqtt_DestroyDescriptorUpdateTemplate_Weak")
    void (*sqtt_DestroyDescriptorUpdateTemplate_Null)(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator) = 0;
    void sqtt_DestroyDescriptorUpdateTemplate_Weak(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_DestroyDescriptorUpdateTemplate(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_DestroyDescriptorUpdateTemplateKHR_Weak=radv_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:radv_DestroyDescriptorUpdateTemplateKHR=radv_DestroyDescriptorUpdateTemplateKHR_Weak")
    void (*radv_DestroyDescriptorUpdateTemplateKHR_Null)(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator) = 0;
    void radv_DestroyDescriptorUpdateTemplateKHR_Weak(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroyDescriptorUpdateTemplateKHR(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_DestroyDescriptorUpdateTemplateKHR_Weak=sqtt_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_DestroyDescriptorUpdateTemplateKHR=sqtt_DestroyDescriptorUpdateTemplateKHR_Weak")
    void (*sqtt_DestroyDescriptorUpdateTemplateKHR_Null)(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator) = 0;
    void sqtt_DestroyDescriptorUpdateTemplateKHR_Weak(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_DestroyDescriptorUpdateTemplateKHR(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_UpdateDescriptorSetWithTemplate_Weak=radv_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:radv_UpdateDescriptorSetWithTemplate=radv_UpdateDescriptorSetWithTemplate_Weak")
    void (*radv_UpdateDescriptorSetWithTemplate_Null)(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData) = 0;
    void radv_UpdateDescriptorSetWithTemplate_Weak(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData);
#else
    VKAPI_ATTR void VKAPI_CALL radv_UpdateDescriptorSetWithTemplate(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_UpdateDescriptorSetWithTemplate_Weak=sqtt_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:sqtt_UpdateDescriptorSetWithTemplate=sqtt_UpdateDescriptorSetWithTemplate_Weak")
    void (*sqtt_UpdateDescriptorSetWithTemplate_Null)(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData) = 0;
    void sqtt_UpdateDescriptorSetWithTemplate_Weak(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_UpdateDescriptorSetWithTemplate(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_UpdateDescriptorSetWithTemplateKHR_Weak=radv_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:radv_UpdateDescriptorSetWithTemplateKHR=radv_UpdateDescriptorSetWithTemplateKHR_Weak")
    void (*radv_UpdateDescriptorSetWithTemplateKHR_Null)(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData) = 0;
    void radv_UpdateDescriptorSetWithTemplateKHR_Weak(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData);
#else
    VKAPI_ATTR void VKAPI_CALL radv_UpdateDescriptorSetWithTemplateKHR(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_UpdateDescriptorSetWithTemplateKHR_Weak=sqtt_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_UpdateDescriptorSetWithTemplateKHR=sqtt_UpdateDescriptorSetWithTemplateKHR_Weak")
    void (*sqtt_UpdateDescriptorSetWithTemplateKHR_Null)(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData) = 0;
    void sqtt_UpdateDescriptorSetWithTemplateKHR_Weak(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_UpdateDescriptorSetWithTemplateKHR(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdPushDescriptorSetWithTemplateKHR_Weak=radv_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:radv_CmdPushDescriptorSetWithTemplateKHR=radv_CmdPushDescriptorSetWithTemplateKHR_Weak")
    void (*radv_CmdPushDescriptorSetWithTemplateKHR_Null)(VkCommandBuffer commandBuffer, VkDescriptorUpdateTemplate descriptorUpdateTemplate, VkPipelineLayout layout, uint32_t set, const void* pData) = 0;
    void radv_CmdPushDescriptorSetWithTemplateKHR_Weak(VkCommandBuffer commandBuffer, VkDescriptorUpdateTemplate descriptorUpdateTemplate, VkPipelineLayout layout, uint32_t set, const void* pData);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdPushDescriptorSetWithTemplateKHR(VkCommandBuffer commandBuffer, VkDescriptorUpdateTemplate descriptorUpdateTemplate, VkPipelineLayout layout, uint32_t set, const void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdPushDescriptorSetWithTemplateKHR_Weak=sqtt_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdPushDescriptorSetWithTemplateKHR=sqtt_CmdPushDescriptorSetWithTemplateKHR_Weak")
    void (*sqtt_CmdPushDescriptorSetWithTemplateKHR_Null)(VkCommandBuffer commandBuffer, VkDescriptorUpdateTemplate descriptorUpdateTemplate, VkPipelineLayout layout, uint32_t set, const void* pData) = 0;
    void sqtt_CmdPushDescriptorSetWithTemplateKHR_Weak(VkCommandBuffer commandBuffer, VkDescriptorUpdateTemplate descriptorUpdateTemplate, VkPipelineLayout layout, uint32_t set, const void* pData);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdPushDescriptorSetWithTemplateKHR(VkCommandBuffer commandBuffer, VkDescriptorUpdateTemplate descriptorUpdateTemplate, VkPipelineLayout layout, uint32_t set, const void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_SetHdrMetadataEXT_Weak=radv_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:radv_SetHdrMetadataEXT=radv_SetHdrMetadataEXT_Weak")
    void (*radv_SetHdrMetadataEXT_Null)(VkDevice device, uint32_t swapchainCount, const VkSwapchainKHR* pSwapchains, const VkHdrMetadataEXT* pMetadata) = 0;
    void radv_SetHdrMetadataEXT_Weak(VkDevice device, uint32_t swapchainCount, const VkSwapchainKHR* pSwapchains, const VkHdrMetadataEXT* pMetadata);
#else
    VKAPI_ATTR void VKAPI_CALL radv_SetHdrMetadataEXT(VkDevice device, uint32_t swapchainCount, const VkSwapchainKHR* pSwapchains, const VkHdrMetadataEXT* pMetadata) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_SetHdrMetadataEXT_Weak=sqtt_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:sqtt_SetHdrMetadataEXT=sqtt_SetHdrMetadataEXT_Weak")
    void (*sqtt_SetHdrMetadataEXT_Null)(VkDevice device, uint32_t swapchainCount, const VkSwapchainKHR* pSwapchains, const VkHdrMetadataEXT* pMetadata) = 0;
    void sqtt_SetHdrMetadataEXT_Weak(VkDevice device, uint32_t swapchainCount, const VkSwapchainKHR* pSwapchains, const VkHdrMetadataEXT* pMetadata);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_SetHdrMetadataEXT(VkDevice device, uint32_t swapchainCount, const VkSwapchainKHR* pSwapchains, const VkHdrMetadataEXT* pMetadata) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetSwapchainStatusKHR_Weak=radv_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:radv_GetSwapchainStatusKHR=radv_GetSwapchainStatusKHR_Weak")
    VkResult (*radv_GetSwapchainStatusKHR_Null)(VkDevice device, VkSwapchainKHR swapchain) = 0;
    VkResult radv_GetSwapchainStatusKHR_Weak(VkDevice device, VkSwapchainKHR swapchain);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetSwapchainStatusKHR(VkDevice device, VkSwapchainKHR swapchain) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetSwapchainStatusKHR_Weak=sqtt_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetSwapchainStatusKHR=sqtt_GetSwapchainStatusKHR_Weak")
    VkResult (*sqtt_GetSwapchainStatusKHR_Null)(VkDevice device, VkSwapchainKHR swapchain) = 0;
    VkResult sqtt_GetSwapchainStatusKHR_Weak(VkDevice device, VkSwapchainKHR swapchain);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetSwapchainStatusKHR(VkDevice device, VkSwapchainKHR swapchain) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetRefreshCycleDurationGOOGLE_Weak=radv_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:radv_GetRefreshCycleDurationGOOGLE=radv_GetRefreshCycleDurationGOOGLE_Weak")
    VkResult (*radv_GetRefreshCycleDurationGOOGLE_Null)(VkDevice device, VkSwapchainKHR swapchain, VkRefreshCycleDurationGOOGLE* pDisplayTimingProperties) = 0;
    VkResult radv_GetRefreshCycleDurationGOOGLE_Weak(VkDevice device, VkSwapchainKHR swapchain, VkRefreshCycleDurationGOOGLE* pDisplayTimingProperties);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetRefreshCycleDurationGOOGLE(VkDevice device, VkSwapchainKHR swapchain, VkRefreshCycleDurationGOOGLE* pDisplayTimingProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetRefreshCycleDurationGOOGLE_Weak=sqtt_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetRefreshCycleDurationGOOGLE=sqtt_GetRefreshCycleDurationGOOGLE_Weak")
    VkResult (*sqtt_GetRefreshCycleDurationGOOGLE_Null)(VkDevice device, VkSwapchainKHR swapchain, VkRefreshCycleDurationGOOGLE* pDisplayTimingProperties) = 0;
    VkResult sqtt_GetRefreshCycleDurationGOOGLE_Weak(VkDevice device, VkSwapchainKHR swapchain, VkRefreshCycleDurationGOOGLE* pDisplayTimingProperties);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetRefreshCycleDurationGOOGLE(VkDevice device, VkSwapchainKHR swapchain, VkRefreshCycleDurationGOOGLE* pDisplayTimingProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetPastPresentationTimingGOOGLE_Weak=radv_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:radv_GetPastPresentationTimingGOOGLE=radv_GetPastPresentationTimingGOOGLE_Weak")
    VkResult (*radv_GetPastPresentationTimingGOOGLE_Null)(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pPresentationTimingCount, VkPastPresentationTimingGOOGLE* pPresentationTimings) = 0;
    VkResult radv_GetPastPresentationTimingGOOGLE_Weak(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pPresentationTimingCount, VkPastPresentationTimingGOOGLE* pPresentationTimings);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetPastPresentationTimingGOOGLE(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pPresentationTimingCount, VkPastPresentationTimingGOOGLE* pPresentationTimings) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetPastPresentationTimingGOOGLE_Weak=sqtt_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetPastPresentationTimingGOOGLE=sqtt_GetPastPresentationTimingGOOGLE_Weak")
    VkResult (*sqtt_GetPastPresentationTimingGOOGLE_Null)(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pPresentationTimingCount, VkPastPresentationTimingGOOGLE* pPresentationTimings) = 0;
    VkResult sqtt_GetPastPresentationTimingGOOGLE_Weak(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pPresentationTimingCount, VkPastPresentationTimingGOOGLE* pPresentationTimings);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetPastPresentationTimingGOOGLE(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pPresentationTimingCount, VkPastPresentationTimingGOOGLE* pPresentationTimings) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdSetViewportWScalingNV_Weak=radv_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:radv_CmdSetViewportWScalingNV=radv_CmdSetViewportWScalingNV_Weak")
    void (*radv_CmdSetViewportWScalingNV_Null)(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewportWScalingNV* pViewportWScalings) = 0;
    void radv_CmdSetViewportWScalingNV_Weak(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewportWScalingNV* pViewportWScalings);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetViewportWScalingNV(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewportWScalingNV* pViewportWScalings) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdSetViewportWScalingNV_Weak=sqtt_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdSetViewportWScalingNV=sqtt_CmdSetViewportWScalingNV_Weak")
    void (*sqtt_CmdSetViewportWScalingNV_Null)(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewportWScalingNV* pViewportWScalings) = 0;
    void sqtt_CmdSetViewportWScalingNV_Weak(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewportWScalingNV* pViewportWScalings);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetViewportWScalingNV(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewportWScalingNV* pViewportWScalings) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdSetDiscardRectangleEXT_Weak=radv_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:radv_CmdSetDiscardRectangleEXT=radv_CmdSetDiscardRectangleEXT_Weak")
    void (*radv_CmdSetDiscardRectangleEXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstDiscardRectangle, uint32_t discardRectangleCount, const VkRect2D* pDiscardRectangles) = 0;
    void radv_CmdSetDiscardRectangleEXT_Weak(VkCommandBuffer commandBuffer, uint32_t firstDiscardRectangle, uint32_t discardRectangleCount, const VkRect2D* pDiscardRectangles);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetDiscardRectangleEXT(VkCommandBuffer commandBuffer, uint32_t firstDiscardRectangle, uint32_t discardRectangleCount, const VkRect2D* pDiscardRectangles) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdSetDiscardRectangleEXT_Weak=sqtt_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdSetDiscardRectangleEXT=sqtt_CmdSetDiscardRectangleEXT_Weak")
    void (*sqtt_CmdSetDiscardRectangleEXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstDiscardRectangle, uint32_t discardRectangleCount, const VkRect2D* pDiscardRectangles) = 0;
    void sqtt_CmdSetDiscardRectangleEXT_Weak(VkCommandBuffer commandBuffer, uint32_t firstDiscardRectangle, uint32_t discardRectangleCount, const VkRect2D* pDiscardRectangles);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetDiscardRectangleEXT(VkCommandBuffer commandBuffer, uint32_t firstDiscardRectangle, uint32_t discardRectangleCount, const VkRect2D* pDiscardRectangles) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdSetSampleLocationsEXT_Weak=radv_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:radv_CmdSetSampleLocationsEXT=radv_CmdSetSampleLocationsEXT_Weak")
    void (*radv_CmdSetSampleLocationsEXT_Null)(VkCommandBuffer commandBuffer, const VkSampleLocationsInfoEXT* pSampleLocationsInfo) = 0;
    void radv_CmdSetSampleLocationsEXT_Weak(VkCommandBuffer commandBuffer, const VkSampleLocationsInfoEXT* pSampleLocationsInfo);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetSampleLocationsEXT(VkCommandBuffer commandBuffer, const VkSampleLocationsInfoEXT* pSampleLocationsInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdSetSampleLocationsEXT_Weak=sqtt_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdSetSampleLocationsEXT=sqtt_CmdSetSampleLocationsEXT_Weak")
    void (*sqtt_CmdSetSampleLocationsEXT_Null)(VkCommandBuffer commandBuffer, const VkSampleLocationsInfoEXT* pSampleLocationsInfo) = 0;
    void sqtt_CmdSetSampleLocationsEXT_Weak(VkCommandBuffer commandBuffer, const VkSampleLocationsInfoEXT* pSampleLocationsInfo);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetSampleLocationsEXT(VkCommandBuffer commandBuffer, const VkSampleLocationsInfoEXT* pSampleLocationsInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetBufferMemoryRequirements2_Weak=radv_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:radv_GetBufferMemoryRequirements2=radv_GetBufferMemoryRequirements2_Weak")
    void (*radv_GetBufferMemoryRequirements2_Null)(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
    void radv_GetBufferMemoryRequirements2_Weak(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements);
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetBufferMemoryRequirements2(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetBufferMemoryRequirements2_Weak=sqtt_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetBufferMemoryRequirements2=sqtt_GetBufferMemoryRequirements2_Weak")
    void (*sqtt_GetBufferMemoryRequirements2_Null)(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
    void sqtt_GetBufferMemoryRequirements2_Weak(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_GetBufferMemoryRequirements2(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetBufferMemoryRequirements2KHR_Weak=radv_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:radv_GetBufferMemoryRequirements2KHR=radv_GetBufferMemoryRequirements2KHR_Weak")
    void (*radv_GetBufferMemoryRequirements2KHR_Null)(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
    void radv_GetBufferMemoryRequirements2KHR_Weak(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements);
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetBufferMemoryRequirements2KHR(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetBufferMemoryRequirements2KHR_Weak=sqtt_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetBufferMemoryRequirements2KHR=sqtt_GetBufferMemoryRequirements2KHR_Weak")
    void (*sqtt_GetBufferMemoryRequirements2KHR_Null)(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
    void sqtt_GetBufferMemoryRequirements2KHR_Weak(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_GetBufferMemoryRequirements2KHR(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetImageMemoryRequirements2_Weak=radv_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:radv_GetImageMemoryRequirements2=radv_GetImageMemoryRequirements2_Weak")
    void (*radv_GetImageMemoryRequirements2_Null)(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
    void radv_GetImageMemoryRequirements2_Weak(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements);
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetImageMemoryRequirements2(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetImageMemoryRequirements2_Weak=sqtt_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetImageMemoryRequirements2=sqtt_GetImageMemoryRequirements2_Weak")
    void (*sqtt_GetImageMemoryRequirements2_Null)(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
    void sqtt_GetImageMemoryRequirements2_Weak(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_GetImageMemoryRequirements2(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetImageMemoryRequirements2KHR_Weak=radv_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:radv_GetImageMemoryRequirements2KHR=radv_GetImageMemoryRequirements2KHR_Weak")
    void (*radv_GetImageMemoryRequirements2KHR_Null)(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
    void radv_GetImageMemoryRequirements2KHR_Weak(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements);
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetImageMemoryRequirements2KHR(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetImageMemoryRequirements2KHR_Weak=sqtt_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetImageMemoryRequirements2KHR=sqtt_GetImageMemoryRequirements2KHR_Weak")
    void (*sqtt_GetImageMemoryRequirements2KHR_Null)(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
    void sqtt_GetImageMemoryRequirements2KHR_Weak(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_GetImageMemoryRequirements2KHR(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetImageSparseMemoryRequirements2_Weak=radv_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:radv_GetImageSparseMemoryRequirements2=radv_GetImageSparseMemoryRequirements2_Weak")
    void (*radv_GetImageSparseMemoryRequirements2_Null)(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements) = 0;
    void radv_GetImageSparseMemoryRequirements2_Weak(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements);
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetImageSparseMemoryRequirements2(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetImageSparseMemoryRequirements2_Weak=sqtt_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetImageSparseMemoryRequirements2=sqtt_GetImageSparseMemoryRequirements2_Weak")
    void (*sqtt_GetImageSparseMemoryRequirements2_Null)(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements) = 0;
    void sqtt_GetImageSparseMemoryRequirements2_Weak(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_GetImageSparseMemoryRequirements2(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetImageSparseMemoryRequirements2KHR_Weak=radv_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:radv_GetImageSparseMemoryRequirements2KHR=radv_GetImageSparseMemoryRequirements2KHR_Weak")
    void (*radv_GetImageSparseMemoryRequirements2KHR_Null)(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements) = 0;
    void radv_GetImageSparseMemoryRequirements2KHR_Weak(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements);
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetImageSparseMemoryRequirements2KHR(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetImageSparseMemoryRequirements2KHR_Weak=sqtt_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetImageSparseMemoryRequirements2KHR=sqtt_GetImageSparseMemoryRequirements2KHR_Weak")
    void (*sqtt_GetImageSparseMemoryRequirements2KHR_Null)(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements) = 0;
    void sqtt_GetImageSparseMemoryRequirements2KHR_Weak(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_GetImageSparseMemoryRequirements2KHR(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CreateSamplerYcbcrConversion_Weak=radv_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:radv_CreateSamplerYcbcrConversion=radv_CreateSamplerYcbcrConversion_Weak")
    VkResult (*radv_CreateSamplerYcbcrConversion_Null)(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion) = 0;
    VkResult radv_CreateSamplerYcbcrConversion_Weak(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateSamplerYcbcrConversion(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CreateSamplerYcbcrConversion_Weak=sqtt_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:sqtt_CreateSamplerYcbcrConversion=sqtt_CreateSamplerYcbcrConversion_Weak")
    VkResult (*sqtt_CreateSamplerYcbcrConversion_Null)(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion) = 0;
    VkResult sqtt_CreateSamplerYcbcrConversion_Weak(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateSamplerYcbcrConversion(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CreateSamplerYcbcrConversionKHR_Weak=radv_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:radv_CreateSamplerYcbcrConversionKHR=radv_CreateSamplerYcbcrConversionKHR_Weak")
    VkResult (*radv_CreateSamplerYcbcrConversionKHR_Null)(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion) = 0;
    VkResult radv_CreateSamplerYcbcrConversionKHR_Weak(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateSamplerYcbcrConversionKHR(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CreateSamplerYcbcrConversionKHR_Weak=sqtt_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_CreateSamplerYcbcrConversionKHR=sqtt_CreateSamplerYcbcrConversionKHR_Weak")
    VkResult (*sqtt_CreateSamplerYcbcrConversionKHR_Null)(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion) = 0;
    VkResult sqtt_CreateSamplerYcbcrConversionKHR_Weak(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateSamplerYcbcrConversionKHR(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_DestroySamplerYcbcrConversion_Weak=radv_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:radv_DestroySamplerYcbcrConversion=radv_DestroySamplerYcbcrConversion_Weak")
    void (*radv_DestroySamplerYcbcrConversion_Null)(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator) = 0;
    void radv_DestroySamplerYcbcrConversion_Weak(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroySamplerYcbcrConversion(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_DestroySamplerYcbcrConversion_Weak=sqtt_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:sqtt_DestroySamplerYcbcrConversion=sqtt_DestroySamplerYcbcrConversion_Weak")
    void (*sqtt_DestroySamplerYcbcrConversion_Null)(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator) = 0;
    void sqtt_DestroySamplerYcbcrConversion_Weak(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_DestroySamplerYcbcrConversion(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_DestroySamplerYcbcrConversionKHR_Weak=radv_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:radv_DestroySamplerYcbcrConversionKHR=radv_DestroySamplerYcbcrConversionKHR_Weak")
    void (*radv_DestroySamplerYcbcrConversionKHR_Null)(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator) = 0;
    void radv_DestroySamplerYcbcrConversionKHR_Weak(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroySamplerYcbcrConversionKHR(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_DestroySamplerYcbcrConversionKHR_Weak=sqtt_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_DestroySamplerYcbcrConversionKHR=sqtt_DestroySamplerYcbcrConversionKHR_Weak")
    void (*sqtt_DestroySamplerYcbcrConversionKHR_Null)(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator) = 0;
    void sqtt_DestroySamplerYcbcrConversionKHR_Weak(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_DestroySamplerYcbcrConversionKHR(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetDeviceQueue2_Weak=radv_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:radv_GetDeviceQueue2=radv_GetDeviceQueue2_Weak")
    void (*radv_GetDeviceQueue2_Null)(VkDevice device, const VkDeviceQueueInfo2* pQueueInfo, VkQueue* pQueue) = 0;
    void radv_GetDeviceQueue2_Weak(VkDevice device, const VkDeviceQueueInfo2* pQueueInfo, VkQueue* pQueue);
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetDeviceQueue2(VkDevice device, const VkDeviceQueueInfo2* pQueueInfo, VkQueue* pQueue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetDeviceQueue2_Weak=sqtt_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetDeviceQueue2=sqtt_GetDeviceQueue2_Weak")
    void (*sqtt_GetDeviceQueue2_Null)(VkDevice device, const VkDeviceQueueInfo2* pQueueInfo, VkQueue* pQueue) = 0;
    void sqtt_GetDeviceQueue2_Weak(VkDevice device, const VkDeviceQueueInfo2* pQueueInfo, VkQueue* pQueue);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_GetDeviceQueue2(VkDevice device, const VkDeviceQueueInfo2* pQueueInfo, VkQueue* pQueue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CreateValidationCacheEXT_Weak=radv_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:radv_CreateValidationCacheEXT=radv_CreateValidationCacheEXT_Weak")
    VkResult (*radv_CreateValidationCacheEXT_Null)(VkDevice device, const VkValidationCacheCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkValidationCacheEXT* pValidationCache) = 0;
    VkResult radv_CreateValidationCacheEXT_Weak(VkDevice device, const VkValidationCacheCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkValidationCacheEXT* pValidationCache);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateValidationCacheEXT(VkDevice device, const VkValidationCacheCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkValidationCacheEXT* pValidationCache) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CreateValidationCacheEXT_Weak=sqtt_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:sqtt_CreateValidationCacheEXT=sqtt_CreateValidationCacheEXT_Weak")
    VkResult (*sqtt_CreateValidationCacheEXT_Null)(VkDevice device, const VkValidationCacheCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkValidationCacheEXT* pValidationCache) = 0;
    VkResult sqtt_CreateValidationCacheEXT_Weak(VkDevice device, const VkValidationCacheCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkValidationCacheEXT* pValidationCache);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateValidationCacheEXT(VkDevice device, const VkValidationCacheCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkValidationCacheEXT* pValidationCache) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_DestroyValidationCacheEXT_Weak=radv_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:radv_DestroyValidationCacheEXT=radv_DestroyValidationCacheEXT_Weak")
    void (*radv_DestroyValidationCacheEXT_Null)(VkDevice device, VkValidationCacheEXT validationCache, const VkAllocationCallbacks* pAllocator) = 0;
    void radv_DestroyValidationCacheEXT_Weak(VkDevice device, VkValidationCacheEXT validationCache, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroyValidationCacheEXT(VkDevice device, VkValidationCacheEXT validationCache, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_DestroyValidationCacheEXT_Weak=sqtt_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:sqtt_DestroyValidationCacheEXT=sqtt_DestroyValidationCacheEXT_Weak")
    void (*sqtt_DestroyValidationCacheEXT_Null)(VkDevice device, VkValidationCacheEXT validationCache, const VkAllocationCallbacks* pAllocator) = 0;
    void sqtt_DestroyValidationCacheEXT_Weak(VkDevice device, VkValidationCacheEXT validationCache, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_DestroyValidationCacheEXT(VkDevice device, VkValidationCacheEXT validationCache, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetValidationCacheDataEXT_Weak=radv_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:radv_GetValidationCacheDataEXT=radv_GetValidationCacheDataEXT_Weak")
    VkResult (*radv_GetValidationCacheDataEXT_Null)(VkDevice device, VkValidationCacheEXT validationCache, size_t* pDataSize, void* pData) = 0;
    VkResult radv_GetValidationCacheDataEXT_Weak(VkDevice device, VkValidationCacheEXT validationCache, size_t* pDataSize, void* pData);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetValidationCacheDataEXT(VkDevice device, VkValidationCacheEXT validationCache, size_t* pDataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetValidationCacheDataEXT_Weak=sqtt_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetValidationCacheDataEXT=sqtt_GetValidationCacheDataEXT_Weak")
    VkResult (*sqtt_GetValidationCacheDataEXT_Null)(VkDevice device, VkValidationCacheEXT validationCache, size_t* pDataSize, void* pData) = 0;
    VkResult sqtt_GetValidationCacheDataEXT_Weak(VkDevice device, VkValidationCacheEXT validationCache, size_t* pDataSize, void* pData);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetValidationCacheDataEXT(VkDevice device, VkValidationCacheEXT validationCache, size_t* pDataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_MergeValidationCachesEXT_Weak=radv_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:radv_MergeValidationCachesEXT=radv_MergeValidationCachesEXT_Weak")
    VkResult (*radv_MergeValidationCachesEXT_Null)(VkDevice device, VkValidationCacheEXT dstCache, uint32_t srcCacheCount, const VkValidationCacheEXT* pSrcCaches) = 0;
    VkResult radv_MergeValidationCachesEXT_Weak(VkDevice device, VkValidationCacheEXT dstCache, uint32_t srcCacheCount, const VkValidationCacheEXT* pSrcCaches);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_MergeValidationCachesEXT(VkDevice device, VkValidationCacheEXT dstCache, uint32_t srcCacheCount, const VkValidationCacheEXT* pSrcCaches) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_MergeValidationCachesEXT_Weak=sqtt_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:sqtt_MergeValidationCachesEXT=sqtt_MergeValidationCachesEXT_Weak")
    VkResult (*sqtt_MergeValidationCachesEXT_Null)(VkDevice device, VkValidationCacheEXT dstCache, uint32_t srcCacheCount, const VkValidationCacheEXT* pSrcCaches) = 0;
    VkResult sqtt_MergeValidationCachesEXT_Weak(VkDevice device, VkValidationCacheEXT dstCache, uint32_t srcCacheCount, const VkValidationCacheEXT* pSrcCaches);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_MergeValidationCachesEXT(VkDevice device, VkValidationCacheEXT dstCache, uint32_t srcCacheCount, const VkValidationCacheEXT* pSrcCaches) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetDescriptorSetLayoutSupport_Weak=radv_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:radv_GetDescriptorSetLayoutSupport=radv_GetDescriptorSetLayoutSupport_Weak")
    void (*radv_GetDescriptorSetLayoutSupport_Null)(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport) = 0;
    void radv_GetDescriptorSetLayoutSupport_Weak(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport);
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetDescriptorSetLayoutSupport(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetDescriptorSetLayoutSupport_Weak=sqtt_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetDescriptorSetLayoutSupport=sqtt_GetDescriptorSetLayoutSupport_Weak")
    void (*sqtt_GetDescriptorSetLayoutSupport_Null)(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport) = 0;
    void sqtt_GetDescriptorSetLayoutSupport_Weak(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_GetDescriptorSetLayoutSupport(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetDescriptorSetLayoutSupportKHR_Weak=radv_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:radv_GetDescriptorSetLayoutSupportKHR=radv_GetDescriptorSetLayoutSupportKHR_Weak")
    void (*radv_GetDescriptorSetLayoutSupportKHR_Null)(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport) = 0;
    void radv_GetDescriptorSetLayoutSupportKHR_Weak(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport);
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetDescriptorSetLayoutSupportKHR(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetDescriptorSetLayoutSupportKHR_Weak=sqtt_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetDescriptorSetLayoutSupportKHR=sqtt_GetDescriptorSetLayoutSupportKHR_Weak")
    void (*sqtt_GetDescriptorSetLayoutSupportKHR_Null)(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport) = 0;
    void sqtt_GetDescriptorSetLayoutSupportKHR_Weak(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_GetDescriptorSetLayoutSupportKHR(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_ANDROID_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetSwapchainGrallocUsageANDROID_Weak=radv_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:radv_GetSwapchainGrallocUsageANDROID=radv_GetSwapchainGrallocUsageANDROID_Weak")
    VkResult (*radv_GetSwapchainGrallocUsageANDROID_Null)(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, int* grallocUsage) = 0;
    VkResult radv_GetSwapchainGrallocUsageANDROID_Weak(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, int* grallocUsage);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetSwapchainGrallocUsageANDROID(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, int* grallocUsage) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetSwapchainGrallocUsageANDROID_Weak=sqtt_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetSwapchainGrallocUsageANDROID=sqtt_GetSwapchainGrallocUsageANDROID_Weak")
    VkResult (*sqtt_GetSwapchainGrallocUsageANDROID_Null)(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, int* grallocUsage) = 0;
    VkResult sqtt_GetSwapchainGrallocUsageANDROID_Weak(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, int* grallocUsage);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetSwapchainGrallocUsageANDROID(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, int* grallocUsage) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetSwapchainGrallocUsage2ANDROID_Weak=radv_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:radv_GetSwapchainGrallocUsage2ANDROID=radv_GetSwapchainGrallocUsage2ANDROID_Weak")
    VkResult (*radv_GetSwapchainGrallocUsage2ANDROID_Null)(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, VkSwapchainImageUsageFlagsANDROID swapchainImageUsage, uint64_t* grallocConsumerUsage, uint64_t* grallocProducerUsage) = 0;
    VkResult radv_GetSwapchainGrallocUsage2ANDROID_Weak(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, VkSwapchainImageUsageFlagsANDROID swapchainImageUsage, uint64_t* grallocConsumerUsage, uint64_t* grallocProducerUsage);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetSwapchainGrallocUsage2ANDROID(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, VkSwapchainImageUsageFlagsANDROID swapchainImageUsage, uint64_t* grallocConsumerUsage, uint64_t* grallocProducerUsage) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetSwapchainGrallocUsage2ANDROID_Weak=sqtt_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetSwapchainGrallocUsage2ANDROID=sqtt_GetSwapchainGrallocUsage2ANDROID_Weak")
    VkResult (*sqtt_GetSwapchainGrallocUsage2ANDROID_Null)(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, VkSwapchainImageUsageFlagsANDROID swapchainImageUsage, uint64_t* grallocConsumerUsage, uint64_t* grallocProducerUsage) = 0;
    VkResult sqtt_GetSwapchainGrallocUsage2ANDROID_Weak(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, VkSwapchainImageUsageFlagsANDROID swapchainImageUsage, uint64_t* grallocConsumerUsage, uint64_t* grallocProducerUsage);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetSwapchainGrallocUsage2ANDROID(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, VkSwapchainImageUsageFlagsANDROID swapchainImageUsage, uint64_t* grallocConsumerUsage, uint64_t* grallocProducerUsage) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_AcquireImageANDROID_Weak=radv_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:radv_AcquireImageANDROID=radv_AcquireImageANDROID_Weak")
    VkResult (*radv_AcquireImageANDROID_Null)(VkDevice device, VkImage image, int nativeFenceFd, VkSemaphore semaphore, VkFence fence) = 0;
    VkResult radv_AcquireImageANDROID_Weak(VkDevice device, VkImage image, int nativeFenceFd, VkSemaphore semaphore, VkFence fence);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_AcquireImageANDROID(VkDevice device, VkImage image, int nativeFenceFd, VkSemaphore semaphore, VkFence fence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_AcquireImageANDROID_Weak=sqtt_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:sqtt_AcquireImageANDROID=sqtt_AcquireImageANDROID_Weak")
    VkResult (*sqtt_AcquireImageANDROID_Null)(VkDevice device, VkImage image, int nativeFenceFd, VkSemaphore semaphore, VkFence fence) = 0;
    VkResult sqtt_AcquireImageANDROID_Weak(VkDevice device, VkImage image, int nativeFenceFd, VkSemaphore semaphore, VkFence fence);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_AcquireImageANDROID(VkDevice device, VkImage image, int nativeFenceFd, VkSemaphore semaphore, VkFence fence) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_QueueSignalReleaseImageANDROID_Weak=radv_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:radv_QueueSignalReleaseImageANDROID=radv_QueueSignalReleaseImageANDROID_Weak")
    VkResult (*radv_QueueSignalReleaseImageANDROID_Null)(VkQueue queue, uint32_t waitSemaphoreCount, const VkSemaphore* pWaitSemaphores, VkImage image, int* pNativeFenceFd) = 0;
    VkResult radv_QueueSignalReleaseImageANDROID_Weak(VkQueue queue, uint32_t waitSemaphoreCount, const VkSemaphore* pWaitSemaphores, VkImage image, int* pNativeFenceFd);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_QueueSignalReleaseImageANDROID(VkQueue queue, uint32_t waitSemaphoreCount, const VkSemaphore* pWaitSemaphores, VkImage image, int* pNativeFenceFd) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_QueueSignalReleaseImageANDROID_Weak=sqtt_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:sqtt_QueueSignalReleaseImageANDROID=sqtt_QueueSignalReleaseImageANDROID_Weak")
    VkResult (*sqtt_QueueSignalReleaseImageANDROID_Null)(VkQueue queue, uint32_t waitSemaphoreCount, const VkSemaphore* pWaitSemaphores, VkImage image, int* pNativeFenceFd) = 0;
    VkResult sqtt_QueueSignalReleaseImageANDROID_Weak(VkQueue queue, uint32_t waitSemaphoreCount, const VkSemaphore* pWaitSemaphores, VkImage image, int* pNativeFenceFd);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_QueueSignalReleaseImageANDROID(VkQueue queue, uint32_t waitSemaphoreCount, const VkSemaphore* pWaitSemaphores, VkImage image, int* pNativeFenceFd) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetShaderInfoAMD_Weak=radv_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:radv_GetShaderInfoAMD=radv_GetShaderInfoAMD_Weak")
    VkResult (*radv_GetShaderInfoAMD_Null)(VkDevice device, VkPipeline pipeline, VkShaderStageFlagBits shaderStage, VkShaderInfoTypeAMD infoType, size_t* pInfoSize, void* pInfo) = 0;
    VkResult radv_GetShaderInfoAMD_Weak(VkDevice device, VkPipeline pipeline, VkShaderStageFlagBits shaderStage, VkShaderInfoTypeAMD infoType, size_t* pInfoSize, void* pInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetShaderInfoAMD(VkDevice device, VkPipeline pipeline, VkShaderStageFlagBits shaderStage, VkShaderInfoTypeAMD infoType, size_t* pInfoSize, void* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetShaderInfoAMD_Weak=sqtt_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetShaderInfoAMD=sqtt_GetShaderInfoAMD_Weak")
    VkResult (*sqtt_GetShaderInfoAMD_Null)(VkDevice device, VkPipeline pipeline, VkShaderStageFlagBits shaderStage, VkShaderInfoTypeAMD infoType, size_t* pInfoSize, void* pInfo) = 0;
    VkResult sqtt_GetShaderInfoAMD_Weak(VkDevice device, VkPipeline pipeline, VkShaderStageFlagBits shaderStage, VkShaderInfoTypeAMD infoType, size_t* pInfoSize, void* pInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetShaderInfoAMD(VkDevice device, VkPipeline pipeline, VkShaderStageFlagBits shaderStage, VkShaderInfoTypeAMD infoType, size_t* pInfoSize, void* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_SetLocalDimmingAMD_Weak=radv_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:radv_SetLocalDimmingAMD=radv_SetLocalDimmingAMD_Weak")
    void (*radv_SetLocalDimmingAMD_Null)(VkDevice device, VkSwapchainKHR swapChain, VkBool32 localDimmingEnable) = 0;
    void radv_SetLocalDimmingAMD_Weak(VkDevice device, VkSwapchainKHR swapChain, VkBool32 localDimmingEnable);
#else
    VKAPI_ATTR void VKAPI_CALL radv_SetLocalDimmingAMD(VkDevice device, VkSwapchainKHR swapChain, VkBool32 localDimmingEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_SetLocalDimmingAMD_Weak=sqtt_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:sqtt_SetLocalDimmingAMD=sqtt_SetLocalDimmingAMD_Weak")
    void (*sqtt_SetLocalDimmingAMD_Null)(VkDevice device, VkSwapchainKHR swapChain, VkBool32 localDimmingEnable) = 0;
    void sqtt_SetLocalDimmingAMD_Weak(VkDevice device, VkSwapchainKHR swapChain, VkBool32 localDimmingEnable);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_SetLocalDimmingAMD(VkDevice device, VkSwapchainKHR swapChain, VkBool32 localDimmingEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetCalibratedTimestampsEXT_Weak=radv_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:radv_GetCalibratedTimestampsEXT=radv_GetCalibratedTimestampsEXT_Weak")
    VkResult (*radv_GetCalibratedTimestampsEXT_Null)(VkDevice device, uint32_t timestampCount, const VkCalibratedTimestampInfoEXT* pTimestampInfos, uint64_t* pTimestamps, uint64_t* pMaxDeviation) = 0;
    VkResult radv_GetCalibratedTimestampsEXT_Weak(VkDevice device, uint32_t timestampCount, const VkCalibratedTimestampInfoEXT* pTimestampInfos, uint64_t* pTimestamps, uint64_t* pMaxDeviation);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetCalibratedTimestampsEXT(VkDevice device, uint32_t timestampCount, const VkCalibratedTimestampInfoEXT* pTimestampInfos, uint64_t* pTimestamps, uint64_t* pMaxDeviation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetCalibratedTimestampsEXT_Weak=sqtt_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetCalibratedTimestampsEXT=sqtt_GetCalibratedTimestampsEXT_Weak")
    VkResult (*sqtt_GetCalibratedTimestampsEXT_Null)(VkDevice device, uint32_t timestampCount, const VkCalibratedTimestampInfoEXT* pTimestampInfos, uint64_t* pTimestamps, uint64_t* pMaxDeviation) = 0;
    VkResult sqtt_GetCalibratedTimestampsEXT_Weak(VkDevice device, uint32_t timestampCount, const VkCalibratedTimestampInfoEXT* pTimestampInfos, uint64_t* pTimestamps, uint64_t* pMaxDeviation);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetCalibratedTimestampsEXT(VkDevice device, uint32_t timestampCount, const VkCalibratedTimestampInfoEXT* pTimestampInfos, uint64_t* pTimestamps, uint64_t* pMaxDeviation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_SetDebugUtilsObjectNameEXT_Weak=radv_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:radv_SetDebugUtilsObjectNameEXT=radv_SetDebugUtilsObjectNameEXT_Weak")
    VkResult (*radv_SetDebugUtilsObjectNameEXT_Null)(VkDevice device, const VkDebugUtilsObjectNameInfoEXT* pNameInfo) = 0;
    VkResult radv_SetDebugUtilsObjectNameEXT_Weak(VkDevice device, const VkDebugUtilsObjectNameInfoEXT* pNameInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_SetDebugUtilsObjectNameEXT(VkDevice device, const VkDebugUtilsObjectNameInfoEXT* pNameInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_SetDebugUtilsObjectNameEXT_Weak=sqtt_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:sqtt_SetDebugUtilsObjectNameEXT=sqtt_SetDebugUtilsObjectNameEXT_Weak")
    VkResult (*sqtt_SetDebugUtilsObjectNameEXT_Null)(VkDevice device, const VkDebugUtilsObjectNameInfoEXT* pNameInfo) = 0;
    VkResult sqtt_SetDebugUtilsObjectNameEXT_Weak(VkDevice device, const VkDebugUtilsObjectNameInfoEXT* pNameInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_SetDebugUtilsObjectNameEXT(VkDevice device, const VkDebugUtilsObjectNameInfoEXT* pNameInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_SetDebugUtilsObjectTagEXT_Weak=radv_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:radv_SetDebugUtilsObjectTagEXT=radv_SetDebugUtilsObjectTagEXT_Weak")
    VkResult (*radv_SetDebugUtilsObjectTagEXT_Null)(VkDevice device, const VkDebugUtilsObjectTagInfoEXT* pTagInfo) = 0;
    VkResult radv_SetDebugUtilsObjectTagEXT_Weak(VkDevice device, const VkDebugUtilsObjectTagInfoEXT* pTagInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_SetDebugUtilsObjectTagEXT(VkDevice device, const VkDebugUtilsObjectTagInfoEXT* pTagInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_SetDebugUtilsObjectTagEXT_Weak=sqtt_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:sqtt_SetDebugUtilsObjectTagEXT=sqtt_SetDebugUtilsObjectTagEXT_Weak")
    VkResult (*sqtt_SetDebugUtilsObjectTagEXT_Null)(VkDevice device, const VkDebugUtilsObjectTagInfoEXT* pTagInfo) = 0;
    VkResult sqtt_SetDebugUtilsObjectTagEXT_Weak(VkDevice device, const VkDebugUtilsObjectTagInfoEXT* pTagInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_SetDebugUtilsObjectTagEXT(VkDevice device, const VkDebugUtilsObjectTagInfoEXT* pTagInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_QueueBeginDebugUtilsLabelEXT_Weak=radv_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:radv_QueueBeginDebugUtilsLabelEXT=radv_QueueBeginDebugUtilsLabelEXT_Weak")
    void (*radv_QueueBeginDebugUtilsLabelEXT_Null)(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo) = 0;
    void radv_QueueBeginDebugUtilsLabelEXT_Weak(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo);
#else
    VKAPI_ATTR void VKAPI_CALL radv_QueueBeginDebugUtilsLabelEXT(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_QueueBeginDebugUtilsLabelEXT_Weak=sqtt_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:sqtt_QueueBeginDebugUtilsLabelEXT=sqtt_QueueBeginDebugUtilsLabelEXT_Weak")
    void (*sqtt_QueueBeginDebugUtilsLabelEXT_Null)(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo) = 0;
    void sqtt_QueueBeginDebugUtilsLabelEXT_Weak(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_QueueBeginDebugUtilsLabelEXT(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_QueueEndDebugUtilsLabelEXT_Weak=radv_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:radv_QueueEndDebugUtilsLabelEXT=radv_QueueEndDebugUtilsLabelEXT_Weak")
    void (*radv_QueueEndDebugUtilsLabelEXT_Null)(VkQueue queue) = 0;
    void radv_QueueEndDebugUtilsLabelEXT_Weak(VkQueue queue);
#else
    VKAPI_ATTR void VKAPI_CALL radv_QueueEndDebugUtilsLabelEXT(VkQueue queue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_QueueEndDebugUtilsLabelEXT_Weak=sqtt_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:sqtt_QueueEndDebugUtilsLabelEXT=sqtt_QueueEndDebugUtilsLabelEXT_Weak")
    void (*sqtt_QueueEndDebugUtilsLabelEXT_Null)(VkQueue queue) = 0;
    void sqtt_QueueEndDebugUtilsLabelEXT_Weak(VkQueue queue);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_QueueEndDebugUtilsLabelEXT(VkQueue queue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_QueueInsertDebugUtilsLabelEXT_Weak=radv_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:radv_QueueInsertDebugUtilsLabelEXT=radv_QueueInsertDebugUtilsLabelEXT_Weak")
    void (*radv_QueueInsertDebugUtilsLabelEXT_Null)(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo) = 0;
    void radv_QueueInsertDebugUtilsLabelEXT_Weak(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo);
#else
    VKAPI_ATTR void VKAPI_CALL radv_QueueInsertDebugUtilsLabelEXT(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_QueueInsertDebugUtilsLabelEXT_Weak=sqtt_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:sqtt_QueueInsertDebugUtilsLabelEXT=sqtt_QueueInsertDebugUtilsLabelEXT_Weak")
    void (*sqtt_QueueInsertDebugUtilsLabelEXT_Null)(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo) = 0;
    void sqtt_QueueInsertDebugUtilsLabelEXT_Weak(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_QueueInsertDebugUtilsLabelEXT(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdBeginDebugUtilsLabelEXT_Weak=radv_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:radv_CmdBeginDebugUtilsLabelEXT=radv_CmdBeginDebugUtilsLabelEXT_Weak")
    void (*radv_CmdBeginDebugUtilsLabelEXT_Null)(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo) = 0;
    void radv_CmdBeginDebugUtilsLabelEXT_Weak(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdBeginDebugUtilsLabelEXT(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdBeginDebugUtilsLabelEXT_Weak=sqtt_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdBeginDebugUtilsLabelEXT=sqtt_CmdBeginDebugUtilsLabelEXT_Weak")
    void (*sqtt_CmdBeginDebugUtilsLabelEXT_Null)(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo) = 0;
    void sqtt_CmdBeginDebugUtilsLabelEXT_Weak(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdBeginDebugUtilsLabelEXT(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdEndDebugUtilsLabelEXT_Weak=radv_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:radv_CmdEndDebugUtilsLabelEXT=radv_CmdEndDebugUtilsLabelEXT_Weak")
    void (*radv_CmdEndDebugUtilsLabelEXT_Null)(VkCommandBuffer commandBuffer) = 0;
    void radv_CmdEndDebugUtilsLabelEXT_Weak(VkCommandBuffer commandBuffer);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdEndDebugUtilsLabelEXT(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdEndDebugUtilsLabelEXT_Weak=sqtt_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdEndDebugUtilsLabelEXT=sqtt_CmdEndDebugUtilsLabelEXT_Weak")
    void (*sqtt_CmdEndDebugUtilsLabelEXT_Null)(VkCommandBuffer commandBuffer) = 0;
    void sqtt_CmdEndDebugUtilsLabelEXT_Weak(VkCommandBuffer commandBuffer);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdEndDebugUtilsLabelEXT(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdInsertDebugUtilsLabelEXT_Weak=radv_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:radv_CmdInsertDebugUtilsLabelEXT=radv_CmdInsertDebugUtilsLabelEXT_Weak")
    void (*radv_CmdInsertDebugUtilsLabelEXT_Null)(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo) = 0;
    void radv_CmdInsertDebugUtilsLabelEXT_Weak(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdInsertDebugUtilsLabelEXT(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdInsertDebugUtilsLabelEXT_Weak=sqtt_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdInsertDebugUtilsLabelEXT=sqtt_CmdInsertDebugUtilsLabelEXT_Weak")
    void (*sqtt_CmdInsertDebugUtilsLabelEXT_Null)(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo) = 0;
    void sqtt_CmdInsertDebugUtilsLabelEXT_Weak(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdInsertDebugUtilsLabelEXT(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetMemoryHostPointerPropertiesEXT_Weak=radv_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:radv_GetMemoryHostPointerPropertiesEXT=radv_GetMemoryHostPointerPropertiesEXT_Weak")
    VkResult (*radv_GetMemoryHostPointerPropertiesEXT_Null)(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, const void* pHostPointer, VkMemoryHostPointerPropertiesEXT* pMemoryHostPointerProperties) = 0;
    VkResult radv_GetMemoryHostPointerPropertiesEXT_Weak(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, const void* pHostPointer, VkMemoryHostPointerPropertiesEXT* pMemoryHostPointerProperties);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetMemoryHostPointerPropertiesEXT(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, const void* pHostPointer, VkMemoryHostPointerPropertiesEXT* pMemoryHostPointerProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetMemoryHostPointerPropertiesEXT_Weak=sqtt_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetMemoryHostPointerPropertiesEXT=sqtt_GetMemoryHostPointerPropertiesEXT_Weak")
    VkResult (*sqtt_GetMemoryHostPointerPropertiesEXT_Null)(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, const void* pHostPointer, VkMemoryHostPointerPropertiesEXT* pMemoryHostPointerProperties) = 0;
    VkResult sqtt_GetMemoryHostPointerPropertiesEXT_Weak(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, const void* pHostPointer, VkMemoryHostPointerPropertiesEXT* pMemoryHostPointerProperties);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetMemoryHostPointerPropertiesEXT(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, const void* pHostPointer, VkMemoryHostPointerPropertiesEXT* pMemoryHostPointerProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdWriteBufferMarkerAMD_Weak=radv_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:radv_CmdWriteBufferMarkerAMD=radv_CmdWriteBufferMarkerAMD_Weak")
    void (*radv_CmdWriteBufferMarkerAMD_Null)(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkBuffer dstBuffer, VkDeviceSize dstOffset, uint32_t marker) = 0;
    void radv_CmdWriteBufferMarkerAMD_Weak(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkBuffer dstBuffer, VkDeviceSize dstOffset, uint32_t marker);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdWriteBufferMarkerAMD(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkBuffer dstBuffer, VkDeviceSize dstOffset, uint32_t marker) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdWriteBufferMarkerAMD_Weak=sqtt_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdWriteBufferMarkerAMD=sqtt_CmdWriteBufferMarkerAMD_Weak")
    void (*sqtt_CmdWriteBufferMarkerAMD_Null)(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkBuffer dstBuffer, VkDeviceSize dstOffset, uint32_t marker) = 0;
    void sqtt_CmdWriteBufferMarkerAMD_Weak(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkBuffer dstBuffer, VkDeviceSize dstOffset, uint32_t marker);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdWriteBufferMarkerAMD(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkBuffer dstBuffer, VkDeviceSize dstOffset, uint32_t marker) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CreateRenderPass2_Weak=radv_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:radv_CreateRenderPass2=radv_CreateRenderPass2_Weak")
    VkResult (*radv_CreateRenderPass2_Null)(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) = 0;
    VkResult radv_CreateRenderPass2_Weak(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateRenderPass2(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CreateRenderPass2_Weak=sqtt_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:sqtt_CreateRenderPass2=sqtt_CreateRenderPass2_Weak")
    VkResult (*sqtt_CreateRenderPass2_Null)(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) = 0;
    VkResult sqtt_CreateRenderPass2_Weak(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateRenderPass2(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CreateRenderPass2KHR_Weak=radv_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:radv_CreateRenderPass2KHR=radv_CreateRenderPass2KHR_Weak")
    VkResult (*radv_CreateRenderPass2KHR_Null)(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) = 0;
    VkResult radv_CreateRenderPass2KHR_Weak(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateRenderPass2KHR(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CreateRenderPass2KHR_Weak=sqtt_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_CreateRenderPass2KHR=sqtt_CreateRenderPass2KHR_Weak")
    VkResult (*sqtt_CreateRenderPass2KHR_Null)(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) = 0;
    VkResult sqtt_CreateRenderPass2KHR_Weak(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateRenderPass2KHR(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdBeginRenderPass2_Weak=radv_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:radv_CmdBeginRenderPass2=radv_CmdBeginRenderPass2_Weak")
    void (*radv_CmdBeginRenderPass2_Null)(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo) = 0;
    void radv_CmdBeginRenderPass2_Weak(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdBeginRenderPass2(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdBeginRenderPass2_Weak=sqtt_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdBeginRenderPass2=sqtt_CmdBeginRenderPass2_Weak")
    void (*sqtt_CmdBeginRenderPass2_Null)(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo) = 0;
    void sqtt_CmdBeginRenderPass2_Weak(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdBeginRenderPass2(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdBeginRenderPass2KHR_Weak=radv_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:radv_CmdBeginRenderPass2KHR=radv_CmdBeginRenderPass2KHR_Weak")
    void (*radv_CmdBeginRenderPass2KHR_Null)(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo) = 0;
    void radv_CmdBeginRenderPass2KHR_Weak(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdBeginRenderPass2KHR(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdBeginRenderPass2KHR_Weak=sqtt_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdBeginRenderPass2KHR=sqtt_CmdBeginRenderPass2KHR_Weak")
    void (*sqtt_CmdBeginRenderPass2KHR_Null)(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo) = 0;
    void sqtt_CmdBeginRenderPass2KHR_Weak(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdBeginRenderPass2KHR(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdNextSubpass2_Weak=radv_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:radv_CmdNextSubpass2=radv_CmdNextSubpass2_Weak")
    void (*radv_CmdNextSubpass2_Null)(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo) = 0;
    void radv_CmdNextSubpass2_Weak(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdNextSubpass2(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdNextSubpass2_Weak=sqtt_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdNextSubpass2=sqtt_CmdNextSubpass2_Weak")
    void (*sqtt_CmdNextSubpass2_Null)(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo) = 0;
    void sqtt_CmdNextSubpass2_Weak(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdNextSubpass2(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdNextSubpass2KHR_Weak=radv_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:radv_CmdNextSubpass2KHR=radv_CmdNextSubpass2KHR_Weak")
    void (*radv_CmdNextSubpass2KHR_Null)(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo) = 0;
    void radv_CmdNextSubpass2KHR_Weak(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdNextSubpass2KHR(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdNextSubpass2KHR_Weak=sqtt_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdNextSubpass2KHR=sqtt_CmdNextSubpass2KHR_Weak")
    void (*sqtt_CmdNextSubpass2KHR_Null)(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo) = 0;
    void sqtt_CmdNextSubpass2KHR_Weak(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdNextSubpass2KHR(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdEndRenderPass2_Weak=radv_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:radv_CmdEndRenderPass2=radv_CmdEndRenderPass2_Weak")
    void (*radv_CmdEndRenderPass2_Null)(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo) = 0;
    void radv_CmdEndRenderPass2_Weak(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdEndRenderPass2(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdEndRenderPass2_Weak=sqtt_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdEndRenderPass2=sqtt_CmdEndRenderPass2_Weak")
    void (*sqtt_CmdEndRenderPass2_Null)(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo) = 0;
    void sqtt_CmdEndRenderPass2_Weak(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdEndRenderPass2(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdEndRenderPass2KHR_Weak=radv_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:radv_CmdEndRenderPass2KHR=radv_CmdEndRenderPass2KHR_Weak")
    void (*radv_CmdEndRenderPass2KHR_Null)(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo) = 0;
    void radv_CmdEndRenderPass2KHR_Weak(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdEndRenderPass2KHR(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdEndRenderPass2KHR_Weak=sqtt_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdEndRenderPass2KHR=sqtt_CmdEndRenderPass2KHR_Weak")
    void (*sqtt_CmdEndRenderPass2KHR_Null)(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo) = 0;
    void sqtt_CmdEndRenderPass2KHR_Weak(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdEndRenderPass2KHR(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetSemaphoreCounterValue_Weak=radv_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:radv_GetSemaphoreCounterValue=radv_GetSemaphoreCounterValue_Weak")
    VkResult (*radv_GetSemaphoreCounterValue_Null)(VkDevice device, VkSemaphore semaphore, uint64_t* pValue) = 0;
    VkResult radv_GetSemaphoreCounterValue_Weak(VkDevice device, VkSemaphore semaphore, uint64_t* pValue);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetSemaphoreCounterValue(VkDevice device, VkSemaphore semaphore, uint64_t* pValue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetSemaphoreCounterValue_Weak=sqtt_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetSemaphoreCounterValue=sqtt_GetSemaphoreCounterValue_Weak")
    VkResult (*sqtt_GetSemaphoreCounterValue_Null)(VkDevice device, VkSemaphore semaphore, uint64_t* pValue) = 0;
    VkResult sqtt_GetSemaphoreCounterValue_Weak(VkDevice device, VkSemaphore semaphore, uint64_t* pValue);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetSemaphoreCounterValue(VkDevice device, VkSemaphore semaphore, uint64_t* pValue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetSemaphoreCounterValueKHR_Weak=radv_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:radv_GetSemaphoreCounterValueKHR=radv_GetSemaphoreCounterValueKHR_Weak")
    VkResult (*radv_GetSemaphoreCounterValueKHR_Null)(VkDevice device, VkSemaphore semaphore, uint64_t* pValue) = 0;
    VkResult radv_GetSemaphoreCounterValueKHR_Weak(VkDevice device, VkSemaphore semaphore, uint64_t* pValue);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetSemaphoreCounterValueKHR(VkDevice device, VkSemaphore semaphore, uint64_t* pValue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetSemaphoreCounterValueKHR_Weak=sqtt_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetSemaphoreCounterValueKHR=sqtt_GetSemaphoreCounterValueKHR_Weak")
    VkResult (*sqtt_GetSemaphoreCounterValueKHR_Null)(VkDevice device, VkSemaphore semaphore, uint64_t* pValue) = 0;
    VkResult sqtt_GetSemaphoreCounterValueKHR_Weak(VkDevice device, VkSemaphore semaphore, uint64_t* pValue);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetSemaphoreCounterValueKHR(VkDevice device, VkSemaphore semaphore, uint64_t* pValue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_WaitSemaphores_Weak=radv_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:radv_WaitSemaphores=radv_WaitSemaphores_Weak")
    VkResult (*radv_WaitSemaphores_Null)(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout) = 0;
    VkResult radv_WaitSemaphores_Weak(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_WaitSemaphores(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_WaitSemaphores_Weak=sqtt_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:sqtt_WaitSemaphores=sqtt_WaitSemaphores_Weak")
    VkResult (*sqtt_WaitSemaphores_Null)(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout) = 0;
    VkResult sqtt_WaitSemaphores_Weak(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_WaitSemaphores(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_WaitSemaphoresKHR_Weak=radv_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:radv_WaitSemaphoresKHR=radv_WaitSemaphoresKHR_Weak")
    VkResult (*radv_WaitSemaphoresKHR_Null)(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout) = 0;
    VkResult radv_WaitSemaphoresKHR_Weak(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_WaitSemaphoresKHR(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_WaitSemaphoresKHR_Weak=sqtt_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_WaitSemaphoresKHR=sqtt_WaitSemaphoresKHR_Weak")
    VkResult (*sqtt_WaitSemaphoresKHR_Null)(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout) = 0;
    VkResult sqtt_WaitSemaphoresKHR_Weak(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_WaitSemaphoresKHR(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_SignalSemaphore_Weak=radv_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:radv_SignalSemaphore=radv_SignalSemaphore_Weak")
    VkResult (*radv_SignalSemaphore_Null)(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo) = 0;
    VkResult radv_SignalSemaphore_Weak(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_SignalSemaphore(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_SignalSemaphore_Weak=sqtt_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:sqtt_SignalSemaphore=sqtt_SignalSemaphore_Weak")
    VkResult (*sqtt_SignalSemaphore_Null)(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo) = 0;
    VkResult sqtt_SignalSemaphore_Weak(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_SignalSemaphore(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_SignalSemaphoreKHR_Weak=radv_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:radv_SignalSemaphoreKHR=radv_SignalSemaphoreKHR_Weak")
    VkResult (*radv_SignalSemaphoreKHR_Null)(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo) = 0;
    VkResult radv_SignalSemaphoreKHR_Weak(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_SignalSemaphoreKHR(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_SignalSemaphoreKHR_Weak=sqtt_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_SignalSemaphoreKHR=sqtt_SignalSemaphoreKHR_Weak")
    VkResult (*sqtt_SignalSemaphoreKHR_Null)(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo) = 0;
    VkResult sqtt_SignalSemaphoreKHR_Weak(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_SignalSemaphoreKHR(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_ANDROID_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetAndroidHardwareBufferPropertiesANDROID_Weak=radv_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:radv_GetAndroidHardwareBufferPropertiesANDROID=radv_GetAndroidHardwareBufferPropertiesANDROID_Weak")
    VkResult (*radv_GetAndroidHardwareBufferPropertiesANDROID_Null)(VkDevice device, const struct AHardwareBuffer* buffer, VkAndroidHardwareBufferPropertiesANDROID* pProperties) = 0;
    VkResult radv_GetAndroidHardwareBufferPropertiesANDROID_Weak(VkDevice device, const struct AHardwareBuffer* buffer, VkAndroidHardwareBufferPropertiesANDROID* pProperties);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetAndroidHardwareBufferPropertiesANDROID(VkDevice device, const struct AHardwareBuffer* buffer, VkAndroidHardwareBufferPropertiesANDROID* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetAndroidHardwareBufferPropertiesANDROID_Weak=sqtt_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetAndroidHardwareBufferPropertiesANDROID=sqtt_GetAndroidHardwareBufferPropertiesANDROID_Weak")
    VkResult (*sqtt_GetAndroidHardwareBufferPropertiesANDROID_Null)(VkDevice device, const struct AHardwareBuffer* buffer, VkAndroidHardwareBufferPropertiesANDROID* pProperties) = 0;
    VkResult sqtt_GetAndroidHardwareBufferPropertiesANDROID_Weak(VkDevice device, const struct AHardwareBuffer* buffer, VkAndroidHardwareBufferPropertiesANDROID* pProperties);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetAndroidHardwareBufferPropertiesANDROID(VkDevice device, const struct AHardwareBuffer* buffer, VkAndroidHardwareBufferPropertiesANDROID* pProperties) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetMemoryAndroidHardwareBufferANDROID_Weak=radv_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:radv_GetMemoryAndroidHardwareBufferANDROID=radv_GetMemoryAndroidHardwareBufferANDROID_Weak")
    VkResult (*radv_GetMemoryAndroidHardwareBufferANDROID_Null)(VkDevice device, const VkMemoryGetAndroidHardwareBufferInfoANDROID* pInfo, struct AHardwareBuffer** pBuffer) = 0;
    VkResult radv_GetMemoryAndroidHardwareBufferANDROID_Weak(VkDevice device, const VkMemoryGetAndroidHardwareBufferInfoANDROID* pInfo, struct AHardwareBuffer** pBuffer);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetMemoryAndroidHardwareBufferANDROID(VkDevice device, const VkMemoryGetAndroidHardwareBufferInfoANDROID* pInfo, struct AHardwareBuffer** pBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetMemoryAndroidHardwareBufferANDROID_Weak=sqtt_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetMemoryAndroidHardwareBufferANDROID=sqtt_GetMemoryAndroidHardwareBufferANDROID_Weak")
    VkResult (*sqtt_GetMemoryAndroidHardwareBufferANDROID_Null)(VkDevice device, const VkMemoryGetAndroidHardwareBufferInfoANDROID* pInfo, struct AHardwareBuffer** pBuffer) = 0;
    VkResult sqtt_GetMemoryAndroidHardwareBufferANDROID_Weak(VkDevice device, const VkMemoryGetAndroidHardwareBufferInfoANDROID* pInfo, struct AHardwareBuffer** pBuffer);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetMemoryAndroidHardwareBufferANDROID(VkDevice device, const VkMemoryGetAndroidHardwareBufferInfoANDROID* pInfo, struct AHardwareBuffer** pBuffer) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdDrawIndirectCount_Weak=radv_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:radv_CmdDrawIndirectCount=radv_CmdDrawIndirectCount_Weak")
    void (*radv_CmdDrawIndirectCount_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
    void radv_CmdDrawIndirectCount_Weak(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdDrawIndirectCount(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdDrawIndirectCount_Weak=sqtt_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdDrawIndirectCount=sqtt_CmdDrawIndirectCount_Weak")
    void (*sqtt_CmdDrawIndirectCount_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
    void sqtt_CmdDrawIndirectCount_Weak(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdDrawIndirectCount(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdDrawIndirectCountKHR_Weak=radv_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:radv_CmdDrawIndirectCountKHR=radv_CmdDrawIndirectCountKHR_Weak")
    void (*radv_CmdDrawIndirectCountKHR_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
    void radv_CmdDrawIndirectCountKHR_Weak(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdDrawIndirectCountKHR(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdDrawIndirectCountKHR_Weak=sqtt_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdDrawIndirectCountKHR=sqtt_CmdDrawIndirectCountKHR_Weak")
    void (*sqtt_CmdDrawIndirectCountKHR_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
    void sqtt_CmdDrawIndirectCountKHR_Weak(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdDrawIndirectCountKHR(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdDrawIndirectCountAMD_Weak=radv_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:radv_CmdDrawIndirectCountAMD=radv_CmdDrawIndirectCountAMD_Weak")
    void (*radv_CmdDrawIndirectCountAMD_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
    void radv_CmdDrawIndirectCountAMD_Weak(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdDrawIndirectCountAMD(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdDrawIndirectCountAMD_Weak=sqtt_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdDrawIndirectCountAMD=sqtt_CmdDrawIndirectCountAMD_Weak")
    void (*sqtt_CmdDrawIndirectCountAMD_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
    void sqtt_CmdDrawIndirectCountAMD_Weak(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdDrawIndirectCountAMD(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdDrawIndexedIndirectCount_Weak=radv_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:radv_CmdDrawIndexedIndirectCount=radv_CmdDrawIndexedIndirectCount_Weak")
    void (*radv_CmdDrawIndexedIndirectCount_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
    void radv_CmdDrawIndexedIndirectCount_Weak(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdDrawIndexedIndirectCount(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdDrawIndexedIndirectCount_Weak=sqtt_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdDrawIndexedIndirectCount=sqtt_CmdDrawIndexedIndirectCount_Weak")
    void (*sqtt_CmdDrawIndexedIndirectCount_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
    void sqtt_CmdDrawIndexedIndirectCount_Weak(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdDrawIndexedIndirectCount(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdDrawIndexedIndirectCountKHR_Weak=radv_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:radv_CmdDrawIndexedIndirectCountKHR=radv_CmdDrawIndexedIndirectCountKHR_Weak")
    void (*radv_CmdDrawIndexedIndirectCountKHR_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
    void radv_CmdDrawIndexedIndirectCountKHR_Weak(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdDrawIndexedIndirectCountKHR(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdDrawIndexedIndirectCountKHR_Weak=sqtt_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdDrawIndexedIndirectCountKHR=sqtt_CmdDrawIndexedIndirectCountKHR_Weak")
    void (*sqtt_CmdDrawIndexedIndirectCountKHR_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
    void sqtt_CmdDrawIndexedIndirectCountKHR_Weak(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdDrawIndexedIndirectCountKHR(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdDrawIndexedIndirectCountAMD_Weak=radv_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:radv_CmdDrawIndexedIndirectCountAMD=radv_CmdDrawIndexedIndirectCountAMD_Weak")
    void (*radv_CmdDrawIndexedIndirectCountAMD_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
    void radv_CmdDrawIndexedIndirectCountAMD_Weak(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdDrawIndexedIndirectCountAMD(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdDrawIndexedIndirectCountAMD_Weak=sqtt_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdDrawIndexedIndirectCountAMD=sqtt_CmdDrawIndexedIndirectCountAMD_Weak")
    void (*sqtt_CmdDrawIndexedIndirectCountAMD_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
    void sqtt_CmdDrawIndexedIndirectCountAMD_Weak(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdDrawIndexedIndirectCountAMD(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdSetCheckpointNV_Weak=radv_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:radv_CmdSetCheckpointNV=radv_CmdSetCheckpointNV_Weak")
    void (*radv_CmdSetCheckpointNV_Null)(VkCommandBuffer commandBuffer, const void* pCheckpointMarker) = 0;
    void radv_CmdSetCheckpointNV_Weak(VkCommandBuffer commandBuffer, const void* pCheckpointMarker);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetCheckpointNV(VkCommandBuffer commandBuffer, const void* pCheckpointMarker) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdSetCheckpointNV_Weak=sqtt_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdSetCheckpointNV=sqtt_CmdSetCheckpointNV_Weak")
    void (*sqtt_CmdSetCheckpointNV_Null)(VkCommandBuffer commandBuffer, const void* pCheckpointMarker) = 0;
    void sqtt_CmdSetCheckpointNV_Weak(VkCommandBuffer commandBuffer, const void* pCheckpointMarker);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetCheckpointNV(VkCommandBuffer commandBuffer, const void* pCheckpointMarker) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetQueueCheckpointDataNV_Weak=radv_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:radv_GetQueueCheckpointDataNV=radv_GetQueueCheckpointDataNV_Weak")
    void (*radv_GetQueueCheckpointDataNV_Null)(VkQueue queue, uint32_t* pCheckpointDataCount, VkCheckpointDataNV* pCheckpointData) = 0;
    void radv_GetQueueCheckpointDataNV_Weak(VkQueue queue, uint32_t* pCheckpointDataCount, VkCheckpointDataNV* pCheckpointData);
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetQueueCheckpointDataNV(VkQueue queue, uint32_t* pCheckpointDataCount, VkCheckpointDataNV* pCheckpointData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetQueueCheckpointDataNV_Weak=sqtt_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetQueueCheckpointDataNV=sqtt_GetQueueCheckpointDataNV_Weak")
    void (*sqtt_GetQueueCheckpointDataNV_Null)(VkQueue queue, uint32_t* pCheckpointDataCount, VkCheckpointDataNV* pCheckpointData) = 0;
    void sqtt_GetQueueCheckpointDataNV_Weak(VkQueue queue, uint32_t* pCheckpointDataCount, VkCheckpointDataNV* pCheckpointData);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_GetQueueCheckpointDataNV(VkQueue queue, uint32_t* pCheckpointDataCount, VkCheckpointDataNV* pCheckpointData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdBindTransformFeedbackBuffersEXT_Weak=radv_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:radv_CmdBindTransformFeedbackBuffersEXT=radv_CmdBindTransformFeedbackBuffersEXT_Weak")
    void (*radv_CmdBindTransformFeedbackBuffersEXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes) = 0;
    void radv_CmdBindTransformFeedbackBuffersEXT_Weak(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdBindTransformFeedbackBuffersEXT(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdBindTransformFeedbackBuffersEXT_Weak=sqtt_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdBindTransformFeedbackBuffersEXT=sqtt_CmdBindTransformFeedbackBuffersEXT_Weak")
    void (*sqtt_CmdBindTransformFeedbackBuffersEXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes) = 0;
    void sqtt_CmdBindTransformFeedbackBuffersEXT_Weak(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdBindTransformFeedbackBuffersEXT(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdBeginTransformFeedbackEXT_Weak=radv_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:radv_CmdBeginTransformFeedbackEXT=radv_CmdBeginTransformFeedbackEXT_Weak")
    void (*radv_CmdBeginTransformFeedbackEXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets) = 0;
    void radv_CmdBeginTransformFeedbackEXT_Weak(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdBeginTransformFeedbackEXT(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdBeginTransformFeedbackEXT_Weak=sqtt_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdBeginTransformFeedbackEXT=sqtt_CmdBeginTransformFeedbackEXT_Weak")
    void (*sqtt_CmdBeginTransformFeedbackEXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets) = 0;
    void sqtt_CmdBeginTransformFeedbackEXT_Weak(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdBeginTransformFeedbackEXT(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdEndTransformFeedbackEXT_Weak=radv_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:radv_CmdEndTransformFeedbackEXT=radv_CmdEndTransformFeedbackEXT_Weak")
    void (*radv_CmdEndTransformFeedbackEXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets) = 0;
    void radv_CmdEndTransformFeedbackEXT_Weak(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdEndTransformFeedbackEXT(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdEndTransformFeedbackEXT_Weak=sqtt_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdEndTransformFeedbackEXT=sqtt_CmdEndTransformFeedbackEXT_Weak")
    void (*sqtt_CmdEndTransformFeedbackEXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets) = 0;
    void sqtt_CmdEndTransformFeedbackEXT_Weak(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdEndTransformFeedbackEXT(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdBeginQueryIndexedEXT_Weak=radv_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:radv_CmdBeginQueryIndexedEXT=radv_CmdBeginQueryIndexedEXT_Weak")
    void (*radv_CmdBeginQueryIndexedEXT_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags, uint32_t index) = 0;
    void radv_CmdBeginQueryIndexedEXT_Weak(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags, uint32_t index);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdBeginQueryIndexedEXT(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags, uint32_t index) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdBeginQueryIndexedEXT_Weak=sqtt_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdBeginQueryIndexedEXT=sqtt_CmdBeginQueryIndexedEXT_Weak")
    void (*sqtt_CmdBeginQueryIndexedEXT_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags, uint32_t index) = 0;
    void sqtt_CmdBeginQueryIndexedEXT_Weak(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags, uint32_t index);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdBeginQueryIndexedEXT(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags, uint32_t index) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdEndQueryIndexedEXT_Weak=radv_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:radv_CmdEndQueryIndexedEXT=radv_CmdEndQueryIndexedEXT_Weak")
    void (*radv_CmdEndQueryIndexedEXT_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, uint32_t index) = 0;
    void radv_CmdEndQueryIndexedEXT_Weak(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, uint32_t index);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdEndQueryIndexedEXT(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, uint32_t index) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdEndQueryIndexedEXT_Weak=sqtt_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdEndQueryIndexedEXT=sqtt_CmdEndQueryIndexedEXT_Weak")
    void (*sqtt_CmdEndQueryIndexedEXT_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, uint32_t index) = 0;
    void sqtt_CmdEndQueryIndexedEXT_Weak(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, uint32_t index);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdEndQueryIndexedEXT(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, uint32_t index) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdDrawIndirectByteCountEXT_Weak=radv_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:radv_CmdDrawIndirectByteCountEXT=radv_CmdDrawIndirectByteCountEXT_Weak")
    void (*radv_CmdDrawIndirectByteCountEXT_Null)(VkCommandBuffer commandBuffer, uint32_t instanceCount, uint32_t firstInstance, VkBuffer counterBuffer, VkDeviceSize counterBufferOffset, uint32_t counterOffset, uint32_t vertexStride) = 0;
    void radv_CmdDrawIndirectByteCountEXT_Weak(VkCommandBuffer commandBuffer, uint32_t instanceCount, uint32_t firstInstance, VkBuffer counterBuffer, VkDeviceSize counterBufferOffset, uint32_t counterOffset, uint32_t vertexStride);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdDrawIndirectByteCountEXT(VkCommandBuffer commandBuffer, uint32_t instanceCount, uint32_t firstInstance, VkBuffer counterBuffer, VkDeviceSize counterBufferOffset, uint32_t counterOffset, uint32_t vertexStride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdDrawIndirectByteCountEXT_Weak=sqtt_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdDrawIndirectByteCountEXT=sqtt_CmdDrawIndirectByteCountEXT_Weak")
    void (*sqtt_CmdDrawIndirectByteCountEXT_Null)(VkCommandBuffer commandBuffer, uint32_t instanceCount, uint32_t firstInstance, VkBuffer counterBuffer, VkDeviceSize counterBufferOffset, uint32_t counterOffset, uint32_t vertexStride) = 0;
    void sqtt_CmdDrawIndirectByteCountEXT_Weak(VkCommandBuffer commandBuffer, uint32_t instanceCount, uint32_t firstInstance, VkBuffer counterBuffer, VkDeviceSize counterBufferOffset, uint32_t counterOffset, uint32_t vertexStride);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdDrawIndirectByteCountEXT(VkCommandBuffer commandBuffer, uint32_t instanceCount, uint32_t firstInstance, VkBuffer counterBuffer, VkDeviceSize counterBufferOffset, uint32_t counterOffset, uint32_t vertexStride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdSetExclusiveScissorNV_Weak=radv_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:radv_CmdSetExclusiveScissorNV=radv_CmdSetExclusiveScissorNV_Weak")
    void (*radv_CmdSetExclusiveScissorNV_Null)(VkCommandBuffer commandBuffer, uint32_t firstExclusiveScissor, uint32_t exclusiveScissorCount, const VkRect2D* pExclusiveScissors) = 0;
    void radv_CmdSetExclusiveScissorNV_Weak(VkCommandBuffer commandBuffer, uint32_t firstExclusiveScissor, uint32_t exclusiveScissorCount, const VkRect2D* pExclusiveScissors);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetExclusiveScissorNV(VkCommandBuffer commandBuffer, uint32_t firstExclusiveScissor, uint32_t exclusiveScissorCount, const VkRect2D* pExclusiveScissors) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdSetExclusiveScissorNV_Weak=sqtt_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdSetExclusiveScissorNV=sqtt_CmdSetExclusiveScissorNV_Weak")
    void (*sqtt_CmdSetExclusiveScissorNV_Null)(VkCommandBuffer commandBuffer, uint32_t firstExclusiveScissor, uint32_t exclusiveScissorCount, const VkRect2D* pExclusiveScissors) = 0;
    void sqtt_CmdSetExclusiveScissorNV_Weak(VkCommandBuffer commandBuffer, uint32_t firstExclusiveScissor, uint32_t exclusiveScissorCount, const VkRect2D* pExclusiveScissors);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetExclusiveScissorNV(VkCommandBuffer commandBuffer, uint32_t firstExclusiveScissor, uint32_t exclusiveScissorCount, const VkRect2D* pExclusiveScissors) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdBindShadingRateImageNV_Weak=radv_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:radv_CmdBindShadingRateImageNV=radv_CmdBindShadingRateImageNV_Weak")
    void (*radv_CmdBindShadingRateImageNV_Null)(VkCommandBuffer commandBuffer, VkImageView imageView, VkImageLayout imageLayout) = 0;
    void radv_CmdBindShadingRateImageNV_Weak(VkCommandBuffer commandBuffer, VkImageView imageView, VkImageLayout imageLayout);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdBindShadingRateImageNV(VkCommandBuffer commandBuffer, VkImageView imageView, VkImageLayout imageLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdBindShadingRateImageNV_Weak=sqtt_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdBindShadingRateImageNV=sqtt_CmdBindShadingRateImageNV_Weak")
    void (*sqtt_CmdBindShadingRateImageNV_Null)(VkCommandBuffer commandBuffer, VkImageView imageView, VkImageLayout imageLayout) = 0;
    void sqtt_CmdBindShadingRateImageNV_Weak(VkCommandBuffer commandBuffer, VkImageView imageView, VkImageLayout imageLayout);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdBindShadingRateImageNV(VkCommandBuffer commandBuffer, VkImageView imageView, VkImageLayout imageLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdSetViewportShadingRatePaletteNV_Weak=radv_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:radv_CmdSetViewportShadingRatePaletteNV=radv_CmdSetViewportShadingRatePaletteNV_Weak")
    void (*radv_CmdSetViewportShadingRatePaletteNV_Null)(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkShadingRatePaletteNV* pShadingRatePalettes) = 0;
    void radv_CmdSetViewportShadingRatePaletteNV_Weak(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkShadingRatePaletteNV* pShadingRatePalettes);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetViewportShadingRatePaletteNV(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkShadingRatePaletteNV* pShadingRatePalettes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdSetViewportShadingRatePaletteNV_Weak=sqtt_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdSetViewportShadingRatePaletteNV=sqtt_CmdSetViewportShadingRatePaletteNV_Weak")
    void (*sqtt_CmdSetViewportShadingRatePaletteNV_Null)(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkShadingRatePaletteNV* pShadingRatePalettes) = 0;
    void sqtt_CmdSetViewportShadingRatePaletteNV_Weak(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkShadingRatePaletteNV* pShadingRatePalettes);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetViewportShadingRatePaletteNV(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkShadingRatePaletteNV* pShadingRatePalettes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdSetCoarseSampleOrderNV_Weak=radv_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:radv_CmdSetCoarseSampleOrderNV=radv_CmdSetCoarseSampleOrderNV_Weak")
    void (*radv_CmdSetCoarseSampleOrderNV_Null)(VkCommandBuffer commandBuffer, VkCoarseSampleOrderTypeNV sampleOrderType, uint32_t customSampleOrderCount, const VkCoarseSampleOrderCustomNV* pCustomSampleOrders) = 0;
    void radv_CmdSetCoarseSampleOrderNV_Weak(VkCommandBuffer commandBuffer, VkCoarseSampleOrderTypeNV sampleOrderType, uint32_t customSampleOrderCount, const VkCoarseSampleOrderCustomNV* pCustomSampleOrders);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetCoarseSampleOrderNV(VkCommandBuffer commandBuffer, VkCoarseSampleOrderTypeNV sampleOrderType, uint32_t customSampleOrderCount, const VkCoarseSampleOrderCustomNV* pCustomSampleOrders) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdSetCoarseSampleOrderNV_Weak=sqtt_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdSetCoarseSampleOrderNV=sqtt_CmdSetCoarseSampleOrderNV_Weak")
    void (*sqtt_CmdSetCoarseSampleOrderNV_Null)(VkCommandBuffer commandBuffer, VkCoarseSampleOrderTypeNV sampleOrderType, uint32_t customSampleOrderCount, const VkCoarseSampleOrderCustomNV* pCustomSampleOrders) = 0;
    void sqtt_CmdSetCoarseSampleOrderNV_Weak(VkCommandBuffer commandBuffer, VkCoarseSampleOrderTypeNV sampleOrderType, uint32_t customSampleOrderCount, const VkCoarseSampleOrderCustomNV* pCustomSampleOrders);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetCoarseSampleOrderNV(VkCommandBuffer commandBuffer, VkCoarseSampleOrderTypeNV sampleOrderType, uint32_t customSampleOrderCount, const VkCoarseSampleOrderCustomNV* pCustomSampleOrders) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdDrawMeshTasksNV_Weak=radv_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:radv_CmdDrawMeshTasksNV=radv_CmdDrawMeshTasksNV_Weak")
    void (*radv_CmdDrawMeshTasksNV_Null)(VkCommandBuffer commandBuffer, uint32_t taskCount, uint32_t firstTask) = 0;
    void radv_CmdDrawMeshTasksNV_Weak(VkCommandBuffer commandBuffer, uint32_t taskCount, uint32_t firstTask);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdDrawMeshTasksNV(VkCommandBuffer commandBuffer, uint32_t taskCount, uint32_t firstTask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdDrawMeshTasksNV_Weak=sqtt_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdDrawMeshTasksNV=sqtt_CmdDrawMeshTasksNV_Weak")
    void (*sqtt_CmdDrawMeshTasksNV_Null)(VkCommandBuffer commandBuffer, uint32_t taskCount, uint32_t firstTask) = 0;
    void sqtt_CmdDrawMeshTasksNV_Weak(VkCommandBuffer commandBuffer, uint32_t taskCount, uint32_t firstTask);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdDrawMeshTasksNV(VkCommandBuffer commandBuffer, uint32_t taskCount, uint32_t firstTask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdDrawMeshTasksIndirectNV_Weak=radv_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:radv_CmdDrawMeshTasksIndirectNV=radv_CmdDrawMeshTasksIndirectNV_Weak")
    void (*radv_CmdDrawMeshTasksIndirectNV_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) = 0;
    void radv_CmdDrawMeshTasksIndirectNV_Weak(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdDrawMeshTasksIndirectNV(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdDrawMeshTasksIndirectNV_Weak=sqtt_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdDrawMeshTasksIndirectNV=sqtt_CmdDrawMeshTasksIndirectNV_Weak")
    void (*sqtt_CmdDrawMeshTasksIndirectNV_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) = 0;
    void sqtt_CmdDrawMeshTasksIndirectNV_Weak(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdDrawMeshTasksIndirectNV(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdDrawMeshTasksIndirectCountNV_Weak=radv_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:radv_CmdDrawMeshTasksIndirectCountNV=radv_CmdDrawMeshTasksIndirectCountNV_Weak")
    void (*radv_CmdDrawMeshTasksIndirectCountNV_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
    void radv_CmdDrawMeshTasksIndirectCountNV_Weak(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdDrawMeshTasksIndirectCountNV(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdDrawMeshTasksIndirectCountNV_Weak=sqtt_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdDrawMeshTasksIndirectCountNV=sqtt_CmdDrawMeshTasksIndirectCountNV_Weak")
    void (*sqtt_CmdDrawMeshTasksIndirectCountNV_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
    void sqtt_CmdDrawMeshTasksIndirectCountNV_Weak(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdDrawMeshTasksIndirectCountNV(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CompileDeferredNV_Weak=radv_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:radv_CompileDeferredNV=radv_CompileDeferredNV_Weak")
    VkResult (*radv_CompileDeferredNV_Null)(VkDevice device, VkPipeline pipeline, uint32_t shader) = 0;
    VkResult radv_CompileDeferredNV_Weak(VkDevice device, VkPipeline pipeline, uint32_t shader);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CompileDeferredNV(VkDevice device, VkPipeline pipeline, uint32_t shader) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CompileDeferredNV_Weak=sqtt_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:sqtt_CompileDeferredNV=sqtt_CompileDeferredNV_Weak")
    VkResult (*sqtt_CompileDeferredNV_Null)(VkDevice device, VkPipeline pipeline, uint32_t shader) = 0;
    VkResult sqtt_CompileDeferredNV_Weak(VkDevice device, VkPipeline pipeline, uint32_t shader);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CompileDeferredNV(VkDevice device, VkPipeline pipeline, uint32_t shader) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CreateAccelerationStructureNV_Weak=radv_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:radv_CreateAccelerationStructureNV=radv_CreateAccelerationStructureNV_Weak")
    VkResult (*radv_CreateAccelerationStructureNV_Null)(VkDevice device, const VkAccelerationStructureCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkAccelerationStructureNV* pAccelerationStructure) = 0;
    VkResult radv_CreateAccelerationStructureNV_Weak(VkDevice device, const VkAccelerationStructureCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkAccelerationStructureNV* pAccelerationStructure);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateAccelerationStructureNV(VkDevice device, const VkAccelerationStructureCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkAccelerationStructureNV* pAccelerationStructure) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CreateAccelerationStructureNV_Weak=sqtt_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:sqtt_CreateAccelerationStructureNV=sqtt_CreateAccelerationStructureNV_Weak")
    VkResult (*sqtt_CreateAccelerationStructureNV_Null)(VkDevice device, const VkAccelerationStructureCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkAccelerationStructureNV* pAccelerationStructure) = 0;
    VkResult sqtt_CreateAccelerationStructureNV_Weak(VkDevice device, const VkAccelerationStructureCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkAccelerationStructureNV* pAccelerationStructure);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateAccelerationStructureNV(VkDevice device, const VkAccelerationStructureCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkAccelerationStructureNV* pAccelerationStructure) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_DestroyAccelerationStructureKHR_Weak=radv_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:radv_DestroyAccelerationStructureKHR=radv_DestroyAccelerationStructureKHR_Weak")
    void (*radv_DestroyAccelerationStructureKHR_Null)(VkDevice device, VkAccelerationStructureKHR accelerationStructure, const VkAllocationCallbacks* pAllocator) = 0;
    void radv_DestroyAccelerationStructureKHR_Weak(VkDevice device, VkAccelerationStructureKHR accelerationStructure, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroyAccelerationStructureKHR(VkDevice device, VkAccelerationStructureKHR accelerationStructure, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_DestroyAccelerationStructureKHR_Weak=sqtt_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_DestroyAccelerationStructureKHR=sqtt_DestroyAccelerationStructureKHR_Weak")
    void (*sqtt_DestroyAccelerationStructureKHR_Null)(VkDevice device, VkAccelerationStructureKHR accelerationStructure, const VkAllocationCallbacks* pAllocator) = 0;
    void sqtt_DestroyAccelerationStructureKHR_Weak(VkDevice device, VkAccelerationStructureKHR accelerationStructure, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_DestroyAccelerationStructureKHR(VkDevice device, VkAccelerationStructureKHR accelerationStructure, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_DestroyAccelerationStructureNV_Weak=radv_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:radv_DestroyAccelerationStructureNV=radv_DestroyAccelerationStructureNV_Weak")
    void (*radv_DestroyAccelerationStructureNV_Null)(VkDevice device, VkAccelerationStructureNV accelerationStructure, const VkAllocationCallbacks* pAllocator) = 0;
    void radv_DestroyAccelerationStructureNV_Weak(VkDevice device, VkAccelerationStructureNV accelerationStructure, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroyAccelerationStructureNV(VkDevice device, VkAccelerationStructureNV accelerationStructure, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_DestroyAccelerationStructureNV_Weak=sqtt_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:sqtt_DestroyAccelerationStructureNV=sqtt_DestroyAccelerationStructureNV_Weak")
    void (*sqtt_DestroyAccelerationStructureNV_Null)(VkDevice device, VkAccelerationStructureNV accelerationStructure, const VkAllocationCallbacks* pAllocator) = 0;
    void sqtt_DestroyAccelerationStructureNV_Weak(VkDevice device, VkAccelerationStructureNV accelerationStructure, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_DestroyAccelerationStructureNV(VkDevice device, VkAccelerationStructureNV accelerationStructure, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetAccelerationStructureMemoryRequirementsNV_Weak=radv_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:radv_GetAccelerationStructureMemoryRequirementsNV=radv_GetAccelerationStructureMemoryRequirementsNV_Weak")
    void (*radv_GetAccelerationStructureMemoryRequirementsNV_Null)(VkDevice device, const VkAccelerationStructureMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2KHR* pMemoryRequirements) = 0;
    void radv_GetAccelerationStructureMemoryRequirementsNV_Weak(VkDevice device, const VkAccelerationStructureMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2KHR* pMemoryRequirements);
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetAccelerationStructureMemoryRequirementsNV(VkDevice device, const VkAccelerationStructureMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2KHR* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetAccelerationStructureMemoryRequirementsNV_Weak=sqtt_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetAccelerationStructureMemoryRequirementsNV=sqtt_GetAccelerationStructureMemoryRequirementsNV_Weak")
    void (*sqtt_GetAccelerationStructureMemoryRequirementsNV_Null)(VkDevice device, const VkAccelerationStructureMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2KHR* pMemoryRequirements) = 0;
    void sqtt_GetAccelerationStructureMemoryRequirementsNV_Weak(VkDevice device, const VkAccelerationStructureMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2KHR* pMemoryRequirements);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_GetAccelerationStructureMemoryRequirementsNV(VkDevice device, const VkAccelerationStructureMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2KHR* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_BindAccelerationStructureMemoryNV_Weak=radv_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:radv_BindAccelerationStructureMemoryNV=radv_BindAccelerationStructureMemoryNV_Weak")
    VkResult (*radv_BindAccelerationStructureMemoryNV_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindAccelerationStructureMemoryInfoNV* pBindInfos) = 0;
    VkResult radv_BindAccelerationStructureMemoryNV_Weak(VkDevice device, uint32_t bindInfoCount, const VkBindAccelerationStructureMemoryInfoNV* pBindInfos);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_BindAccelerationStructureMemoryNV(VkDevice device, uint32_t bindInfoCount, const VkBindAccelerationStructureMemoryInfoNV* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_BindAccelerationStructureMemoryNV_Weak=sqtt_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:sqtt_BindAccelerationStructureMemoryNV=sqtt_BindAccelerationStructureMemoryNV_Weak")
    VkResult (*sqtt_BindAccelerationStructureMemoryNV_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindAccelerationStructureMemoryInfoNV* pBindInfos) = 0;
    VkResult sqtt_BindAccelerationStructureMemoryNV_Weak(VkDevice device, uint32_t bindInfoCount, const VkBindAccelerationStructureMemoryInfoNV* pBindInfos);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_BindAccelerationStructureMemoryNV(VkDevice device, uint32_t bindInfoCount, const VkBindAccelerationStructureMemoryInfoNV* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdCopyAccelerationStructureNV_Weak=radv_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:radv_CmdCopyAccelerationStructureNV=radv_CmdCopyAccelerationStructureNV_Weak")
    void (*radv_CmdCopyAccelerationStructureNV_Null)(VkCommandBuffer commandBuffer, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkCopyAccelerationStructureModeKHR mode) = 0;
    void radv_CmdCopyAccelerationStructureNV_Weak(VkCommandBuffer commandBuffer, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkCopyAccelerationStructureModeKHR mode);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdCopyAccelerationStructureNV(VkCommandBuffer commandBuffer, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkCopyAccelerationStructureModeKHR mode) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdCopyAccelerationStructureNV_Weak=sqtt_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdCopyAccelerationStructureNV=sqtt_CmdCopyAccelerationStructureNV_Weak")
    void (*sqtt_CmdCopyAccelerationStructureNV_Null)(VkCommandBuffer commandBuffer, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkCopyAccelerationStructureModeKHR mode) = 0;
    void sqtt_CmdCopyAccelerationStructureNV_Weak(VkCommandBuffer commandBuffer, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkCopyAccelerationStructureModeKHR mode);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdCopyAccelerationStructureNV(VkCommandBuffer commandBuffer, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkCopyAccelerationStructureModeKHR mode) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdCopyAccelerationStructureKHR_Weak=radv_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:radv_CmdCopyAccelerationStructureKHR=radv_CmdCopyAccelerationStructureKHR_Weak")
    void (*radv_CmdCopyAccelerationStructureKHR_Null)(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureInfoKHR* pInfo) = 0;
    void radv_CmdCopyAccelerationStructureKHR_Weak(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureInfoKHR* pInfo);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdCopyAccelerationStructureKHR(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdCopyAccelerationStructureKHR_Weak=sqtt_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdCopyAccelerationStructureKHR=sqtt_CmdCopyAccelerationStructureKHR_Weak")
    void (*sqtt_CmdCopyAccelerationStructureKHR_Null)(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureInfoKHR* pInfo) = 0;
    void sqtt_CmdCopyAccelerationStructureKHR_Weak(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureInfoKHR* pInfo);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdCopyAccelerationStructureKHR(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CopyAccelerationStructureKHR_Weak=radv_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:radv_CopyAccelerationStructureKHR=radv_CopyAccelerationStructureKHR_Weak")
    VkResult (*radv_CopyAccelerationStructureKHR_Null)(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureInfoKHR* pInfo) = 0;
    VkResult radv_CopyAccelerationStructureKHR_Weak(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureInfoKHR* pInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CopyAccelerationStructureKHR(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CopyAccelerationStructureKHR_Weak=sqtt_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_CopyAccelerationStructureKHR=sqtt_CopyAccelerationStructureKHR_Weak")
    VkResult (*sqtt_CopyAccelerationStructureKHR_Null)(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureInfoKHR* pInfo) = 0;
    VkResult sqtt_CopyAccelerationStructureKHR_Weak(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureInfoKHR* pInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CopyAccelerationStructureKHR(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdCopyAccelerationStructureToMemoryKHR_Weak=radv_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:radv_CmdCopyAccelerationStructureToMemoryKHR=radv_CmdCopyAccelerationStructureToMemoryKHR_Weak")
    void (*radv_CmdCopyAccelerationStructureToMemoryKHR_Null)(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo) = 0;
    void radv_CmdCopyAccelerationStructureToMemoryKHR_Weak(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdCopyAccelerationStructureToMemoryKHR(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdCopyAccelerationStructureToMemoryKHR_Weak=sqtt_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdCopyAccelerationStructureToMemoryKHR=sqtt_CmdCopyAccelerationStructureToMemoryKHR_Weak")
    void (*sqtt_CmdCopyAccelerationStructureToMemoryKHR_Null)(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo) = 0;
    void sqtt_CmdCopyAccelerationStructureToMemoryKHR_Weak(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdCopyAccelerationStructureToMemoryKHR(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CopyAccelerationStructureToMemoryKHR_Weak=radv_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:radv_CopyAccelerationStructureToMemoryKHR=radv_CopyAccelerationStructureToMemoryKHR_Weak")
    VkResult (*radv_CopyAccelerationStructureToMemoryKHR_Null)(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo) = 0;
    VkResult radv_CopyAccelerationStructureToMemoryKHR_Weak(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CopyAccelerationStructureToMemoryKHR(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CopyAccelerationStructureToMemoryKHR_Weak=sqtt_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_CopyAccelerationStructureToMemoryKHR=sqtt_CopyAccelerationStructureToMemoryKHR_Weak")
    VkResult (*sqtt_CopyAccelerationStructureToMemoryKHR_Null)(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo) = 0;
    VkResult sqtt_CopyAccelerationStructureToMemoryKHR_Weak(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CopyAccelerationStructureToMemoryKHR(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdCopyMemoryToAccelerationStructureKHR_Weak=radv_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:radv_CmdCopyMemoryToAccelerationStructureKHR=radv_CmdCopyMemoryToAccelerationStructureKHR_Weak")
    void (*radv_CmdCopyMemoryToAccelerationStructureKHR_Null)(VkCommandBuffer commandBuffer, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo) = 0;
    void radv_CmdCopyMemoryToAccelerationStructureKHR_Weak(VkCommandBuffer commandBuffer, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdCopyMemoryToAccelerationStructureKHR(VkCommandBuffer commandBuffer, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdCopyMemoryToAccelerationStructureKHR_Weak=sqtt_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdCopyMemoryToAccelerationStructureKHR=sqtt_CmdCopyMemoryToAccelerationStructureKHR_Weak")
    void (*sqtt_CmdCopyMemoryToAccelerationStructureKHR_Null)(VkCommandBuffer commandBuffer, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo) = 0;
    void sqtt_CmdCopyMemoryToAccelerationStructureKHR_Weak(VkCommandBuffer commandBuffer, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdCopyMemoryToAccelerationStructureKHR(VkCommandBuffer commandBuffer, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CopyMemoryToAccelerationStructureKHR_Weak=radv_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:radv_CopyMemoryToAccelerationStructureKHR=radv_CopyMemoryToAccelerationStructureKHR_Weak")
    VkResult (*radv_CopyMemoryToAccelerationStructureKHR_Null)(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo) = 0;
    VkResult radv_CopyMemoryToAccelerationStructureKHR_Weak(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CopyMemoryToAccelerationStructureKHR(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CopyMemoryToAccelerationStructureKHR_Weak=sqtt_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_CopyMemoryToAccelerationStructureKHR=sqtt_CopyMemoryToAccelerationStructureKHR_Weak")
    VkResult (*sqtt_CopyMemoryToAccelerationStructureKHR_Null)(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo) = 0;
    VkResult sqtt_CopyMemoryToAccelerationStructureKHR_Weak(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CopyMemoryToAccelerationStructureKHR(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdWriteAccelerationStructuresPropertiesKHR_Weak=radv_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:radv_CmdWriteAccelerationStructuresPropertiesKHR=radv_CmdWriteAccelerationStructuresPropertiesKHR_Weak")
    void (*radv_CmdWriteAccelerationStructuresPropertiesKHR_Null)(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery) = 0;
    void radv_CmdWriteAccelerationStructuresPropertiesKHR_Weak(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdWriteAccelerationStructuresPropertiesKHR(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdWriteAccelerationStructuresPropertiesKHR_Weak=sqtt_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdWriteAccelerationStructuresPropertiesKHR=sqtt_CmdWriteAccelerationStructuresPropertiesKHR_Weak")
    void (*sqtt_CmdWriteAccelerationStructuresPropertiesKHR_Null)(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery) = 0;
    void sqtt_CmdWriteAccelerationStructuresPropertiesKHR_Weak(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdWriteAccelerationStructuresPropertiesKHR(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdWriteAccelerationStructuresPropertiesNV_Weak=radv_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:radv_CmdWriteAccelerationStructuresPropertiesNV=radv_CmdWriteAccelerationStructuresPropertiesNV_Weak")
    void (*radv_CmdWriteAccelerationStructuresPropertiesNV_Null)(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureNV* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery) = 0;
    void radv_CmdWriteAccelerationStructuresPropertiesNV_Weak(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureNV* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdWriteAccelerationStructuresPropertiesNV(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureNV* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdWriteAccelerationStructuresPropertiesNV_Weak=sqtt_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdWriteAccelerationStructuresPropertiesNV=sqtt_CmdWriteAccelerationStructuresPropertiesNV_Weak")
    void (*sqtt_CmdWriteAccelerationStructuresPropertiesNV_Null)(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureNV* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery) = 0;
    void sqtt_CmdWriteAccelerationStructuresPropertiesNV_Weak(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureNV* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdWriteAccelerationStructuresPropertiesNV(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureNV* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdBuildAccelerationStructureNV_Weak=radv_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:radv_CmdBuildAccelerationStructureNV=radv_CmdBuildAccelerationStructureNV_Weak")
    void (*radv_CmdBuildAccelerationStructureNV_Null)(VkCommandBuffer commandBuffer, const VkAccelerationStructureInfoNV* pInfo, VkBuffer instanceData, VkDeviceSize instanceOffset, VkBool32 update, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkBuffer scratch, VkDeviceSize scratchOffset) = 0;
    void radv_CmdBuildAccelerationStructureNV_Weak(VkCommandBuffer commandBuffer, const VkAccelerationStructureInfoNV* pInfo, VkBuffer instanceData, VkDeviceSize instanceOffset, VkBool32 update, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkBuffer scratch, VkDeviceSize scratchOffset);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdBuildAccelerationStructureNV(VkCommandBuffer commandBuffer, const VkAccelerationStructureInfoNV* pInfo, VkBuffer instanceData, VkDeviceSize instanceOffset, VkBool32 update, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkBuffer scratch, VkDeviceSize scratchOffset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdBuildAccelerationStructureNV_Weak=sqtt_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdBuildAccelerationStructureNV=sqtt_CmdBuildAccelerationStructureNV_Weak")
    void (*sqtt_CmdBuildAccelerationStructureNV_Null)(VkCommandBuffer commandBuffer, const VkAccelerationStructureInfoNV* pInfo, VkBuffer instanceData, VkDeviceSize instanceOffset, VkBool32 update, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkBuffer scratch, VkDeviceSize scratchOffset) = 0;
    void sqtt_CmdBuildAccelerationStructureNV_Weak(VkCommandBuffer commandBuffer, const VkAccelerationStructureInfoNV* pInfo, VkBuffer instanceData, VkDeviceSize instanceOffset, VkBool32 update, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkBuffer scratch, VkDeviceSize scratchOffset);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdBuildAccelerationStructureNV(VkCommandBuffer commandBuffer, const VkAccelerationStructureInfoNV* pInfo, VkBuffer instanceData, VkDeviceSize instanceOffset, VkBool32 update, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkBuffer scratch, VkDeviceSize scratchOffset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_WriteAccelerationStructuresPropertiesKHR_Weak=radv_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:radv_WriteAccelerationStructuresPropertiesKHR=radv_WriteAccelerationStructuresPropertiesKHR_Weak")
    VkResult (*radv_WriteAccelerationStructuresPropertiesKHR_Null)(VkDevice device, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType  queryType, size_t       dataSize, void* pData, size_t stride) = 0;
    VkResult radv_WriteAccelerationStructuresPropertiesKHR_Weak(VkDevice device, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType  queryType, size_t       dataSize, void* pData, size_t stride);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_WriteAccelerationStructuresPropertiesKHR(VkDevice device, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType  queryType, size_t       dataSize, void* pData, size_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_WriteAccelerationStructuresPropertiesKHR_Weak=sqtt_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_WriteAccelerationStructuresPropertiesKHR=sqtt_WriteAccelerationStructuresPropertiesKHR_Weak")
    VkResult (*sqtt_WriteAccelerationStructuresPropertiesKHR_Null)(VkDevice device, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType  queryType, size_t       dataSize, void* pData, size_t stride) = 0;
    VkResult sqtt_WriteAccelerationStructuresPropertiesKHR_Weak(VkDevice device, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType  queryType, size_t       dataSize, void* pData, size_t stride);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_WriteAccelerationStructuresPropertiesKHR(VkDevice device, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType  queryType, size_t       dataSize, void* pData, size_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdTraceRaysKHR_Weak=radv_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:radv_CmdTraceRaysKHR=radv_CmdTraceRaysKHR_Weak")
    void (*radv_CmdTraceRaysKHR_Null)(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, uint32_t width, uint32_t height, uint32_t depth) = 0;
    void radv_CmdTraceRaysKHR_Weak(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, uint32_t width, uint32_t height, uint32_t depth);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdTraceRaysKHR(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, uint32_t width, uint32_t height, uint32_t depth) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdTraceRaysKHR_Weak=sqtt_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdTraceRaysKHR=sqtt_CmdTraceRaysKHR_Weak")
    void (*sqtt_CmdTraceRaysKHR_Null)(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, uint32_t width, uint32_t height, uint32_t depth) = 0;
    void sqtt_CmdTraceRaysKHR_Weak(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, uint32_t width, uint32_t height, uint32_t depth);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdTraceRaysKHR(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, uint32_t width, uint32_t height, uint32_t depth) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdTraceRaysNV_Weak=radv_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:radv_CmdTraceRaysNV=radv_CmdTraceRaysNV_Weak")
    void (*radv_CmdTraceRaysNV_Null)(VkCommandBuffer commandBuffer, VkBuffer raygenShaderBindingTableBuffer, VkDeviceSize raygenShaderBindingOffset, VkBuffer missShaderBindingTableBuffer, VkDeviceSize missShaderBindingOffset, VkDeviceSize missShaderBindingStride, VkBuffer hitShaderBindingTableBuffer, VkDeviceSize hitShaderBindingOffset, VkDeviceSize hitShaderBindingStride, VkBuffer callableShaderBindingTableBuffer, VkDeviceSize callableShaderBindingOffset, VkDeviceSize callableShaderBindingStride, uint32_t width, uint32_t height, uint32_t depth) = 0;
    void radv_CmdTraceRaysNV_Weak(VkCommandBuffer commandBuffer, VkBuffer raygenShaderBindingTableBuffer, VkDeviceSize raygenShaderBindingOffset, VkBuffer missShaderBindingTableBuffer, VkDeviceSize missShaderBindingOffset, VkDeviceSize missShaderBindingStride, VkBuffer hitShaderBindingTableBuffer, VkDeviceSize hitShaderBindingOffset, VkDeviceSize hitShaderBindingStride, VkBuffer callableShaderBindingTableBuffer, VkDeviceSize callableShaderBindingOffset, VkDeviceSize callableShaderBindingStride, uint32_t width, uint32_t height, uint32_t depth);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdTraceRaysNV(VkCommandBuffer commandBuffer, VkBuffer raygenShaderBindingTableBuffer, VkDeviceSize raygenShaderBindingOffset, VkBuffer missShaderBindingTableBuffer, VkDeviceSize missShaderBindingOffset, VkDeviceSize missShaderBindingStride, VkBuffer hitShaderBindingTableBuffer, VkDeviceSize hitShaderBindingOffset, VkDeviceSize hitShaderBindingStride, VkBuffer callableShaderBindingTableBuffer, VkDeviceSize callableShaderBindingOffset, VkDeviceSize callableShaderBindingStride, uint32_t width, uint32_t height, uint32_t depth) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdTraceRaysNV_Weak=sqtt_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdTraceRaysNV=sqtt_CmdTraceRaysNV_Weak")
    void (*sqtt_CmdTraceRaysNV_Null)(VkCommandBuffer commandBuffer, VkBuffer raygenShaderBindingTableBuffer, VkDeviceSize raygenShaderBindingOffset, VkBuffer missShaderBindingTableBuffer, VkDeviceSize missShaderBindingOffset, VkDeviceSize missShaderBindingStride, VkBuffer hitShaderBindingTableBuffer, VkDeviceSize hitShaderBindingOffset, VkDeviceSize hitShaderBindingStride, VkBuffer callableShaderBindingTableBuffer, VkDeviceSize callableShaderBindingOffset, VkDeviceSize callableShaderBindingStride, uint32_t width, uint32_t height, uint32_t depth) = 0;
    void sqtt_CmdTraceRaysNV_Weak(VkCommandBuffer commandBuffer, VkBuffer raygenShaderBindingTableBuffer, VkDeviceSize raygenShaderBindingOffset, VkBuffer missShaderBindingTableBuffer, VkDeviceSize missShaderBindingOffset, VkDeviceSize missShaderBindingStride, VkBuffer hitShaderBindingTableBuffer, VkDeviceSize hitShaderBindingOffset, VkDeviceSize hitShaderBindingStride, VkBuffer callableShaderBindingTableBuffer, VkDeviceSize callableShaderBindingOffset, VkDeviceSize callableShaderBindingStride, uint32_t width, uint32_t height, uint32_t depth);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdTraceRaysNV(VkCommandBuffer commandBuffer, VkBuffer raygenShaderBindingTableBuffer, VkDeviceSize raygenShaderBindingOffset, VkBuffer missShaderBindingTableBuffer, VkDeviceSize missShaderBindingOffset, VkDeviceSize missShaderBindingStride, VkBuffer hitShaderBindingTableBuffer, VkDeviceSize hitShaderBindingOffset, VkDeviceSize hitShaderBindingStride, VkBuffer callableShaderBindingTableBuffer, VkDeviceSize callableShaderBindingOffset, VkDeviceSize callableShaderBindingStride, uint32_t width, uint32_t height, uint32_t depth) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetRayTracingShaderGroupHandlesKHR_Weak=radv_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:radv_GetRayTracingShaderGroupHandlesKHR=radv_GetRayTracingShaderGroupHandlesKHR_Weak")
    VkResult (*radv_GetRayTracingShaderGroupHandlesKHR_Null)(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) = 0;
    VkResult radv_GetRayTracingShaderGroupHandlesKHR_Weak(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetRayTracingShaderGroupHandlesKHR(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetRayTracingShaderGroupHandlesKHR_Weak=sqtt_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetRayTracingShaderGroupHandlesKHR=sqtt_GetRayTracingShaderGroupHandlesKHR_Weak")
    VkResult (*sqtt_GetRayTracingShaderGroupHandlesKHR_Null)(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) = 0;
    VkResult sqtt_GetRayTracingShaderGroupHandlesKHR_Weak(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetRayTracingShaderGroupHandlesKHR(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetRayTracingShaderGroupHandlesNV_Weak=radv_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:radv_GetRayTracingShaderGroupHandlesNV=radv_GetRayTracingShaderGroupHandlesNV_Weak")
    VkResult (*radv_GetRayTracingShaderGroupHandlesNV_Null)(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) = 0;
    VkResult radv_GetRayTracingShaderGroupHandlesNV_Weak(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetRayTracingShaderGroupHandlesNV(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetRayTracingShaderGroupHandlesNV_Weak=sqtt_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetRayTracingShaderGroupHandlesNV=sqtt_GetRayTracingShaderGroupHandlesNV_Weak")
    VkResult (*sqtt_GetRayTracingShaderGroupHandlesNV_Null)(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) = 0;
    VkResult sqtt_GetRayTracingShaderGroupHandlesNV_Weak(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetRayTracingShaderGroupHandlesNV(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Weak=radv_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:radv_GetRayTracingCaptureReplayShaderGroupHandlesKHR=radv_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Weak")
    VkResult (*radv_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null)(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) = 0;
    VkResult radv_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Weak(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetRayTracingCaptureReplayShaderGroupHandlesKHR(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Weak=sqtt_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetRayTracingCaptureReplayShaderGroupHandlesKHR=sqtt_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Weak")
    VkResult (*sqtt_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null)(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) = 0;
    VkResult sqtt_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Weak(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetRayTracingCaptureReplayShaderGroupHandlesKHR(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetAccelerationStructureHandleNV_Weak=radv_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:radv_GetAccelerationStructureHandleNV=radv_GetAccelerationStructureHandleNV_Weak")
    VkResult (*radv_GetAccelerationStructureHandleNV_Null)(VkDevice device, VkAccelerationStructureNV accelerationStructure, size_t dataSize, void* pData) = 0;
    VkResult radv_GetAccelerationStructureHandleNV_Weak(VkDevice device, VkAccelerationStructureNV accelerationStructure, size_t dataSize, void* pData);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetAccelerationStructureHandleNV(VkDevice device, VkAccelerationStructureNV accelerationStructure, size_t dataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetAccelerationStructureHandleNV_Weak=sqtt_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetAccelerationStructureHandleNV=sqtt_GetAccelerationStructureHandleNV_Weak")
    VkResult (*sqtt_GetAccelerationStructureHandleNV_Null)(VkDevice device, VkAccelerationStructureNV accelerationStructure, size_t dataSize, void* pData) = 0;
    VkResult sqtt_GetAccelerationStructureHandleNV_Weak(VkDevice device, VkAccelerationStructureNV accelerationStructure, size_t dataSize, void* pData);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetAccelerationStructureHandleNV(VkDevice device, VkAccelerationStructureNV accelerationStructure, size_t dataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CreateRayTracingPipelinesNV_Weak=radv_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:radv_CreateRayTracingPipelinesNV=radv_CreateRayTracingPipelinesNV_Weak")
    VkResult (*radv_CreateRayTracingPipelinesNV_Null)(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoNV* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) = 0;
    VkResult radv_CreateRayTracingPipelinesNV_Weak(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoNV* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateRayTracingPipelinesNV(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoNV* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CreateRayTracingPipelinesNV_Weak=sqtt_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:sqtt_CreateRayTracingPipelinesNV=sqtt_CreateRayTracingPipelinesNV_Weak")
    VkResult (*sqtt_CreateRayTracingPipelinesNV_Null)(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoNV* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) = 0;
    VkResult sqtt_CreateRayTracingPipelinesNV_Weak(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoNV* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateRayTracingPipelinesNV(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoNV* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CreateRayTracingPipelinesKHR_Weak=radv_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:radv_CreateRayTracingPipelinesKHR=radv_CreateRayTracingPipelinesKHR_Weak")
    VkResult (*radv_CreateRayTracingPipelinesKHR_Null)(VkDevice device, VkDeferredOperationKHR deferredOperation, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) = 0;
    VkResult radv_CreateRayTracingPipelinesKHR_Weak(VkDevice device, VkDeferredOperationKHR deferredOperation, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateRayTracingPipelinesKHR(VkDevice device, VkDeferredOperationKHR deferredOperation, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CreateRayTracingPipelinesKHR_Weak=sqtt_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_CreateRayTracingPipelinesKHR=sqtt_CreateRayTracingPipelinesKHR_Weak")
    VkResult (*sqtt_CreateRayTracingPipelinesKHR_Null)(VkDevice device, VkDeferredOperationKHR deferredOperation, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) = 0;
    VkResult sqtt_CreateRayTracingPipelinesKHR_Weak(VkDevice device, VkDeferredOperationKHR deferredOperation, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateRayTracingPipelinesKHR(VkDevice device, VkDeferredOperationKHR deferredOperation, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdTraceRaysIndirectKHR_Weak=radv_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:radv_CmdTraceRaysIndirectKHR=radv_CmdTraceRaysIndirectKHR_Weak")
    void (*radv_CmdTraceRaysIndirectKHR_Null)(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, VkDeviceAddress indirectDeviceAddress) = 0;
    void radv_CmdTraceRaysIndirectKHR_Weak(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, VkDeviceAddress indirectDeviceAddress);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdTraceRaysIndirectKHR(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, VkDeviceAddress indirectDeviceAddress) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdTraceRaysIndirectKHR_Weak=sqtt_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdTraceRaysIndirectKHR=sqtt_CmdTraceRaysIndirectKHR_Weak")
    void (*sqtt_CmdTraceRaysIndirectKHR_Null)(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, VkDeviceAddress indirectDeviceAddress) = 0;
    void sqtt_CmdTraceRaysIndirectKHR_Weak(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, VkDeviceAddress indirectDeviceAddress);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdTraceRaysIndirectKHR(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, VkDeviceAddress indirectDeviceAddress) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetDeviceAccelerationStructureCompatibilityKHR_Weak=radv_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:radv_GetDeviceAccelerationStructureCompatibilityKHR=radv_GetDeviceAccelerationStructureCompatibilityKHR_Weak")
    void (*radv_GetDeviceAccelerationStructureCompatibilityKHR_Null)(VkDevice device, const VkAccelerationStructureVersionInfoKHR* pVersionInfo, VkAccelerationStructureCompatibilityKHR* pCompatibility) = 0;
    void radv_GetDeviceAccelerationStructureCompatibilityKHR_Weak(VkDevice device, const VkAccelerationStructureVersionInfoKHR* pVersionInfo, VkAccelerationStructureCompatibilityKHR* pCompatibility);
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetDeviceAccelerationStructureCompatibilityKHR(VkDevice device, const VkAccelerationStructureVersionInfoKHR* pVersionInfo, VkAccelerationStructureCompatibilityKHR* pCompatibility) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetDeviceAccelerationStructureCompatibilityKHR_Weak=sqtt_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetDeviceAccelerationStructureCompatibilityKHR=sqtt_GetDeviceAccelerationStructureCompatibilityKHR_Weak")
    void (*sqtt_GetDeviceAccelerationStructureCompatibilityKHR_Null)(VkDevice device, const VkAccelerationStructureVersionInfoKHR* pVersionInfo, VkAccelerationStructureCompatibilityKHR* pCompatibility) = 0;
    void sqtt_GetDeviceAccelerationStructureCompatibilityKHR_Weak(VkDevice device, const VkAccelerationStructureVersionInfoKHR* pVersionInfo, VkAccelerationStructureCompatibilityKHR* pCompatibility);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_GetDeviceAccelerationStructureCompatibilityKHR(VkDevice device, const VkAccelerationStructureVersionInfoKHR* pVersionInfo, VkAccelerationStructureCompatibilityKHR* pCompatibility) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetRayTracingShaderGroupStackSizeKHR_Weak=radv_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:radv_GetRayTracingShaderGroupStackSizeKHR=radv_GetRayTracingShaderGroupStackSizeKHR_Weak")
    VkDeviceSize (*radv_GetRayTracingShaderGroupStackSizeKHR_Null)(VkDevice device, VkPipeline pipeline, uint32_t group, VkShaderGroupShaderKHR groupShader) = 0;
    VkDeviceSize radv_GetRayTracingShaderGroupStackSizeKHR_Weak(VkDevice device, VkPipeline pipeline, uint32_t group, VkShaderGroupShaderKHR groupShader);
#else
    VKAPI_ATTR VkDeviceSize VKAPI_CALL radv_GetRayTracingShaderGroupStackSizeKHR(VkDevice device, VkPipeline pipeline, uint32_t group, VkShaderGroupShaderKHR groupShader) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetRayTracingShaderGroupStackSizeKHR_Weak=sqtt_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetRayTracingShaderGroupStackSizeKHR=sqtt_GetRayTracingShaderGroupStackSizeKHR_Weak")
    VkDeviceSize (*sqtt_GetRayTracingShaderGroupStackSizeKHR_Null)(VkDevice device, VkPipeline pipeline, uint32_t group, VkShaderGroupShaderKHR groupShader) = 0;
    VkDeviceSize sqtt_GetRayTracingShaderGroupStackSizeKHR_Weak(VkDevice device, VkPipeline pipeline, uint32_t group, VkShaderGroupShaderKHR groupShader);
#else
    VKAPI_ATTR VkDeviceSize VKAPI_CALL sqtt_GetRayTracingShaderGroupStackSizeKHR(VkDevice device, VkPipeline pipeline, uint32_t group, VkShaderGroupShaderKHR groupShader) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdSetRayTracingPipelineStackSizeKHR_Weak=radv_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:radv_CmdSetRayTracingPipelineStackSizeKHR=radv_CmdSetRayTracingPipelineStackSizeKHR_Weak")
    void (*radv_CmdSetRayTracingPipelineStackSizeKHR_Null)(VkCommandBuffer commandBuffer, uint32_t pipelineStackSize) = 0;
    void radv_CmdSetRayTracingPipelineStackSizeKHR_Weak(VkCommandBuffer commandBuffer, uint32_t pipelineStackSize);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetRayTracingPipelineStackSizeKHR(VkCommandBuffer commandBuffer, uint32_t pipelineStackSize) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdSetRayTracingPipelineStackSizeKHR_Weak=sqtt_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdSetRayTracingPipelineStackSizeKHR=sqtt_CmdSetRayTracingPipelineStackSizeKHR_Weak")
    void (*sqtt_CmdSetRayTracingPipelineStackSizeKHR_Null)(VkCommandBuffer commandBuffer, uint32_t pipelineStackSize) = 0;
    void sqtt_CmdSetRayTracingPipelineStackSizeKHR_Weak(VkCommandBuffer commandBuffer, uint32_t pipelineStackSize);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetRayTracingPipelineStackSizeKHR(VkCommandBuffer commandBuffer, uint32_t pipelineStackSize) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetImageViewHandleNVX_Weak=radv_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:radv_GetImageViewHandleNVX=radv_GetImageViewHandleNVX_Weak")
    uint32_t (*radv_GetImageViewHandleNVX_Null)(VkDevice device, const VkImageViewHandleInfoNVX* pInfo) = 0;
    uint32_t radv_GetImageViewHandleNVX_Weak(VkDevice device, const VkImageViewHandleInfoNVX* pInfo);
#else
    VKAPI_ATTR uint32_t VKAPI_CALL radv_GetImageViewHandleNVX(VkDevice device, const VkImageViewHandleInfoNVX* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetImageViewHandleNVX_Weak=sqtt_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetImageViewHandleNVX=sqtt_GetImageViewHandleNVX_Weak")
    uint32_t (*sqtt_GetImageViewHandleNVX_Null)(VkDevice device, const VkImageViewHandleInfoNVX* pInfo) = 0;
    uint32_t sqtt_GetImageViewHandleNVX_Weak(VkDevice device, const VkImageViewHandleInfoNVX* pInfo);
#else
    VKAPI_ATTR uint32_t VKAPI_CALL sqtt_GetImageViewHandleNVX(VkDevice device, const VkImageViewHandleInfoNVX* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetImageViewAddressNVX_Weak=radv_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:radv_GetImageViewAddressNVX=radv_GetImageViewAddressNVX_Weak")
    VkResult (*radv_GetImageViewAddressNVX_Null)(VkDevice device, VkImageView imageView, VkImageViewAddressPropertiesNVX* pProperties) = 0;
    VkResult radv_GetImageViewAddressNVX_Weak(VkDevice device, VkImageView imageView, VkImageViewAddressPropertiesNVX* pProperties);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetImageViewAddressNVX(VkDevice device, VkImageView imageView, VkImageViewAddressPropertiesNVX* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetImageViewAddressNVX_Weak=sqtt_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetImageViewAddressNVX=sqtt_GetImageViewAddressNVX_Weak")
    VkResult (*sqtt_GetImageViewAddressNVX_Null)(VkDevice device, VkImageView imageView, VkImageViewAddressPropertiesNVX* pProperties) = 0;
    VkResult sqtt_GetImageViewAddressNVX_Weak(VkDevice device, VkImageView imageView, VkImageViewAddressPropertiesNVX* pProperties);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetImageViewAddressNVX(VkDevice device, VkImageView imageView, VkImageViewAddressPropertiesNVX* pProperties) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetDeviceGroupSurfacePresentModes2EXT_Weak=radv_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:radv_GetDeviceGroupSurfacePresentModes2EXT=radv_GetDeviceGroupSurfacePresentModes2EXT_Weak")
    VkResult (*radv_GetDeviceGroupSurfacePresentModes2EXT_Null)(VkDevice device, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, VkDeviceGroupPresentModeFlagsKHR* pModes) = 0;
    VkResult radv_GetDeviceGroupSurfacePresentModes2EXT_Weak(VkDevice device, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, VkDeviceGroupPresentModeFlagsKHR* pModes);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetDeviceGroupSurfacePresentModes2EXT(VkDevice device, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, VkDeviceGroupPresentModeFlagsKHR* pModes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetDeviceGroupSurfacePresentModes2EXT_Weak=sqtt_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetDeviceGroupSurfacePresentModes2EXT=sqtt_GetDeviceGroupSurfacePresentModes2EXT_Weak")
    VkResult (*sqtt_GetDeviceGroupSurfacePresentModes2EXT_Null)(VkDevice device, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, VkDeviceGroupPresentModeFlagsKHR* pModes) = 0;
    VkResult sqtt_GetDeviceGroupSurfacePresentModes2EXT_Weak(VkDevice device, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, VkDeviceGroupPresentModeFlagsKHR* pModes);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetDeviceGroupSurfacePresentModes2EXT(VkDevice device, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, VkDeviceGroupPresentModeFlagsKHR* pModes) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_AcquireFullScreenExclusiveModeEXT_Weak=radv_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:radv_AcquireFullScreenExclusiveModeEXT=radv_AcquireFullScreenExclusiveModeEXT_Weak")
    VkResult (*radv_AcquireFullScreenExclusiveModeEXT_Null)(VkDevice device, VkSwapchainKHR swapchain) = 0;
    VkResult radv_AcquireFullScreenExclusiveModeEXT_Weak(VkDevice device, VkSwapchainKHR swapchain);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_AcquireFullScreenExclusiveModeEXT(VkDevice device, VkSwapchainKHR swapchain) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_AcquireFullScreenExclusiveModeEXT_Weak=sqtt_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:sqtt_AcquireFullScreenExclusiveModeEXT=sqtt_AcquireFullScreenExclusiveModeEXT_Weak")
    VkResult (*sqtt_AcquireFullScreenExclusiveModeEXT_Null)(VkDevice device, VkSwapchainKHR swapchain) = 0;
    VkResult sqtt_AcquireFullScreenExclusiveModeEXT_Weak(VkDevice device, VkSwapchainKHR swapchain);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_AcquireFullScreenExclusiveModeEXT(VkDevice device, VkSwapchainKHR swapchain) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_ReleaseFullScreenExclusiveModeEXT_Weak=radv_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:radv_ReleaseFullScreenExclusiveModeEXT=radv_ReleaseFullScreenExclusiveModeEXT_Weak")
    VkResult (*radv_ReleaseFullScreenExclusiveModeEXT_Null)(VkDevice device, VkSwapchainKHR swapchain) = 0;
    VkResult radv_ReleaseFullScreenExclusiveModeEXT_Weak(VkDevice device, VkSwapchainKHR swapchain);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_ReleaseFullScreenExclusiveModeEXT(VkDevice device, VkSwapchainKHR swapchain) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_ReleaseFullScreenExclusiveModeEXT_Weak=sqtt_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:sqtt_ReleaseFullScreenExclusiveModeEXT=sqtt_ReleaseFullScreenExclusiveModeEXT_Weak")
    VkResult (*sqtt_ReleaseFullScreenExclusiveModeEXT_Null)(VkDevice device, VkSwapchainKHR swapchain) = 0;
    VkResult sqtt_ReleaseFullScreenExclusiveModeEXT_Weak(VkDevice device, VkSwapchainKHR swapchain);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_ReleaseFullScreenExclusiveModeEXT(VkDevice device, VkSwapchainKHR swapchain) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_AcquireProfilingLockKHR_Weak=radv_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:radv_AcquireProfilingLockKHR=radv_AcquireProfilingLockKHR_Weak")
    VkResult (*radv_AcquireProfilingLockKHR_Null)(VkDevice device, const VkAcquireProfilingLockInfoKHR* pInfo) = 0;
    VkResult radv_AcquireProfilingLockKHR_Weak(VkDevice device, const VkAcquireProfilingLockInfoKHR* pInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_AcquireProfilingLockKHR(VkDevice device, const VkAcquireProfilingLockInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_AcquireProfilingLockKHR_Weak=sqtt_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_AcquireProfilingLockKHR=sqtt_AcquireProfilingLockKHR_Weak")
    VkResult (*sqtt_AcquireProfilingLockKHR_Null)(VkDevice device, const VkAcquireProfilingLockInfoKHR* pInfo) = 0;
    VkResult sqtt_AcquireProfilingLockKHR_Weak(VkDevice device, const VkAcquireProfilingLockInfoKHR* pInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_AcquireProfilingLockKHR(VkDevice device, const VkAcquireProfilingLockInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_ReleaseProfilingLockKHR_Weak=radv_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:radv_ReleaseProfilingLockKHR=radv_ReleaseProfilingLockKHR_Weak")
    void (*radv_ReleaseProfilingLockKHR_Null)(VkDevice device) = 0;
    void radv_ReleaseProfilingLockKHR_Weak(VkDevice device);
#else
    VKAPI_ATTR void VKAPI_CALL radv_ReleaseProfilingLockKHR(VkDevice device) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_ReleaseProfilingLockKHR_Weak=sqtt_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_ReleaseProfilingLockKHR=sqtt_ReleaseProfilingLockKHR_Weak")
    void (*sqtt_ReleaseProfilingLockKHR_Null)(VkDevice device) = 0;
    void sqtt_ReleaseProfilingLockKHR_Weak(VkDevice device);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_ReleaseProfilingLockKHR(VkDevice device) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetImageDrmFormatModifierPropertiesEXT_Weak=radv_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:radv_GetImageDrmFormatModifierPropertiesEXT=radv_GetImageDrmFormatModifierPropertiesEXT_Weak")
    VkResult (*radv_GetImageDrmFormatModifierPropertiesEXT_Null)(VkDevice device, VkImage image, VkImageDrmFormatModifierPropertiesEXT* pProperties) = 0;
    VkResult radv_GetImageDrmFormatModifierPropertiesEXT_Weak(VkDevice device, VkImage image, VkImageDrmFormatModifierPropertiesEXT* pProperties);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetImageDrmFormatModifierPropertiesEXT(VkDevice device, VkImage image, VkImageDrmFormatModifierPropertiesEXT* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetImageDrmFormatModifierPropertiesEXT_Weak=sqtt_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetImageDrmFormatModifierPropertiesEXT=sqtt_GetImageDrmFormatModifierPropertiesEXT_Weak")
    VkResult (*sqtt_GetImageDrmFormatModifierPropertiesEXT_Null)(VkDevice device, VkImage image, VkImageDrmFormatModifierPropertiesEXT* pProperties) = 0;
    VkResult sqtt_GetImageDrmFormatModifierPropertiesEXT_Weak(VkDevice device, VkImage image, VkImageDrmFormatModifierPropertiesEXT* pProperties);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetImageDrmFormatModifierPropertiesEXT(VkDevice device, VkImage image, VkImageDrmFormatModifierPropertiesEXT* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetBufferOpaqueCaptureAddress_Weak=radv_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:radv_GetBufferOpaqueCaptureAddress=radv_GetBufferOpaqueCaptureAddress_Weak")
    uint64_t (*radv_GetBufferOpaqueCaptureAddress_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
    uint64_t radv_GetBufferOpaqueCaptureAddress_Weak(VkDevice device, const VkBufferDeviceAddressInfo* pInfo);
#else
    VKAPI_ATTR uint64_t VKAPI_CALL radv_GetBufferOpaqueCaptureAddress(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetBufferOpaqueCaptureAddress_Weak=sqtt_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetBufferOpaqueCaptureAddress=sqtt_GetBufferOpaqueCaptureAddress_Weak")
    uint64_t (*sqtt_GetBufferOpaqueCaptureAddress_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
    uint64_t sqtt_GetBufferOpaqueCaptureAddress_Weak(VkDevice device, const VkBufferDeviceAddressInfo* pInfo);
#else
    VKAPI_ATTR uint64_t VKAPI_CALL sqtt_GetBufferOpaqueCaptureAddress(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetBufferOpaqueCaptureAddressKHR_Weak=radv_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:radv_GetBufferOpaqueCaptureAddressKHR=radv_GetBufferOpaqueCaptureAddressKHR_Weak")
    uint64_t (*radv_GetBufferOpaqueCaptureAddressKHR_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
    uint64_t radv_GetBufferOpaqueCaptureAddressKHR_Weak(VkDevice device, const VkBufferDeviceAddressInfo* pInfo);
#else
    VKAPI_ATTR uint64_t VKAPI_CALL radv_GetBufferOpaqueCaptureAddressKHR(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetBufferOpaqueCaptureAddressKHR_Weak=sqtt_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetBufferOpaqueCaptureAddressKHR=sqtt_GetBufferOpaqueCaptureAddressKHR_Weak")
    uint64_t (*sqtt_GetBufferOpaqueCaptureAddressKHR_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
    uint64_t sqtt_GetBufferOpaqueCaptureAddressKHR_Weak(VkDevice device, const VkBufferDeviceAddressInfo* pInfo);
#else
    VKAPI_ATTR uint64_t VKAPI_CALL sqtt_GetBufferOpaqueCaptureAddressKHR(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetBufferDeviceAddress_Weak=radv_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:radv_GetBufferDeviceAddress=radv_GetBufferDeviceAddress_Weak")
    VkDeviceAddress (*radv_GetBufferDeviceAddress_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
    VkDeviceAddress radv_GetBufferDeviceAddress_Weak(VkDevice device, const VkBufferDeviceAddressInfo* pInfo);
#else
    VKAPI_ATTR VkDeviceAddress VKAPI_CALL radv_GetBufferDeviceAddress(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetBufferDeviceAddress_Weak=sqtt_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetBufferDeviceAddress=sqtt_GetBufferDeviceAddress_Weak")
    VkDeviceAddress (*sqtt_GetBufferDeviceAddress_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
    VkDeviceAddress sqtt_GetBufferDeviceAddress_Weak(VkDevice device, const VkBufferDeviceAddressInfo* pInfo);
#else
    VKAPI_ATTR VkDeviceAddress VKAPI_CALL sqtt_GetBufferDeviceAddress(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetBufferDeviceAddressKHR_Weak=radv_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:radv_GetBufferDeviceAddressKHR=radv_GetBufferDeviceAddressKHR_Weak")
    VkDeviceAddress (*radv_GetBufferDeviceAddressKHR_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
    VkDeviceAddress radv_GetBufferDeviceAddressKHR_Weak(VkDevice device, const VkBufferDeviceAddressInfo* pInfo);
#else
    VKAPI_ATTR VkDeviceAddress VKAPI_CALL radv_GetBufferDeviceAddressKHR(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetBufferDeviceAddressKHR_Weak=sqtt_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetBufferDeviceAddressKHR=sqtt_GetBufferDeviceAddressKHR_Weak")
    VkDeviceAddress (*sqtt_GetBufferDeviceAddressKHR_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
    VkDeviceAddress sqtt_GetBufferDeviceAddressKHR_Weak(VkDevice device, const VkBufferDeviceAddressInfo* pInfo);
#else
    VKAPI_ATTR VkDeviceAddress VKAPI_CALL sqtt_GetBufferDeviceAddressKHR(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetBufferDeviceAddressEXT_Weak=radv_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:radv_GetBufferDeviceAddressEXT=radv_GetBufferDeviceAddressEXT_Weak")
    VkDeviceAddress (*radv_GetBufferDeviceAddressEXT_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
    VkDeviceAddress radv_GetBufferDeviceAddressEXT_Weak(VkDevice device, const VkBufferDeviceAddressInfo* pInfo);
#else
    VKAPI_ATTR VkDeviceAddress VKAPI_CALL radv_GetBufferDeviceAddressEXT(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetBufferDeviceAddressEXT_Weak=sqtt_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetBufferDeviceAddressEXT=sqtt_GetBufferDeviceAddressEXT_Weak")
    VkDeviceAddress (*sqtt_GetBufferDeviceAddressEXT_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
    VkDeviceAddress sqtt_GetBufferDeviceAddressEXT_Weak(VkDevice device, const VkBufferDeviceAddressInfo* pInfo);
#else
    VKAPI_ATTR VkDeviceAddress VKAPI_CALL sqtt_GetBufferDeviceAddressEXT(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_InitializePerformanceApiINTEL_Weak=radv_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:radv_InitializePerformanceApiINTEL=radv_InitializePerformanceApiINTEL_Weak")
    VkResult (*radv_InitializePerformanceApiINTEL_Null)(VkDevice device, const VkInitializePerformanceApiInfoINTEL* pInitializeInfo) = 0;
    VkResult radv_InitializePerformanceApiINTEL_Weak(VkDevice device, const VkInitializePerformanceApiInfoINTEL* pInitializeInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_InitializePerformanceApiINTEL(VkDevice device, const VkInitializePerformanceApiInfoINTEL* pInitializeInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_InitializePerformanceApiINTEL_Weak=sqtt_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:sqtt_InitializePerformanceApiINTEL=sqtt_InitializePerformanceApiINTEL_Weak")
    VkResult (*sqtt_InitializePerformanceApiINTEL_Null)(VkDevice device, const VkInitializePerformanceApiInfoINTEL* pInitializeInfo) = 0;
    VkResult sqtt_InitializePerformanceApiINTEL_Weak(VkDevice device, const VkInitializePerformanceApiInfoINTEL* pInitializeInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_InitializePerformanceApiINTEL(VkDevice device, const VkInitializePerformanceApiInfoINTEL* pInitializeInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_UninitializePerformanceApiINTEL_Weak=radv_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:radv_UninitializePerformanceApiINTEL=radv_UninitializePerformanceApiINTEL_Weak")
    void (*radv_UninitializePerformanceApiINTEL_Null)(VkDevice device) = 0;
    void radv_UninitializePerformanceApiINTEL_Weak(VkDevice device);
#else
    VKAPI_ATTR void VKAPI_CALL radv_UninitializePerformanceApiINTEL(VkDevice device) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_UninitializePerformanceApiINTEL_Weak=sqtt_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:sqtt_UninitializePerformanceApiINTEL=sqtt_UninitializePerformanceApiINTEL_Weak")
    void (*sqtt_UninitializePerformanceApiINTEL_Null)(VkDevice device) = 0;
    void sqtt_UninitializePerformanceApiINTEL_Weak(VkDevice device);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_UninitializePerformanceApiINTEL(VkDevice device) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdSetPerformanceMarkerINTEL_Weak=radv_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:radv_CmdSetPerformanceMarkerINTEL=radv_CmdSetPerformanceMarkerINTEL_Weak")
    VkResult (*radv_CmdSetPerformanceMarkerINTEL_Null)(VkCommandBuffer commandBuffer, const VkPerformanceMarkerInfoINTEL* pMarkerInfo) = 0;
    VkResult radv_CmdSetPerformanceMarkerINTEL_Weak(VkCommandBuffer commandBuffer, const VkPerformanceMarkerInfoINTEL* pMarkerInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CmdSetPerformanceMarkerINTEL(VkCommandBuffer commandBuffer, const VkPerformanceMarkerInfoINTEL* pMarkerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdSetPerformanceMarkerINTEL_Weak=sqtt_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdSetPerformanceMarkerINTEL=sqtt_CmdSetPerformanceMarkerINTEL_Weak")
    VkResult (*sqtt_CmdSetPerformanceMarkerINTEL_Null)(VkCommandBuffer commandBuffer, const VkPerformanceMarkerInfoINTEL* pMarkerInfo) = 0;
    VkResult sqtt_CmdSetPerformanceMarkerINTEL_Weak(VkCommandBuffer commandBuffer, const VkPerformanceMarkerInfoINTEL* pMarkerInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CmdSetPerformanceMarkerINTEL(VkCommandBuffer commandBuffer, const VkPerformanceMarkerInfoINTEL* pMarkerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdSetPerformanceStreamMarkerINTEL_Weak=radv_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:radv_CmdSetPerformanceStreamMarkerINTEL=radv_CmdSetPerformanceStreamMarkerINTEL_Weak")
    VkResult (*radv_CmdSetPerformanceStreamMarkerINTEL_Null)(VkCommandBuffer commandBuffer, const VkPerformanceStreamMarkerInfoINTEL* pMarkerInfo) = 0;
    VkResult radv_CmdSetPerformanceStreamMarkerINTEL_Weak(VkCommandBuffer commandBuffer, const VkPerformanceStreamMarkerInfoINTEL* pMarkerInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CmdSetPerformanceStreamMarkerINTEL(VkCommandBuffer commandBuffer, const VkPerformanceStreamMarkerInfoINTEL* pMarkerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdSetPerformanceStreamMarkerINTEL_Weak=sqtt_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdSetPerformanceStreamMarkerINTEL=sqtt_CmdSetPerformanceStreamMarkerINTEL_Weak")
    VkResult (*sqtt_CmdSetPerformanceStreamMarkerINTEL_Null)(VkCommandBuffer commandBuffer, const VkPerformanceStreamMarkerInfoINTEL* pMarkerInfo) = 0;
    VkResult sqtt_CmdSetPerformanceStreamMarkerINTEL_Weak(VkCommandBuffer commandBuffer, const VkPerformanceStreamMarkerInfoINTEL* pMarkerInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CmdSetPerformanceStreamMarkerINTEL(VkCommandBuffer commandBuffer, const VkPerformanceStreamMarkerInfoINTEL* pMarkerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdSetPerformanceOverrideINTEL_Weak=radv_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:radv_CmdSetPerformanceOverrideINTEL=radv_CmdSetPerformanceOverrideINTEL_Weak")
    VkResult (*radv_CmdSetPerformanceOverrideINTEL_Null)(VkCommandBuffer commandBuffer, const VkPerformanceOverrideInfoINTEL* pOverrideInfo) = 0;
    VkResult radv_CmdSetPerformanceOverrideINTEL_Weak(VkCommandBuffer commandBuffer, const VkPerformanceOverrideInfoINTEL* pOverrideInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CmdSetPerformanceOverrideINTEL(VkCommandBuffer commandBuffer, const VkPerformanceOverrideInfoINTEL* pOverrideInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdSetPerformanceOverrideINTEL_Weak=sqtt_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdSetPerformanceOverrideINTEL=sqtt_CmdSetPerformanceOverrideINTEL_Weak")
    VkResult (*sqtt_CmdSetPerformanceOverrideINTEL_Null)(VkCommandBuffer commandBuffer, const VkPerformanceOverrideInfoINTEL* pOverrideInfo) = 0;
    VkResult sqtt_CmdSetPerformanceOverrideINTEL_Weak(VkCommandBuffer commandBuffer, const VkPerformanceOverrideInfoINTEL* pOverrideInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CmdSetPerformanceOverrideINTEL(VkCommandBuffer commandBuffer, const VkPerformanceOverrideInfoINTEL* pOverrideInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_AcquirePerformanceConfigurationINTEL_Weak=radv_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:radv_AcquirePerformanceConfigurationINTEL=radv_AcquirePerformanceConfigurationINTEL_Weak")
    VkResult (*radv_AcquirePerformanceConfigurationINTEL_Null)(VkDevice device, const VkPerformanceConfigurationAcquireInfoINTEL* pAcquireInfo, VkPerformanceConfigurationINTEL* pConfiguration) = 0;
    VkResult radv_AcquirePerformanceConfigurationINTEL_Weak(VkDevice device, const VkPerformanceConfigurationAcquireInfoINTEL* pAcquireInfo, VkPerformanceConfigurationINTEL* pConfiguration);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_AcquirePerformanceConfigurationINTEL(VkDevice device, const VkPerformanceConfigurationAcquireInfoINTEL* pAcquireInfo, VkPerformanceConfigurationINTEL* pConfiguration) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_AcquirePerformanceConfigurationINTEL_Weak=sqtt_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:sqtt_AcquirePerformanceConfigurationINTEL=sqtt_AcquirePerformanceConfigurationINTEL_Weak")
    VkResult (*sqtt_AcquirePerformanceConfigurationINTEL_Null)(VkDevice device, const VkPerformanceConfigurationAcquireInfoINTEL* pAcquireInfo, VkPerformanceConfigurationINTEL* pConfiguration) = 0;
    VkResult sqtt_AcquirePerformanceConfigurationINTEL_Weak(VkDevice device, const VkPerformanceConfigurationAcquireInfoINTEL* pAcquireInfo, VkPerformanceConfigurationINTEL* pConfiguration);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_AcquirePerformanceConfigurationINTEL(VkDevice device, const VkPerformanceConfigurationAcquireInfoINTEL* pAcquireInfo, VkPerformanceConfigurationINTEL* pConfiguration) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_ReleasePerformanceConfigurationINTEL_Weak=radv_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:radv_ReleasePerformanceConfigurationINTEL=radv_ReleasePerformanceConfigurationINTEL_Weak")
    VkResult (*radv_ReleasePerformanceConfigurationINTEL_Null)(VkDevice device, VkPerformanceConfigurationINTEL configuration) = 0;
    VkResult radv_ReleasePerformanceConfigurationINTEL_Weak(VkDevice device, VkPerformanceConfigurationINTEL configuration);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_ReleasePerformanceConfigurationINTEL(VkDevice device, VkPerformanceConfigurationINTEL configuration) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_ReleasePerformanceConfigurationINTEL_Weak=sqtt_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:sqtt_ReleasePerformanceConfigurationINTEL=sqtt_ReleasePerformanceConfigurationINTEL_Weak")
    VkResult (*sqtt_ReleasePerformanceConfigurationINTEL_Null)(VkDevice device, VkPerformanceConfigurationINTEL configuration) = 0;
    VkResult sqtt_ReleasePerformanceConfigurationINTEL_Weak(VkDevice device, VkPerformanceConfigurationINTEL configuration);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_ReleasePerformanceConfigurationINTEL(VkDevice device, VkPerformanceConfigurationINTEL configuration) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_QueueSetPerformanceConfigurationINTEL_Weak=radv_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:radv_QueueSetPerformanceConfigurationINTEL=radv_QueueSetPerformanceConfigurationINTEL_Weak")
    VkResult (*radv_QueueSetPerformanceConfigurationINTEL_Null)(VkQueue queue, VkPerformanceConfigurationINTEL configuration) = 0;
    VkResult radv_QueueSetPerformanceConfigurationINTEL_Weak(VkQueue queue, VkPerformanceConfigurationINTEL configuration);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_QueueSetPerformanceConfigurationINTEL(VkQueue queue, VkPerformanceConfigurationINTEL configuration) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_QueueSetPerformanceConfigurationINTEL_Weak=sqtt_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:sqtt_QueueSetPerformanceConfigurationINTEL=sqtt_QueueSetPerformanceConfigurationINTEL_Weak")
    VkResult (*sqtt_QueueSetPerformanceConfigurationINTEL_Null)(VkQueue queue, VkPerformanceConfigurationINTEL configuration) = 0;
    VkResult sqtt_QueueSetPerformanceConfigurationINTEL_Weak(VkQueue queue, VkPerformanceConfigurationINTEL configuration);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_QueueSetPerformanceConfigurationINTEL(VkQueue queue, VkPerformanceConfigurationINTEL configuration) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetPerformanceParameterINTEL_Weak=radv_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:radv_GetPerformanceParameterINTEL=radv_GetPerformanceParameterINTEL_Weak")
    VkResult (*radv_GetPerformanceParameterINTEL_Null)(VkDevice device, VkPerformanceParameterTypeINTEL parameter, VkPerformanceValueINTEL* pValue) = 0;
    VkResult radv_GetPerformanceParameterINTEL_Weak(VkDevice device, VkPerformanceParameterTypeINTEL parameter, VkPerformanceValueINTEL* pValue);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetPerformanceParameterINTEL(VkDevice device, VkPerformanceParameterTypeINTEL parameter, VkPerformanceValueINTEL* pValue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetPerformanceParameterINTEL_Weak=sqtt_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetPerformanceParameterINTEL=sqtt_GetPerformanceParameterINTEL_Weak")
    VkResult (*sqtt_GetPerformanceParameterINTEL_Null)(VkDevice device, VkPerformanceParameterTypeINTEL parameter, VkPerformanceValueINTEL* pValue) = 0;
    VkResult sqtt_GetPerformanceParameterINTEL_Weak(VkDevice device, VkPerformanceParameterTypeINTEL parameter, VkPerformanceValueINTEL* pValue);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetPerformanceParameterINTEL(VkDevice device, VkPerformanceParameterTypeINTEL parameter, VkPerformanceValueINTEL* pValue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetDeviceMemoryOpaqueCaptureAddress_Weak=radv_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:radv_GetDeviceMemoryOpaqueCaptureAddress=radv_GetDeviceMemoryOpaqueCaptureAddress_Weak")
    uint64_t (*radv_GetDeviceMemoryOpaqueCaptureAddress_Null)(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo) = 0;
    uint64_t radv_GetDeviceMemoryOpaqueCaptureAddress_Weak(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo);
#else
    VKAPI_ATTR uint64_t VKAPI_CALL radv_GetDeviceMemoryOpaqueCaptureAddress(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetDeviceMemoryOpaqueCaptureAddress_Weak=sqtt_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetDeviceMemoryOpaqueCaptureAddress=sqtt_GetDeviceMemoryOpaqueCaptureAddress_Weak")
    uint64_t (*sqtt_GetDeviceMemoryOpaqueCaptureAddress_Null)(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo) = 0;
    uint64_t sqtt_GetDeviceMemoryOpaqueCaptureAddress_Weak(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo);
#else
    VKAPI_ATTR uint64_t VKAPI_CALL sqtt_GetDeviceMemoryOpaqueCaptureAddress(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetDeviceMemoryOpaqueCaptureAddressKHR_Weak=radv_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:radv_GetDeviceMemoryOpaqueCaptureAddressKHR=radv_GetDeviceMemoryOpaqueCaptureAddressKHR_Weak")
    uint64_t (*radv_GetDeviceMemoryOpaqueCaptureAddressKHR_Null)(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo) = 0;
    uint64_t radv_GetDeviceMemoryOpaqueCaptureAddressKHR_Weak(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo);
#else
    VKAPI_ATTR uint64_t VKAPI_CALL radv_GetDeviceMemoryOpaqueCaptureAddressKHR(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetDeviceMemoryOpaqueCaptureAddressKHR_Weak=sqtt_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetDeviceMemoryOpaqueCaptureAddressKHR=sqtt_GetDeviceMemoryOpaqueCaptureAddressKHR_Weak")
    uint64_t (*sqtt_GetDeviceMemoryOpaqueCaptureAddressKHR_Null)(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo) = 0;
    uint64_t sqtt_GetDeviceMemoryOpaqueCaptureAddressKHR_Weak(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo);
#else
    VKAPI_ATTR uint64_t VKAPI_CALL sqtt_GetDeviceMemoryOpaqueCaptureAddressKHR(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetPipelineExecutablePropertiesKHR_Weak=radv_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:radv_GetPipelineExecutablePropertiesKHR=radv_GetPipelineExecutablePropertiesKHR_Weak")
    VkResult (*radv_GetPipelineExecutablePropertiesKHR_Null)(VkDevice                        device, const VkPipelineInfoKHR*        pPipelineInfo, uint32_t* pExecutableCount, VkPipelineExecutablePropertiesKHR* pProperties) = 0;
    VkResult radv_GetPipelineExecutablePropertiesKHR_Weak(VkDevice                        device, const VkPipelineInfoKHR*        pPipelineInfo, uint32_t* pExecutableCount, VkPipelineExecutablePropertiesKHR* pProperties);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetPipelineExecutablePropertiesKHR(VkDevice                        device, const VkPipelineInfoKHR*        pPipelineInfo, uint32_t* pExecutableCount, VkPipelineExecutablePropertiesKHR* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetPipelineExecutablePropertiesKHR_Weak=sqtt_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetPipelineExecutablePropertiesKHR=sqtt_GetPipelineExecutablePropertiesKHR_Weak")
    VkResult (*sqtt_GetPipelineExecutablePropertiesKHR_Null)(VkDevice                        device, const VkPipelineInfoKHR*        pPipelineInfo, uint32_t* pExecutableCount, VkPipelineExecutablePropertiesKHR* pProperties) = 0;
    VkResult sqtt_GetPipelineExecutablePropertiesKHR_Weak(VkDevice                        device, const VkPipelineInfoKHR*        pPipelineInfo, uint32_t* pExecutableCount, VkPipelineExecutablePropertiesKHR* pProperties);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetPipelineExecutablePropertiesKHR(VkDevice                        device, const VkPipelineInfoKHR*        pPipelineInfo, uint32_t* pExecutableCount, VkPipelineExecutablePropertiesKHR* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetPipelineExecutableStatisticsKHR_Weak=radv_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:radv_GetPipelineExecutableStatisticsKHR=radv_GetPipelineExecutableStatisticsKHR_Weak")
    VkResult (*radv_GetPipelineExecutableStatisticsKHR_Null)(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pStatisticCount, VkPipelineExecutableStatisticKHR* pStatistics) = 0;
    VkResult radv_GetPipelineExecutableStatisticsKHR_Weak(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pStatisticCount, VkPipelineExecutableStatisticKHR* pStatistics);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetPipelineExecutableStatisticsKHR(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pStatisticCount, VkPipelineExecutableStatisticKHR* pStatistics) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetPipelineExecutableStatisticsKHR_Weak=sqtt_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetPipelineExecutableStatisticsKHR=sqtt_GetPipelineExecutableStatisticsKHR_Weak")
    VkResult (*sqtt_GetPipelineExecutableStatisticsKHR_Null)(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pStatisticCount, VkPipelineExecutableStatisticKHR* pStatistics) = 0;
    VkResult sqtt_GetPipelineExecutableStatisticsKHR_Weak(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pStatisticCount, VkPipelineExecutableStatisticKHR* pStatistics);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetPipelineExecutableStatisticsKHR(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pStatisticCount, VkPipelineExecutableStatisticKHR* pStatistics) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetPipelineExecutableInternalRepresentationsKHR_Weak=radv_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:radv_GetPipelineExecutableInternalRepresentationsKHR=radv_GetPipelineExecutableInternalRepresentationsKHR_Weak")
    VkResult (*radv_GetPipelineExecutableInternalRepresentationsKHR_Null)(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pInternalRepresentationCount, VkPipelineExecutableInternalRepresentationKHR* pInternalRepresentations) = 0;
    VkResult radv_GetPipelineExecutableInternalRepresentationsKHR_Weak(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pInternalRepresentationCount, VkPipelineExecutableInternalRepresentationKHR* pInternalRepresentations);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetPipelineExecutableInternalRepresentationsKHR(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pInternalRepresentationCount, VkPipelineExecutableInternalRepresentationKHR* pInternalRepresentations) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetPipelineExecutableInternalRepresentationsKHR_Weak=sqtt_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetPipelineExecutableInternalRepresentationsKHR=sqtt_GetPipelineExecutableInternalRepresentationsKHR_Weak")
    VkResult (*sqtt_GetPipelineExecutableInternalRepresentationsKHR_Null)(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pInternalRepresentationCount, VkPipelineExecutableInternalRepresentationKHR* pInternalRepresentations) = 0;
    VkResult sqtt_GetPipelineExecutableInternalRepresentationsKHR_Weak(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pInternalRepresentationCount, VkPipelineExecutableInternalRepresentationKHR* pInternalRepresentations);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetPipelineExecutableInternalRepresentationsKHR(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pInternalRepresentationCount, VkPipelineExecutableInternalRepresentationKHR* pInternalRepresentations) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdSetLineStippleEXT_Weak=radv_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:radv_CmdSetLineStippleEXT=radv_CmdSetLineStippleEXT_Weak")
    void (*radv_CmdSetLineStippleEXT_Null)(VkCommandBuffer commandBuffer, uint32_t lineStippleFactor, uint16_t lineStipplePattern) = 0;
    void radv_CmdSetLineStippleEXT_Weak(VkCommandBuffer commandBuffer, uint32_t lineStippleFactor, uint16_t lineStipplePattern);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetLineStippleEXT(VkCommandBuffer commandBuffer, uint32_t lineStippleFactor, uint16_t lineStipplePattern) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdSetLineStippleEXT_Weak=sqtt_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdSetLineStippleEXT=sqtt_CmdSetLineStippleEXT_Weak")
    void (*sqtt_CmdSetLineStippleEXT_Null)(VkCommandBuffer commandBuffer, uint32_t lineStippleFactor, uint16_t lineStipplePattern) = 0;
    void sqtt_CmdSetLineStippleEXT_Weak(VkCommandBuffer commandBuffer, uint32_t lineStippleFactor, uint16_t lineStipplePattern);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetLineStippleEXT(VkCommandBuffer commandBuffer, uint32_t lineStippleFactor, uint16_t lineStipplePattern) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CreateAccelerationStructureKHR_Weak=radv_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:radv_CreateAccelerationStructureKHR=radv_CreateAccelerationStructureKHR_Weak")
    VkResult (*radv_CreateAccelerationStructureKHR_Null)(VkDevice                                           device, const VkAccelerationStructureCreateInfoKHR*        pCreateInfo, const VkAllocationCallbacks*       pAllocator, VkAccelerationStructureKHR*                        pAccelerationStructure) = 0;
    VkResult radv_CreateAccelerationStructureKHR_Weak(VkDevice                                           device, const VkAccelerationStructureCreateInfoKHR*        pCreateInfo, const VkAllocationCallbacks*       pAllocator, VkAccelerationStructureKHR*                        pAccelerationStructure);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateAccelerationStructureKHR(VkDevice                                           device, const VkAccelerationStructureCreateInfoKHR*        pCreateInfo, const VkAllocationCallbacks*       pAllocator, VkAccelerationStructureKHR*                        pAccelerationStructure) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CreateAccelerationStructureKHR_Weak=sqtt_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_CreateAccelerationStructureKHR=sqtt_CreateAccelerationStructureKHR_Weak")
    VkResult (*sqtt_CreateAccelerationStructureKHR_Null)(VkDevice                                           device, const VkAccelerationStructureCreateInfoKHR*        pCreateInfo, const VkAllocationCallbacks*       pAllocator, VkAccelerationStructureKHR*                        pAccelerationStructure) = 0;
    VkResult sqtt_CreateAccelerationStructureKHR_Weak(VkDevice                                           device, const VkAccelerationStructureCreateInfoKHR*        pCreateInfo, const VkAllocationCallbacks*       pAllocator, VkAccelerationStructureKHR*                        pAccelerationStructure);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateAccelerationStructureKHR(VkDevice                                           device, const VkAccelerationStructureCreateInfoKHR*        pCreateInfo, const VkAllocationCallbacks*       pAllocator, VkAccelerationStructureKHR*                        pAccelerationStructure) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdBuildAccelerationStructuresKHR_Weak=radv_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:radv_CmdBuildAccelerationStructuresKHR=radv_CmdBuildAccelerationStructuresKHR_Weak")
    void (*radv_CmdBuildAccelerationStructuresKHR_Null)(VkCommandBuffer                                    commandBuffer, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos) = 0;
    void radv_CmdBuildAccelerationStructuresKHR_Weak(VkCommandBuffer                                    commandBuffer, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdBuildAccelerationStructuresKHR(VkCommandBuffer                                    commandBuffer, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdBuildAccelerationStructuresKHR_Weak=sqtt_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdBuildAccelerationStructuresKHR=sqtt_CmdBuildAccelerationStructuresKHR_Weak")
    void (*sqtt_CmdBuildAccelerationStructuresKHR_Null)(VkCommandBuffer                                    commandBuffer, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos) = 0;
    void sqtt_CmdBuildAccelerationStructuresKHR_Weak(VkCommandBuffer                                    commandBuffer, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdBuildAccelerationStructuresKHR(VkCommandBuffer                                    commandBuffer, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdBuildAccelerationStructuresIndirectKHR_Weak=radv_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:radv_CmdBuildAccelerationStructuresIndirectKHR=radv_CmdBuildAccelerationStructuresIndirectKHR_Weak")
    void (*radv_CmdBuildAccelerationStructuresIndirectKHR_Null)(VkCommandBuffer                  commandBuffer, uint32_t                                           infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkDeviceAddress*             pIndirectDeviceAddresses, const uint32_t*                    pIndirectStrides, const uint32_t* const*             ppMaxPrimitiveCounts) = 0;
    void radv_CmdBuildAccelerationStructuresIndirectKHR_Weak(VkCommandBuffer                  commandBuffer, uint32_t                                           infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkDeviceAddress*             pIndirectDeviceAddresses, const uint32_t*                    pIndirectStrides, const uint32_t* const*             ppMaxPrimitiveCounts);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdBuildAccelerationStructuresIndirectKHR(VkCommandBuffer                  commandBuffer, uint32_t                                           infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkDeviceAddress*             pIndirectDeviceAddresses, const uint32_t*                    pIndirectStrides, const uint32_t* const*             ppMaxPrimitiveCounts) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdBuildAccelerationStructuresIndirectKHR_Weak=sqtt_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdBuildAccelerationStructuresIndirectKHR=sqtt_CmdBuildAccelerationStructuresIndirectKHR_Weak")
    void (*sqtt_CmdBuildAccelerationStructuresIndirectKHR_Null)(VkCommandBuffer                  commandBuffer, uint32_t                                           infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkDeviceAddress*             pIndirectDeviceAddresses, const uint32_t*                    pIndirectStrides, const uint32_t* const*             ppMaxPrimitiveCounts) = 0;
    void sqtt_CmdBuildAccelerationStructuresIndirectKHR_Weak(VkCommandBuffer                  commandBuffer, uint32_t                                           infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkDeviceAddress*             pIndirectDeviceAddresses, const uint32_t*                    pIndirectStrides, const uint32_t* const*             ppMaxPrimitiveCounts);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdBuildAccelerationStructuresIndirectKHR(VkCommandBuffer                  commandBuffer, uint32_t                                           infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkDeviceAddress*             pIndirectDeviceAddresses, const uint32_t*                    pIndirectStrides, const uint32_t* const*             ppMaxPrimitiveCounts) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_BuildAccelerationStructuresKHR_Weak=radv_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:radv_BuildAccelerationStructuresKHR=radv_BuildAccelerationStructuresKHR_Weak")
    VkResult (*radv_BuildAccelerationStructuresKHR_Null)(VkDevice                                           device, VkDeferredOperationKHR deferredOperation, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos) = 0;
    VkResult radv_BuildAccelerationStructuresKHR_Weak(VkDevice                                           device, VkDeferredOperationKHR deferredOperation, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_BuildAccelerationStructuresKHR(VkDevice                                           device, VkDeferredOperationKHR deferredOperation, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_BuildAccelerationStructuresKHR_Weak=sqtt_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_BuildAccelerationStructuresKHR=sqtt_BuildAccelerationStructuresKHR_Weak")
    VkResult (*sqtt_BuildAccelerationStructuresKHR_Null)(VkDevice                                           device, VkDeferredOperationKHR deferredOperation, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos) = 0;
    VkResult sqtt_BuildAccelerationStructuresKHR_Weak(VkDevice                                           device, VkDeferredOperationKHR deferredOperation, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_BuildAccelerationStructuresKHR(VkDevice                                           device, VkDeferredOperationKHR deferredOperation, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetAccelerationStructureDeviceAddressKHR_Weak=radv_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:radv_GetAccelerationStructureDeviceAddressKHR=radv_GetAccelerationStructureDeviceAddressKHR_Weak")
    VkDeviceAddress (*radv_GetAccelerationStructureDeviceAddressKHR_Null)(VkDevice device, const VkAccelerationStructureDeviceAddressInfoKHR* pInfo) = 0;
    VkDeviceAddress radv_GetAccelerationStructureDeviceAddressKHR_Weak(VkDevice device, const VkAccelerationStructureDeviceAddressInfoKHR* pInfo);
#else
    VKAPI_ATTR VkDeviceAddress VKAPI_CALL radv_GetAccelerationStructureDeviceAddressKHR(VkDevice device, const VkAccelerationStructureDeviceAddressInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetAccelerationStructureDeviceAddressKHR_Weak=sqtt_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetAccelerationStructureDeviceAddressKHR=sqtt_GetAccelerationStructureDeviceAddressKHR_Weak")
    VkDeviceAddress (*sqtt_GetAccelerationStructureDeviceAddressKHR_Null)(VkDevice device, const VkAccelerationStructureDeviceAddressInfoKHR* pInfo) = 0;
    VkDeviceAddress sqtt_GetAccelerationStructureDeviceAddressKHR_Weak(VkDevice device, const VkAccelerationStructureDeviceAddressInfoKHR* pInfo);
#else
    VKAPI_ATTR VkDeviceAddress VKAPI_CALL sqtt_GetAccelerationStructureDeviceAddressKHR(VkDevice device, const VkAccelerationStructureDeviceAddressInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CreateDeferredOperationKHR_Weak=radv_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:radv_CreateDeferredOperationKHR=radv_CreateDeferredOperationKHR_Weak")
    VkResult (*radv_CreateDeferredOperationKHR_Null)(VkDevice device, const VkAllocationCallbacks* pAllocator, VkDeferredOperationKHR* pDeferredOperation) = 0;
    VkResult radv_CreateDeferredOperationKHR_Weak(VkDevice device, const VkAllocationCallbacks* pAllocator, VkDeferredOperationKHR* pDeferredOperation);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateDeferredOperationKHR(VkDevice device, const VkAllocationCallbacks* pAllocator, VkDeferredOperationKHR* pDeferredOperation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CreateDeferredOperationKHR_Weak=sqtt_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_CreateDeferredOperationKHR=sqtt_CreateDeferredOperationKHR_Weak")
    VkResult (*sqtt_CreateDeferredOperationKHR_Null)(VkDevice device, const VkAllocationCallbacks* pAllocator, VkDeferredOperationKHR* pDeferredOperation) = 0;
    VkResult sqtt_CreateDeferredOperationKHR_Weak(VkDevice device, const VkAllocationCallbacks* pAllocator, VkDeferredOperationKHR* pDeferredOperation);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateDeferredOperationKHR(VkDevice device, const VkAllocationCallbacks* pAllocator, VkDeferredOperationKHR* pDeferredOperation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_DestroyDeferredOperationKHR_Weak=radv_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:radv_DestroyDeferredOperationKHR=radv_DestroyDeferredOperationKHR_Weak")
    void (*radv_DestroyDeferredOperationKHR_Null)(VkDevice device, VkDeferredOperationKHR operation, const VkAllocationCallbacks* pAllocator) = 0;
    void radv_DestroyDeferredOperationKHR_Weak(VkDevice device, VkDeferredOperationKHR operation, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroyDeferredOperationKHR(VkDevice device, VkDeferredOperationKHR operation, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_DestroyDeferredOperationKHR_Weak=sqtt_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_DestroyDeferredOperationKHR=sqtt_DestroyDeferredOperationKHR_Weak")
    void (*sqtt_DestroyDeferredOperationKHR_Null)(VkDevice device, VkDeferredOperationKHR operation, const VkAllocationCallbacks* pAllocator) = 0;
    void sqtt_DestroyDeferredOperationKHR_Weak(VkDevice device, VkDeferredOperationKHR operation, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_DestroyDeferredOperationKHR(VkDevice device, VkDeferredOperationKHR operation, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetDeferredOperationMaxConcurrencyKHR_Weak=radv_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:radv_GetDeferredOperationMaxConcurrencyKHR=radv_GetDeferredOperationMaxConcurrencyKHR_Weak")
    uint32_t (*radv_GetDeferredOperationMaxConcurrencyKHR_Null)(VkDevice device, VkDeferredOperationKHR operation) = 0;
    uint32_t radv_GetDeferredOperationMaxConcurrencyKHR_Weak(VkDevice device, VkDeferredOperationKHR operation);
#else
    VKAPI_ATTR uint32_t VKAPI_CALL radv_GetDeferredOperationMaxConcurrencyKHR(VkDevice device, VkDeferredOperationKHR operation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetDeferredOperationMaxConcurrencyKHR_Weak=sqtt_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetDeferredOperationMaxConcurrencyKHR=sqtt_GetDeferredOperationMaxConcurrencyKHR_Weak")
    uint32_t (*sqtt_GetDeferredOperationMaxConcurrencyKHR_Null)(VkDevice device, VkDeferredOperationKHR operation) = 0;
    uint32_t sqtt_GetDeferredOperationMaxConcurrencyKHR_Weak(VkDevice device, VkDeferredOperationKHR operation);
#else
    VKAPI_ATTR uint32_t VKAPI_CALL sqtt_GetDeferredOperationMaxConcurrencyKHR(VkDevice device, VkDeferredOperationKHR operation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetDeferredOperationResultKHR_Weak=radv_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:radv_GetDeferredOperationResultKHR=radv_GetDeferredOperationResultKHR_Weak")
    VkResult (*radv_GetDeferredOperationResultKHR_Null)(VkDevice device, VkDeferredOperationKHR operation) = 0;
    VkResult radv_GetDeferredOperationResultKHR_Weak(VkDevice device, VkDeferredOperationKHR operation);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetDeferredOperationResultKHR(VkDevice device, VkDeferredOperationKHR operation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetDeferredOperationResultKHR_Weak=sqtt_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetDeferredOperationResultKHR=sqtt_GetDeferredOperationResultKHR_Weak")
    VkResult (*sqtt_GetDeferredOperationResultKHR_Null)(VkDevice device, VkDeferredOperationKHR operation) = 0;
    VkResult sqtt_GetDeferredOperationResultKHR_Weak(VkDevice device, VkDeferredOperationKHR operation);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetDeferredOperationResultKHR(VkDevice device, VkDeferredOperationKHR operation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_DeferredOperationJoinKHR_Weak=radv_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:radv_DeferredOperationJoinKHR=radv_DeferredOperationJoinKHR_Weak")
    VkResult (*radv_DeferredOperationJoinKHR_Null)(VkDevice device, VkDeferredOperationKHR operation) = 0;
    VkResult radv_DeferredOperationJoinKHR_Weak(VkDevice device, VkDeferredOperationKHR operation);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_DeferredOperationJoinKHR(VkDevice device, VkDeferredOperationKHR operation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_DeferredOperationJoinKHR_Weak=sqtt_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_DeferredOperationJoinKHR=sqtt_DeferredOperationJoinKHR_Weak")
    VkResult (*sqtt_DeferredOperationJoinKHR_Null)(VkDevice device, VkDeferredOperationKHR operation) = 0;
    VkResult sqtt_DeferredOperationJoinKHR_Weak(VkDevice device, VkDeferredOperationKHR operation);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_DeferredOperationJoinKHR(VkDevice device, VkDeferredOperationKHR operation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdSetCullModeEXT_Weak=radv_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:radv_CmdSetCullModeEXT=radv_CmdSetCullModeEXT_Weak")
    void (*radv_CmdSetCullModeEXT_Null)(VkCommandBuffer commandBuffer, VkCullModeFlags cullMode) = 0;
    void radv_CmdSetCullModeEXT_Weak(VkCommandBuffer commandBuffer, VkCullModeFlags cullMode);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetCullModeEXT(VkCommandBuffer commandBuffer, VkCullModeFlags cullMode) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdSetCullModeEXT_Weak=sqtt_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdSetCullModeEXT=sqtt_CmdSetCullModeEXT_Weak")
    void (*sqtt_CmdSetCullModeEXT_Null)(VkCommandBuffer commandBuffer, VkCullModeFlags cullMode) = 0;
    void sqtt_CmdSetCullModeEXT_Weak(VkCommandBuffer commandBuffer, VkCullModeFlags cullMode);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetCullModeEXT(VkCommandBuffer commandBuffer, VkCullModeFlags cullMode) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdSetFrontFaceEXT_Weak=radv_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:radv_CmdSetFrontFaceEXT=radv_CmdSetFrontFaceEXT_Weak")
    void (*radv_CmdSetFrontFaceEXT_Null)(VkCommandBuffer commandBuffer, VkFrontFace frontFace) = 0;
    void radv_CmdSetFrontFaceEXT_Weak(VkCommandBuffer commandBuffer, VkFrontFace frontFace);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetFrontFaceEXT(VkCommandBuffer commandBuffer, VkFrontFace frontFace) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdSetFrontFaceEXT_Weak=sqtt_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdSetFrontFaceEXT=sqtt_CmdSetFrontFaceEXT_Weak")
    void (*sqtt_CmdSetFrontFaceEXT_Null)(VkCommandBuffer commandBuffer, VkFrontFace frontFace) = 0;
    void sqtt_CmdSetFrontFaceEXT_Weak(VkCommandBuffer commandBuffer, VkFrontFace frontFace);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetFrontFaceEXT(VkCommandBuffer commandBuffer, VkFrontFace frontFace) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdSetPrimitiveTopologyEXT_Weak=radv_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:radv_CmdSetPrimitiveTopologyEXT=radv_CmdSetPrimitiveTopologyEXT_Weak")
    void (*radv_CmdSetPrimitiveTopologyEXT_Null)(VkCommandBuffer commandBuffer, VkPrimitiveTopology primitiveTopology) = 0;
    void radv_CmdSetPrimitiveTopologyEXT_Weak(VkCommandBuffer commandBuffer, VkPrimitiveTopology primitiveTopology);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetPrimitiveTopologyEXT(VkCommandBuffer commandBuffer, VkPrimitiveTopology primitiveTopology) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdSetPrimitiveTopologyEXT_Weak=sqtt_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdSetPrimitiveTopologyEXT=sqtt_CmdSetPrimitiveTopologyEXT_Weak")
    void (*sqtt_CmdSetPrimitiveTopologyEXT_Null)(VkCommandBuffer commandBuffer, VkPrimitiveTopology primitiveTopology) = 0;
    void sqtt_CmdSetPrimitiveTopologyEXT_Weak(VkCommandBuffer commandBuffer, VkPrimitiveTopology primitiveTopology);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetPrimitiveTopologyEXT(VkCommandBuffer commandBuffer, VkPrimitiveTopology primitiveTopology) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdSetViewportWithCountEXT_Weak=radv_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:radv_CmdSetViewportWithCountEXT=radv_CmdSetViewportWithCountEXT_Weak")
    void (*radv_CmdSetViewportWithCountEXT_Null)(VkCommandBuffer commandBuffer, uint32_t viewportCount, const VkViewport* pViewports) = 0;
    void radv_CmdSetViewportWithCountEXT_Weak(VkCommandBuffer commandBuffer, uint32_t viewportCount, const VkViewport* pViewports);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetViewportWithCountEXT(VkCommandBuffer commandBuffer, uint32_t viewportCount, const VkViewport* pViewports) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdSetViewportWithCountEXT_Weak=sqtt_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdSetViewportWithCountEXT=sqtt_CmdSetViewportWithCountEXT_Weak")
    void (*sqtt_CmdSetViewportWithCountEXT_Null)(VkCommandBuffer commandBuffer, uint32_t viewportCount, const VkViewport* pViewports) = 0;
    void sqtt_CmdSetViewportWithCountEXT_Weak(VkCommandBuffer commandBuffer, uint32_t viewportCount, const VkViewport* pViewports);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetViewportWithCountEXT(VkCommandBuffer commandBuffer, uint32_t viewportCount, const VkViewport* pViewports) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdSetScissorWithCountEXT_Weak=radv_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:radv_CmdSetScissorWithCountEXT=radv_CmdSetScissorWithCountEXT_Weak")
    void (*radv_CmdSetScissorWithCountEXT_Null)(VkCommandBuffer commandBuffer, uint32_t scissorCount, const VkRect2D* pScissors) = 0;
    void radv_CmdSetScissorWithCountEXT_Weak(VkCommandBuffer commandBuffer, uint32_t scissorCount, const VkRect2D* pScissors);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetScissorWithCountEXT(VkCommandBuffer commandBuffer, uint32_t scissorCount, const VkRect2D* pScissors) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdSetScissorWithCountEXT_Weak=sqtt_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdSetScissorWithCountEXT=sqtt_CmdSetScissorWithCountEXT_Weak")
    void (*sqtt_CmdSetScissorWithCountEXT_Null)(VkCommandBuffer commandBuffer, uint32_t scissorCount, const VkRect2D* pScissors) = 0;
    void sqtt_CmdSetScissorWithCountEXT_Weak(VkCommandBuffer commandBuffer, uint32_t scissorCount, const VkRect2D* pScissors);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetScissorWithCountEXT(VkCommandBuffer commandBuffer, uint32_t scissorCount, const VkRect2D* pScissors) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdBindVertexBuffers2EXT_Weak=radv_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:radv_CmdBindVertexBuffers2EXT=radv_CmdBindVertexBuffers2EXT_Weak")
    void (*radv_CmdBindVertexBuffers2EXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes, const VkDeviceSize* pStrides) = 0;
    void radv_CmdBindVertexBuffers2EXT_Weak(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes, const VkDeviceSize* pStrides);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdBindVertexBuffers2EXT(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes, const VkDeviceSize* pStrides) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdBindVertexBuffers2EXT_Weak=sqtt_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdBindVertexBuffers2EXT=sqtt_CmdBindVertexBuffers2EXT_Weak")
    void (*sqtt_CmdBindVertexBuffers2EXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes, const VkDeviceSize* pStrides) = 0;
    void sqtt_CmdBindVertexBuffers2EXT_Weak(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes, const VkDeviceSize* pStrides);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdBindVertexBuffers2EXT(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes, const VkDeviceSize* pStrides) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdSetDepthTestEnableEXT_Weak=radv_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:radv_CmdSetDepthTestEnableEXT=radv_CmdSetDepthTestEnableEXT_Weak")
    void (*radv_CmdSetDepthTestEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 depthTestEnable) = 0;
    void radv_CmdSetDepthTestEnableEXT_Weak(VkCommandBuffer commandBuffer, VkBool32 depthTestEnable);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetDepthTestEnableEXT(VkCommandBuffer commandBuffer, VkBool32 depthTestEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdSetDepthTestEnableEXT_Weak=sqtt_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdSetDepthTestEnableEXT=sqtt_CmdSetDepthTestEnableEXT_Weak")
    void (*sqtt_CmdSetDepthTestEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 depthTestEnable) = 0;
    void sqtt_CmdSetDepthTestEnableEXT_Weak(VkCommandBuffer commandBuffer, VkBool32 depthTestEnable);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetDepthTestEnableEXT(VkCommandBuffer commandBuffer, VkBool32 depthTestEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdSetDepthWriteEnableEXT_Weak=radv_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:radv_CmdSetDepthWriteEnableEXT=radv_CmdSetDepthWriteEnableEXT_Weak")
    void (*radv_CmdSetDepthWriteEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 depthWriteEnable) = 0;
    void radv_CmdSetDepthWriteEnableEXT_Weak(VkCommandBuffer commandBuffer, VkBool32 depthWriteEnable);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetDepthWriteEnableEXT(VkCommandBuffer commandBuffer, VkBool32 depthWriteEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdSetDepthWriteEnableEXT_Weak=sqtt_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdSetDepthWriteEnableEXT=sqtt_CmdSetDepthWriteEnableEXT_Weak")
    void (*sqtt_CmdSetDepthWriteEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 depthWriteEnable) = 0;
    void sqtt_CmdSetDepthWriteEnableEXT_Weak(VkCommandBuffer commandBuffer, VkBool32 depthWriteEnable);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetDepthWriteEnableEXT(VkCommandBuffer commandBuffer, VkBool32 depthWriteEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdSetDepthCompareOpEXT_Weak=radv_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:radv_CmdSetDepthCompareOpEXT=radv_CmdSetDepthCompareOpEXT_Weak")
    void (*radv_CmdSetDepthCompareOpEXT_Null)(VkCommandBuffer commandBuffer, VkCompareOp depthCompareOp) = 0;
    void radv_CmdSetDepthCompareOpEXT_Weak(VkCommandBuffer commandBuffer, VkCompareOp depthCompareOp);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetDepthCompareOpEXT(VkCommandBuffer commandBuffer, VkCompareOp depthCompareOp) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdSetDepthCompareOpEXT_Weak=sqtt_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdSetDepthCompareOpEXT=sqtt_CmdSetDepthCompareOpEXT_Weak")
    void (*sqtt_CmdSetDepthCompareOpEXT_Null)(VkCommandBuffer commandBuffer, VkCompareOp depthCompareOp) = 0;
    void sqtt_CmdSetDepthCompareOpEXT_Weak(VkCommandBuffer commandBuffer, VkCompareOp depthCompareOp);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetDepthCompareOpEXT(VkCommandBuffer commandBuffer, VkCompareOp depthCompareOp) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdSetDepthBoundsTestEnableEXT_Weak=radv_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:radv_CmdSetDepthBoundsTestEnableEXT=radv_CmdSetDepthBoundsTestEnableEXT_Weak")
    void (*radv_CmdSetDepthBoundsTestEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 depthBoundsTestEnable) = 0;
    void radv_CmdSetDepthBoundsTestEnableEXT_Weak(VkCommandBuffer commandBuffer, VkBool32 depthBoundsTestEnable);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetDepthBoundsTestEnableEXT(VkCommandBuffer commandBuffer, VkBool32 depthBoundsTestEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdSetDepthBoundsTestEnableEXT_Weak=sqtt_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdSetDepthBoundsTestEnableEXT=sqtt_CmdSetDepthBoundsTestEnableEXT_Weak")
    void (*sqtt_CmdSetDepthBoundsTestEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 depthBoundsTestEnable) = 0;
    void sqtt_CmdSetDepthBoundsTestEnableEXT_Weak(VkCommandBuffer commandBuffer, VkBool32 depthBoundsTestEnable);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetDepthBoundsTestEnableEXT(VkCommandBuffer commandBuffer, VkBool32 depthBoundsTestEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdSetStencilTestEnableEXT_Weak=radv_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:radv_CmdSetStencilTestEnableEXT=radv_CmdSetStencilTestEnableEXT_Weak")
    void (*radv_CmdSetStencilTestEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 stencilTestEnable) = 0;
    void radv_CmdSetStencilTestEnableEXT_Weak(VkCommandBuffer commandBuffer, VkBool32 stencilTestEnable);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetStencilTestEnableEXT(VkCommandBuffer commandBuffer, VkBool32 stencilTestEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdSetStencilTestEnableEXT_Weak=sqtt_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdSetStencilTestEnableEXT=sqtt_CmdSetStencilTestEnableEXT_Weak")
    void (*sqtt_CmdSetStencilTestEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 stencilTestEnable) = 0;
    void sqtt_CmdSetStencilTestEnableEXT_Weak(VkCommandBuffer commandBuffer, VkBool32 stencilTestEnable);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetStencilTestEnableEXT(VkCommandBuffer commandBuffer, VkBool32 stencilTestEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdSetStencilOpEXT_Weak=radv_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:radv_CmdSetStencilOpEXT=radv_CmdSetStencilOpEXT_Weak")
    void (*radv_CmdSetStencilOpEXT_Null)(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, VkStencilOp failOp, VkStencilOp passOp, VkStencilOp depthFailOp, VkCompareOp compareOp) = 0;
    void radv_CmdSetStencilOpEXT_Weak(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, VkStencilOp failOp, VkStencilOp passOp, VkStencilOp depthFailOp, VkCompareOp compareOp);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetStencilOpEXT(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, VkStencilOp failOp, VkStencilOp passOp, VkStencilOp depthFailOp, VkCompareOp compareOp) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdSetStencilOpEXT_Weak=sqtt_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdSetStencilOpEXT=sqtt_CmdSetStencilOpEXT_Weak")
    void (*sqtt_CmdSetStencilOpEXT_Null)(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, VkStencilOp failOp, VkStencilOp passOp, VkStencilOp depthFailOp, VkCompareOp compareOp) = 0;
    void sqtt_CmdSetStencilOpEXT_Weak(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, VkStencilOp failOp, VkStencilOp passOp, VkStencilOp depthFailOp, VkCompareOp compareOp);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetStencilOpEXT(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, VkStencilOp failOp, VkStencilOp passOp, VkStencilOp depthFailOp, VkCompareOp compareOp) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CreatePrivateDataSlotEXT_Weak=radv_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:radv_CreatePrivateDataSlotEXT=radv_CreatePrivateDataSlotEXT_Weak")
    VkResult (*radv_CreatePrivateDataSlotEXT_Null)(VkDevice device, const VkPrivateDataSlotCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPrivateDataSlotEXT* pPrivateDataSlot) = 0;
    VkResult radv_CreatePrivateDataSlotEXT_Weak(VkDevice device, const VkPrivateDataSlotCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPrivateDataSlotEXT* pPrivateDataSlot);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreatePrivateDataSlotEXT(VkDevice device, const VkPrivateDataSlotCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPrivateDataSlotEXT* pPrivateDataSlot) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CreatePrivateDataSlotEXT_Weak=sqtt_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:sqtt_CreatePrivateDataSlotEXT=sqtt_CreatePrivateDataSlotEXT_Weak")
    VkResult (*sqtt_CreatePrivateDataSlotEXT_Null)(VkDevice device, const VkPrivateDataSlotCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPrivateDataSlotEXT* pPrivateDataSlot) = 0;
    VkResult sqtt_CreatePrivateDataSlotEXT_Weak(VkDevice device, const VkPrivateDataSlotCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPrivateDataSlotEXT* pPrivateDataSlot);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreatePrivateDataSlotEXT(VkDevice device, const VkPrivateDataSlotCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPrivateDataSlotEXT* pPrivateDataSlot) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_DestroyPrivateDataSlotEXT_Weak=radv_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:radv_DestroyPrivateDataSlotEXT=radv_DestroyPrivateDataSlotEXT_Weak")
    void (*radv_DestroyPrivateDataSlotEXT_Null)(VkDevice device, VkPrivateDataSlotEXT privateDataSlot, const VkAllocationCallbacks* pAllocator) = 0;
    void radv_DestroyPrivateDataSlotEXT_Weak(VkDevice device, VkPrivateDataSlotEXT privateDataSlot, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroyPrivateDataSlotEXT(VkDevice device, VkPrivateDataSlotEXT privateDataSlot, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_DestroyPrivateDataSlotEXT_Weak=sqtt_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:sqtt_DestroyPrivateDataSlotEXT=sqtt_DestroyPrivateDataSlotEXT_Weak")
    void (*sqtt_DestroyPrivateDataSlotEXT_Null)(VkDevice device, VkPrivateDataSlotEXT privateDataSlot, const VkAllocationCallbacks* pAllocator) = 0;
    void sqtt_DestroyPrivateDataSlotEXT_Weak(VkDevice device, VkPrivateDataSlotEXT privateDataSlot, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_DestroyPrivateDataSlotEXT(VkDevice device, VkPrivateDataSlotEXT privateDataSlot, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_SetPrivateDataEXT_Weak=radv_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:radv_SetPrivateDataEXT=radv_SetPrivateDataEXT_Weak")
    VkResult (*radv_SetPrivateDataEXT_Null)(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t data) = 0;
    VkResult radv_SetPrivateDataEXT_Weak(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t data);
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_SetPrivateDataEXT(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t data) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_SetPrivateDataEXT_Weak=sqtt_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:sqtt_SetPrivateDataEXT=sqtt_SetPrivateDataEXT_Weak")
    VkResult (*sqtt_SetPrivateDataEXT_Null)(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t data) = 0;
    VkResult sqtt_SetPrivateDataEXT_Weak(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t data);
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_SetPrivateDataEXT(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t data) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetPrivateDataEXT_Weak=radv_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:radv_GetPrivateDataEXT=radv_GetPrivateDataEXT_Weak")
    void (*radv_GetPrivateDataEXT_Null)(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t* pData) = 0;
    void radv_GetPrivateDataEXT_Weak(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t* pData);
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetPrivateDataEXT(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetPrivateDataEXT_Weak=sqtt_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetPrivateDataEXT=sqtt_GetPrivateDataEXT_Weak")
    void (*sqtt_GetPrivateDataEXT_Null)(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t* pData) = 0;
    void sqtt_GetPrivateDataEXT_Weak(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t* pData);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_GetPrivateDataEXT(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdCopyBuffer2KHR_Weak=radv_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:radv_CmdCopyBuffer2KHR=radv_CmdCopyBuffer2KHR_Weak")
    void (*radv_CmdCopyBuffer2KHR_Null)(VkCommandBuffer commandBuffer, const VkCopyBufferInfo2KHR* pCopyBufferInfo) = 0;
    void radv_CmdCopyBuffer2KHR_Weak(VkCommandBuffer commandBuffer, const VkCopyBufferInfo2KHR* pCopyBufferInfo);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdCopyBuffer2KHR(VkCommandBuffer commandBuffer, const VkCopyBufferInfo2KHR* pCopyBufferInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdCopyBuffer2KHR_Weak=sqtt_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdCopyBuffer2KHR=sqtt_CmdCopyBuffer2KHR_Weak")
    void (*sqtt_CmdCopyBuffer2KHR_Null)(VkCommandBuffer commandBuffer, const VkCopyBufferInfo2KHR* pCopyBufferInfo) = 0;
    void sqtt_CmdCopyBuffer2KHR_Weak(VkCommandBuffer commandBuffer, const VkCopyBufferInfo2KHR* pCopyBufferInfo);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdCopyBuffer2KHR(VkCommandBuffer commandBuffer, const VkCopyBufferInfo2KHR* pCopyBufferInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdCopyImage2KHR_Weak=radv_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:radv_CmdCopyImage2KHR=radv_CmdCopyImage2KHR_Weak")
    void (*radv_CmdCopyImage2KHR_Null)(VkCommandBuffer commandBuffer, const VkCopyImageInfo2KHR* pCopyImageInfo) = 0;
    void radv_CmdCopyImage2KHR_Weak(VkCommandBuffer commandBuffer, const VkCopyImageInfo2KHR* pCopyImageInfo);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdCopyImage2KHR(VkCommandBuffer commandBuffer, const VkCopyImageInfo2KHR* pCopyImageInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdCopyImage2KHR_Weak=sqtt_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdCopyImage2KHR=sqtt_CmdCopyImage2KHR_Weak")
    void (*sqtt_CmdCopyImage2KHR_Null)(VkCommandBuffer commandBuffer, const VkCopyImageInfo2KHR* pCopyImageInfo) = 0;
    void sqtt_CmdCopyImage2KHR_Weak(VkCommandBuffer commandBuffer, const VkCopyImageInfo2KHR* pCopyImageInfo);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdCopyImage2KHR(VkCommandBuffer commandBuffer, const VkCopyImageInfo2KHR* pCopyImageInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdBlitImage2KHR_Weak=radv_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:radv_CmdBlitImage2KHR=radv_CmdBlitImage2KHR_Weak")
    void (*radv_CmdBlitImage2KHR_Null)(VkCommandBuffer commandBuffer, const VkBlitImageInfo2KHR* pBlitImageInfo) = 0;
    void radv_CmdBlitImage2KHR_Weak(VkCommandBuffer commandBuffer, const VkBlitImageInfo2KHR* pBlitImageInfo);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdBlitImage2KHR(VkCommandBuffer commandBuffer, const VkBlitImageInfo2KHR* pBlitImageInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdBlitImage2KHR_Weak=sqtt_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdBlitImage2KHR=sqtt_CmdBlitImage2KHR_Weak")
    void (*sqtt_CmdBlitImage2KHR_Null)(VkCommandBuffer commandBuffer, const VkBlitImageInfo2KHR* pBlitImageInfo) = 0;
    void sqtt_CmdBlitImage2KHR_Weak(VkCommandBuffer commandBuffer, const VkBlitImageInfo2KHR* pBlitImageInfo);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdBlitImage2KHR(VkCommandBuffer commandBuffer, const VkBlitImageInfo2KHR* pBlitImageInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdCopyBufferToImage2KHR_Weak=radv_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:radv_CmdCopyBufferToImage2KHR=radv_CmdCopyBufferToImage2KHR_Weak")
    void (*radv_CmdCopyBufferToImage2KHR_Null)(VkCommandBuffer commandBuffer, const VkCopyBufferToImageInfo2KHR* pCopyBufferToImageInfo) = 0;
    void radv_CmdCopyBufferToImage2KHR_Weak(VkCommandBuffer commandBuffer, const VkCopyBufferToImageInfo2KHR* pCopyBufferToImageInfo);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdCopyBufferToImage2KHR(VkCommandBuffer commandBuffer, const VkCopyBufferToImageInfo2KHR* pCopyBufferToImageInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdCopyBufferToImage2KHR_Weak=sqtt_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdCopyBufferToImage2KHR=sqtt_CmdCopyBufferToImage2KHR_Weak")
    void (*sqtt_CmdCopyBufferToImage2KHR_Null)(VkCommandBuffer commandBuffer, const VkCopyBufferToImageInfo2KHR* pCopyBufferToImageInfo) = 0;
    void sqtt_CmdCopyBufferToImage2KHR_Weak(VkCommandBuffer commandBuffer, const VkCopyBufferToImageInfo2KHR* pCopyBufferToImageInfo);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdCopyBufferToImage2KHR(VkCommandBuffer commandBuffer, const VkCopyBufferToImageInfo2KHR* pCopyBufferToImageInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdCopyImageToBuffer2KHR_Weak=radv_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:radv_CmdCopyImageToBuffer2KHR=radv_CmdCopyImageToBuffer2KHR_Weak")
    void (*radv_CmdCopyImageToBuffer2KHR_Null)(VkCommandBuffer commandBuffer, const VkCopyImageToBufferInfo2KHR* pCopyImageToBufferInfo) = 0;
    void radv_CmdCopyImageToBuffer2KHR_Weak(VkCommandBuffer commandBuffer, const VkCopyImageToBufferInfo2KHR* pCopyImageToBufferInfo);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdCopyImageToBuffer2KHR(VkCommandBuffer commandBuffer, const VkCopyImageToBufferInfo2KHR* pCopyImageToBufferInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdCopyImageToBuffer2KHR_Weak=sqtt_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdCopyImageToBuffer2KHR=sqtt_CmdCopyImageToBuffer2KHR_Weak")
    void (*sqtt_CmdCopyImageToBuffer2KHR_Null)(VkCommandBuffer commandBuffer, const VkCopyImageToBufferInfo2KHR* pCopyImageToBufferInfo) = 0;
    void sqtt_CmdCopyImageToBuffer2KHR_Weak(VkCommandBuffer commandBuffer, const VkCopyImageToBufferInfo2KHR* pCopyImageToBufferInfo);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdCopyImageToBuffer2KHR(VkCommandBuffer commandBuffer, const VkCopyImageToBufferInfo2KHR* pCopyImageToBufferInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdResolveImage2KHR_Weak=radv_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:radv_CmdResolveImage2KHR=radv_CmdResolveImage2KHR_Weak")
    void (*radv_CmdResolveImage2KHR_Null)(VkCommandBuffer commandBuffer, const VkResolveImageInfo2KHR* pResolveImageInfo) = 0;
    void radv_CmdResolveImage2KHR_Weak(VkCommandBuffer commandBuffer, const VkResolveImageInfo2KHR* pResolveImageInfo);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdResolveImage2KHR(VkCommandBuffer commandBuffer, const VkResolveImageInfo2KHR* pResolveImageInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdResolveImage2KHR_Weak=sqtt_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdResolveImage2KHR=sqtt_CmdResolveImage2KHR_Weak")
    void (*sqtt_CmdResolveImage2KHR_Null)(VkCommandBuffer commandBuffer, const VkResolveImageInfo2KHR* pResolveImageInfo) = 0;
    void sqtt_CmdResolveImage2KHR_Weak(VkCommandBuffer commandBuffer, const VkResolveImageInfo2KHR* pResolveImageInfo);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdResolveImage2KHR(VkCommandBuffer commandBuffer, const VkResolveImageInfo2KHR* pResolveImageInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdSetFragmentShadingRateKHR_Weak=radv_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:radv_CmdSetFragmentShadingRateKHR=radv_CmdSetFragmentShadingRateKHR_Weak")
    void (*radv_CmdSetFragmentShadingRateKHR_Null)(VkCommandBuffer           commandBuffer, const VkExtent2D*                           pFragmentSize, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]) = 0;
    void radv_CmdSetFragmentShadingRateKHR_Weak(VkCommandBuffer           commandBuffer, const VkExtent2D*                           pFragmentSize, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetFragmentShadingRateKHR(VkCommandBuffer           commandBuffer, const VkExtent2D*                           pFragmentSize, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdSetFragmentShadingRateKHR_Weak=sqtt_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdSetFragmentShadingRateKHR=sqtt_CmdSetFragmentShadingRateKHR_Weak")
    void (*sqtt_CmdSetFragmentShadingRateKHR_Null)(VkCommandBuffer           commandBuffer, const VkExtent2D*                           pFragmentSize, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]) = 0;
    void sqtt_CmdSetFragmentShadingRateKHR_Weak(VkCommandBuffer           commandBuffer, const VkExtent2D*                           pFragmentSize, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetFragmentShadingRateKHR(VkCommandBuffer           commandBuffer, const VkExtent2D*                           pFragmentSize, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_CmdSetFragmentShadingRateEnumNV_Weak=radv_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:radv_CmdSetFragmentShadingRateEnumNV=radv_CmdSetFragmentShadingRateEnumNV_Weak")
    void (*radv_CmdSetFragmentShadingRateEnumNV_Null)(VkCommandBuffer           commandBuffer, VkFragmentShadingRateNV                     shadingRate, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]) = 0;
    void radv_CmdSetFragmentShadingRateEnumNV_Weak(VkCommandBuffer           commandBuffer, VkFragmentShadingRateNV                     shadingRate, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]);
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetFragmentShadingRateEnumNV(VkCommandBuffer           commandBuffer, VkFragmentShadingRateNV                     shadingRate, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_CmdSetFragmentShadingRateEnumNV_Weak=sqtt_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:sqtt_CmdSetFragmentShadingRateEnumNV=sqtt_CmdSetFragmentShadingRateEnumNV_Weak")
    void (*sqtt_CmdSetFragmentShadingRateEnumNV_Null)(VkCommandBuffer           commandBuffer, VkFragmentShadingRateNV                     shadingRate, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]) = 0;
    void sqtt_CmdSetFragmentShadingRateEnumNV_Weak(VkCommandBuffer           commandBuffer, VkFragmentShadingRateNV                     shadingRate, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetFragmentShadingRateEnumNV(VkCommandBuffer           commandBuffer, VkFragmentShadingRateNV                     shadingRate, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:radv_GetAccelerationStructureBuildSizesKHR_Weak=radv_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:radv_GetAccelerationStructureBuildSizesKHR=radv_GetAccelerationStructureBuildSizesKHR_Weak")
    void (*radv_GetAccelerationStructureBuildSizesKHR_Null)(VkDevice                                            device, VkAccelerationStructureBuildTypeKHR                 buildType, const VkAccelerationStructureBuildGeometryInfoKHR*  pBuildInfo, const uint32_t*  pMaxPrimitiveCounts, VkAccelerationStructureBuildSizesInfoKHR*           pSizeInfo) = 0;
    void radv_GetAccelerationStructureBuildSizesKHR_Weak(VkDevice                                            device, VkAccelerationStructureBuildTypeKHR                 buildType, const VkAccelerationStructureBuildGeometryInfoKHR*  pBuildInfo, const uint32_t*  pMaxPrimitiveCounts, VkAccelerationStructureBuildSizesInfoKHR*           pSizeInfo);
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetAccelerationStructureBuildSizesKHR(VkDevice                                            device, VkAccelerationStructureBuildTypeKHR                 buildType, const VkAccelerationStructureBuildGeometryInfoKHR*  pBuildInfo, const uint32_t*  pMaxPrimitiveCounts, VkAccelerationStructureBuildSizesInfoKHR*           pSizeInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:sqtt_GetAccelerationStructureBuildSizesKHR_Weak=sqtt_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:sqtt_GetAccelerationStructureBuildSizesKHR=sqtt_GetAccelerationStructureBuildSizesKHR_Weak")
    void (*sqtt_GetAccelerationStructureBuildSizesKHR_Null)(VkDevice                                            device, VkAccelerationStructureBuildTypeKHR                 buildType, const VkAccelerationStructureBuildGeometryInfoKHR*  pBuildInfo, const uint32_t*  pMaxPrimitiveCounts, VkAccelerationStructureBuildSizesInfoKHR*           pSizeInfo) = 0;
    void sqtt_GetAccelerationStructureBuildSizesKHR_Weak(VkDevice                                            device, VkAccelerationStructureBuildTypeKHR                 buildType, const VkAccelerationStructureBuildGeometryInfoKHR*  pBuildInfo, const uint32_t*  pMaxPrimitiveCounts, VkAccelerationStructureBuildSizesInfoKHR*           pSizeInfo);
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_GetAccelerationStructureBuildSizesKHR(VkDevice                                            device, VkAccelerationStructureBuildTypeKHR                 buildType, const VkAccelerationStructureBuildGeometryInfoKHR*  pBuildInfo, const uint32_t*  pMaxPrimitiveCounts, VkAccelerationStructureBuildSizesInfoKHR*           pSizeInfo) __attribute__ ((weak));
#endif

const struct vk_device_entrypoint_table radv_device_entrypoints = {
    .GetDeviceProcAddr = radv_GetDeviceProcAddr,
    .DestroyDevice = radv_DestroyDevice,
    .GetDeviceQueue = radv_GetDeviceQueue,
    .QueueSubmit = radv_QueueSubmit,
    .QueueWaitIdle = radv_QueueWaitIdle,
    .DeviceWaitIdle = radv_DeviceWaitIdle,
    .AllocateMemory = radv_AllocateMemory,
    .FreeMemory = radv_FreeMemory,
    .MapMemory = radv_MapMemory,
    .UnmapMemory = radv_UnmapMemory,
    .FlushMappedMemoryRanges = radv_FlushMappedMemoryRanges,
    .InvalidateMappedMemoryRanges = radv_InvalidateMappedMemoryRanges,
    .GetDeviceMemoryCommitment = radv_GetDeviceMemoryCommitment,
    .GetBufferMemoryRequirements = radv_GetBufferMemoryRequirements,
    .BindBufferMemory = radv_BindBufferMemory,
    .GetImageMemoryRequirements = radv_GetImageMemoryRequirements,
    .BindImageMemory = radv_BindImageMemory,
    .GetImageSparseMemoryRequirements = radv_GetImageSparseMemoryRequirements,
    .QueueBindSparse = radv_QueueBindSparse,
    .CreateFence = radv_CreateFence,
    .DestroyFence = radv_DestroyFence,
    .ResetFences = radv_ResetFences,
    .GetFenceStatus = radv_GetFenceStatus,
    .WaitForFences = radv_WaitForFences,
    .CreateSemaphore = radv_CreateSemaphore,
    .DestroySemaphore = radv_DestroySemaphore,
    .CreateEvent = radv_CreateEvent,
    .DestroyEvent = radv_DestroyEvent,
    .GetEventStatus = radv_GetEventStatus,
    .SetEvent = radv_SetEvent,
    .ResetEvent = radv_ResetEvent,
    .CreateQueryPool = radv_CreateQueryPool,
    .DestroyQueryPool = radv_DestroyQueryPool,
    .GetQueryPoolResults = radv_GetQueryPoolResults,
    .ResetQueryPool = radv_ResetQueryPool,
    .ResetQueryPoolEXT = radv_ResetQueryPoolEXT,
    .CreateBuffer = radv_CreateBuffer,
    .DestroyBuffer = radv_DestroyBuffer,
    .CreateBufferView = radv_CreateBufferView,
    .DestroyBufferView = radv_DestroyBufferView,
    .CreateImage = radv_CreateImage,
    .DestroyImage = radv_DestroyImage,
    .GetImageSubresourceLayout = radv_GetImageSubresourceLayout,
    .CreateImageView = radv_CreateImageView,
    .DestroyImageView = radv_DestroyImageView,
    .CreateShaderModule = radv_CreateShaderModule,
    .DestroyShaderModule = radv_DestroyShaderModule,
    .CreatePipelineCache = radv_CreatePipelineCache,
    .DestroyPipelineCache = radv_DestroyPipelineCache,
    .GetPipelineCacheData = radv_GetPipelineCacheData,
    .MergePipelineCaches = radv_MergePipelineCaches,
    .CreateGraphicsPipelines = radv_CreateGraphicsPipelines,
    .CreateComputePipelines = radv_CreateComputePipelines,
    .DestroyPipeline = radv_DestroyPipeline,
    .CreatePipelineLayout = radv_CreatePipelineLayout,
    .DestroyPipelineLayout = radv_DestroyPipelineLayout,
    .CreateSampler = radv_CreateSampler,
    .DestroySampler = radv_DestroySampler,
    .CreateDescriptorSetLayout = radv_CreateDescriptorSetLayout,
    .DestroyDescriptorSetLayout = radv_DestroyDescriptorSetLayout,
    .CreateDescriptorPool = radv_CreateDescriptorPool,
    .DestroyDescriptorPool = radv_DestroyDescriptorPool,
    .ResetDescriptorPool = radv_ResetDescriptorPool,
    .AllocateDescriptorSets = radv_AllocateDescriptorSets,
    .FreeDescriptorSets = radv_FreeDescriptorSets,
    .UpdateDescriptorSets = radv_UpdateDescriptorSets,
    .CreateFramebuffer = radv_CreateFramebuffer,
    .DestroyFramebuffer = radv_DestroyFramebuffer,
    .CreateRenderPass = radv_CreateRenderPass,
    .DestroyRenderPass = radv_DestroyRenderPass,
    .GetRenderAreaGranularity = radv_GetRenderAreaGranularity,
    .CreateCommandPool = radv_CreateCommandPool,
    .DestroyCommandPool = radv_DestroyCommandPool,
    .ResetCommandPool = radv_ResetCommandPool,
    .AllocateCommandBuffers = radv_AllocateCommandBuffers,
    .FreeCommandBuffers = radv_FreeCommandBuffers,
    .BeginCommandBuffer = radv_BeginCommandBuffer,
    .EndCommandBuffer = radv_EndCommandBuffer,
    .ResetCommandBuffer = radv_ResetCommandBuffer,
    .CmdBindPipeline = radv_CmdBindPipeline,
    .CmdSetViewport = radv_CmdSetViewport,
    .CmdSetScissor = radv_CmdSetScissor,
    .CmdSetLineWidth = radv_CmdSetLineWidth,
    .CmdSetDepthBias = radv_CmdSetDepthBias,
    .CmdSetBlendConstants = radv_CmdSetBlendConstants,
    .CmdSetDepthBounds = radv_CmdSetDepthBounds,
    .CmdSetStencilCompareMask = radv_CmdSetStencilCompareMask,
    .CmdSetStencilWriteMask = radv_CmdSetStencilWriteMask,
    .CmdSetStencilReference = radv_CmdSetStencilReference,
    .CmdBindDescriptorSets = radv_CmdBindDescriptorSets,
    .CmdBindIndexBuffer = radv_CmdBindIndexBuffer,
    .CmdBindVertexBuffers = radv_CmdBindVertexBuffers,
    .CmdDraw = radv_CmdDraw,
    .CmdDrawIndexed = radv_CmdDrawIndexed,
    .CmdDrawIndirect = radv_CmdDrawIndirect,
    .CmdDrawIndexedIndirect = radv_CmdDrawIndexedIndirect,
    .CmdDispatch = radv_CmdDispatch,
    .CmdDispatchIndirect = radv_CmdDispatchIndirect,
    .CmdCopyBuffer = radv_CmdCopyBuffer,
    .CmdCopyImage = radv_CmdCopyImage,
    .CmdBlitImage = radv_CmdBlitImage,
    .CmdCopyBufferToImage = radv_CmdCopyBufferToImage,
    .CmdCopyImageToBuffer = radv_CmdCopyImageToBuffer,
    .CmdUpdateBuffer = radv_CmdUpdateBuffer,
    .CmdFillBuffer = radv_CmdFillBuffer,
    .CmdClearColorImage = radv_CmdClearColorImage,
    .CmdClearDepthStencilImage = radv_CmdClearDepthStencilImage,
    .CmdClearAttachments = radv_CmdClearAttachments,
    .CmdResolveImage = radv_CmdResolveImage,
    .CmdSetEvent = radv_CmdSetEvent,
    .CmdResetEvent = radv_CmdResetEvent,
    .CmdWaitEvents = radv_CmdWaitEvents,
    .CmdPipelineBarrier = radv_CmdPipelineBarrier,
    .CmdBeginQuery = radv_CmdBeginQuery,
    .CmdEndQuery = radv_CmdEndQuery,
    .CmdBeginConditionalRenderingEXT = radv_CmdBeginConditionalRenderingEXT,
    .CmdEndConditionalRenderingEXT = radv_CmdEndConditionalRenderingEXT,
    .CmdResetQueryPool = radv_CmdResetQueryPool,
    .CmdWriteTimestamp = radv_CmdWriteTimestamp,
    .CmdCopyQueryPoolResults = radv_CmdCopyQueryPoolResults,
    .CmdPushConstants = radv_CmdPushConstants,
    .CmdBeginRenderPass = radv_CmdBeginRenderPass,
    .CmdNextSubpass = radv_CmdNextSubpass,
    .CmdEndRenderPass = radv_CmdEndRenderPass,
    .CmdExecuteCommands = radv_CmdExecuteCommands,
    .CreateSharedSwapchainsKHR = radv_CreateSharedSwapchainsKHR,
    .CreateSwapchainKHR = radv_CreateSwapchainKHR,
    .DestroySwapchainKHR = radv_DestroySwapchainKHR,
    .GetSwapchainImagesKHR = radv_GetSwapchainImagesKHR,
    .AcquireNextImageKHR = radv_AcquireNextImageKHR,
    .QueuePresentKHR = radv_QueuePresentKHR,
    .DebugMarkerSetObjectNameEXT = radv_DebugMarkerSetObjectNameEXT,
    .DebugMarkerSetObjectTagEXT = radv_DebugMarkerSetObjectTagEXT,
    .CmdDebugMarkerBeginEXT = radv_CmdDebugMarkerBeginEXT,
    .CmdDebugMarkerEndEXT = radv_CmdDebugMarkerEndEXT,
    .CmdDebugMarkerInsertEXT = radv_CmdDebugMarkerInsertEXT,
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetMemoryWin32HandleNV = radv_GetMemoryWin32HandleNV,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .CmdExecuteGeneratedCommandsNV = radv_CmdExecuteGeneratedCommandsNV,
    .CmdPreprocessGeneratedCommandsNV = radv_CmdPreprocessGeneratedCommandsNV,
    .CmdBindPipelineShaderGroupNV = radv_CmdBindPipelineShaderGroupNV,
    .GetGeneratedCommandsMemoryRequirementsNV = radv_GetGeneratedCommandsMemoryRequirementsNV,
    .CreateIndirectCommandsLayoutNV = radv_CreateIndirectCommandsLayoutNV,
    .DestroyIndirectCommandsLayoutNV = radv_DestroyIndirectCommandsLayoutNV,
    .CmdPushDescriptorSetKHR = radv_CmdPushDescriptorSetKHR,
    .TrimCommandPool = radv_TrimCommandPool,
    .TrimCommandPoolKHR = radv_TrimCommandPoolKHR,
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetMemoryWin32HandleKHR = radv_GetMemoryWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetMemoryWin32HandlePropertiesKHR = radv_GetMemoryWin32HandlePropertiesKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .GetMemoryFdKHR = radv_GetMemoryFdKHR,
    .GetMemoryFdPropertiesKHR = radv_GetMemoryFdPropertiesKHR,
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetSemaphoreWin32HandleKHR = radv_GetSemaphoreWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .ImportSemaphoreWin32HandleKHR = radv_ImportSemaphoreWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .GetSemaphoreFdKHR = radv_GetSemaphoreFdKHR,
    .ImportSemaphoreFdKHR = radv_ImportSemaphoreFdKHR,
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetFenceWin32HandleKHR = radv_GetFenceWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .ImportFenceWin32HandleKHR = radv_ImportFenceWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .GetFenceFdKHR = radv_GetFenceFdKHR,
    .ImportFenceFdKHR = radv_ImportFenceFdKHR,
    .DisplayPowerControlEXT = radv_DisplayPowerControlEXT,
    .RegisterDeviceEventEXT = radv_RegisterDeviceEventEXT,
    .RegisterDisplayEventEXT = radv_RegisterDisplayEventEXT,
    .GetSwapchainCounterEXT = radv_GetSwapchainCounterEXT,
    .GetDeviceGroupPeerMemoryFeatures = radv_GetDeviceGroupPeerMemoryFeatures,
    .GetDeviceGroupPeerMemoryFeaturesKHR = radv_GetDeviceGroupPeerMemoryFeaturesKHR,
    .BindBufferMemory2 = radv_BindBufferMemory2,
    .BindBufferMemory2KHR = radv_BindBufferMemory2KHR,
    .BindImageMemory2 = radv_BindImageMemory2,
    .BindImageMemory2KHR = radv_BindImageMemory2KHR,
    .CmdSetDeviceMask = radv_CmdSetDeviceMask,
    .CmdSetDeviceMaskKHR = radv_CmdSetDeviceMaskKHR,
    .GetDeviceGroupPresentCapabilitiesKHR = radv_GetDeviceGroupPresentCapabilitiesKHR,
    .GetDeviceGroupSurfacePresentModesKHR = radv_GetDeviceGroupSurfacePresentModesKHR,
    .AcquireNextImage2KHR = radv_AcquireNextImage2KHR,
    .CmdDispatchBase = radv_CmdDispatchBase,
    .CmdDispatchBaseKHR = radv_CmdDispatchBaseKHR,
    .CreateDescriptorUpdateTemplate = radv_CreateDescriptorUpdateTemplate,
    .CreateDescriptorUpdateTemplateKHR = radv_CreateDescriptorUpdateTemplateKHR,
    .DestroyDescriptorUpdateTemplate = radv_DestroyDescriptorUpdateTemplate,
    .DestroyDescriptorUpdateTemplateKHR = radv_DestroyDescriptorUpdateTemplateKHR,
    .UpdateDescriptorSetWithTemplate = radv_UpdateDescriptorSetWithTemplate,
    .UpdateDescriptorSetWithTemplateKHR = radv_UpdateDescriptorSetWithTemplateKHR,
    .CmdPushDescriptorSetWithTemplateKHR = radv_CmdPushDescriptorSetWithTemplateKHR,
    .SetHdrMetadataEXT = radv_SetHdrMetadataEXT,
    .GetSwapchainStatusKHR = radv_GetSwapchainStatusKHR,
    .GetRefreshCycleDurationGOOGLE = radv_GetRefreshCycleDurationGOOGLE,
    .GetPastPresentationTimingGOOGLE = radv_GetPastPresentationTimingGOOGLE,
    .CmdSetViewportWScalingNV = radv_CmdSetViewportWScalingNV,
    .CmdSetDiscardRectangleEXT = radv_CmdSetDiscardRectangleEXT,
    .CmdSetSampleLocationsEXT = radv_CmdSetSampleLocationsEXT,
    .GetBufferMemoryRequirements2 = radv_GetBufferMemoryRequirements2,
    .GetBufferMemoryRequirements2KHR = radv_GetBufferMemoryRequirements2KHR,
    .GetImageMemoryRequirements2 = radv_GetImageMemoryRequirements2,
    .GetImageMemoryRequirements2KHR = radv_GetImageMemoryRequirements2KHR,
    .GetImageSparseMemoryRequirements2 = radv_GetImageSparseMemoryRequirements2,
    .GetImageSparseMemoryRequirements2KHR = radv_GetImageSparseMemoryRequirements2KHR,
    .CreateSamplerYcbcrConversion = radv_CreateSamplerYcbcrConversion,
    .CreateSamplerYcbcrConversionKHR = radv_CreateSamplerYcbcrConversionKHR,
    .DestroySamplerYcbcrConversion = radv_DestroySamplerYcbcrConversion,
    .DestroySamplerYcbcrConversionKHR = radv_DestroySamplerYcbcrConversionKHR,
    .GetDeviceQueue2 = radv_GetDeviceQueue2,
    .CreateValidationCacheEXT = radv_CreateValidationCacheEXT,
    .DestroyValidationCacheEXT = radv_DestroyValidationCacheEXT,
    .GetValidationCacheDataEXT = radv_GetValidationCacheDataEXT,
    .MergeValidationCachesEXT = radv_MergeValidationCachesEXT,
    .GetDescriptorSetLayoutSupport = radv_GetDescriptorSetLayoutSupport,
    .GetDescriptorSetLayoutSupportKHR = radv_GetDescriptorSetLayoutSupportKHR,
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .GetSwapchainGrallocUsageANDROID = radv_GetSwapchainGrallocUsageANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .GetSwapchainGrallocUsage2ANDROID = radv_GetSwapchainGrallocUsage2ANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .AcquireImageANDROID = radv_AcquireImageANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .QueueSignalReleaseImageANDROID = radv_QueueSignalReleaseImageANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
    .GetShaderInfoAMD = radv_GetShaderInfoAMD,
    .SetLocalDimmingAMD = radv_SetLocalDimmingAMD,
    .GetCalibratedTimestampsEXT = radv_GetCalibratedTimestampsEXT,
    .SetDebugUtilsObjectNameEXT = radv_SetDebugUtilsObjectNameEXT,
    .SetDebugUtilsObjectTagEXT = radv_SetDebugUtilsObjectTagEXT,
    .QueueBeginDebugUtilsLabelEXT = radv_QueueBeginDebugUtilsLabelEXT,
    .QueueEndDebugUtilsLabelEXT = radv_QueueEndDebugUtilsLabelEXT,
    .QueueInsertDebugUtilsLabelEXT = radv_QueueInsertDebugUtilsLabelEXT,
    .CmdBeginDebugUtilsLabelEXT = radv_CmdBeginDebugUtilsLabelEXT,
    .CmdEndDebugUtilsLabelEXT = radv_CmdEndDebugUtilsLabelEXT,
    .CmdInsertDebugUtilsLabelEXT = radv_CmdInsertDebugUtilsLabelEXT,
    .GetMemoryHostPointerPropertiesEXT = radv_GetMemoryHostPointerPropertiesEXT,
    .CmdWriteBufferMarkerAMD = radv_CmdWriteBufferMarkerAMD,
    .CreateRenderPass2 = radv_CreateRenderPass2,
    .CreateRenderPass2KHR = radv_CreateRenderPass2KHR,
    .CmdBeginRenderPass2 = radv_CmdBeginRenderPass2,
    .CmdBeginRenderPass2KHR = radv_CmdBeginRenderPass2KHR,
    .CmdNextSubpass2 = radv_CmdNextSubpass2,
    .CmdNextSubpass2KHR = radv_CmdNextSubpass2KHR,
    .CmdEndRenderPass2 = radv_CmdEndRenderPass2,
    .CmdEndRenderPass2KHR = radv_CmdEndRenderPass2KHR,
    .GetSemaphoreCounterValue = radv_GetSemaphoreCounterValue,
    .GetSemaphoreCounterValueKHR = radv_GetSemaphoreCounterValueKHR,
    .WaitSemaphores = radv_WaitSemaphores,
    .WaitSemaphoresKHR = radv_WaitSemaphoresKHR,
    .SignalSemaphore = radv_SignalSemaphore,
    .SignalSemaphoreKHR = radv_SignalSemaphoreKHR,
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .GetAndroidHardwareBufferPropertiesANDROID = radv_GetAndroidHardwareBufferPropertiesANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .GetMemoryAndroidHardwareBufferANDROID = radv_GetMemoryAndroidHardwareBufferANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
    .CmdDrawIndirectCount = radv_CmdDrawIndirectCount,
    .CmdDrawIndirectCountKHR = radv_CmdDrawIndirectCountKHR,
    .CmdDrawIndirectCountAMD = radv_CmdDrawIndirectCountAMD,
    .CmdDrawIndexedIndirectCount = radv_CmdDrawIndexedIndirectCount,
    .CmdDrawIndexedIndirectCountKHR = radv_CmdDrawIndexedIndirectCountKHR,
    .CmdDrawIndexedIndirectCountAMD = radv_CmdDrawIndexedIndirectCountAMD,
    .CmdSetCheckpointNV = radv_CmdSetCheckpointNV,
    .GetQueueCheckpointDataNV = radv_GetQueueCheckpointDataNV,
    .CmdBindTransformFeedbackBuffersEXT = radv_CmdBindTransformFeedbackBuffersEXT,
    .CmdBeginTransformFeedbackEXT = radv_CmdBeginTransformFeedbackEXT,
    .CmdEndTransformFeedbackEXT = radv_CmdEndTransformFeedbackEXT,
    .CmdBeginQueryIndexedEXT = radv_CmdBeginQueryIndexedEXT,
    .CmdEndQueryIndexedEXT = radv_CmdEndQueryIndexedEXT,
    .CmdDrawIndirectByteCountEXT = radv_CmdDrawIndirectByteCountEXT,
    .CmdSetExclusiveScissorNV = radv_CmdSetExclusiveScissorNV,
    .CmdBindShadingRateImageNV = radv_CmdBindShadingRateImageNV,
    .CmdSetViewportShadingRatePaletteNV = radv_CmdSetViewportShadingRatePaletteNV,
    .CmdSetCoarseSampleOrderNV = radv_CmdSetCoarseSampleOrderNV,
    .CmdDrawMeshTasksNV = radv_CmdDrawMeshTasksNV,
    .CmdDrawMeshTasksIndirectNV = radv_CmdDrawMeshTasksIndirectNV,
    .CmdDrawMeshTasksIndirectCountNV = radv_CmdDrawMeshTasksIndirectCountNV,
    .CompileDeferredNV = radv_CompileDeferredNV,
    .CreateAccelerationStructureNV = radv_CreateAccelerationStructureNV,
    .DestroyAccelerationStructureKHR = radv_DestroyAccelerationStructureKHR,
    .DestroyAccelerationStructureNV = radv_DestroyAccelerationStructureNV,
    .GetAccelerationStructureMemoryRequirementsNV = radv_GetAccelerationStructureMemoryRequirementsNV,
    .BindAccelerationStructureMemoryNV = radv_BindAccelerationStructureMemoryNV,
    .CmdCopyAccelerationStructureNV = radv_CmdCopyAccelerationStructureNV,
    .CmdCopyAccelerationStructureKHR = radv_CmdCopyAccelerationStructureKHR,
    .CopyAccelerationStructureKHR = radv_CopyAccelerationStructureKHR,
    .CmdCopyAccelerationStructureToMemoryKHR = radv_CmdCopyAccelerationStructureToMemoryKHR,
    .CopyAccelerationStructureToMemoryKHR = radv_CopyAccelerationStructureToMemoryKHR,
    .CmdCopyMemoryToAccelerationStructureKHR = radv_CmdCopyMemoryToAccelerationStructureKHR,
    .CopyMemoryToAccelerationStructureKHR = radv_CopyMemoryToAccelerationStructureKHR,
    .CmdWriteAccelerationStructuresPropertiesKHR = radv_CmdWriteAccelerationStructuresPropertiesKHR,
    .CmdWriteAccelerationStructuresPropertiesNV = radv_CmdWriteAccelerationStructuresPropertiesNV,
    .CmdBuildAccelerationStructureNV = radv_CmdBuildAccelerationStructureNV,
    .WriteAccelerationStructuresPropertiesKHR = radv_WriteAccelerationStructuresPropertiesKHR,
    .CmdTraceRaysKHR = radv_CmdTraceRaysKHR,
    .CmdTraceRaysNV = radv_CmdTraceRaysNV,
    .GetRayTracingShaderGroupHandlesKHR = radv_GetRayTracingShaderGroupHandlesKHR,
    .GetRayTracingShaderGroupHandlesNV = radv_GetRayTracingShaderGroupHandlesNV,
    .GetRayTracingCaptureReplayShaderGroupHandlesKHR = radv_GetRayTracingCaptureReplayShaderGroupHandlesKHR,
    .GetAccelerationStructureHandleNV = radv_GetAccelerationStructureHandleNV,
    .CreateRayTracingPipelinesNV = radv_CreateRayTracingPipelinesNV,
    .CreateRayTracingPipelinesKHR = radv_CreateRayTracingPipelinesKHR,
    .CmdTraceRaysIndirectKHR = radv_CmdTraceRaysIndirectKHR,
    .GetDeviceAccelerationStructureCompatibilityKHR = radv_GetDeviceAccelerationStructureCompatibilityKHR,
    .GetRayTracingShaderGroupStackSizeKHR = radv_GetRayTracingShaderGroupStackSizeKHR,
    .CmdSetRayTracingPipelineStackSizeKHR = radv_CmdSetRayTracingPipelineStackSizeKHR,
    .GetImageViewHandleNVX = radv_GetImageViewHandleNVX,
    .GetImageViewAddressNVX = radv_GetImageViewAddressNVX,
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetDeviceGroupSurfacePresentModes2EXT = radv_GetDeviceGroupSurfacePresentModes2EXT,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .AcquireFullScreenExclusiveModeEXT = radv_AcquireFullScreenExclusiveModeEXT,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .ReleaseFullScreenExclusiveModeEXT = radv_ReleaseFullScreenExclusiveModeEXT,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .AcquireProfilingLockKHR = radv_AcquireProfilingLockKHR,
    .ReleaseProfilingLockKHR = radv_ReleaseProfilingLockKHR,
    .GetImageDrmFormatModifierPropertiesEXT = radv_GetImageDrmFormatModifierPropertiesEXT,
    .GetBufferOpaqueCaptureAddress = radv_GetBufferOpaqueCaptureAddress,
    .GetBufferOpaqueCaptureAddressKHR = radv_GetBufferOpaqueCaptureAddressKHR,
    .GetBufferDeviceAddress = radv_GetBufferDeviceAddress,
    .GetBufferDeviceAddressKHR = radv_GetBufferDeviceAddressKHR,
    .GetBufferDeviceAddressEXT = radv_GetBufferDeviceAddressEXT,
    .InitializePerformanceApiINTEL = radv_InitializePerformanceApiINTEL,
    .UninitializePerformanceApiINTEL = radv_UninitializePerformanceApiINTEL,
    .CmdSetPerformanceMarkerINTEL = radv_CmdSetPerformanceMarkerINTEL,
    .CmdSetPerformanceStreamMarkerINTEL = radv_CmdSetPerformanceStreamMarkerINTEL,
    .CmdSetPerformanceOverrideINTEL = radv_CmdSetPerformanceOverrideINTEL,
    .AcquirePerformanceConfigurationINTEL = radv_AcquirePerformanceConfigurationINTEL,
    .ReleasePerformanceConfigurationINTEL = radv_ReleasePerformanceConfigurationINTEL,
    .QueueSetPerformanceConfigurationINTEL = radv_QueueSetPerformanceConfigurationINTEL,
    .GetPerformanceParameterINTEL = radv_GetPerformanceParameterINTEL,
    .GetDeviceMemoryOpaqueCaptureAddress = radv_GetDeviceMemoryOpaqueCaptureAddress,
    .GetDeviceMemoryOpaqueCaptureAddressKHR = radv_GetDeviceMemoryOpaqueCaptureAddressKHR,
    .GetPipelineExecutablePropertiesKHR = radv_GetPipelineExecutablePropertiesKHR,
    .GetPipelineExecutableStatisticsKHR = radv_GetPipelineExecutableStatisticsKHR,
    .GetPipelineExecutableInternalRepresentationsKHR = radv_GetPipelineExecutableInternalRepresentationsKHR,
    .CmdSetLineStippleEXT = radv_CmdSetLineStippleEXT,
    .CreateAccelerationStructureKHR = radv_CreateAccelerationStructureKHR,
    .CmdBuildAccelerationStructuresKHR = radv_CmdBuildAccelerationStructuresKHR,
    .CmdBuildAccelerationStructuresIndirectKHR = radv_CmdBuildAccelerationStructuresIndirectKHR,
    .BuildAccelerationStructuresKHR = radv_BuildAccelerationStructuresKHR,
    .GetAccelerationStructureDeviceAddressKHR = radv_GetAccelerationStructureDeviceAddressKHR,
    .CreateDeferredOperationKHR = radv_CreateDeferredOperationKHR,
    .DestroyDeferredOperationKHR = radv_DestroyDeferredOperationKHR,
    .GetDeferredOperationMaxConcurrencyKHR = radv_GetDeferredOperationMaxConcurrencyKHR,
    .GetDeferredOperationResultKHR = radv_GetDeferredOperationResultKHR,
    .DeferredOperationJoinKHR = radv_DeferredOperationJoinKHR,
    .CmdSetCullModeEXT = radv_CmdSetCullModeEXT,
    .CmdSetFrontFaceEXT = radv_CmdSetFrontFaceEXT,
    .CmdSetPrimitiveTopologyEXT = radv_CmdSetPrimitiveTopologyEXT,
    .CmdSetViewportWithCountEXT = radv_CmdSetViewportWithCountEXT,
    .CmdSetScissorWithCountEXT = radv_CmdSetScissorWithCountEXT,
    .CmdBindVertexBuffers2EXT = radv_CmdBindVertexBuffers2EXT,
    .CmdSetDepthTestEnableEXT = radv_CmdSetDepthTestEnableEXT,
    .CmdSetDepthWriteEnableEXT = radv_CmdSetDepthWriteEnableEXT,
    .CmdSetDepthCompareOpEXT = radv_CmdSetDepthCompareOpEXT,
    .CmdSetDepthBoundsTestEnableEXT = radv_CmdSetDepthBoundsTestEnableEXT,
    .CmdSetStencilTestEnableEXT = radv_CmdSetStencilTestEnableEXT,
    .CmdSetStencilOpEXT = radv_CmdSetStencilOpEXT,
    .CreatePrivateDataSlotEXT = radv_CreatePrivateDataSlotEXT,
    .DestroyPrivateDataSlotEXT = radv_DestroyPrivateDataSlotEXT,
    .SetPrivateDataEXT = radv_SetPrivateDataEXT,
    .GetPrivateDataEXT = radv_GetPrivateDataEXT,
    .CmdCopyBuffer2KHR = radv_CmdCopyBuffer2KHR,
    .CmdCopyImage2KHR = radv_CmdCopyImage2KHR,
    .CmdBlitImage2KHR = radv_CmdBlitImage2KHR,
    .CmdCopyBufferToImage2KHR = radv_CmdCopyBufferToImage2KHR,
    .CmdCopyImageToBuffer2KHR = radv_CmdCopyImageToBuffer2KHR,
    .CmdResolveImage2KHR = radv_CmdResolveImage2KHR,
    .CmdSetFragmentShadingRateKHR = radv_CmdSetFragmentShadingRateKHR,
    .CmdSetFragmentShadingRateEnumNV = radv_CmdSetFragmentShadingRateEnumNV,
    .GetAccelerationStructureBuildSizesKHR = radv_GetAccelerationStructureBuildSizesKHR,
};
const struct vk_device_entrypoint_table sqtt_device_entrypoints = {
    .GetDeviceProcAddr = sqtt_GetDeviceProcAddr,
    .DestroyDevice = sqtt_DestroyDevice,
    .GetDeviceQueue = sqtt_GetDeviceQueue,
    .QueueSubmit = sqtt_QueueSubmit,
    .QueueWaitIdle = sqtt_QueueWaitIdle,
    .DeviceWaitIdle = sqtt_DeviceWaitIdle,
    .AllocateMemory = sqtt_AllocateMemory,
    .FreeMemory = sqtt_FreeMemory,
    .MapMemory = sqtt_MapMemory,
    .UnmapMemory = sqtt_UnmapMemory,
    .FlushMappedMemoryRanges = sqtt_FlushMappedMemoryRanges,
    .InvalidateMappedMemoryRanges = sqtt_InvalidateMappedMemoryRanges,
    .GetDeviceMemoryCommitment = sqtt_GetDeviceMemoryCommitment,
    .GetBufferMemoryRequirements = sqtt_GetBufferMemoryRequirements,
    .BindBufferMemory = sqtt_BindBufferMemory,
    .GetImageMemoryRequirements = sqtt_GetImageMemoryRequirements,
    .BindImageMemory = sqtt_BindImageMemory,
    .GetImageSparseMemoryRequirements = sqtt_GetImageSparseMemoryRequirements,
    .QueueBindSparse = sqtt_QueueBindSparse,
    .CreateFence = sqtt_CreateFence,
    .DestroyFence = sqtt_DestroyFence,
    .ResetFences = sqtt_ResetFences,
    .GetFenceStatus = sqtt_GetFenceStatus,
    .WaitForFences = sqtt_WaitForFences,
    .CreateSemaphore = sqtt_CreateSemaphore,
    .DestroySemaphore = sqtt_DestroySemaphore,
    .CreateEvent = sqtt_CreateEvent,
    .DestroyEvent = sqtt_DestroyEvent,
    .GetEventStatus = sqtt_GetEventStatus,
    .SetEvent = sqtt_SetEvent,
    .ResetEvent = sqtt_ResetEvent,
    .CreateQueryPool = sqtt_CreateQueryPool,
    .DestroyQueryPool = sqtt_DestroyQueryPool,
    .GetQueryPoolResults = sqtt_GetQueryPoolResults,
    .ResetQueryPool = sqtt_ResetQueryPool,
    .ResetQueryPoolEXT = sqtt_ResetQueryPoolEXT,
    .CreateBuffer = sqtt_CreateBuffer,
    .DestroyBuffer = sqtt_DestroyBuffer,
    .CreateBufferView = sqtt_CreateBufferView,
    .DestroyBufferView = sqtt_DestroyBufferView,
    .CreateImage = sqtt_CreateImage,
    .DestroyImage = sqtt_DestroyImage,
    .GetImageSubresourceLayout = sqtt_GetImageSubresourceLayout,
    .CreateImageView = sqtt_CreateImageView,
    .DestroyImageView = sqtt_DestroyImageView,
    .CreateShaderModule = sqtt_CreateShaderModule,
    .DestroyShaderModule = sqtt_DestroyShaderModule,
    .CreatePipelineCache = sqtt_CreatePipelineCache,
    .DestroyPipelineCache = sqtt_DestroyPipelineCache,
    .GetPipelineCacheData = sqtt_GetPipelineCacheData,
    .MergePipelineCaches = sqtt_MergePipelineCaches,
    .CreateGraphicsPipelines = sqtt_CreateGraphicsPipelines,
    .CreateComputePipelines = sqtt_CreateComputePipelines,
    .DestroyPipeline = sqtt_DestroyPipeline,
    .CreatePipelineLayout = sqtt_CreatePipelineLayout,
    .DestroyPipelineLayout = sqtt_DestroyPipelineLayout,
    .CreateSampler = sqtt_CreateSampler,
    .DestroySampler = sqtt_DestroySampler,
    .CreateDescriptorSetLayout = sqtt_CreateDescriptorSetLayout,
    .DestroyDescriptorSetLayout = sqtt_DestroyDescriptorSetLayout,
    .CreateDescriptorPool = sqtt_CreateDescriptorPool,
    .DestroyDescriptorPool = sqtt_DestroyDescriptorPool,
    .ResetDescriptorPool = sqtt_ResetDescriptorPool,
    .AllocateDescriptorSets = sqtt_AllocateDescriptorSets,
    .FreeDescriptorSets = sqtt_FreeDescriptorSets,
    .UpdateDescriptorSets = sqtt_UpdateDescriptorSets,
    .CreateFramebuffer = sqtt_CreateFramebuffer,
    .DestroyFramebuffer = sqtt_DestroyFramebuffer,
    .CreateRenderPass = sqtt_CreateRenderPass,
    .DestroyRenderPass = sqtt_DestroyRenderPass,
    .GetRenderAreaGranularity = sqtt_GetRenderAreaGranularity,
    .CreateCommandPool = sqtt_CreateCommandPool,
    .DestroyCommandPool = sqtt_DestroyCommandPool,
    .ResetCommandPool = sqtt_ResetCommandPool,
    .AllocateCommandBuffers = sqtt_AllocateCommandBuffers,
    .FreeCommandBuffers = sqtt_FreeCommandBuffers,
    .BeginCommandBuffer = sqtt_BeginCommandBuffer,
    .EndCommandBuffer = sqtt_EndCommandBuffer,
    .ResetCommandBuffer = sqtt_ResetCommandBuffer,
    .CmdBindPipeline = sqtt_CmdBindPipeline,
    .CmdSetViewport = sqtt_CmdSetViewport,
    .CmdSetScissor = sqtt_CmdSetScissor,
    .CmdSetLineWidth = sqtt_CmdSetLineWidth,
    .CmdSetDepthBias = sqtt_CmdSetDepthBias,
    .CmdSetBlendConstants = sqtt_CmdSetBlendConstants,
    .CmdSetDepthBounds = sqtt_CmdSetDepthBounds,
    .CmdSetStencilCompareMask = sqtt_CmdSetStencilCompareMask,
    .CmdSetStencilWriteMask = sqtt_CmdSetStencilWriteMask,
    .CmdSetStencilReference = sqtt_CmdSetStencilReference,
    .CmdBindDescriptorSets = sqtt_CmdBindDescriptorSets,
    .CmdBindIndexBuffer = sqtt_CmdBindIndexBuffer,
    .CmdBindVertexBuffers = sqtt_CmdBindVertexBuffers,
    .CmdDraw = sqtt_CmdDraw,
    .CmdDrawIndexed = sqtt_CmdDrawIndexed,
    .CmdDrawIndirect = sqtt_CmdDrawIndirect,
    .CmdDrawIndexedIndirect = sqtt_CmdDrawIndexedIndirect,
    .CmdDispatch = sqtt_CmdDispatch,
    .CmdDispatchIndirect = sqtt_CmdDispatchIndirect,
    .CmdCopyBuffer = sqtt_CmdCopyBuffer,
    .CmdCopyImage = sqtt_CmdCopyImage,
    .CmdBlitImage = sqtt_CmdBlitImage,
    .CmdCopyBufferToImage = sqtt_CmdCopyBufferToImage,
    .CmdCopyImageToBuffer = sqtt_CmdCopyImageToBuffer,
    .CmdUpdateBuffer = sqtt_CmdUpdateBuffer,
    .CmdFillBuffer = sqtt_CmdFillBuffer,
    .CmdClearColorImage = sqtt_CmdClearColorImage,
    .CmdClearDepthStencilImage = sqtt_CmdClearDepthStencilImage,
    .CmdClearAttachments = sqtt_CmdClearAttachments,
    .CmdResolveImage = sqtt_CmdResolveImage,
    .CmdSetEvent = sqtt_CmdSetEvent,
    .CmdResetEvent = sqtt_CmdResetEvent,
    .CmdWaitEvents = sqtt_CmdWaitEvents,
    .CmdPipelineBarrier = sqtt_CmdPipelineBarrier,
    .CmdBeginQuery = sqtt_CmdBeginQuery,
    .CmdEndQuery = sqtt_CmdEndQuery,
    .CmdBeginConditionalRenderingEXT = sqtt_CmdBeginConditionalRenderingEXT,
    .CmdEndConditionalRenderingEXT = sqtt_CmdEndConditionalRenderingEXT,
    .CmdResetQueryPool = sqtt_CmdResetQueryPool,
    .CmdWriteTimestamp = sqtt_CmdWriteTimestamp,
    .CmdCopyQueryPoolResults = sqtt_CmdCopyQueryPoolResults,
    .CmdPushConstants = sqtt_CmdPushConstants,
    .CmdBeginRenderPass = sqtt_CmdBeginRenderPass,
    .CmdNextSubpass = sqtt_CmdNextSubpass,
    .CmdEndRenderPass = sqtt_CmdEndRenderPass,
    .CmdExecuteCommands = sqtt_CmdExecuteCommands,
    .CreateSharedSwapchainsKHR = sqtt_CreateSharedSwapchainsKHR,
    .CreateSwapchainKHR = sqtt_CreateSwapchainKHR,
    .DestroySwapchainKHR = sqtt_DestroySwapchainKHR,
    .GetSwapchainImagesKHR = sqtt_GetSwapchainImagesKHR,
    .AcquireNextImageKHR = sqtt_AcquireNextImageKHR,
    .QueuePresentKHR = sqtt_QueuePresentKHR,
    .DebugMarkerSetObjectNameEXT = sqtt_DebugMarkerSetObjectNameEXT,
    .DebugMarkerSetObjectTagEXT = sqtt_DebugMarkerSetObjectTagEXT,
    .CmdDebugMarkerBeginEXT = sqtt_CmdDebugMarkerBeginEXT,
    .CmdDebugMarkerEndEXT = sqtt_CmdDebugMarkerEndEXT,
    .CmdDebugMarkerInsertEXT = sqtt_CmdDebugMarkerInsertEXT,
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetMemoryWin32HandleNV = sqtt_GetMemoryWin32HandleNV,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .CmdExecuteGeneratedCommandsNV = sqtt_CmdExecuteGeneratedCommandsNV,
    .CmdPreprocessGeneratedCommandsNV = sqtt_CmdPreprocessGeneratedCommandsNV,
    .CmdBindPipelineShaderGroupNV = sqtt_CmdBindPipelineShaderGroupNV,
    .GetGeneratedCommandsMemoryRequirementsNV = sqtt_GetGeneratedCommandsMemoryRequirementsNV,
    .CreateIndirectCommandsLayoutNV = sqtt_CreateIndirectCommandsLayoutNV,
    .DestroyIndirectCommandsLayoutNV = sqtt_DestroyIndirectCommandsLayoutNV,
    .CmdPushDescriptorSetKHR = sqtt_CmdPushDescriptorSetKHR,
    .TrimCommandPool = sqtt_TrimCommandPool,
    .TrimCommandPoolKHR = sqtt_TrimCommandPoolKHR,
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetMemoryWin32HandleKHR = sqtt_GetMemoryWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetMemoryWin32HandlePropertiesKHR = sqtt_GetMemoryWin32HandlePropertiesKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .GetMemoryFdKHR = sqtt_GetMemoryFdKHR,
    .GetMemoryFdPropertiesKHR = sqtt_GetMemoryFdPropertiesKHR,
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetSemaphoreWin32HandleKHR = sqtt_GetSemaphoreWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .ImportSemaphoreWin32HandleKHR = sqtt_ImportSemaphoreWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .GetSemaphoreFdKHR = sqtt_GetSemaphoreFdKHR,
    .ImportSemaphoreFdKHR = sqtt_ImportSemaphoreFdKHR,
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetFenceWin32HandleKHR = sqtt_GetFenceWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .ImportFenceWin32HandleKHR = sqtt_ImportFenceWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .GetFenceFdKHR = sqtt_GetFenceFdKHR,
    .ImportFenceFdKHR = sqtt_ImportFenceFdKHR,
    .DisplayPowerControlEXT = sqtt_DisplayPowerControlEXT,
    .RegisterDeviceEventEXT = sqtt_RegisterDeviceEventEXT,
    .RegisterDisplayEventEXT = sqtt_RegisterDisplayEventEXT,
    .GetSwapchainCounterEXT = sqtt_GetSwapchainCounterEXT,
    .GetDeviceGroupPeerMemoryFeatures = sqtt_GetDeviceGroupPeerMemoryFeatures,
    .GetDeviceGroupPeerMemoryFeaturesKHR = sqtt_GetDeviceGroupPeerMemoryFeaturesKHR,
    .BindBufferMemory2 = sqtt_BindBufferMemory2,
    .BindBufferMemory2KHR = sqtt_BindBufferMemory2KHR,
    .BindImageMemory2 = sqtt_BindImageMemory2,
    .BindImageMemory2KHR = sqtt_BindImageMemory2KHR,
    .CmdSetDeviceMask = sqtt_CmdSetDeviceMask,
    .CmdSetDeviceMaskKHR = sqtt_CmdSetDeviceMaskKHR,
    .GetDeviceGroupPresentCapabilitiesKHR = sqtt_GetDeviceGroupPresentCapabilitiesKHR,
    .GetDeviceGroupSurfacePresentModesKHR = sqtt_GetDeviceGroupSurfacePresentModesKHR,
    .AcquireNextImage2KHR = sqtt_AcquireNextImage2KHR,
    .CmdDispatchBase = sqtt_CmdDispatchBase,
    .CmdDispatchBaseKHR = sqtt_CmdDispatchBaseKHR,
    .CreateDescriptorUpdateTemplate = sqtt_CreateDescriptorUpdateTemplate,
    .CreateDescriptorUpdateTemplateKHR = sqtt_CreateDescriptorUpdateTemplateKHR,
    .DestroyDescriptorUpdateTemplate = sqtt_DestroyDescriptorUpdateTemplate,
    .DestroyDescriptorUpdateTemplateKHR = sqtt_DestroyDescriptorUpdateTemplateKHR,
    .UpdateDescriptorSetWithTemplate = sqtt_UpdateDescriptorSetWithTemplate,
    .UpdateDescriptorSetWithTemplateKHR = sqtt_UpdateDescriptorSetWithTemplateKHR,
    .CmdPushDescriptorSetWithTemplateKHR = sqtt_CmdPushDescriptorSetWithTemplateKHR,
    .SetHdrMetadataEXT = sqtt_SetHdrMetadataEXT,
    .GetSwapchainStatusKHR = sqtt_GetSwapchainStatusKHR,
    .GetRefreshCycleDurationGOOGLE = sqtt_GetRefreshCycleDurationGOOGLE,
    .GetPastPresentationTimingGOOGLE = sqtt_GetPastPresentationTimingGOOGLE,
    .CmdSetViewportWScalingNV = sqtt_CmdSetViewportWScalingNV,
    .CmdSetDiscardRectangleEXT = sqtt_CmdSetDiscardRectangleEXT,
    .CmdSetSampleLocationsEXT = sqtt_CmdSetSampleLocationsEXT,
    .GetBufferMemoryRequirements2 = sqtt_GetBufferMemoryRequirements2,
    .GetBufferMemoryRequirements2KHR = sqtt_GetBufferMemoryRequirements2KHR,
    .GetImageMemoryRequirements2 = sqtt_GetImageMemoryRequirements2,
    .GetImageMemoryRequirements2KHR = sqtt_GetImageMemoryRequirements2KHR,
    .GetImageSparseMemoryRequirements2 = sqtt_GetImageSparseMemoryRequirements2,
    .GetImageSparseMemoryRequirements2KHR = sqtt_GetImageSparseMemoryRequirements2KHR,
    .CreateSamplerYcbcrConversion = sqtt_CreateSamplerYcbcrConversion,
    .CreateSamplerYcbcrConversionKHR = sqtt_CreateSamplerYcbcrConversionKHR,
    .DestroySamplerYcbcrConversion = sqtt_DestroySamplerYcbcrConversion,
    .DestroySamplerYcbcrConversionKHR = sqtt_DestroySamplerYcbcrConversionKHR,
    .GetDeviceQueue2 = sqtt_GetDeviceQueue2,
    .CreateValidationCacheEXT = sqtt_CreateValidationCacheEXT,
    .DestroyValidationCacheEXT = sqtt_DestroyValidationCacheEXT,
    .GetValidationCacheDataEXT = sqtt_GetValidationCacheDataEXT,
    .MergeValidationCachesEXT = sqtt_MergeValidationCachesEXT,
    .GetDescriptorSetLayoutSupport = sqtt_GetDescriptorSetLayoutSupport,
    .GetDescriptorSetLayoutSupportKHR = sqtt_GetDescriptorSetLayoutSupportKHR,
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .GetSwapchainGrallocUsageANDROID = sqtt_GetSwapchainGrallocUsageANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .GetSwapchainGrallocUsage2ANDROID = sqtt_GetSwapchainGrallocUsage2ANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .AcquireImageANDROID = sqtt_AcquireImageANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .QueueSignalReleaseImageANDROID = sqtt_QueueSignalReleaseImageANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
    .GetShaderInfoAMD = sqtt_GetShaderInfoAMD,
    .SetLocalDimmingAMD = sqtt_SetLocalDimmingAMD,
    .GetCalibratedTimestampsEXT = sqtt_GetCalibratedTimestampsEXT,
    .SetDebugUtilsObjectNameEXT = sqtt_SetDebugUtilsObjectNameEXT,
    .SetDebugUtilsObjectTagEXT = sqtt_SetDebugUtilsObjectTagEXT,
    .QueueBeginDebugUtilsLabelEXT = sqtt_QueueBeginDebugUtilsLabelEXT,
    .QueueEndDebugUtilsLabelEXT = sqtt_QueueEndDebugUtilsLabelEXT,
    .QueueInsertDebugUtilsLabelEXT = sqtt_QueueInsertDebugUtilsLabelEXT,
    .CmdBeginDebugUtilsLabelEXT = sqtt_CmdBeginDebugUtilsLabelEXT,
    .CmdEndDebugUtilsLabelEXT = sqtt_CmdEndDebugUtilsLabelEXT,
    .CmdInsertDebugUtilsLabelEXT = sqtt_CmdInsertDebugUtilsLabelEXT,
    .GetMemoryHostPointerPropertiesEXT = sqtt_GetMemoryHostPointerPropertiesEXT,
    .CmdWriteBufferMarkerAMD = sqtt_CmdWriteBufferMarkerAMD,
    .CreateRenderPass2 = sqtt_CreateRenderPass2,
    .CreateRenderPass2KHR = sqtt_CreateRenderPass2KHR,
    .CmdBeginRenderPass2 = sqtt_CmdBeginRenderPass2,
    .CmdBeginRenderPass2KHR = sqtt_CmdBeginRenderPass2KHR,
    .CmdNextSubpass2 = sqtt_CmdNextSubpass2,
    .CmdNextSubpass2KHR = sqtt_CmdNextSubpass2KHR,
    .CmdEndRenderPass2 = sqtt_CmdEndRenderPass2,
    .CmdEndRenderPass2KHR = sqtt_CmdEndRenderPass2KHR,
    .GetSemaphoreCounterValue = sqtt_GetSemaphoreCounterValue,
    .GetSemaphoreCounterValueKHR = sqtt_GetSemaphoreCounterValueKHR,
    .WaitSemaphores = sqtt_WaitSemaphores,
    .WaitSemaphoresKHR = sqtt_WaitSemaphoresKHR,
    .SignalSemaphore = sqtt_SignalSemaphore,
    .SignalSemaphoreKHR = sqtt_SignalSemaphoreKHR,
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .GetAndroidHardwareBufferPropertiesANDROID = sqtt_GetAndroidHardwareBufferPropertiesANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .GetMemoryAndroidHardwareBufferANDROID = sqtt_GetMemoryAndroidHardwareBufferANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
    .CmdDrawIndirectCount = sqtt_CmdDrawIndirectCount,
    .CmdDrawIndirectCountKHR = sqtt_CmdDrawIndirectCountKHR,
    .CmdDrawIndirectCountAMD = sqtt_CmdDrawIndirectCountAMD,
    .CmdDrawIndexedIndirectCount = sqtt_CmdDrawIndexedIndirectCount,
    .CmdDrawIndexedIndirectCountKHR = sqtt_CmdDrawIndexedIndirectCountKHR,
    .CmdDrawIndexedIndirectCountAMD = sqtt_CmdDrawIndexedIndirectCountAMD,
    .CmdSetCheckpointNV = sqtt_CmdSetCheckpointNV,
    .GetQueueCheckpointDataNV = sqtt_GetQueueCheckpointDataNV,
    .CmdBindTransformFeedbackBuffersEXT = sqtt_CmdBindTransformFeedbackBuffersEXT,
    .CmdBeginTransformFeedbackEXT = sqtt_CmdBeginTransformFeedbackEXT,
    .CmdEndTransformFeedbackEXT = sqtt_CmdEndTransformFeedbackEXT,
    .CmdBeginQueryIndexedEXT = sqtt_CmdBeginQueryIndexedEXT,
    .CmdEndQueryIndexedEXT = sqtt_CmdEndQueryIndexedEXT,
    .CmdDrawIndirectByteCountEXT = sqtt_CmdDrawIndirectByteCountEXT,
    .CmdSetExclusiveScissorNV = sqtt_CmdSetExclusiveScissorNV,
    .CmdBindShadingRateImageNV = sqtt_CmdBindShadingRateImageNV,
    .CmdSetViewportShadingRatePaletteNV = sqtt_CmdSetViewportShadingRatePaletteNV,
    .CmdSetCoarseSampleOrderNV = sqtt_CmdSetCoarseSampleOrderNV,
    .CmdDrawMeshTasksNV = sqtt_CmdDrawMeshTasksNV,
    .CmdDrawMeshTasksIndirectNV = sqtt_CmdDrawMeshTasksIndirectNV,
    .CmdDrawMeshTasksIndirectCountNV = sqtt_CmdDrawMeshTasksIndirectCountNV,
    .CompileDeferredNV = sqtt_CompileDeferredNV,
    .CreateAccelerationStructureNV = sqtt_CreateAccelerationStructureNV,
    .DestroyAccelerationStructureKHR = sqtt_DestroyAccelerationStructureKHR,
    .DestroyAccelerationStructureNV = sqtt_DestroyAccelerationStructureNV,
    .GetAccelerationStructureMemoryRequirementsNV = sqtt_GetAccelerationStructureMemoryRequirementsNV,
    .BindAccelerationStructureMemoryNV = sqtt_BindAccelerationStructureMemoryNV,
    .CmdCopyAccelerationStructureNV = sqtt_CmdCopyAccelerationStructureNV,
    .CmdCopyAccelerationStructureKHR = sqtt_CmdCopyAccelerationStructureKHR,
    .CopyAccelerationStructureKHR = sqtt_CopyAccelerationStructureKHR,
    .CmdCopyAccelerationStructureToMemoryKHR = sqtt_CmdCopyAccelerationStructureToMemoryKHR,
    .CopyAccelerationStructureToMemoryKHR = sqtt_CopyAccelerationStructureToMemoryKHR,
    .CmdCopyMemoryToAccelerationStructureKHR = sqtt_CmdCopyMemoryToAccelerationStructureKHR,
    .CopyMemoryToAccelerationStructureKHR = sqtt_CopyMemoryToAccelerationStructureKHR,
    .CmdWriteAccelerationStructuresPropertiesKHR = sqtt_CmdWriteAccelerationStructuresPropertiesKHR,
    .CmdWriteAccelerationStructuresPropertiesNV = sqtt_CmdWriteAccelerationStructuresPropertiesNV,
    .CmdBuildAccelerationStructureNV = sqtt_CmdBuildAccelerationStructureNV,
    .WriteAccelerationStructuresPropertiesKHR = sqtt_WriteAccelerationStructuresPropertiesKHR,
    .CmdTraceRaysKHR = sqtt_CmdTraceRaysKHR,
    .CmdTraceRaysNV = sqtt_CmdTraceRaysNV,
    .GetRayTracingShaderGroupHandlesKHR = sqtt_GetRayTracingShaderGroupHandlesKHR,
    .GetRayTracingShaderGroupHandlesNV = sqtt_GetRayTracingShaderGroupHandlesNV,
    .GetRayTracingCaptureReplayShaderGroupHandlesKHR = sqtt_GetRayTracingCaptureReplayShaderGroupHandlesKHR,
    .GetAccelerationStructureHandleNV = sqtt_GetAccelerationStructureHandleNV,
    .CreateRayTracingPipelinesNV = sqtt_CreateRayTracingPipelinesNV,
    .CreateRayTracingPipelinesKHR = sqtt_CreateRayTracingPipelinesKHR,
    .CmdTraceRaysIndirectKHR = sqtt_CmdTraceRaysIndirectKHR,
    .GetDeviceAccelerationStructureCompatibilityKHR = sqtt_GetDeviceAccelerationStructureCompatibilityKHR,
    .GetRayTracingShaderGroupStackSizeKHR = sqtt_GetRayTracingShaderGroupStackSizeKHR,
    .CmdSetRayTracingPipelineStackSizeKHR = sqtt_CmdSetRayTracingPipelineStackSizeKHR,
    .GetImageViewHandleNVX = sqtt_GetImageViewHandleNVX,
    .GetImageViewAddressNVX = sqtt_GetImageViewAddressNVX,
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetDeviceGroupSurfacePresentModes2EXT = sqtt_GetDeviceGroupSurfacePresentModes2EXT,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .AcquireFullScreenExclusiveModeEXT = sqtt_AcquireFullScreenExclusiveModeEXT,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .ReleaseFullScreenExclusiveModeEXT = sqtt_ReleaseFullScreenExclusiveModeEXT,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .AcquireProfilingLockKHR = sqtt_AcquireProfilingLockKHR,
    .ReleaseProfilingLockKHR = sqtt_ReleaseProfilingLockKHR,
    .GetImageDrmFormatModifierPropertiesEXT = sqtt_GetImageDrmFormatModifierPropertiesEXT,
    .GetBufferOpaqueCaptureAddress = sqtt_GetBufferOpaqueCaptureAddress,
    .GetBufferOpaqueCaptureAddressKHR = sqtt_GetBufferOpaqueCaptureAddressKHR,
    .GetBufferDeviceAddress = sqtt_GetBufferDeviceAddress,
    .GetBufferDeviceAddressKHR = sqtt_GetBufferDeviceAddressKHR,
    .GetBufferDeviceAddressEXT = sqtt_GetBufferDeviceAddressEXT,
    .InitializePerformanceApiINTEL = sqtt_InitializePerformanceApiINTEL,
    .UninitializePerformanceApiINTEL = sqtt_UninitializePerformanceApiINTEL,
    .CmdSetPerformanceMarkerINTEL = sqtt_CmdSetPerformanceMarkerINTEL,
    .CmdSetPerformanceStreamMarkerINTEL = sqtt_CmdSetPerformanceStreamMarkerINTEL,
    .CmdSetPerformanceOverrideINTEL = sqtt_CmdSetPerformanceOverrideINTEL,
    .AcquirePerformanceConfigurationINTEL = sqtt_AcquirePerformanceConfigurationINTEL,
    .ReleasePerformanceConfigurationINTEL = sqtt_ReleasePerformanceConfigurationINTEL,
    .QueueSetPerformanceConfigurationINTEL = sqtt_QueueSetPerformanceConfigurationINTEL,
    .GetPerformanceParameterINTEL = sqtt_GetPerformanceParameterINTEL,
    .GetDeviceMemoryOpaqueCaptureAddress = sqtt_GetDeviceMemoryOpaqueCaptureAddress,
    .GetDeviceMemoryOpaqueCaptureAddressKHR = sqtt_GetDeviceMemoryOpaqueCaptureAddressKHR,
    .GetPipelineExecutablePropertiesKHR = sqtt_GetPipelineExecutablePropertiesKHR,
    .GetPipelineExecutableStatisticsKHR = sqtt_GetPipelineExecutableStatisticsKHR,
    .GetPipelineExecutableInternalRepresentationsKHR = sqtt_GetPipelineExecutableInternalRepresentationsKHR,
    .CmdSetLineStippleEXT = sqtt_CmdSetLineStippleEXT,
    .CreateAccelerationStructureKHR = sqtt_CreateAccelerationStructureKHR,
    .CmdBuildAccelerationStructuresKHR = sqtt_CmdBuildAccelerationStructuresKHR,
    .CmdBuildAccelerationStructuresIndirectKHR = sqtt_CmdBuildAccelerationStructuresIndirectKHR,
    .BuildAccelerationStructuresKHR = sqtt_BuildAccelerationStructuresKHR,
    .GetAccelerationStructureDeviceAddressKHR = sqtt_GetAccelerationStructureDeviceAddressKHR,
    .CreateDeferredOperationKHR = sqtt_CreateDeferredOperationKHR,
    .DestroyDeferredOperationKHR = sqtt_DestroyDeferredOperationKHR,
    .GetDeferredOperationMaxConcurrencyKHR = sqtt_GetDeferredOperationMaxConcurrencyKHR,
    .GetDeferredOperationResultKHR = sqtt_GetDeferredOperationResultKHR,
    .DeferredOperationJoinKHR = sqtt_DeferredOperationJoinKHR,
    .CmdSetCullModeEXT = sqtt_CmdSetCullModeEXT,
    .CmdSetFrontFaceEXT = sqtt_CmdSetFrontFaceEXT,
    .CmdSetPrimitiveTopologyEXT = sqtt_CmdSetPrimitiveTopologyEXT,
    .CmdSetViewportWithCountEXT = sqtt_CmdSetViewportWithCountEXT,
    .CmdSetScissorWithCountEXT = sqtt_CmdSetScissorWithCountEXT,
    .CmdBindVertexBuffers2EXT = sqtt_CmdBindVertexBuffers2EXT,
    .CmdSetDepthTestEnableEXT = sqtt_CmdSetDepthTestEnableEXT,
    .CmdSetDepthWriteEnableEXT = sqtt_CmdSetDepthWriteEnableEXT,
    .CmdSetDepthCompareOpEXT = sqtt_CmdSetDepthCompareOpEXT,
    .CmdSetDepthBoundsTestEnableEXT = sqtt_CmdSetDepthBoundsTestEnableEXT,
    .CmdSetStencilTestEnableEXT = sqtt_CmdSetStencilTestEnableEXT,
    .CmdSetStencilOpEXT = sqtt_CmdSetStencilOpEXT,
    .CreatePrivateDataSlotEXT = sqtt_CreatePrivateDataSlotEXT,
    .DestroyPrivateDataSlotEXT = sqtt_DestroyPrivateDataSlotEXT,
    .SetPrivateDataEXT = sqtt_SetPrivateDataEXT,
    .GetPrivateDataEXT = sqtt_GetPrivateDataEXT,
    .CmdCopyBuffer2KHR = sqtt_CmdCopyBuffer2KHR,
    .CmdCopyImage2KHR = sqtt_CmdCopyImage2KHR,
    .CmdBlitImage2KHR = sqtt_CmdBlitImage2KHR,
    .CmdCopyBufferToImage2KHR = sqtt_CmdCopyBufferToImage2KHR,
    .CmdCopyImageToBuffer2KHR = sqtt_CmdCopyImageToBuffer2KHR,
    .CmdResolveImage2KHR = sqtt_CmdResolveImage2KHR,
    .CmdSetFragmentShadingRateKHR = sqtt_CmdSetFragmentShadingRateKHR,
    .CmdSetFragmentShadingRateEnumNV = sqtt_CmdSetFragmentShadingRateEnumNV,
    .GetAccelerationStructureBuildSizesKHR = sqtt_GetAccelerationStructureBuildSizesKHR,
};

