
/* Copyright © 2015-2021 Intel Corporation
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice (including the next
 * paragraph) shall be included in all copies or substantial portions of the
 * Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
 * IN THE SOFTWARE.
 */

/* This file generated from vk_entrypoints_gen.py, don't edit directly. */

#include "lvp_entrypoints.h"

/* Weak aliases for all potential implementations. These will resolve to
 * NULL if they're not defined, which lets the resolve_entrypoint() function
 * either pick the correct entry point.
 */




#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CreateInstance_Weak=lvp_CreateInstance_Null")
    #pragma comment(linker, "/alternatename:lvp_CreateInstance=lvp_CreateInstance_Weak")
    VkResult (*lvp_CreateInstance_Null)(const VkInstanceCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkInstance* pInstance) = 0;
    VkResult lvp_CreateInstance_Weak(const VkInstanceCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkInstance* pInstance);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_CreateInstance(const VkInstanceCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkInstance* pInstance) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_DestroyInstance_Weak=lvp_DestroyInstance_Null")
    #pragma comment(linker, "/alternatename:lvp_DestroyInstance=lvp_DestroyInstance_Weak")
    void (*lvp_DestroyInstance_Null)(VkInstance instance, const VkAllocationCallbacks* pAllocator) = 0;
    void lvp_DestroyInstance_Weak(VkInstance instance, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_DestroyInstance(VkInstance instance, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_EnumeratePhysicalDevices_Weak=lvp_EnumeratePhysicalDevices_Null")
    #pragma comment(linker, "/alternatename:lvp_EnumeratePhysicalDevices=lvp_EnumeratePhysicalDevices_Weak")
    VkResult (*lvp_EnumeratePhysicalDevices_Null)(VkInstance instance, uint32_t* pPhysicalDeviceCount, VkPhysicalDevice* pPhysicalDevices) = 0;
    VkResult lvp_EnumeratePhysicalDevices_Weak(VkInstance instance, uint32_t* pPhysicalDeviceCount, VkPhysicalDevice* pPhysicalDevices);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_EnumeratePhysicalDevices(VkInstance instance, uint32_t* pPhysicalDeviceCount, VkPhysicalDevice* pPhysicalDevices) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetInstanceProcAddr_Weak=lvp_GetInstanceProcAddr_Null")
    #pragma comment(linker, "/alternatename:lvp_GetInstanceProcAddr=lvp_GetInstanceProcAddr_Weak")
    PFN_vkVoidFunction (*lvp_GetInstanceProcAddr_Null)(VkInstance instance, const char* pName) = 0;
    PFN_vkVoidFunction lvp_GetInstanceProcAddr_Weak(VkInstance instance, const char* pName);
#else
    VKAPI_ATTR PFN_vkVoidFunction VKAPI_CALL lvp_GetInstanceProcAddr(VkInstance instance, const char* pName) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_EnumerateInstanceVersion_Weak=lvp_EnumerateInstanceVersion_Null")
    #pragma comment(linker, "/alternatename:lvp_EnumerateInstanceVersion=lvp_EnumerateInstanceVersion_Weak")
    VkResult (*lvp_EnumerateInstanceVersion_Null)(uint32_t* pApiVersion) = 0;
    VkResult lvp_EnumerateInstanceVersion_Weak(uint32_t* pApiVersion);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_EnumerateInstanceVersion(uint32_t* pApiVersion) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_EnumerateInstanceLayerProperties_Weak=lvp_EnumerateInstanceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:lvp_EnumerateInstanceLayerProperties=lvp_EnumerateInstanceLayerProperties_Weak")
    VkResult (*lvp_EnumerateInstanceLayerProperties_Null)(uint32_t* pPropertyCount, VkLayerProperties* pProperties) = 0;
    VkResult lvp_EnumerateInstanceLayerProperties_Weak(uint32_t* pPropertyCount, VkLayerProperties* pProperties);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_EnumerateInstanceLayerProperties(uint32_t* pPropertyCount, VkLayerProperties* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_EnumerateInstanceExtensionProperties_Weak=lvp_EnumerateInstanceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:lvp_EnumerateInstanceExtensionProperties=lvp_EnumerateInstanceExtensionProperties_Weak")
    VkResult (*lvp_EnumerateInstanceExtensionProperties_Null)(const char* pLayerName, uint32_t* pPropertyCount, VkExtensionProperties* pProperties) = 0;
    VkResult lvp_EnumerateInstanceExtensionProperties_Weak(const char* pLayerName, uint32_t* pPropertyCount, VkExtensionProperties* pProperties);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_EnumerateInstanceExtensionProperties(const char* pLayerName, uint32_t* pPropertyCount, VkExtensionProperties* pProperties) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_ANDROID_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CreateAndroidSurfaceKHR_Weak=lvp_CreateAndroidSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_CreateAndroidSurfaceKHR=lvp_CreateAndroidSurfaceKHR_Weak")
    VkResult (*lvp_CreateAndroidSurfaceKHR_Null)(VkInstance instance, const VkAndroidSurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
    VkResult lvp_CreateAndroidSurfaceKHR_Weak(VkInstance instance, const VkAndroidSurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_CreateAndroidSurfaceKHR(VkInstance instance, const VkAndroidSurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CreateDisplayPlaneSurfaceKHR_Weak=lvp_CreateDisplayPlaneSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_CreateDisplayPlaneSurfaceKHR=lvp_CreateDisplayPlaneSurfaceKHR_Weak")
    VkResult (*lvp_CreateDisplayPlaneSurfaceKHR_Null)(VkInstance instance, const VkDisplaySurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
    VkResult lvp_CreateDisplayPlaneSurfaceKHR_Weak(VkInstance instance, const VkDisplaySurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_CreateDisplayPlaneSurfaceKHR(VkInstance instance, const VkDisplaySurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_DestroySurfaceKHR_Weak=lvp_DestroySurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_DestroySurfaceKHR=lvp_DestroySurfaceKHR_Weak")
    void (*lvp_DestroySurfaceKHR_Null)(VkInstance instance, VkSurfaceKHR surface, const VkAllocationCallbacks* pAllocator) = 0;
    void lvp_DestroySurfaceKHR_Weak(VkInstance instance, VkSurfaceKHR surface, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_DestroySurfaceKHR(VkInstance instance, VkSurfaceKHR surface, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_VI_NN
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CreateViSurfaceNN_Weak=lvp_CreateViSurfaceNN_Null")
    #pragma comment(linker, "/alternatename:lvp_CreateViSurfaceNN=lvp_CreateViSurfaceNN_Weak")
    VkResult (*lvp_CreateViSurfaceNN_Null)(VkInstance instance, const VkViSurfaceCreateInfoNN* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
    VkResult lvp_CreateViSurfaceNN_Weak(VkInstance instance, const VkViSurfaceCreateInfoNN* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_CreateViSurfaceNN(VkInstance instance, const VkViSurfaceCreateInfoNN* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_VI_NN
#ifdef VK_USE_PLATFORM_WAYLAND_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CreateWaylandSurfaceKHR_Weak=lvp_CreateWaylandSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_CreateWaylandSurfaceKHR=lvp_CreateWaylandSurfaceKHR_Weak")
    VkResult (*lvp_CreateWaylandSurfaceKHR_Null)(VkInstance instance, const VkWaylandSurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
    VkResult lvp_CreateWaylandSurfaceKHR_Weak(VkInstance instance, const VkWaylandSurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_CreateWaylandSurfaceKHR(VkInstance instance, const VkWaylandSurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WAYLAND_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CreateWin32SurfaceKHR_Weak=lvp_CreateWin32SurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_CreateWin32SurfaceKHR=lvp_CreateWin32SurfaceKHR_Weak")
    VkResult (*lvp_CreateWin32SurfaceKHR_Null)(VkInstance instance, const VkWin32SurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
    VkResult lvp_CreateWin32SurfaceKHR_Weak(VkInstance instance, const VkWin32SurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_CreateWin32SurfaceKHR(VkInstance instance, const VkWin32SurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_XLIB_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CreateXlibSurfaceKHR_Weak=lvp_CreateXlibSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_CreateXlibSurfaceKHR=lvp_CreateXlibSurfaceKHR_Weak")
    VkResult (*lvp_CreateXlibSurfaceKHR_Null)(VkInstance instance, const VkXlibSurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
    VkResult lvp_CreateXlibSurfaceKHR_Weak(VkInstance instance, const VkXlibSurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_CreateXlibSurfaceKHR(VkInstance instance, const VkXlibSurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_XLIB_KHR
#ifdef VK_USE_PLATFORM_XCB_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CreateXcbSurfaceKHR_Weak=lvp_CreateXcbSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_CreateXcbSurfaceKHR=lvp_CreateXcbSurfaceKHR_Weak")
    VkResult (*lvp_CreateXcbSurfaceKHR_Null)(VkInstance instance, const VkXcbSurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
    VkResult lvp_CreateXcbSurfaceKHR_Weak(VkInstance instance, const VkXcbSurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_CreateXcbSurfaceKHR(VkInstance instance, const VkXcbSurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_XCB_KHR
#ifdef VK_USE_PLATFORM_DIRECTFB_EXT
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CreateDirectFBSurfaceEXT_Weak=lvp_CreateDirectFBSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_CreateDirectFBSurfaceEXT=lvp_CreateDirectFBSurfaceEXT_Weak")
    VkResult (*lvp_CreateDirectFBSurfaceEXT_Null)(VkInstance instance, const VkDirectFBSurfaceCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
    VkResult lvp_CreateDirectFBSurfaceEXT_Weak(VkInstance instance, const VkDirectFBSurfaceCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_CreateDirectFBSurfaceEXT(VkInstance instance, const VkDirectFBSurfaceCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_DIRECTFB_EXT
#ifdef VK_USE_PLATFORM_FUCHSIA
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CreateImagePipeSurfaceFUCHSIA_Weak=lvp_CreateImagePipeSurfaceFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:lvp_CreateImagePipeSurfaceFUCHSIA=lvp_CreateImagePipeSurfaceFUCHSIA_Weak")
    VkResult (*lvp_CreateImagePipeSurfaceFUCHSIA_Null)(VkInstance instance, const VkImagePipeSurfaceCreateInfoFUCHSIA* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
    VkResult lvp_CreateImagePipeSurfaceFUCHSIA_Weak(VkInstance instance, const VkImagePipeSurfaceCreateInfoFUCHSIA* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_CreateImagePipeSurfaceFUCHSIA(VkInstance instance, const VkImagePipeSurfaceCreateInfoFUCHSIA* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_GGP
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CreateStreamDescriptorSurfaceGGP_Weak=lvp_CreateStreamDescriptorSurfaceGGP_Null")
    #pragma comment(linker, "/alternatename:lvp_CreateStreamDescriptorSurfaceGGP=lvp_CreateStreamDescriptorSurfaceGGP_Weak")
    VkResult (*lvp_CreateStreamDescriptorSurfaceGGP_Null)(VkInstance instance, const VkStreamDescriptorSurfaceCreateInfoGGP* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
    VkResult lvp_CreateStreamDescriptorSurfaceGGP_Weak(VkInstance instance, const VkStreamDescriptorSurfaceCreateInfoGGP* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_CreateStreamDescriptorSurfaceGGP(VkInstance instance, const VkStreamDescriptorSurfaceCreateInfoGGP* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_GGP
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CreateDebugReportCallbackEXT_Weak=lvp_CreateDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_CreateDebugReportCallbackEXT=lvp_CreateDebugReportCallbackEXT_Weak")
    VkResult (*lvp_CreateDebugReportCallbackEXT_Null)(VkInstance instance, const VkDebugReportCallbackCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDebugReportCallbackEXT* pCallback) = 0;
    VkResult lvp_CreateDebugReportCallbackEXT_Weak(VkInstance instance, const VkDebugReportCallbackCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDebugReportCallbackEXT* pCallback);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_CreateDebugReportCallbackEXT(VkInstance instance, const VkDebugReportCallbackCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDebugReportCallbackEXT* pCallback) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_DestroyDebugReportCallbackEXT_Weak=lvp_DestroyDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_DestroyDebugReportCallbackEXT=lvp_DestroyDebugReportCallbackEXT_Weak")
    void (*lvp_DestroyDebugReportCallbackEXT_Null)(VkInstance instance, VkDebugReportCallbackEXT callback, const VkAllocationCallbacks* pAllocator) = 0;
    void lvp_DestroyDebugReportCallbackEXT_Weak(VkInstance instance, VkDebugReportCallbackEXT callback, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_DestroyDebugReportCallbackEXT(VkInstance instance, VkDebugReportCallbackEXT callback, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_DebugReportMessageEXT_Weak=lvp_DebugReportMessageEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_DebugReportMessageEXT=lvp_DebugReportMessageEXT_Weak")
    void (*lvp_DebugReportMessageEXT_Null)(VkInstance instance, VkDebugReportFlagsEXT flags, VkDebugReportObjectTypeEXT objectType, uint64_t object, size_t location, int32_t messageCode, const char* pLayerPrefix, const char* pMessage) = 0;
    void lvp_DebugReportMessageEXT_Weak(VkInstance instance, VkDebugReportFlagsEXT flags, VkDebugReportObjectTypeEXT objectType, uint64_t object, size_t location, int32_t messageCode, const char* pLayerPrefix, const char* pMessage);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_DebugReportMessageEXT(VkInstance instance, VkDebugReportFlagsEXT flags, VkDebugReportObjectTypeEXT objectType, uint64_t object, size_t location, int32_t messageCode, const char* pLayerPrefix, const char* pMessage) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_EnumeratePhysicalDeviceGroups_Weak=lvp_EnumeratePhysicalDeviceGroups_Null")
    #pragma comment(linker, "/alternatename:lvp_EnumeratePhysicalDeviceGroups=lvp_EnumeratePhysicalDeviceGroups_Weak")
    VkResult (*lvp_EnumeratePhysicalDeviceGroups_Null)(VkInstance instance, uint32_t* pPhysicalDeviceGroupCount, VkPhysicalDeviceGroupProperties* pPhysicalDeviceGroupProperties) = 0;
    VkResult lvp_EnumeratePhysicalDeviceGroups_Weak(VkInstance instance, uint32_t* pPhysicalDeviceGroupCount, VkPhysicalDeviceGroupProperties* pPhysicalDeviceGroupProperties);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_EnumeratePhysicalDeviceGroups(VkInstance instance, uint32_t* pPhysicalDeviceGroupCount, VkPhysicalDeviceGroupProperties* pPhysicalDeviceGroupProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_EnumeratePhysicalDeviceGroupsKHR_Weak=lvp_EnumeratePhysicalDeviceGroupsKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_EnumeratePhysicalDeviceGroupsKHR=lvp_EnumeratePhysicalDeviceGroupsKHR_Weak")
    VkResult (*lvp_EnumeratePhysicalDeviceGroupsKHR_Null)(VkInstance instance, uint32_t* pPhysicalDeviceGroupCount, VkPhysicalDeviceGroupProperties* pPhysicalDeviceGroupProperties) = 0;
    VkResult lvp_EnumeratePhysicalDeviceGroupsKHR_Weak(VkInstance instance, uint32_t* pPhysicalDeviceGroupCount, VkPhysicalDeviceGroupProperties* pPhysicalDeviceGroupProperties);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_EnumeratePhysicalDeviceGroupsKHR(VkInstance instance, uint32_t* pPhysicalDeviceGroupCount, VkPhysicalDeviceGroupProperties* pPhysicalDeviceGroupProperties) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_IOS_MVK
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CreateIOSSurfaceMVK_Weak=lvp_CreateIOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:lvp_CreateIOSSurfaceMVK=lvp_CreateIOSSurfaceMVK_Weak")
    VkResult (*lvp_CreateIOSSurfaceMVK_Null)(VkInstance instance, const VkIOSSurfaceCreateInfoMVK* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
    VkResult lvp_CreateIOSSurfaceMVK_Weak(VkInstance instance, const VkIOSSurfaceCreateInfoMVK* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_CreateIOSSurfaceMVK(VkInstance instance, const VkIOSSurfaceCreateInfoMVK* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_IOS_MVK
#ifdef VK_USE_PLATFORM_MACOS_MVK
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CreateMacOSSurfaceMVK_Weak=lvp_CreateMacOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:lvp_CreateMacOSSurfaceMVK=lvp_CreateMacOSSurfaceMVK_Weak")
    VkResult (*lvp_CreateMacOSSurfaceMVK_Null)(VkInstance instance, const VkMacOSSurfaceCreateInfoMVK* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
    VkResult lvp_CreateMacOSSurfaceMVK_Weak(VkInstance instance, const VkMacOSSurfaceCreateInfoMVK* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_CreateMacOSSurfaceMVK(VkInstance instance, const VkMacOSSurfaceCreateInfoMVK* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_MACOS_MVK
#ifdef VK_USE_PLATFORM_METAL_EXT
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CreateMetalSurfaceEXT_Weak=lvp_CreateMetalSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_CreateMetalSurfaceEXT=lvp_CreateMetalSurfaceEXT_Weak")
    VkResult (*lvp_CreateMetalSurfaceEXT_Null)(VkInstance instance, const VkMetalSurfaceCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
    VkResult lvp_CreateMetalSurfaceEXT_Weak(VkInstance instance, const VkMetalSurfaceCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_CreateMetalSurfaceEXT(VkInstance instance, const VkMetalSurfaceCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_METAL_EXT
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CreateDebugUtilsMessengerEXT_Weak=lvp_CreateDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_CreateDebugUtilsMessengerEXT=lvp_CreateDebugUtilsMessengerEXT_Weak")
    VkResult (*lvp_CreateDebugUtilsMessengerEXT_Null)(VkInstance instance, const VkDebugUtilsMessengerCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDebugUtilsMessengerEXT* pMessenger) = 0;
    VkResult lvp_CreateDebugUtilsMessengerEXT_Weak(VkInstance instance, const VkDebugUtilsMessengerCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDebugUtilsMessengerEXT* pMessenger);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_CreateDebugUtilsMessengerEXT(VkInstance instance, const VkDebugUtilsMessengerCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDebugUtilsMessengerEXT* pMessenger) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_DestroyDebugUtilsMessengerEXT_Weak=lvp_DestroyDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_DestroyDebugUtilsMessengerEXT=lvp_DestroyDebugUtilsMessengerEXT_Weak")
    void (*lvp_DestroyDebugUtilsMessengerEXT_Null)(VkInstance instance, VkDebugUtilsMessengerEXT messenger, const VkAllocationCallbacks* pAllocator) = 0;
    void lvp_DestroyDebugUtilsMessengerEXT_Weak(VkInstance instance, VkDebugUtilsMessengerEXT messenger, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_DestroyDebugUtilsMessengerEXT(VkInstance instance, VkDebugUtilsMessengerEXT messenger, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_SubmitDebugUtilsMessageEXT_Weak=lvp_SubmitDebugUtilsMessageEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_SubmitDebugUtilsMessageEXT=lvp_SubmitDebugUtilsMessageEXT_Weak")
    void (*lvp_SubmitDebugUtilsMessageEXT_Null)(VkInstance instance, VkDebugUtilsMessageSeverityFlagBitsEXT messageSeverity, VkDebugUtilsMessageTypeFlagsEXT messageTypes, const VkDebugUtilsMessengerCallbackDataEXT* pCallbackData) = 0;
    void lvp_SubmitDebugUtilsMessageEXT_Weak(VkInstance instance, VkDebugUtilsMessageSeverityFlagBitsEXT messageSeverity, VkDebugUtilsMessageTypeFlagsEXT messageTypes, const VkDebugUtilsMessengerCallbackDataEXT* pCallbackData);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_SubmitDebugUtilsMessageEXT(VkInstance instance, VkDebugUtilsMessageSeverityFlagBitsEXT messageSeverity, VkDebugUtilsMessageTypeFlagsEXT messageTypes, const VkDebugUtilsMessengerCallbackDataEXT* pCallbackData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CreateHeadlessSurfaceEXT_Weak=lvp_CreateHeadlessSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_CreateHeadlessSurfaceEXT=lvp_CreateHeadlessSurfaceEXT_Weak")
    VkResult (*lvp_CreateHeadlessSurfaceEXT_Null)(VkInstance instance, const VkHeadlessSurfaceCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
    VkResult lvp_CreateHeadlessSurfaceEXT_Weak(VkInstance instance, const VkHeadlessSurfaceCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_CreateHeadlessSurfaceEXT(VkInstance instance, const VkHeadlessSurfaceCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif

const struct vk_instance_entrypoint_table lvp_instance_entrypoints = {
    .CreateInstance = lvp_CreateInstance,
    .DestroyInstance = lvp_DestroyInstance,
    .EnumeratePhysicalDevices = lvp_EnumeratePhysicalDevices,
    .GetInstanceProcAddr = lvp_GetInstanceProcAddr,
    .EnumerateInstanceVersion = lvp_EnumerateInstanceVersion,
    .EnumerateInstanceLayerProperties = lvp_EnumerateInstanceLayerProperties,
    .EnumerateInstanceExtensionProperties = lvp_EnumerateInstanceExtensionProperties,
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .CreateAndroidSurfaceKHR = lvp_CreateAndroidSurfaceKHR,
#endif // VK_USE_PLATFORM_ANDROID_KHR
    .CreateDisplayPlaneSurfaceKHR = lvp_CreateDisplayPlaneSurfaceKHR,
    .DestroySurfaceKHR = lvp_DestroySurfaceKHR,
#ifdef VK_USE_PLATFORM_VI_NN
    .CreateViSurfaceNN = lvp_CreateViSurfaceNN,
#endif // VK_USE_PLATFORM_VI_NN
#ifdef VK_USE_PLATFORM_WAYLAND_KHR
    .CreateWaylandSurfaceKHR = lvp_CreateWaylandSurfaceKHR,
#endif // VK_USE_PLATFORM_WAYLAND_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .CreateWin32SurfaceKHR = lvp_CreateWin32SurfaceKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_XLIB_KHR
    .CreateXlibSurfaceKHR = lvp_CreateXlibSurfaceKHR,
#endif // VK_USE_PLATFORM_XLIB_KHR
#ifdef VK_USE_PLATFORM_XCB_KHR
    .CreateXcbSurfaceKHR = lvp_CreateXcbSurfaceKHR,
#endif // VK_USE_PLATFORM_XCB_KHR
#ifdef VK_USE_PLATFORM_DIRECTFB_EXT
    .CreateDirectFBSurfaceEXT = lvp_CreateDirectFBSurfaceEXT,
#endif // VK_USE_PLATFORM_DIRECTFB_EXT
#ifdef VK_USE_PLATFORM_FUCHSIA
    .CreateImagePipeSurfaceFUCHSIA = lvp_CreateImagePipeSurfaceFUCHSIA,
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_GGP
    .CreateStreamDescriptorSurfaceGGP = lvp_CreateStreamDescriptorSurfaceGGP,
#endif // VK_USE_PLATFORM_GGP
    .CreateDebugReportCallbackEXT = lvp_CreateDebugReportCallbackEXT,
    .DestroyDebugReportCallbackEXT = lvp_DestroyDebugReportCallbackEXT,
    .DebugReportMessageEXT = lvp_DebugReportMessageEXT,
    .EnumeratePhysicalDeviceGroups = lvp_EnumeratePhysicalDeviceGroups,
    .EnumeratePhysicalDeviceGroupsKHR = lvp_EnumeratePhysicalDeviceGroupsKHR,
#ifdef VK_USE_PLATFORM_IOS_MVK
    .CreateIOSSurfaceMVK = lvp_CreateIOSSurfaceMVK,
#endif // VK_USE_PLATFORM_IOS_MVK
#ifdef VK_USE_PLATFORM_MACOS_MVK
    .CreateMacOSSurfaceMVK = lvp_CreateMacOSSurfaceMVK,
#endif // VK_USE_PLATFORM_MACOS_MVK
#ifdef VK_USE_PLATFORM_METAL_EXT
    .CreateMetalSurfaceEXT = lvp_CreateMetalSurfaceEXT,
#endif // VK_USE_PLATFORM_METAL_EXT
    .CreateDebugUtilsMessengerEXT = lvp_CreateDebugUtilsMessengerEXT,
    .DestroyDebugUtilsMessengerEXT = lvp_DestroyDebugUtilsMessengerEXT,
    .SubmitDebugUtilsMessageEXT = lvp_SubmitDebugUtilsMessageEXT,
    .CreateHeadlessSurfaceEXT = lvp_CreateHeadlessSurfaceEXT,
};


#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceProperties_Weak=lvp_GetPhysicalDeviceProperties_Null")
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceProperties=lvp_GetPhysicalDeviceProperties_Weak")
    void (*lvp_GetPhysicalDeviceProperties_Null)(VkPhysicalDevice physicalDevice, VkPhysicalDeviceProperties* pProperties) = 0;
    void lvp_GetPhysicalDeviceProperties_Weak(VkPhysicalDevice physicalDevice, VkPhysicalDeviceProperties* pProperties);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_GetPhysicalDeviceProperties(VkPhysicalDevice physicalDevice, VkPhysicalDeviceProperties* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceQueueFamilyProperties_Weak=lvp_GetPhysicalDeviceQueueFamilyProperties_Null")
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceQueueFamilyProperties=lvp_GetPhysicalDeviceQueueFamilyProperties_Weak")
    void (*lvp_GetPhysicalDeviceQueueFamilyProperties_Null)(VkPhysicalDevice physicalDevice, uint32_t* pQueueFamilyPropertyCount, VkQueueFamilyProperties* pQueueFamilyProperties) = 0;
    void lvp_GetPhysicalDeviceQueueFamilyProperties_Weak(VkPhysicalDevice physicalDevice, uint32_t* pQueueFamilyPropertyCount, VkQueueFamilyProperties* pQueueFamilyProperties);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_GetPhysicalDeviceQueueFamilyProperties(VkPhysicalDevice physicalDevice, uint32_t* pQueueFamilyPropertyCount, VkQueueFamilyProperties* pQueueFamilyProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceMemoryProperties_Weak=lvp_GetPhysicalDeviceMemoryProperties_Null")
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceMemoryProperties=lvp_GetPhysicalDeviceMemoryProperties_Weak")
    void (*lvp_GetPhysicalDeviceMemoryProperties_Null)(VkPhysicalDevice physicalDevice, VkPhysicalDeviceMemoryProperties* pMemoryProperties) = 0;
    void lvp_GetPhysicalDeviceMemoryProperties_Weak(VkPhysicalDevice physicalDevice, VkPhysicalDeviceMemoryProperties* pMemoryProperties);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_GetPhysicalDeviceMemoryProperties(VkPhysicalDevice physicalDevice, VkPhysicalDeviceMemoryProperties* pMemoryProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceFeatures_Weak=lvp_GetPhysicalDeviceFeatures_Null")
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceFeatures=lvp_GetPhysicalDeviceFeatures_Weak")
    void (*lvp_GetPhysicalDeviceFeatures_Null)(VkPhysicalDevice physicalDevice, VkPhysicalDeviceFeatures* pFeatures) = 0;
    void lvp_GetPhysicalDeviceFeatures_Weak(VkPhysicalDevice physicalDevice, VkPhysicalDeviceFeatures* pFeatures);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_GetPhysicalDeviceFeatures(VkPhysicalDevice physicalDevice, VkPhysicalDeviceFeatures* pFeatures) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceFormatProperties_Weak=lvp_GetPhysicalDeviceFormatProperties_Null")
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceFormatProperties=lvp_GetPhysicalDeviceFormatProperties_Weak")
    void (*lvp_GetPhysicalDeviceFormatProperties_Null)(VkPhysicalDevice physicalDevice, VkFormat format, VkFormatProperties* pFormatProperties) = 0;
    void lvp_GetPhysicalDeviceFormatProperties_Weak(VkPhysicalDevice physicalDevice, VkFormat format, VkFormatProperties* pFormatProperties);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_GetPhysicalDeviceFormatProperties(VkPhysicalDevice physicalDevice, VkFormat format, VkFormatProperties* pFormatProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceImageFormatProperties_Weak=lvp_GetPhysicalDeviceImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceImageFormatProperties=lvp_GetPhysicalDeviceImageFormatProperties_Weak")
    VkResult (*lvp_GetPhysicalDeviceImageFormatProperties_Null)(VkPhysicalDevice physicalDevice, VkFormat format, VkImageType type, VkImageTiling tiling, VkImageUsageFlags usage, VkImageCreateFlags flags, VkImageFormatProperties* pImageFormatProperties) = 0;
    VkResult lvp_GetPhysicalDeviceImageFormatProperties_Weak(VkPhysicalDevice physicalDevice, VkFormat format, VkImageType type, VkImageTiling tiling, VkImageUsageFlags usage, VkImageCreateFlags flags, VkImageFormatProperties* pImageFormatProperties);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetPhysicalDeviceImageFormatProperties(VkPhysicalDevice physicalDevice, VkFormat format, VkImageType type, VkImageTiling tiling, VkImageUsageFlags usage, VkImageCreateFlags flags, VkImageFormatProperties* pImageFormatProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CreateDevice_Weak=lvp_CreateDevice_Null")
    #pragma comment(linker, "/alternatename:lvp_CreateDevice=lvp_CreateDevice_Weak")
    VkResult (*lvp_CreateDevice_Null)(VkPhysicalDevice physicalDevice, const VkDeviceCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDevice* pDevice) = 0;
    VkResult lvp_CreateDevice_Weak(VkPhysicalDevice physicalDevice, const VkDeviceCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDevice* pDevice);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_CreateDevice(VkPhysicalDevice physicalDevice, const VkDeviceCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDevice* pDevice) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_EnumerateDeviceLayerProperties_Weak=lvp_EnumerateDeviceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:lvp_EnumerateDeviceLayerProperties=lvp_EnumerateDeviceLayerProperties_Weak")
    VkResult (*lvp_EnumerateDeviceLayerProperties_Null)(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkLayerProperties* pProperties) = 0;
    VkResult lvp_EnumerateDeviceLayerProperties_Weak(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkLayerProperties* pProperties);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_EnumerateDeviceLayerProperties(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkLayerProperties* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_EnumerateDeviceExtensionProperties_Weak=lvp_EnumerateDeviceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:lvp_EnumerateDeviceExtensionProperties=lvp_EnumerateDeviceExtensionProperties_Weak")
    VkResult (*lvp_EnumerateDeviceExtensionProperties_Null)(VkPhysicalDevice physicalDevice, const char* pLayerName, uint32_t* pPropertyCount, VkExtensionProperties* pProperties) = 0;
    VkResult lvp_EnumerateDeviceExtensionProperties_Weak(VkPhysicalDevice physicalDevice, const char* pLayerName, uint32_t* pPropertyCount, VkExtensionProperties* pProperties);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_EnumerateDeviceExtensionProperties(VkPhysicalDevice physicalDevice, const char* pLayerName, uint32_t* pPropertyCount, VkExtensionProperties* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceSparseImageFormatProperties_Weak=lvp_GetPhysicalDeviceSparseImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceSparseImageFormatProperties=lvp_GetPhysicalDeviceSparseImageFormatProperties_Weak")
    void (*lvp_GetPhysicalDeviceSparseImageFormatProperties_Null)(VkPhysicalDevice physicalDevice, VkFormat format, VkImageType type, VkSampleCountFlagBits samples, VkImageUsageFlags usage, VkImageTiling tiling, uint32_t* pPropertyCount, VkSparseImageFormatProperties* pProperties) = 0;
    void lvp_GetPhysicalDeviceSparseImageFormatProperties_Weak(VkPhysicalDevice physicalDevice, VkFormat format, VkImageType type, VkSampleCountFlagBits samples, VkImageUsageFlags usage, VkImageTiling tiling, uint32_t* pPropertyCount, VkSparseImageFormatProperties* pProperties);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_GetPhysicalDeviceSparseImageFormatProperties(VkPhysicalDevice physicalDevice, VkFormat format, VkImageType type, VkSampleCountFlagBits samples, VkImageUsageFlags usage, VkImageTiling tiling, uint32_t* pPropertyCount, VkSparseImageFormatProperties* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceDisplayPropertiesKHR_Weak=lvp_GetPhysicalDeviceDisplayPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceDisplayPropertiesKHR=lvp_GetPhysicalDeviceDisplayPropertiesKHR_Weak")
    VkResult (*lvp_GetPhysicalDeviceDisplayPropertiesKHR_Null)(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkDisplayPropertiesKHR* pProperties) = 0;
    VkResult lvp_GetPhysicalDeviceDisplayPropertiesKHR_Weak(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkDisplayPropertiesKHR* pProperties);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetPhysicalDeviceDisplayPropertiesKHR(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkDisplayPropertiesKHR* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceDisplayPlanePropertiesKHR_Weak=lvp_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceDisplayPlanePropertiesKHR=lvp_GetPhysicalDeviceDisplayPlanePropertiesKHR_Weak")
    VkResult (*lvp_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null)(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkDisplayPlanePropertiesKHR* pProperties) = 0;
    VkResult lvp_GetPhysicalDeviceDisplayPlanePropertiesKHR_Weak(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkDisplayPlanePropertiesKHR* pProperties);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetPhysicalDeviceDisplayPlanePropertiesKHR(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkDisplayPlanePropertiesKHR* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetDisplayPlaneSupportedDisplaysKHR_Weak=lvp_GetDisplayPlaneSupportedDisplaysKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_GetDisplayPlaneSupportedDisplaysKHR=lvp_GetDisplayPlaneSupportedDisplaysKHR_Weak")
    VkResult (*lvp_GetDisplayPlaneSupportedDisplaysKHR_Null)(VkPhysicalDevice physicalDevice, uint32_t planeIndex, uint32_t* pDisplayCount, VkDisplayKHR* pDisplays) = 0;
    VkResult lvp_GetDisplayPlaneSupportedDisplaysKHR_Weak(VkPhysicalDevice physicalDevice, uint32_t planeIndex, uint32_t* pDisplayCount, VkDisplayKHR* pDisplays);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetDisplayPlaneSupportedDisplaysKHR(VkPhysicalDevice physicalDevice, uint32_t planeIndex, uint32_t* pDisplayCount, VkDisplayKHR* pDisplays) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetDisplayModePropertiesKHR_Weak=lvp_GetDisplayModePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_GetDisplayModePropertiesKHR=lvp_GetDisplayModePropertiesKHR_Weak")
    VkResult (*lvp_GetDisplayModePropertiesKHR_Null)(VkPhysicalDevice physicalDevice, VkDisplayKHR display, uint32_t* pPropertyCount, VkDisplayModePropertiesKHR* pProperties) = 0;
    VkResult lvp_GetDisplayModePropertiesKHR_Weak(VkPhysicalDevice physicalDevice, VkDisplayKHR display, uint32_t* pPropertyCount, VkDisplayModePropertiesKHR* pProperties);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetDisplayModePropertiesKHR(VkPhysicalDevice physicalDevice, VkDisplayKHR display, uint32_t* pPropertyCount, VkDisplayModePropertiesKHR* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CreateDisplayModeKHR_Weak=lvp_CreateDisplayModeKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_CreateDisplayModeKHR=lvp_CreateDisplayModeKHR_Weak")
    VkResult (*lvp_CreateDisplayModeKHR_Null)(VkPhysicalDevice physicalDevice, VkDisplayKHR display, const VkDisplayModeCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDisplayModeKHR* pMode) = 0;
    VkResult lvp_CreateDisplayModeKHR_Weak(VkPhysicalDevice physicalDevice, VkDisplayKHR display, const VkDisplayModeCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDisplayModeKHR* pMode);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_CreateDisplayModeKHR(VkPhysicalDevice physicalDevice, VkDisplayKHR display, const VkDisplayModeCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDisplayModeKHR* pMode) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetDisplayPlaneCapabilitiesKHR_Weak=lvp_GetDisplayPlaneCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_GetDisplayPlaneCapabilitiesKHR=lvp_GetDisplayPlaneCapabilitiesKHR_Weak")
    VkResult (*lvp_GetDisplayPlaneCapabilitiesKHR_Null)(VkPhysicalDevice physicalDevice, VkDisplayModeKHR mode, uint32_t planeIndex, VkDisplayPlaneCapabilitiesKHR* pCapabilities) = 0;
    VkResult lvp_GetDisplayPlaneCapabilitiesKHR_Weak(VkPhysicalDevice physicalDevice, VkDisplayModeKHR mode, uint32_t planeIndex, VkDisplayPlaneCapabilitiesKHR* pCapabilities);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetDisplayPlaneCapabilitiesKHR(VkPhysicalDevice physicalDevice, VkDisplayModeKHR mode, uint32_t planeIndex, VkDisplayPlaneCapabilitiesKHR* pCapabilities) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceSurfaceSupportKHR_Weak=lvp_GetPhysicalDeviceSurfaceSupportKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceSurfaceSupportKHR=lvp_GetPhysicalDeviceSurfaceSupportKHR_Weak")
    VkResult (*lvp_GetPhysicalDeviceSurfaceSupportKHR_Null)(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, VkSurfaceKHR surface, VkBool32* pSupported) = 0;
    VkResult lvp_GetPhysicalDeviceSurfaceSupportKHR_Weak(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, VkSurfaceKHR surface, VkBool32* pSupported);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetPhysicalDeviceSurfaceSupportKHR(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, VkSurfaceKHR surface, VkBool32* pSupported) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceSurfaceCapabilitiesKHR_Weak=lvp_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceSurfaceCapabilitiesKHR=lvp_GetPhysicalDeviceSurfaceCapabilitiesKHR_Weak")
    VkResult (*lvp_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null)(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, VkSurfaceCapabilitiesKHR* pSurfaceCapabilities) = 0;
    VkResult lvp_GetPhysicalDeviceSurfaceCapabilitiesKHR_Weak(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, VkSurfaceCapabilitiesKHR* pSurfaceCapabilities);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetPhysicalDeviceSurfaceCapabilitiesKHR(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, VkSurfaceCapabilitiesKHR* pSurfaceCapabilities) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceSurfaceFormatsKHR_Weak=lvp_GetPhysicalDeviceSurfaceFormatsKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceSurfaceFormatsKHR=lvp_GetPhysicalDeviceSurfaceFormatsKHR_Weak")
    VkResult (*lvp_GetPhysicalDeviceSurfaceFormatsKHR_Null)(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, uint32_t* pSurfaceFormatCount, VkSurfaceFormatKHR* pSurfaceFormats) = 0;
    VkResult lvp_GetPhysicalDeviceSurfaceFormatsKHR_Weak(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, uint32_t* pSurfaceFormatCount, VkSurfaceFormatKHR* pSurfaceFormats);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetPhysicalDeviceSurfaceFormatsKHR(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, uint32_t* pSurfaceFormatCount, VkSurfaceFormatKHR* pSurfaceFormats) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceSurfacePresentModesKHR_Weak=lvp_GetPhysicalDeviceSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceSurfacePresentModesKHR=lvp_GetPhysicalDeviceSurfacePresentModesKHR_Weak")
    VkResult (*lvp_GetPhysicalDeviceSurfacePresentModesKHR_Null)(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, uint32_t* pPresentModeCount, VkPresentModeKHR* pPresentModes) = 0;
    VkResult lvp_GetPhysicalDeviceSurfacePresentModesKHR_Weak(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, uint32_t* pPresentModeCount, VkPresentModeKHR* pPresentModes);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetPhysicalDeviceSurfacePresentModesKHR(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, uint32_t* pPresentModeCount, VkPresentModeKHR* pPresentModes) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_WAYLAND_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceWaylandPresentationSupportKHR_Weak=lvp_GetPhysicalDeviceWaylandPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceWaylandPresentationSupportKHR=lvp_GetPhysicalDeviceWaylandPresentationSupportKHR_Weak")
    VkBool32 (*lvp_GetPhysicalDeviceWaylandPresentationSupportKHR_Null)(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, struct wl_display* display) = 0;
    VkBool32 lvp_GetPhysicalDeviceWaylandPresentationSupportKHR_Weak(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, struct wl_display* display);
#else
    VKAPI_ATTR VkBool32 VKAPI_CALL lvp_GetPhysicalDeviceWaylandPresentationSupportKHR(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, struct wl_display* display) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WAYLAND_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceWin32PresentationSupportKHR_Weak=lvp_GetPhysicalDeviceWin32PresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceWin32PresentationSupportKHR=lvp_GetPhysicalDeviceWin32PresentationSupportKHR_Weak")
    VkBool32 (*lvp_GetPhysicalDeviceWin32PresentationSupportKHR_Null)(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex) = 0;
    VkBool32 lvp_GetPhysicalDeviceWin32PresentationSupportKHR_Weak(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex);
#else
    VKAPI_ATTR VkBool32 VKAPI_CALL lvp_GetPhysicalDeviceWin32PresentationSupportKHR(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_XLIB_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceXlibPresentationSupportKHR_Weak=lvp_GetPhysicalDeviceXlibPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceXlibPresentationSupportKHR=lvp_GetPhysicalDeviceXlibPresentationSupportKHR_Weak")
    VkBool32 (*lvp_GetPhysicalDeviceXlibPresentationSupportKHR_Null)(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, Display* dpy, VisualID visualID) = 0;
    VkBool32 lvp_GetPhysicalDeviceXlibPresentationSupportKHR_Weak(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, Display* dpy, VisualID visualID);
#else
    VKAPI_ATTR VkBool32 VKAPI_CALL lvp_GetPhysicalDeviceXlibPresentationSupportKHR(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, Display* dpy, VisualID visualID) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_XLIB_KHR
#ifdef VK_USE_PLATFORM_XCB_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceXcbPresentationSupportKHR_Weak=lvp_GetPhysicalDeviceXcbPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceXcbPresentationSupportKHR=lvp_GetPhysicalDeviceXcbPresentationSupportKHR_Weak")
    VkBool32 (*lvp_GetPhysicalDeviceXcbPresentationSupportKHR_Null)(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, xcb_connection_t* connection, xcb_visualid_t visual_id) = 0;
    VkBool32 lvp_GetPhysicalDeviceXcbPresentationSupportKHR_Weak(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, xcb_connection_t* connection, xcb_visualid_t visual_id);
#else
    VKAPI_ATTR VkBool32 VKAPI_CALL lvp_GetPhysicalDeviceXcbPresentationSupportKHR(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, xcb_connection_t* connection, xcb_visualid_t visual_id) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_XCB_KHR
#ifdef VK_USE_PLATFORM_DIRECTFB_EXT
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceDirectFBPresentationSupportEXT_Weak=lvp_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceDirectFBPresentationSupportEXT=lvp_GetPhysicalDeviceDirectFBPresentationSupportEXT_Weak")
    VkBool32 (*lvp_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null)(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, IDirectFB* dfb) = 0;
    VkBool32 lvp_GetPhysicalDeviceDirectFBPresentationSupportEXT_Weak(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, IDirectFB* dfb);
#else
    VKAPI_ATTR VkBool32 VKAPI_CALL lvp_GetPhysicalDeviceDirectFBPresentationSupportEXT(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, IDirectFB* dfb) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_DIRECTFB_EXT
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceExternalImageFormatPropertiesNV_Weak=lvp_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceExternalImageFormatPropertiesNV=lvp_GetPhysicalDeviceExternalImageFormatPropertiesNV_Weak")
    VkResult (*lvp_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null)(VkPhysicalDevice physicalDevice, VkFormat format, VkImageType type, VkImageTiling tiling, VkImageUsageFlags usage, VkImageCreateFlags flags, VkExternalMemoryHandleTypeFlagsNV externalHandleType, VkExternalImageFormatPropertiesNV* pExternalImageFormatProperties) = 0;
    VkResult lvp_GetPhysicalDeviceExternalImageFormatPropertiesNV_Weak(VkPhysicalDevice physicalDevice, VkFormat format, VkImageType type, VkImageTiling tiling, VkImageUsageFlags usage, VkImageCreateFlags flags, VkExternalMemoryHandleTypeFlagsNV externalHandleType, VkExternalImageFormatPropertiesNV* pExternalImageFormatProperties);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetPhysicalDeviceExternalImageFormatPropertiesNV(VkPhysicalDevice physicalDevice, VkFormat format, VkImageType type, VkImageTiling tiling, VkImageUsageFlags usage, VkImageCreateFlags flags, VkExternalMemoryHandleTypeFlagsNV externalHandleType, VkExternalImageFormatPropertiesNV* pExternalImageFormatProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceFeatures2_Weak=lvp_GetPhysicalDeviceFeatures2_Null")
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceFeatures2=lvp_GetPhysicalDeviceFeatures2_Weak")
    void (*lvp_GetPhysicalDeviceFeatures2_Null)(VkPhysicalDevice physicalDevice, VkPhysicalDeviceFeatures2* pFeatures) = 0;
    void lvp_GetPhysicalDeviceFeatures2_Weak(VkPhysicalDevice physicalDevice, VkPhysicalDeviceFeatures2* pFeatures);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_GetPhysicalDeviceFeatures2(VkPhysicalDevice physicalDevice, VkPhysicalDeviceFeatures2* pFeatures) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceFeatures2KHR_Weak=lvp_GetPhysicalDeviceFeatures2KHR_Null")
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceFeatures2KHR=lvp_GetPhysicalDeviceFeatures2KHR_Weak")
    void (*lvp_GetPhysicalDeviceFeatures2KHR_Null)(VkPhysicalDevice physicalDevice, VkPhysicalDeviceFeatures2* pFeatures) = 0;
    void lvp_GetPhysicalDeviceFeatures2KHR_Weak(VkPhysicalDevice physicalDevice, VkPhysicalDeviceFeatures2* pFeatures);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_GetPhysicalDeviceFeatures2KHR(VkPhysicalDevice physicalDevice, VkPhysicalDeviceFeatures2* pFeatures) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceProperties2_Weak=lvp_GetPhysicalDeviceProperties2_Null")
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceProperties2=lvp_GetPhysicalDeviceProperties2_Weak")
    void (*lvp_GetPhysicalDeviceProperties2_Null)(VkPhysicalDevice physicalDevice, VkPhysicalDeviceProperties2* pProperties) = 0;
    void lvp_GetPhysicalDeviceProperties2_Weak(VkPhysicalDevice physicalDevice, VkPhysicalDeviceProperties2* pProperties);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_GetPhysicalDeviceProperties2(VkPhysicalDevice physicalDevice, VkPhysicalDeviceProperties2* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceProperties2KHR_Weak=lvp_GetPhysicalDeviceProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceProperties2KHR=lvp_GetPhysicalDeviceProperties2KHR_Weak")
    void (*lvp_GetPhysicalDeviceProperties2KHR_Null)(VkPhysicalDevice physicalDevice, VkPhysicalDeviceProperties2* pProperties) = 0;
    void lvp_GetPhysicalDeviceProperties2KHR_Weak(VkPhysicalDevice physicalDevice, VkPhysicalDeviceProperties2* pProperties);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_GetPhysicalDeviceProperties2KHR(VkPhysicalDevice physicalDevice, VkPhysicalDeviceProperties2* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceFormatProperties2_Weak=lvp_GetPhysicalDeviceFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceFormatProperties2=lvp_GetPhysicalDeviceFormatProperties2_Weak")
    void (*lvp_GetPhysicalDeviceFormatProperties2_Null)(VkPhysicalDevice physicalDevice, VkFormat format, VkFormatProperties2* pFormatProperties) = 0;
    void lvp_GetPhysicalDeviceFormatProperties2_Weak(VkPhysicalDevice physicalDevice, VkFormat format, VkFormatProperties2* pFormatProperties);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_GetPhysicalDeviceFormatProperties2(VkPhysicalDevice physicalDevice, VkFormat format, VkFormatProperties2* pFormatProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceFormatProperties2KHR_Weak=lvp_GetPhysicalDeviceFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceFormatProperties2KHR=lvp_GetPhysicalDeviceFormatProperties2KHR_Weak")
    void (*lvp_GetPhysicalDeviceFormatProperties2KHR_Null)(VkPhysicalDevice physicalDevice, VkFormat format, VkFormatProperties2* pFormatProperties) = 0;
    void lvp_GetPhysicalDeviceFormatProperties2KHR_Weak(VkPhysicalDevice physicalDevice, VkFormat format, VkFormatProperties2* pFormatProperties);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_GetPhysicalDeviceFormatProperties2KHR(VkPhysicalDevice physicalDevice, VkFormat format, VkFormatProperties2* pFormatProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceImageFormatProperties2_Weak=lvp_GetPhysicalDeviceImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceImageFormatProperties2=lvp_GetPhysicalDeviceImageFormatProperties2_Weak")
    VkResult (*lvp_GetPhysicalDeviceImageFormatProperties2_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceImageFormatInfo2* pImageFormatInfo, VkImageFormatProperties2* pImageFormatProperties) = 0;
    VkResult lvp_GetPhysicalDeviceImageFormatProperties2_Weak(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceImageFormatInfo2* pImageFormatInfo, VkImageFormatProperties2* pImageFormatProperties);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetPhysicalDeviceImageFormatProperties2(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceImageFormatInfo2* pImageFormatInfo, VkImageFormatProperties2* pImageFormatProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceImageFormatProperties2KHR_Weak=lvp_GetPhysicalDeviceImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceImageFormatProperties2KHR=lvp_GetPhysicalDeviceImageFormatProperties2KHR_Weak")
    VkResult (*lvp_GetPhysicalDeviceImageFormatProperties2KHR_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceImageFormatInfo2* pImageFormatInfo, VkImageFormatProperties2* pImageFormatProperties) = 0;
    VkResult lvp_GetPhysicalDeviceImageFormatProperties2KHR_Weak(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceImageFormatInfo2* pImageFormatInfo, VkImageFormatProperties2* pImageFormatProperties);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetPhysicalDeviceImageFormatProperties2KHR(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceImageFormatInfo2* pImageFormatInfo, VkImageFormatProperties2* pImageFormatProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceQueueFamilyProperties2_Weak=lvp_GetPhysicalDeviceQueueFamilyProperties2_Null")
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceQueueFamilyProperties2=lvp_GetPhysicalDeviceQueueFamilyProperties2_Weak")
    void (*lvp_GetPhysicalDeviceQueueFamilyProperties2_Null)(VkPhysicalDevice physicalDevice, uint32_t* pQueueFamilyPropertyCount, VkQueueFamilyProperties2* pQueueFamilyProperties) = 0;
    void lvp_GetPhysicalDeviceQueueFamilyProperties2_Weak(VkPhysicalDevice physicalDevice, uint32_t* pQueueFamilyPropertyCount, VkQueueFamilyProperties2* pQueueFamilyProperties);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_GetPhysicalDeviceQueueFamilyProperties2(VkPhysicalDevice physicalDevice, uint32_t* pQueueFamilyPropertyCount, VkQueueFamilyProperties2* pQueueFamilyProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceQueueFamilyProperties2KHR_Weak=lvp_GetPhysicalDeviceQueueFamilyProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceQueueFamilyProperties2KHR=lvp_GetPhysicalDeviceQueueFamilyProperties2KHR_Weak")
    void (*lvp_GetPhysicalDeviceQueueFamilyProperties2KHR_Null)(VkPhysicalDevice physicalDevice, uint32_t* pQueueFamilyPropertyCount, VkQueueFamilyProperties2* pQueueFamilyProperties) = 0;
    void lvp_GetPhysicalDeviceQueueFamilyProperties2KHR_Weak(VkPhysicalDevice physicalDevice, uint32_t* pQueueFamilyPropertyCount, VkQueueFamilyProperties2* pQueueFamilyProperties);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_GetPhysicalDeviceQueueFamilyProperties2KHR(VkPhysicalDevice physicalDevice, uint32_t* pQueueFamilyPropertyCount, VkQueueFamilyProperties2* pQueueFamilyProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceMemoryProperties2_Weak=lvp_GetPhysicalDeviceMemoryProperties2_Null")
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceMemoryProperties2=lvp_GetPhysicalDeviceMemoryProperties2_Weak")
    void (*lvp_GetPhysicalDeviceMemoryProperties2_Null)(VkPhysicalDevice physicalDevice, VkPhysicalDeviceMemoryProperties2* pMemoryProperties) = 0;
    void lvp_GetPhysicalDeviceMemoryProperties2_Weak(VkPhysicalDevice physicalDevice, VkPhysicalDeviceMemoryProperties2* pMemoryProperties);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_GetPhysicalDeviceMemoryProperties2(VkPhysicalDevice physicalDevice, VkPhysicalDeviceMemoryProperties2* pMemoryProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceMemoryProperties2KHR_Weak=lvp_GetPhysicalDeviceMemoryProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceMemoryProperties2KHR=lvp_GetPhysicalDeviceMemoryProperties2KHR_Weak")
    void (*lvp_GetPhysicalDeviceMemoryProperties2KHR_Null)(VkPhysicalDevice physicalDevice, VkPhysicalDeviceMemoryProperties2* pMemoryProperties) = 0;
    void lvp_GetPhysicalDeviceMemoryProperties2KHR_Weak(VkPhysicalDevice physicalDevice, VkPhysicalDeviceMemoryProperties2* pMemoryProperties);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_GetPhysicalDeviceMemoryProperties2KHR(VkPhysicalDevice physicalDevice, VkPhysicalDeviceMemoryProperties2* pMemoryProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceSparseImageFormatProperties2_Weak=lvp_GetPhysicalDeviceSparseImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceSparseImageFormatProperties2=lvp_GetPhysicalDeviceSparseImageFormatProperties2_Weak")
    void (*lvp_GetPhysicalDeviceSparseImageFormatProperties2_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSparseImageFormatInfo2* pFormatInfo, uint32_t* pPropertyCount, VkSparseImageFormatProperties2* pProperties) = 0;
    void lvp_GetPhysicalDeviceSparseImageFormatProperties2_Weak(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSparseImageFormatInfo2* pFormatInfo, uint32_t* pPropertyCount, VkSparseImageFormatProperties2* pProperties);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_GetPhysicalDeviceSparseImageFormatProperties2(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSparseImageFormatInfo2* pFormatInfo, uint32_t* pPropertyCount, VkSparseImageFormatProperties2* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceSparseImageFormatProperties2KHR_Weak=lvp_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceSparseImageFormatProperties2KHR=lvp_GetPhysicalDeviceSparseImageFormatProperties2KHR_Weak")
    void (*lvp_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSparseImageFormatInfo2* pFormatInfo, uint32_t* pPropertyCount, VkSparseImageFormatProperties2* pProperties) = 0;
    void lvp_GetPhysicalDeviceSparseImageFormatProperties2KHR_Weak(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSparseImageFormatInfo2* pFormatInfo, uint32_t* pPropertyCount, VkSparseImageFormatProperties2* pProperties);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_GetPhysicalDeviceSparseImageFormatProperties2KHR(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSparseImageFormatInfo2* pFormatInfo, uint32_t* pPropertyCount, VkSparseImageFormatProperties2* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceExternalBufferProperties_Weak=lvp_GetPhysicalDeviceExternalBufferProperties_Null")
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceExternalBufferProperties=lvp_GetPhysicalDeviceExternalBufferProperties_Weak")
    void (*lvp_GetPhysicalDeviceExternalBufferProperties_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalBufferInfo* pExternalBufferInfo, VkExternalBufferProperties* pExternalBufferProperties) = 0;
    void lvp_GetPhysicalDeviceExternalBufferProperties_Weak(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalBufferInfo* pExternalBufferInfo, VkExternalBufferProperties* pExternalBufferProperties);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_GetPhysicalDeviceExternalBufferProperties(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalBufferInfo* pExternalBufferInfo, VkExternalBufferProperties* pExternalBufferProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceExternalBufferPropertiesKHR_Weak=lvp_GetPhysicalDeviceExternalBufferPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceExternalBufferPropertiesKHR=lvp_GetPhysicalDeviceExternalBufferPropertiesKHR_Weak")
    void (*lvp_GetPhysicalDeviceExternalBufferPropertiesKHR_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalBufferInfo* pExternalBufferInfo, VkExternalBufferProperties* pExternalBufferProperties) = 0;
    void lvp_GetPhysicalDeviceExternalBufferPropertiesKHR_Weak(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalBufferInfo* pExternalBufferInfo, VkExternalBufferProperties* pExternalBufferProperties);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_GetPhysicalDeviceExternalBufferPropertiesKHR(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalBufferInfo* pExternalBufferInfo, VkExternalBufferProperties* pExternalBufferProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceExternalSemaphoreProperties_Weak=lvp_GetPhysicalDeviceExternalSemaphoreProperties_Null")
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceExternalSemaphoreProperties=lvp_GetPhysicalDeviceExternalSemaphoreProperties_Weak")
    void (*lvp_GetPhysicalDeviceExternalSemaphoreProperties_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalSemaphoreInfo* pExternalSemaphoreInfo, VkExternalSemaphoreProperties* pExternalSemaphoreProperties) = 0;
    void lvp_GetPhysicalDeviceExternalSemaphoreProperties_Weak(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalSemaphoreInfo* pExternalSemaphoreInfo, VkExternalSemaphoreProperties* pExternalSemaphoreProperties);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_GetPhysicalDeviceExternalSemaphoreProperties(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalSemaphoreInfo* pExternalSemaphoreInfo, VkExternalSemaphoreProperties* pExternalSemaphoreProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Weak=lvp_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceExternalSemaphorePropertiesKHR=lvp_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Weak")
    void (*lvp_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalSemaphoreInfo* pExternalSemaphoreInfo, VkExternalSemaphoreProperties* pExternalSemaphoreProperties) = 0;
    void lvp_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Weak(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalSemaphoreInfo* pExternalSemaphoreInfo, VkExternalSemaphoreProperties* pExternalSemaphoreProperties);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_GetPhysicalDeviceExternalSemaphorePropertiesKHR(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalSemaphoreInfo* pExternalSemaphoreInfo, VkExternalSemaphoreProperties* pExternalSemaphoreProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceExternalFenceProperties_Weak=lvp_GetPhysicalDeviceExternalFenceProperties_Null")
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceExternalFenceProperties=lvp_GetPhysicalDeviceExternalFenceProperties_Weak")
    void (*lvp_GetPhysicalDeviceExternalFenceProperties_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalFenceInfo* pExternalFenceInfo, VkExternalFenceProperties* pExternalFenceProperties) = 0;
    void lvp_GetPhysicalDeviceExternalFenceProperties_Weak(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalFenceInfo* pExternalFenceInfo, VkExternalFenceProperties* pExternalFenceProperties);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_GetPhysicalDeviceExternalFenceProperties(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalFenceInfo* pExternalFenceInfo, VkExternalFenceProperties* pExternalFenceProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceExternalFencePropertiesKHR_Weak=lvp_GetPhysicalDeviceExternalFencePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceExternalFencePropertiesKHR=lvp_GetPhysicalDeviceExternalFencePropertiesKHR_Weak")
    void (*lvp_GetPhysicalDeviceExternalFencePropertiesKHR_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalFenceInfo* pExternalFenceInfo, VkExternalFenceProperties* pExternalFenceProperties) = 0;
    void lvp_GetPhysicalDeviceExternalFencePropertiesKHR_Weak(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalFenceInfo* pExternalFenceInfo, VkExternalFenceProperties* pExternalFenceProperties);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_GetPhysicalDeviceExternalFencePropertiesKHR(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalFenceInfo* pExternalFenceInfo, VkExternalFenceProperties* pExternalFenceProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_ReleaseDisplayEXT_Weak=lvp_ReleaseDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_ReleaseDisplayEXT=lvp_ReleaseDisplayEXT_Weak")
    VkResult (*lvp_ReleaseDisplayEXT_Null)(VkPhysicalDevice physicalDevice, VkDisplayKHR display) = 0;
    VkResult lvp_ReleaseDisplayEXT_Weak(VkPhysicalDevice physicalDevice, VkDisplayKHR display);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_ReleaseDisplayEXT(VkPhysicalDevice physicalDevice, VkDisplayKHR display) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_XLIB_XRANDR_EXT
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_AcquireXlibDisplayEXT_Weak=lvp_AcquireXlibDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_AcquireXlibDisplayEXT=lvp_AcquireXlibDisplayEXT_Weak")
    VkResult (*lvp_AcquireXlibDisplayEXT_Null)(VkPhysicalDevice physicalDevice, Display* dpy, VkDisplayKHR display) = 0;
    VkResult lvp_AcquireXlibDisplayEXT_Weak(VkPhysicalDevice physicalDevice, Display* dpy, VkDisplayKHR display);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_AcquireXlibDisplayEXT(VkPhysicalDevice physicalDevice, Display* dpy, VkDisplayKHR display) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_XLIB_XRANDR_EXT
#ifdef VK_USE_PLATFORM_XLIB_XRANDR_EXT
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetRandROutputDisplayEXT_Weak=lvp_GetRandROutputDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_GetRandROutputDisplayEXT=lvp_GetRandROutputDisplayEXT_Weak")
    VkResult (*lvp_GetRandROutputDisplayEXT_Null)(VkPhysicalDevice physicalDevice, Display* dpy, RROutput rrOutput, VkDisplayKHR* pDisplay) = 0;
    VkResult lvp_GetRandROutputDisplayEXT_Weak(VkPhysicalDevice physicalDevice, Display* dpy, RROutput rrOutput, VkDisplayKHR* pDisplay);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetRandROutputDisplayEXT(VkPhysicalDevice physicalDevice, Display* dpy, RROutput rrOutput, VkDisplayKHR* pDisplay) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_XLIB_XRANDR_EXT
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_AcquireWinrtDisplayNV_Weak=lvp_AcquireWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:lvp_AcquireWinrtDisplayNV=lvp_AcquireWinrtDisplayNV_Weak")
    VkResult (*lvp_AcquireWinrtDisplayNV_Null)(VkPhysicalDevice physicalDevice, VkDisplayKHR display) = 0;
    VkResult lvp_AcquireWinrtDisplayNV_Weak(VkPhysicalDevice physicalDevice, VkDisplayKHR display);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_AcquireWinrtDisplayNV(VkPhysicalDevice physicalDevice, VkDisplayKHR display) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetWinrtDisplayNV_Weak=lvp_GetWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:lvp_GetWinrtDisplayNV=lvp_GetWinrtDisplayNV_Weak")
    VkResult (*lvp_GetWinrtDisplayNV_Null)(VkPhysicalDevice physicalDevice, uint32_t deviceRelativeId, VkDisplayKHR* pDisplay) = 0;
    VkResult lvp_GetWinrtDisplayNV_Weak(VkPhysicalDevice physicalDevice, uint32_t deviceRelativeId, VkDisplayKHR* pDisplay);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetWinrtDisplayNV(VkPhysicalDevice physicalDevice, uint32_t deviceRelativeId, VkDisplayKHR* pDisplay) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceSurfaceCapabilities2EXT_Weak=lvp_GetPhysicalDeviceSurfaceCapabilities2EXT_Null")
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceSurfaceCapabilities2EXT=lvp_GetPhysicalDeviceSurfaceCapabilities2EXT_Weak")
    VkResult (*lvp_GetPhysicalDeviceSurfaceCapabilities2EXT_Null)(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, VkSurfaceCapabilities2EXT* pSurfaceCapabilities) = 0;
    VkResult lvp_GetPhysicalDeviceSurfaceCapabilities2EXT_Weak(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, VkSurfaceCapabilities2EXT* pSurfaceCapabilities);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetPhysicalDeviceSurfaceCapabilities2EXT(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, VkSurfaceCapabilities2EXT* pSurfaceCapabilities) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDevicePresentRectanglesKHR_Weak=lvp_GetPhysicalDevicePresentRectanglesKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDevicePresentRectanglesKHR=lvp_GetPhysicalDevicePresentRectanglesKHR_Weak")
    VkResult (*lvp_GetPhysicalDevicePresentRectanglesKHR_Null)(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, uint32_t* pRectCount, VkRect2D* pRects) = 0;
    VkResult lvp_GetPhysicalDevicePresentRectanglesKHR_Weak(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, uint32_t* pRectCount, VkRect2D* pRects);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetPhysicalDevicePresentRectanglesKHR(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, uint32_t* pRectCount, VkRect2D* pRects) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceMultisamplePropertiesEXT_Weak=lvp_GetPhysicalDeviceMultisamplePropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceMultisamplePropertiesEXT=lvp_GetPhysicalDeviceMultisamplePropertiesEXT_Weak")
    void (*lvp_GetPhysicalDeviceMultisamplePropertiesEXT_Null)(VkPhysicalDevice physicalDevice, VkSampleCountFlagBits samples, VkMultisamplePropertiesEXT* pMultisampleProperties) = 0;
    void lvp_GetPhysicalDeviceMultisamplePropertiesEXT_Weak(VkPhysicalDevice physicalDevice, VkSampleCountFlagBits samples, VkMultisamplePropertiesEXT* pMultisampleProperties);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_GetPhysicalDeviceMultisamplePropertiesEXT(VkPhysicalDevice physicalDevice, VkSampleCountFlagBits samples, VkMultisamplePropertiesEXT* pMultisampleProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceSurfaceCapabilities2KHR_Weak=lvp_GetPhysicalDeviceSurfaceCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceSurfaceCapabilities2KHR=lvp_GetPhysicalDeviceSurfaceCapabilities2KHR_Weak")
    VkResult (*lvp_GetPhysicalDeviceSurfaceCapabilities2KHR_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, VkSurfaceCapabilities2KHR* pSurfaceCapabilities) = 0;
    VkResult lvp_GetPhysicalDeviceSurfaceCapabilities2KHR_Weak(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, VkSurfaceCapabilities2KHR* pSurfaceCapabilities);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetPhysicalDeviceSurfaceCapabilities2KHR(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, VkSurfaceCapabilities2KHR* pSurfaceCapabilities) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceSurfaceFormats2KHR_Weak=lvp_GetPhysicalDeviceSurfaceFormats2KHR_Null")
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceSurfaceFormats2KHR=lvp_GetPhysicalDeviceSurfaceFormats2KHR_Weak")
    VkResult (*lvp_GetPhysicalDeviceSurfaceFormats2KHR_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, uint32_t* pSurfaceFormatCount, VkSurfaceFormat2KHR* pSurfaceFormats) = 0;
    VkResult lvp_GetPhysicalDeviceSurfaceFormats2KHR_Weak(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, uint32_t* pSurfaceFormatCount, VkSurfaceFormat2KHR* pSurfaceFormats);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetPhysicalDeviceSurfaceFormats2KHR(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, uint32_t* pSurfaceFormatCount, VkSurfaceFormat2KHR* pSurfaceFormats) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceDisplayProperties2KHR_Weak=lvp_GetPhysicalDeviceDisplayProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceDisplayProperties2KHR=lvp_GetPhysicalDeviceDisplayProperties2KHR_Weak")
    VkResult (*lvp_GetPhysicalDeviceDisplayProperties2KHR_Null)(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkDisplayProperties2KHR* pProperties) = 0;
    VkResult lvp_GetPhysicalDeviceDisplayProperties2KHR_Weak(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkDisplayProperties2KHR* pProperties);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetPhysicalDeviceDisplayProperties2KHR(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkDisplayProperties2KHR* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceDisplayPlaneProperties2KHR_Weak=lvp_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceDisplayPlaneProperties2KHR=lvp_GetPhysicalDeviceDisplayPlaneProperties2KHR_Weak")
    VkResult (*lvp_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null)(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkDisplayPlaneProperties2KHR* pProperties) = 0;
    VkResult lvp_GetPhysicalDeviceDisplayPlaneProperties2KHR_Weak(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkDisplayPlaneProperties2KHR* pProperties);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetPhysicalDeviceDisplayPlaneProperties2KHR(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkDisplayPlaneProperties2KHR* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetDisplayModeProperties2KHR_Weak=lvp_GetDisplayModeProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:lvp_GetDisplayModeProperties2KHR=lvp_GetDisplayModeProperties2KHR_Weak")
    VkResult (*lvp_GetDisplayModeProperties2KHR_Null)(VkPhysicalDevice physicalDevice, VkDisplayKHR display, uint32_t* pPropertyCount, VkDisplayModeProperties2KHR* pProperties) = 0;
    VkResult lvp_GetDisplayModeProperties2KHR_Weak(VkPhysicalDevice physicalDevice, VkDisplayKHR display, uint32_t* pPropertyCount, VkDisplayModeProperties2KHR* pProperties);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetDisplayModeProperties2KHR(VkPhysicalDevice physicalDevice, VkDisplayKHR display, uint32_t* pPropertyCount, VkDisplayModeProperties2KHR* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetDisplayPlaneCapabilities2KHR_Weak=lvp_GetDisplayPlaneCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:lvp_GetDisplayPlaneCapabilities2KHR=lvp_GetDisplayPlaneCapabilities2KHR_Weak")
    VkResult (*lvp_GetDisplayPlaneCapabilities2KHR_Null)(VkPhysicalDevice physicalDevice, const VkDisplayPlaneInfo2KHR* pDisplayPlaneInfo, VkDisplayPlaneCapabilities2KHR* pCapabilities) = 0;
    VkResult lvp_GetDisplayPlaneCapabilities2KHR_Weak(VkPhysicalDevice physicalDevice, const VkDisplayPlaneInfo2KHR* pDisplayPlaneInfo, VkDisplayPlaneCapabilities2KHR* pCapabilities);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetDisplayPlaneCapabilities2KHR(VkPhysicalDevice physicalDevice, const VkDisplayPlaneInfo2KHR* pDisplayPlaneInfo, VkDisplayPlaneCapabilities2KHR* pCapabilities) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Weak=lvp_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceCalibrateableTimeDomainsEXT=lvp_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Weak")
    VkResult (*lvp_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null)(VkPhysicalDevice physicalDevice, uint32_t* pTimeDomainCount, VkTimeDomainEXT* pTimeDomains) = 0;
    VkResult lvp_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Weak(VkPhysicalDevice physicalDevice, uint32_t* pTimeDomainCount, VkTimeDomainEXT* pTimeDomains);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetPhysicalDeviceCalibrateableTimeDomainsEXT(VkPhysicalDevice physicalDevice, uint32_t* pTimeDomainCount, VkTimeDomainEXT* pTimeDomains) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Weak=lvp_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceCooperativeMatrixPropertiesNV=lvp_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Weak")
    VkResult (*lvp_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null)(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkCooperativeMatrixPropertiesNV* pProperties) = 0;
    VkResult lvp_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Weak(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkCooperativeMatrixPropertiesNV* pProperties);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetPhysicalDeviceCooperativeMatrixPropertiesNV(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkCooperativeMatrixPropertiesNV* pProperties) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceSurfacePresentModes2EXT_Weak=lvp_GetPhysicalDeviceSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceSurfacePresentModes2EXT=lvp_GetPhysicalDeviceSurfacePresentModes2EXT_Weak")
    VkResult (*lvp_GetPhysicalDeviceSurfacePresentModes2EXT_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, uint32_t* pPresentModeCount, VkPresentModeKHR* pPresentModes) = 0;
    VkResult lvp_GetPhysicalDeviceSurfacePresentModes2EXT_Weak(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, uint32_t* pPresentModeCount, VkPresentModeKHR* pPresentModes);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetPhysicalDeviceSurfacePresentModes2EXT(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, uint32_t* pPresentModeCount, VkPresentModeKHR* pPresentModes) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Weak=lvp_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR=lvp_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Weak")
    VkResult (*lvp_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null)(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, uint32_t* pCounterCount, VkPerformanceCounterKHR* pCounters, VkPerformanceCounterDescriptionKHR* pCounterDescriptions) = 0;
    VkResult lvp_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Weak(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, uint32_t* pCounterCount, VkPerformanceCounterKHR* pCounters, VkPerformanceCounterDescriptionKHR* pCounterDescriptions);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, uint32_t* pCounterCount, VkPerformanceCounterKHR* pCounters, VkPerformanceCounterDescriptionKHR* pCounterDescriptions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Weak=lvp_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR=lvp_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Weak")
    void (*lvp_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null)(VkPhysicalDevice physicalDevice, const VkQueryPoolPerformanceCreateInfoKHR* pPerformanceQueryCreateInfo, uint32_t* pNumPasses) = 0;
    void lvp_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Weak(VkPhysicalDevice physicalDevice, const VkQueryPoolPerformanceCreateInfoKHR* pPerformanceQueryCreateInfo, uint32_t* pNumPasses);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR(VkPhysicalDevice physicalDevice, const VkQueryPoolPerformanceCreateInfoKHR* pPerformanceQueryCreateInfo, uint32_t* pNumPasses) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Weak=lvp_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null")
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV=lvp_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Weak")
    VkResult (*lvp_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null)(VkPhysicalDevice physicalDevice, uint32_t* pCombinationCount, VkFramebufferMixedSamplesCombinationNV* pCombinations) = 0;
    VkResult lvp_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Weak(VkPhysicalDevice physicalDevice, uint32_t* pCombinationCount, VkFramebufferMixedSamplesCombinationNV* pCombinations);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV(VkPhysicalDevice physicalDevice, uint32_t* pCombinationCount, VkFramebufferMixedSamplesCombinationNV* pCombinations) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceToolPropertiesEXT_Weak=lvp_GetPhysicalDeviceToolPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceToolPropertiesEXT=lvp_GetPhysicalDeviceToolPropertiesEXT_Weak")
    VkResult (*lvp_GetPhysicalDeviceToolPropertiesEXT_Null)(VkPhysicalDevice physicalDevice, uint32_t* pToolCount, VkPhysicalDeviceToolPropertiesEXT* pToolProperties) = 0;
    VkResult lvp_GetPhysicalDeviceToolPropertiesEXT_Weak(VkPhysicalDevice physicalDevice, uint32_t* pToolCount, VkPhysicalDeviceToolPropertiesEXT* pToolProperties);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetPhysicalDeviceToolPropertiesEXT(VkPhysicalDevice physicalDevice, uint32_t* pToolCount, VkPhysicalDeviceToolPropertiesEXT* pToolProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceFragmentShadingRatesKHR_Weak=lvp_GetPhysicalDeviceFragmentShadingRatesKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_GetPhysicalDeviceFragmentShadingRatesKHR=lvp_GetPhysicalDeviceFragmentShadingRatesKHR_Weak")
    VkResult (*lvp_GetPhysicalDeviceFragmentShadingRatesKHR_Null)(VkPhysicalDevice physicalDevice, uint32_t* pFragmentShadingRateCount, VkPhysicalDeviceFragmentShadingRateKHR* pFragmentShadingRates) = 0;
    VkResult lvp_GetPhysicalDeviceFragmentShadingRatesKHR_Weak(VkPhysicalDevice physicalDevice, uint32_t* pFragmentShadingRateCount, VkPhysicalDeviceFragmentShadingRateKHR* pFragmentShadingRates);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetPhysicalDeviceFragmentShadingRatesKHR(VkPhysicalDevice physicalDevice, uint32_t* pFragmentShadingRateCount, VkPhysicalDeviceFragmentShadingRateKHR* pFragmentShadingRates) __attribute__ ((weak));
#endif

const struct vk_physical_device_entrypoint_table lvp_physical_device_entrypoints = {
    .GetPhysicalDeviceProperties = lvp_GetPhysicalDeviceProperties,
    .GetPhysicalDeviceQueueFamilyProperties = lvp_GetPhysicalDeviceQueueFamilyProperties,
    .GetPhysicalDeviceMemoryProperties = lvp_GetPhysicalDeviceMemoryProperties,
    .GetPhysicalDeviceFeatures = lvp_GetPhysicalDeviceFeatures,
    .GetPhysicalDeviceFormatProperties = lvp_GetPhysicalDeviceFormatProperties,
    .GetPhysicalDeviceImageFormatProperties = lvp_GetPhysicalDeviceImageFormatProperties,
    .CreateDevice = lvp_CreateDevice,
    .EnumerateDeviceLayerProperties = lvp_EnumerateDeviceLayerProperties,
    .EnumerateDeviceExtensionProperties = lvp_EnumerateDeviceExtensionProperties,
    .GetPhysicalDeviceSparseImageFormatProperties = lvp_GetPhysicalDeviceSparseImageFormatProperties,
    .GetPhysicalDeviceDisplayPropertiesKHR = lvp_GetPhysicalDeviceDisplayPropertiesKHR,
    .GetPhysicalDeviceDisplayPlanePropertiesKHR = lvp_GetPhysicalDeviceDisplayPlanePropertiesKHR,
    .GetDisplayPlaneSupportedDisplaysKHR = lvp_GetDisplayPlaneSupportedDisplaysKHR,
    .GetDisplayModePropertiesKHR = lvp_GetDisplayModePropertiesKHR,
    .CreateDisplayModeKHR = lvp_CreateDisplayModeKHR,
    .GetDisplayPlaneCapabilitiesKHR = lvp_GetDisplayPlaneCapabilitiesKHR,
    .GetPhysicalDeviceSurfaceSupportKHR = lvp_GetPhysicalDeviceSurfaceSupportKHR,
    .GetPhysicalDeviceSurfaceCapabilitiesKHR = lvp_GetPhysicalDeviceSurfaceCapabilitiesKHR,
    .GetPhysicalDeviceSurfaceFormatsKHR = lvp_GetPhysicalDeviceSurfaceFormatsKHR,
    .GetPhysicalDeviceSurfacePresentModesKHR = lvp_GetPhysicalDeviceSurfacePresentModesKHR,
#ifdef VK_USE_PLATFORM_WAYLAND_KHR
    .GetPhysicalDeviceWaylandPresentationSupportKHR = lvp_GetPhysicalDeviceWaylandPresentationSupportKHR,
#endif // VK_USE_PLATFORM_WAYLAND_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetPhysicalDeviceWin32PresentationSupportKHR = lvp_GetPhysicalDeviceWin32PresentationSupportKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_XLIB_KHR
    .GetPhysicalDeviceXlibPresentationSupportKHR = lvp_GetPhysicalDeviceXlibPresentationSupportKHR,
#endif // VK_USE_PLATFORM_XLIB_KHR
#ifdef VK_USE_PLATFORM_XCB_KHR
    .GetPhysicalDeviceXcbPresentationSupportKHR = lvp_GetPhysicalDeviceXcbPresentationSupportKHR,
#endif // VK_USE_PLATFORM_XCB_KHR
#ifdef VK_USE_PLATFORM_DIRECTFB_EXT
    .GetPhysicalDeviceDirectFBPresentationSupportEXT = lvp_GetPhysicalDeviceDirectFBPresentationSupportEXT,
#endif // VK_USE_PLATFORM_DIRECTFB_EXT
    .GetPhysicalDeviceExternalImageFormatPropertiesNV = lvp_GetPhysicalDeviceExternalImageFormatPropertiesNV,
    .GetPhysicalDeviceFeatures2 = lvp_GetPhysicalDeviceFeatures2,
    .GetPhysicalDeviceFeatures2KHR = lvp_GetPhysicalDeviceFeatures2KHR,
    .GetPhysicalDeviceProperties2 = lvp_GetPhysicalDeviceProperties2,
    .GetPhysicalDeviceProperties2KHR = lvp_GetPhysicalDeviceProperties2KHR,
    .GetPhysicalDeviceFormatProperties2 = lvp_GetPhysicalDeviceFormatProperties2,
    .GetPhysicalDeviceFormatProperties2KHR = lvp_GetPhysicalDeviceFormatProperties2KHR,
    .GetPhysicalDeviceImageFormatProperties2 = lvp_GetPhysicalDeviceImageFormatProperties2,
    .GetPhysicalDeviceImageFormatProperties2KHR = lvp_GetPhysicalDeviceImageFormatProperties2KHR,
    .GetPhysicalDeviceQueueFamilyProperties2 = lvp_GetPhysicalDeviceQueueFamilyProperties2,
    .GetPhysicalDeviceQueueFamilyProperties2KHR = lvp_GetPhysicalDeviceQueueFamilyProperties2KHR,
    .GetPhysicalDeviceMemoryProperties2 = lvp_GetPhysicalDeviceMemoryProperties2,
    .GetPhysicalDeviceMemoryProperties2KHR = lvp_GetPhysicalDeviceMemoryProperties2KHR,
    .GetPhysicalDeviceSparseImageFormatProperties2 = lvp_GetPhysicalDeviceSparseImageFormatProperties2,
    .GetPhysicalDeviceSparseImageFormatProperties2KHR = lvp_GetPhysicalDeviceSparseImageFormatProperties2KHR,
    .GetPhysicalDeviceExternalBufferProperties = lvp_GetPhysicalDeviceExternalBufferProperties,
    .GetPhysicalDeviceExternalBufferPropertiesKHR = lvp_GetPhysicalDeviceExternalBufferPropertiesKHR,
    .GetPhysicalDeviceExternalSemaphoreProperties = lvp_GetPhysicalDeviceExternalSemaphoreProperties,
    .GetPhysicalDeviceExternalSemaphorePropertiesKHR = lvp_GetPhysicalDeviceExternalSemaphorePropertiesKHR,
    .GetPhysicalDeviceExternalFenceProperties = lvp_GetPhysicalDeviceExternalFenceProperties,
    .GetPhysicalDeviceExternalFencePropertiesKHR = lvp_GetPhysicalDeviceExternalFencePropertiesKHR,
    .ReleaseDisplayEXT = lvp_ReleaseDisplayEXT,
#ifdef VK_USE_PLATFORM_XLIB_XRANDR_EXT
    .AcquireXlibDisplayEXT = lvp_AcquireXlibDisplayEXT,
#endif // VK_USE_PLATFORM_XLIB_XRANDR_EXT
#ifdef VK_USE_PLATFORM_XLIB_XRANDR_EXT
    .GetRandROutputDisplayEXT = lvp_GetRandROutputDisplayEXT,
#endif // VK_USE_PLATFORM_XLIB_XRANDR_EXT
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .AcquireWinrtDisplayNV = lvp_AcquireWinrtDisplayNV,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetWinrtDisplayNV = lvp_GetWinrtDisplayNV,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .GetPhysicalDeviceSurfaceCapabilities2EXT = lvp_GetPhysicalDeviceSurfaceCapabilities2EXT,
    .GetPhysicalDevicePresentRectanglesKHR = lvp_GetPhysicalDevicePresentRectanglesKHR,
    .GetPhysicalDeviceMultisamplePropertiesEXT = lvp_GetPhysicalDeviceMultisamplePropertiesEXT,
    .GetPhysicalDeviceSurfaceCapabilities2KHR = lvp_GetPhysicalDeviceSurfaceCapabilities2KHR,
    .GetPhysicalDeviceSurfaceFormats2KHR = lvp_GetPhysicalDeviceSurfaceFormats2KHR,
    .GetPhysicalDeviceDisplayProperties2KHR = lvp_GetPhysicalDeviceDisplayProperties2KHR,
    .GetPhysicalDeviceDisplayPlaneProperties2KHR = lvp_GetPhysicalDeviceDisplayPlaneProperties2KHR,
    .GetDisplayModeProperties2KHR = lvp_GetDisplayModeProperties2KHR,
    .GetDisplayPlaneCapabilities2KHR = lvp_GetDisplayPlaneCapabilities2KHR,
    .GetPhysicalDeviceCalibrateableTimeDomainsEXT = lvp_GetPhysicalDeviceCalibrateableTimeDomainsEXT,
    .GetPhysicalDeviceCooperativeMatrixPropertiesNV = lvp_GetPhysicalDeviceCooperativeMatrixPropertiesNV,
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetPhysicalDeviceSurfacePresentModes2EXT = lvp_GetPhysicalDeviceSurfacePresentModes2EXT,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR = lvp_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR,
    .GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR = lvp_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR,
    .GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV = lvp_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV,
    .GetPhysicalDeviceToolPropertiesEXT = lvp_GetPhysicalDeviceToolPropertiesEXT,
    .GetPhysicalDeviceFragmentShadingRatesKHR = lvp_GetPhysicalDeviceFragmentShadingRatesKHR,
};


#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetDeviceProcAddr_Weak=lvp_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:lvp_GetDeviceProcAddr=lvp_GetDeviceProcAddr_Weak")
    PFN_vkVoidFunction (*lvp_GetDeviceProcAddr_Null)(VkDevice device, const char* pName) = 0;
    PFN_vkVoidFunction lvp_GetDeviceProcAddr_Weak(VkDevice device, const char* pName);
#else
    VKAPI_ATTR PFN_vkVoidFunction VKAPI_CALL lvp_GetDeviceProcAddr(VkDevice device, const char* pName) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_DestroyDevice_Weak=lvp_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:lvp_DestroyDevice=lvp_DestroyDevice_Weak")
    void (*lvp_DestroyDevice_Null)(VkDevice device, const VkAllocationCallbacks* pAllocator) = 0;
    void lvp_DestroyDevice_Weak(VkDevice device, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_DestroyDevice(VkDevice device, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetDeviceQueue_Weak=lvp_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:lvp_GetDeviceQueue=lvp_GetDeviceQueue_Weak")
    void (*lvp_GetDeviceQueue_Null)(VkDevice device, uint32_t queueFamilyIndex, uint32_t queueIndex, VkQueue* pQueue) = 0;
    void lvp_GetDeviceQueue_Weak(VkDevice device, uint32_t queueFamilyIndex, uint32_t queueIndex, VkQueue* pQueue);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_GetDeviceQueue(VkDevice device, uint32_t queueFamilyIndex, uint32_t queueIndex, VkQueue* pQueue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_QueueSubmit_Weak=lvp_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:lvp_QueueSubmit=lvp_QueueSubmit_Weak")
    VkResult (*lvp_QueueSubmit_Null)(VkQueue queue, uint32_t submitCount, const VkSubmitInfo* pSubmits, VkFence fence) = 0;
    VkResult lvp_QueueSubmit_Weak(VkQueue queue, uint32_t submitCount, const VkSubmitInfo* pSubmits, VkFence fence);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_QueueSubmit(VkQueue queue, uint32_t submitCount, const VkSubmitInfo* pSubmits, VkFence fence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_QueueWaitIdle_Weak=lvp_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:lvp_QueueWaitIdle=lvp_QueueWaitIdle_Weak")
    VkResult (*lvp_QueueWaitIdle_Null)(VkQueue queue) = 0;
    VkResult lvp_QueueWaitIdle_Weak(VkQueue queue);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_QueueWaitIdle(VkQueue queue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_DeviceWaitIdle_Weak=lvp_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:lvp_DeviceWaitIdle=lvp_DeviceWaitIdle_Weak")
    VkResult (*lvp_DeviceWaitIdle_Null)(VkDevice device) = 0;
    VkResult lvp_DeviceWaitIdle_Weak(VkDevice device);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_DeviceWaitIdle(VkDevice device) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_AllocateMemory_Weak=lvp_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:lvp_AllocateMemory=lvp_AllocateMemory_Weak")
    VkResult (*lvp_AllocateMemory_Null)(VkDevice device, const VkMemoryAllocateInfo* pAllocateInfo, const VkAllocationCallbacks* pAllocator, VkDeviceMemory* pMemory) = 0;
    VkResult lvp_AllocateMemory_Weak(VkDevice device, const VkMemoryAllocateInfo* pAllocateInfo, const VkAllocationCallbacks* pAllocator, VkDeviceMemory* pMemory);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_AllocateMemory(VkDevice device, const VkMemoryAllocateInfo* pAllocateInfo, const VkAllocationCallbacks* pAllocator, VkDeviceMemory* pMemory) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_FreeMemory_Weak=lvp_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:lvp_FreeMemory=lvp_FreeMemory_Weak")
    void (*lvp_FreeMemory_Null)(VkDevice device, VkDeviceMemory memory, const VkAllocationCallbacks* pAllocator) = 0;
    void lvp_FreeMemory_Weak(VkDevice device, VkDeviceMemory memory, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_FreeMemory(VkDevice device, VkDeviceMemory memory, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_MapMemory_Weak=lvp_MapMemory_Null")
    #pragma comment(linker, "/alternatename:lvp_MapMemory=lvp_MapMemory_Weak")
    VkResult (*lvp_MapMemory_Null)(VkDevice device, VkDeviceMemory memory, VkDeviceSize offset, VkDeviceSize size, VkMemoryMapFlags flags, void** ppData) = 0;
    VkResult lvp_MapMemory_Weak(VkDevice device, VkDeviceMemory memory, VkDeviceSize offset, VkDeviceSize size, VkMemoryMapFlags flags, void** ppData);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_MapMemory(VkDevice device, VkDeviceMemory memory, VkDeviceSize offset, VkDeviceSize size, VkMemoryMapFlags flags, void** ppData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_UnmapMemory_Weak=lvp_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:lvp_UnmapMemory=lvp_UnmapMemory_Weak")
    void (*lvp_UnmapMemory_Null)(VkDevice device, VkDeviceMemory memory) = 0;
    void lvp_UnmapMemory_Weak(VkDevice device, VkDeviceMemory memory);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_UnmapMemory(VkDevice device, VkDeviceMemory memory) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_FlushMappedMemoryRanges_Weak=lvp_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:lvp_FlushMappedMemoryRanges=lvp_FlushMappedMemoryRanges_Weak")
    VkResult (*lvp_FlushMappedMemoryRanges_Null)(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges) = 0;
    VkResult lvp_FlushMappedMemoryRanges_Weak(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_FlushMappedMemoryRanges(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_InvalidateMappedMemoryRanges_Weak=lvp_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:lvp_InvalidateMappedMemoryRanges=lvp_InvalidateMappedMemoryRanges_Weak")
    VkResult (*lvp_InvalidateMappedMemoryRanges_Null)(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges) = 0;
    VkResult lvp_InvalidateMappedMemoryRanges_Weak(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_InvalidateMappedMemoryRanges(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetDeviceMemoryCommitment_Weak=lvp_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:lvp_GetDeviceMemoryCommitment=lvp_GetDeviceMemoryCommitment_Weak")
    void (*lvp_GetDeviceMemoryCommitment_Null)(VkDevice device, VkDeviceMemory memory, VkDeviceSize* pCommittedMemoryInBytes) = 0;
    void lvp_GetDeviceMemoryCommitment_Weak(VkDevice device, VkDeviceMemory memory, VkDeviceSize* pCommittedMemoryInBytes);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_GetDeviceMemoryCommitment(VkDevice device, VkDeviceMemory memory, VkDeviceSize* pCommittedMemoryInBytes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetBufferMemoryRequirements_Weak=lvp_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:lvp_GetBufferMemoryRequirements=lvp_GetBufferMemoryRequirements_Weak")
    void (*lvp_GetBufferMemoryRequirements_Null)(VkDevice device, VkBuffer buffer, VkMemoryRequirements* pMemoryRequirements) = 0;
    void lvp_GetBufferMemoryRequirements_Weak(VkDevice device, VkBuffer buffer, VkMemoryRequirements* pMemoryRequirements);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_GetBufferMemoryRequirements(VkDevice device, VkBuffer buffer, VkMemoryRequirements* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_BindBufferMemory_Weak=lvp_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:lvp_BindBufferMemory=lvp_BindBufferMemory_Weak")
    VkResult (*lvp_BindBufferMemory_Null)(VkDevice device, VkBuffer buffer, VkDeviceMemory memory, VkDeviceSize memoryOffset) = 0;
    VkResult lvp_BindBufferMemory_Weak(VkDevice device, VkBuffer buffer, VkDeviceMemory memory, VkDeviceSize memoryOffset);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_BindBufferMemory(VkDevice device, VkBuffer buffer, VkDeviceMemory memory, VkDeviceSize memoryOffset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetImageMemoryRequirements_Weak=lvp_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:lvp_GetImageMemoryRequirements=lvp_GetImageMemoryRequirements_Weak")
    void (*lvp_GetImageMemoryRequirements_Null)(VkDevice device, VkImage image, VkMemoryRequirements* pMemoryRequirements) = 0;
    void lvp_GetImageMemoryRequirements_Weak(VkDevice device, VkImage image, VkMemoryRequirements* pMemoryRequirements);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_GetImageMemoryRequirements(VkDevice device, VkImage image, VkMemoryRequirements* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_BindImageMemory_Weak=lvp_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:lvp_BindImageMemory=lvp_BindImageMemory_Weak")
    VkResult (*lvp_BindImageMemory_Null)(VkDevice device, VkImage image, VkDeviceMemory memory, VkDeviceSize memoryOffset) = 0;
    VkResult lvp_BindImageMemory_Weak(VkDevice device, VkImage image, VkDeviceMemory memory, VkDeviceSize memoryOffset);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_BindImageMemory(VkDevice device, VkImage image, VkDeviceMemory memory, VkDeviceSize memoryOffset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetImageSparseMemoryRequirements_Weak=lvp_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:lvp_GetImageSparseMemoryRequirements=lvp_GetImageSparseMemoryRequirements_Weak")
    void (*lvp_GetImageSparseMemoryRequirements_Null)(VkDevice device, VkImage image, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements* pSparseMemoryRequirements) = 0;
    void lvp_GetImageSparseMemoryRequirements_Weak(VkDevice device, VkImage image, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements* pSparseMemoryRequirements);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_GetImageSparseMemoryRequirements(VkDevice device, VkImage image, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements* pSparseMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_QueueBindSparse_Weak=lvp_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:lvp_QueueBindSparse=lvp_QueueBindSparse_Weak")
    VkResult (*lvp_QueueBindSparse_Null)(VkQueue queue, uint32_t bindInfoCount, const VkBindSparseInfo* pBindInfo, VkFence fence) = 0;
    VkResult lvp_QueueBindSparse_Weak(VkQueue queue, uint32_t bindInfoCount, const VkBindSparseInfo* pBindInfo, VkFence fence);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_QueueBindSparse(VkQueue queue, uint32_t bindInfoCount, const VkBindSparseInfo* pBindInfo, VkFence fence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CreateFence_Weak=lvp_CreateFence_Null")
    #pragma comment(linker, "/alternatename:lvp_CreateFence=lvp_CreateFence_Weak")
    VkResult (*lvp_CreateFence_Null)(VkDevice device, const VkFenceCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) = 0;
    VkResult lvp_CreateFence_Weak(VkDevice device, const VkFenceCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_CreateFence(VkDevice device, const VkFenceCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_DestroyFence_Weak=lvp_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:lvp_DestroyFence=lvp_DestroyFence_Weak")
    void (*lvp_DestroyFence_Null)(VkDevice device, VkFence fence, const VkAllocationCallbacks* pAllocator) = 0;
    void lvp_DestroyFence_Weak(VkDevice device, VkFence fence, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_DestroyFence(VkDevice device, VkFence fence, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_ResetFences_Weak=lvp_ResetFences_Null")
    #pragma comment(linker, "/alternatename:lvp_ResetFences=lvp_ResetFences_Weak")
    VkResult (*lvp_ResetFences_Null)(VkDevice device, uint32_t fenceCount, const VkFence* pFences) = 0;
    VkResult lvp_ResetFences_Weak(VkDevice device, uint32_t fenceCount, const VkFence* pFences);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_ResetFences(VkDevice device, uint32_t fenceCount, const VkFence* pFences) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetFenceStatus_Weak=lvp_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:lvp_GetFenceStatus=lvp_GetFenceStatus_Weak")
    VkResult (*lvp_GetFenceStatus_Null)(VkDevice device, VkFence fence) = 0;
    VkResult lvp_GetFenceStatus_Weak(VkDevice device, VkFence fence);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetFenceStatus(VkDevice device, VkFence fence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_WaitForFences_Weak=lvp_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:lvp_WaitForFences=lvp_WaitForFences_Weak")
    VkResult (*lvp_WaitForFences_Null)(VkDevice device, uint32_t fenceCount, const VkFence* pFences, VkBool32 waitAll, uint64_t timeout) = 0;
    VkResult lvp_WaitForFences_Weak(VkDevice device, uint32_t fenceCount, const VkFence* pFences, VkBool32 waitAll, uint64_t timeout);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_WaitForFences(VkDevice device, uint32_t fenceCount, const VkFence* pFences, VkBool32 waitAll, uint64_t timeout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CreateSemaphore_Weak=lvp_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:lvp_CreateSemaphore=lvp_CreateSemaphore_Weak")
    VkResult (*lvp_CreateSemaphore_Null)(VkDevice device, const VkSemaphoreCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSemaphore* pSemaphore) = 0;
    VkResult lvp_CreateSemaphore_Weak(VkDevice device, const VkSemaphoreCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSemaphore* pSemaphore);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_CreateSemaphore(VkDevice device, const VkSemaphoreCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSemaphore* pSemaphore) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_DestroySemaphore_Weak=lvp_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:lvp_DestroySemaphore=lvp_DestroySemaphore_Weak")
    void (*lvp_DestroySemaphore_Null)(VkDevice device, VkSemaphore semaphore, const VkAllocationCallbacks* pAllocator) = 0;
    void lvp_DestroySemaphore_Weak(VkDevice device, VkSemaphore semaphore, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_DestroySemaphore(VkDevice device, VkSemaphore semaphore, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CreateEvent_Weak=lvp_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:lvp_CreateEvent=lvp_CreateEvent_Weak")
    VkResult (*lvp_CreateEvent_Null)(VkDevice device, const VkEventCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkEvent* pEvent) = 0;
    VkResult lvp_CreateEvent_Weak(VkDevice device, const VkEventCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkEvent* pEvent);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_CreateEvent(VkDevice device, const VkEventCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkEvent* pEvent) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_DestroyEvent_Weak=lvp_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:lvp_DestroyEvent=lvp_DestroyEvent_Weak")
    void (*lvp_DestroyEvent_Null)(VkDevice device, VkEvent event, const VkAllocationCallbacks* pAllocator) = 0;
    void lvp_DestroyEvent_Weak(VkDevice device, VkEvent event, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_DestroyEvent(VkDevice device, VkEvent event, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetEventStatus_Weak=lvp_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:lvp_GetEventStatus=lvp_GetEventStatus_Weak")
    VkResult (*lvp_GetEventStatus_Null)(VkDevice device, VkEvent event) = 0;
    VkResult lvp_GetEventStatus_Weak(VkDevice device, VkEvent event);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetEventStatus(VkDevice device, VkEvent event) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_SetEvent_Weak=lvp_SetEvent_Null")
    #pragma comment(linker, "/alternatename:lvp_SetEvent=lvp_SetEvent_Weak")
    VkResult (*lvp_SetEvent_Null)(VkDevice device, VkEvent event) = 0;
    VkResult lvp_SetEvent_Weak(VkDevice device, VkEvent event);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_SetEvent(VkDevice device, VkEvent event) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_ResetEvent_Weak=lvp_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:lvp_ResetEvent=lvp_ResetEvent_Weak")
    VkResult (*lvp_ResetEvent_Null)(VkDevice device, VkEvent event) = 0;
    VkResult lvp_ResetEvent_Weak(VkDevice device, VkEvent event);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_ResetEvent(VkDevice device, VkEvent event) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CreateQueryPool_Weak=lvp_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:lvp_CreateQueryPool=lvp_CreateQueryPool_Weak")
    VkResult (*lvp_CreateQueryPool_Null)(VkDevice device, const VkQueryPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkQueryPool* pQueryPool) = 0;
    VkResult lvp_CreateQueryPool_Weak(VkDevice device, const VkQueryPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkQueryPool* pQueryPool);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_CreateQueryPool(VkDevice device, const VkQueryPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkQueryPool* pQueryPool) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_DestroyQueryPool_Weak=lvp_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:lvp_DestroyQueryPool=lvp_DestroyQueryPool_Weak")
    void (*lvp_DestroyQueryPool_Null)(VkDevice device, VkQueryPool queryPool, const VkAllocationCallbacks* pAllocator) = 0;
    void lvp_DestroyQueryPool_Weak(VkDevice device, VkQueryPool queryPool, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_DestroyQueryPool(VkDevice device, VkQueryPool queryPool, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetQueryPoolResults_Weak=lvp_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:lvp_GetQueryPoolResults=lvp_GetQueryPoolResults_Weak")
    VkResult (*lvp_GetQueryPoolResults_Null)(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, size_t dataSize, void* pData, VkDeviceSize stride, VkQueryResultFlags flags) = 0;
    VkResult lvp_GetQueryPoolResults_Weak(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, size_t dataSize, void* pData, VkDeviceSize stride, VkQueryResultFlags flags);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetQueryPoolResults(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, size_t dataSize, void* pData, VkDeviceSize stride, VkQueryResultFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_ResetQueryPool_Weak=lvp_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:lvp_ResetQueryPool=lvp_ResetQueryPool_Weak")
    void (*lvp_ResetQueryPool_Null)(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) = 0;
    void lvp_ResetQueryPool_Weak(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_ResetQueryPool(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_ResetQueryPoolEXT_Weak=lvp_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_ResetQueryPoolEXT=lvp_ResetQueryPoolEXT_Weak")
    void (*lvp_ResetQueryPoolEXT_Null)(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) = 0;
    void lvp_ResetQueryPoolEXT_Weak(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_ResetQueryPoolEXT(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CreateBuffer_Weak=lvp_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:lvp_CreateBuffer=lvp_CreateBuffer_Weak")
    VkResult (*lvp_CreateBuffer_Null)(VkDevice device, const VkBufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBuffer* pBuffer) = 0;
    VkResult lvp_CreateBuffer_Weak(VkDevice device, const VkBufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBuffer* pBuffer);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_CreateBuffer(VkDevice device, const VkBufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBuffer* pBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_DestroyBuffer_Weak=lvp_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:lvp_DestroyBuffer=lvp_DestroyBuffer_Weak")
    void (*lvp_DestroyBuffer_Null)(VkDevice device, VkBuffer buffer, const VkAllocationCallbacks* pAllocator) = 0;
    void lvp_DestroyBuffer_Weak(VkDevice device, VkBuffer buffer, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_DestroyBuffer(VkDevice device, VkBuffer buffer, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CreateBufferView_Weak=lvp_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:lvp_CreateBufferView=lvp_CreateBufferView_Weak")
    VkResult (*lvp_CreateBufferView_Null)(VkDevice device, const VkBufferViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBufferView* pView) = 0;
    VkResult lvp_CreateBufferView_Weak(VkDevice device, const VkBufferViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBufferView* pView);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_CreateBufferView(VkDevice device, const VkBufferViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBufferView* pView) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_DestroyBufferView_Weak=lvp_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:lvp_DestroyBufferView=lvp_DestroyBufferView_Weak")
    void (*lvp_DestroyBufferView_Null)(VkDevice device, VkBufferView bufferView, const VkAllocationCallbacks* pAllocator) = 0;
    void lvp_DestroyBufferView_Weak(VkDevice device, VkBufferView bufferView, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_DestroyBufferView(VkDevice device, VkBufferView bufferView, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CreateImage_Weak=lvp_CreateImage_Null")
    #pragma comment(linker, "/alternatename:lvp_CreateImage=lvp_CreateImage_Weak")
    VkResult (*lvp_CreateImage_Null)(VkDevice device, const VkImageCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImage* pImage) = 0;
    VkResult lvp_CreateImage_Weak(VkDevice device, const VkImageCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImage* pImage);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_CreateImage(VkDevice device, const VkImageCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImage* pImage) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_DestroyImage_Weak=lvp_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:lvp_DestroyImage=lvp_DestroyImage_Weak")
    void (*lvp_DestroyImage_Null)(VkDevice device, VkImage image, const VkAllocationCallbacks* pAllocator) = 0;
    void lvp_DestroyImage_Weak(VkDevice device, VkImage image, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_DestroyImage(VkDevice device, VkImage image, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetImageSubresourceLayout_Weak=lvp_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:lvp_GetImageSubresourceLayout=lvp_GetImageSubresourceLayout_Weak")
    void (*lvp_GetImageSubresourceLayout_Null)(VkDevice device, VkImage image, const VkImageSubresource* pSubresource, VkSubresourceLayout* pLayout) = 0;
    void lvp_GetImageSubresourceLayout_Weak(VkDevice device, VkImage image, const VkImageSubresource* pSubresource, VkSubresourceLayout* pLayout);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_GetImageSubresourceLayout(VkDevice device, VkImage image, const VkImageSubresource* pSubresource, VkSubresourceLayout* pLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CreateImageView_Weak=lvp_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:lvp_CreateImageView=lvp_CreateImageView_Weak")
    VkResult (*lvp_CreateImageView_Null)(VkDevice device, const VkImageViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImageView* pView) = 0;
    VkResult lvp_CreateImageView_Weak(VkDevice device, const VkImageViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImageView* pView);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_CreateImageView(VkDevice device, const VkImageViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImageView* pView) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_DestroyImageView_Weak=lvp_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:lvp_DestroyImageView=lvp_DestroyImageView_Weak")
    void (*lvp_DestroyImageView_Null)(VkDevice device, VkImageView imageView, const VkAllocationCallbacks* pAllocator) = 0;
    void lvp_DestroyImageView_Weak(VkDevice device, VkImageView imageView, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_DestroyImageView(VkDevice device, VkImageView imageView, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CreateShaderModule_Weak=lvp_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:lvp_CreateShaderModule=lvp_CreateShaderModule_Weak")
    VkResult (*lvp_CreateShaderModule_Null)(VkDevice device, const VkShaderModuleCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkShaderModule* pShaderModule) = 0;
    VkResult lvp_CreateShaderModule_Weak(VkDevice device, const VkShaderModuleCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkShaderModule* pShaderModule);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_CreateShaderModule(VkDevice device, const VkShaderModuleCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkShaderModule* pShaderModule) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_DestroyShaderModule_Weak=lvp_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:lvp_DestroyShaderModule=lvp_DestroyShaderModule_Weak")
    void (*lvp_DestroyShaderModule_Null)(VkDevice device, VkShaderModule shaderModule, const VkAllocationCallbacks* pAllocator) = 0;
    void lvp_DestroyShaderModule_Weak(VkDevice device, VkShaderModule shaderModule, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_DestroyShaderModule(VkDevice device, VkShaderModule shaderModule, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CreatePipelineCache_Weak=lvp_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:lvp_CreatePipelineCache=lvp_CreatePipelineCache_Weak")
    VkResult (*lvp_CreatePipelineCache_Null)(VkDevice device, const VkPipelineCacheCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineCache* pPipelineCache) = 0;
    VkResult lvp_CreatePipelineCache_Weak(VkDevice device, const VkPipelineCacheCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineCache* pPipelineCache);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_CreatePipelineCache(VkDevice device, const VkPipelineCacheCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineCache* pPipelineCache) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_DestroyPipelineCache_Weak=lvp_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:lvp_DestroyPipelineCache=lvp_DestroyPipelineCache_Weak")
    void (*lvp_DestroyPipelineCache_Null)(VkDevice device, VkPipelineCache pipelineCache, const VkAllocationCallbacks* pAllocator) = 0;
    void lvp_DestroyPipelineCache_Weak(VkDevice device, VkPipelineCache pipelineCache, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_DestroyPipelineCache(VkDevice device, VkPipelineCache pipelineCache, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetPipelineCacheData_Weak=lvp_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:lvp_GetPipelineCacheData=lvp_GetPipelineCacheData_Weak")
    VkResult (*lvp_GetPipelineCacheData_Null)(VkDevice device, VkPipelineCache pipelineCache, size_t* pDataSize, void* pData) = 0;
    VkResult lvp_GetPipelineCacheData_Weak(VkDevice device, VkPipelineCache pipelineCache, size_t* pDataSize, void* pData);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetPipelineCacheData(VkDevice device, VkPipelineCache pipelineCache, size_t* pDataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_MergePipelineCaches_Weak=lvp_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:lvp_MergePipelineCaches=lvp_MergePipelineCaches_Weak")
    VkResult (*lvp_MergePipelineCaches_Null)(VkDevice device, VkPipelineCache dstCache, uint32_t srcCacheCount, const VkPipelineCache* pSrcCaches) = 0;
    VkResult lvp_MergePipelineCaches_Weak(VkDevice device, VkPipelineCache dstCache, uint32_t srcCacheCount, const VkPipelineCache* pSrcCaches);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_MergePipelineCaches(VkDevice device, VkPipelineCache dstCache, uint32_t srcCacheCount, const VkPipelineCache* pSrcCaches) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CreateGraphicsPipelines_Weak=lvp_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:lvp_CreateGraphicsPipelines=lvp_CreateGraphicsPipelines_Weak")
    VkResult (*lvp_CreateGraphicsPipelines_Null)(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkGraphicsPipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) = 0;
    VkResult lvp_CreateGraphicsPipelines_Weak(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkGraphicsPipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_CreateGraphicsPipelines(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkGraphicsPipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CreateComputePipelines_Weak=lvp_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:lvp_CreateComputePipelines=lvp_CreateComputePipelines_Weak")
    VkResult (*lvp_CreateComputePipelines_Null)(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkComputePipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) = 0;
    VkResult lvp_CreateComputePipelines_Weak(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkComputePipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_CreateComputePipelines(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkComputePipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_DestroyPipeline_Weak=lvp_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:lvp_DestroyPipeline=lvp_DestroyPipeline_Weak")
    void (*lvp_DestroyPipeline_Null)(VkDevice device, VkPipeline pipeline, const VkAllocationCallbacks* pAllocator) = 0;
    void lvp_DestroyPipeline_Weak(VkDevice device, VkPipeline pipeline, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_DestroyPipeline(VkDevice device, VkPipeline pipeline, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CreatePipelineLayout_Weak=lvp_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:lvp_CreatePipelineLayout=lvp_CreatePipelineLayout_Weak")
    VkResult (*lvp_CreatePipelineLayout_Null)(VkDevice device, const VkPipelineLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineLayout* pPipelineLayout) = 0;
    VkResult lvp_CreatePipelineLayout_Weak(VkDevice device, const VkPipelineLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineLayout* pPipelineLayout);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_CreatePipelineLayout(VkDevice device, const VkPipelineLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineLayout* pPipelineLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_DestroyPipelineLayout_Weak=lvp_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:lvp_DestroyPipelineLayout=lvp_DestroyPipelineLayout_Weak")
    void (*lvp_DestroyPipelineLayout_Null)(VkDevice device, VkPipelineLayout pipelineLayout, const VkAllocationCallbacks* pAllocator) = 0;
    void lvp_DestroyPipelineLayout_Weak(VkDevice device, VkPipelineLayout pipelineLayout, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_DestroyPipelineLayout(VkDevice device, VkPipelineLayout pipelineLayout, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CreateSampler_Weak=lvp_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:lvp_CreateSampler=lvp_CreateSampler_Weak")
    VkResult (*lvp_CreateSampler_Null)(VkDevice device, const VkSamplerCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSampler* pSampler) = 0;
    VkResult lvp_CreateSampler_Weak(VkDevice device, const VkSamplerCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSampler* pSampler);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_CreateSampler(VkDevice device, const VkSamplerCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSampler* pSampler) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_DestroySampler_Weak=lvp_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:lvp_DestroySampler=lvp_DestroySampler_Weak")
    void (*lvp_DestroySampler_Null)(VkDevice device, VkSampler sampler, const VkAllocationCallbacks* pAllocator) = 0;
    void lvp_DestroySampler_Weak(VkDevice device, VkSampler sampler, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_DestroySampler(VkDevice device, VkSampler sampler, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CreateDescriptorSetLayout_Weak=lvp_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:lvp_CreateDescriptorSetLayout=lvp_CreateDescriptorSetLayout_Weak")
    VkResult (*lvp_CreateDescriptorSetLayout_Null)(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorSetLayout* pSetLayout) = 0;
    VkResult lvp_CreateDescriptorSetLayout_Weak(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorSetLayout* pSetLayout);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_CreateDescriptorSetLayout(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorSetLayout* pSetLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_DestroyDescriptorSetLayout_Weak=lvp_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:lvp_DestroyDescriptorSetLayout=lvp_DestroyDescriptorSetLayout_Weak")
    void (*lvp_DestroyDescriptorSetLayout_Null)(VkDevice device, VkDescriptorSetLayout descriptorSetLayout, const VkAllocationCallbacks* pAllocator) = 0;
    void lvp_DestroyDescriptorSetLayout_Weak(VkDevice device, VkDescriptorSetLayout descriptorSetLayout, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_DestroyDescriptorSetLayout(VkDevice device, VkDescriptorSetLayout descriptorSetLayout, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CreateDescriptorPool_Weak=lvp_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:lvp_CreateDescriptorPool=lvp_CreateDescriptorPool_Weak")
    VkResult (*lvp_CreateDescriptorPool_Null)(VkDevice device, const VkDescriptorPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorPool* pDescriptorPool) = 0;
    VkResult lvp_CreateDescriptorPool_Weak(VkDevice device, const VkDescriptorPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorPool* pDescriptorPool);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_CreateDescriptorPool(VkDevice device, const VkDescriptorPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorPool* pDescriptorPool) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_DestroyDescriptorPool_Weak=lvp_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:lvp_DestroyDescriptorPool=lvp_DestroyDescriptorPool_Weak")
    void (*lvp_DestroyDescriptorPool_Null)(VkDevice device, VkDescriptorPool descriptorPool, const VkAllocationCallbacks* pAllocator) = 0;
    void lvp_DestroyDescriptorPool_Weak(VkDevice device, VkDescriptorPool descriptorPool, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_DestroyDescriptorPool(VkDevice device, VkDescriptorPool descriptorPool, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_ResetDescriptorPool_Weak=lvp_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:lvp_ResetDescriptorPool=lvp_ResetDescriptorPool_Weak")
    VkResult (*lvp_ResetDescriptorPool_Null)(VkDevice device, VkDescriptorPool descriptorPool, VkDescriptorPoolResetFlags flags) = 0;
    VkResult lvp_ResetDescriptorPool_Weak(VkDevice device, VkDescriptorPool descriptorPool, VkDescriptorPoolResetFlags flags);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_ResetDescriptorPool(VkDevice device, VkDescriptorPool descriptorPool, VkDescriptorPoolResetFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_AllocateDescriptorSets_Weak=lvp_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:lvp_AllocateDescriptorSets=lvp_AllocateDescriptorSets_Weak")
    VkResult (*lvp_AllocateDescriptorSets_Null)(VkDevice device, const VkDescriptorSetAllocateInfo* pAllocateInfo, VkDescriptorSet* pDescriptorSets) = 0;
    VkResult lvp_AllocateDescriptorSets_Weak(VkDevice device, const VkDescriptorSetAllocateInfo* pAllocateInfo, VkDescriptorSet* pDescriptorSets);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_AllocateDescriptorSets(VkDevice device, const VkDescriptorSetAllocateInfo* pAllocateInfo, VkDescriptorSet* pDescriptorSets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_FreeDescriptorSets_Weak=lvp_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:lvp_FreeDescriptorSets=lvp_FreeDescriptorSets_Weak")
    VkResult (*lvp_FreeDescriptorSets_Null)(VkDevice device, VkDescriptorPool descriptorPool, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets) = 0;
    VkResult lvp_FreeDescriptorSets_Weak(VkDevice device, VkDescriptorPool descriptorPool, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_FreeDescriptorSets(VkDevice device, VkDescriptorPool descriptorPool, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_UpdateDescriptorSets_Weak=lvp_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:lvp_UpdateDescriptorSets=lvp_UpdateDescriptorSets_Weak")
    void (*lvp_UpdateDescriptorSets_Null)(VkDevice device, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites, uint32_t descriptorCopyCount, const VkCopyDescriptorSet* pDescriptorCopies) = 0;
    void lvp_UpdateDescriptorSets_Weak(VkDevice device, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites, uint32_t descriptorCopyCount, const VkCopyDescriptorSet* pDescriptorCopies);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_UpdateDescriptorSets(VkDevice device, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites, uint32_t descriptorCopyCount, const VkCopyDescriptorSet* pDescriptorCopies) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CreateFramebuffer_Weak=lvp_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:lvp_CreateFramebuffer=lvp_CreateFramebuffer_Weak")
    VkResult (*lvp_CreateFramebuffer_Null)(VkDevice device, const VkFramebufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFramebuffer* pFramebuffer) = 0;
    VkResult lvp_CreateFramebuffer_Weak(VkDevice device, const VkFramebufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFramebuffer* pFramebuffer);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_CreateFramebuffer(VkDevice device, const VkFramebufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFramebuffer* pFramebuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_DestroyFramebuffer_Weak=lvp_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:lvp_DestroyFramebuffer=lvp_DestroyFramebuffer_Weak")
    void (*lvp_DestroyFramebuffer_Null)(VkDevice device, VkFramebuffer framebuffer, const VkAllocationCallbacks* pAllocator) = 0;
    void lvp_DestroyFramebuffer_Weak(VkDevice device, VkFramebuffer framebuffer, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_DestroyFramebuffer(VkDevice device, VkFramebuffer framebuffer, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CreateRenderPass_Weak=lvp_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:lvp_CreateRenderPass=lvp_CreateRenderPass_Weak")
    VkResult (*lvp_CreateRenderPass_Null)(VkDevice device, const VkRenderPassCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) = 0;
    VkResult lvp_CreateRenderPass_Weak(VkDevice device, const VkRenderPassCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_CreateRenderPass(VkDevice device, const VkRenderPassCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_DestroyRenderPass_Weak=lvp_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:lvp_DestroyRenderPass=lvp_DestroyRenderPass_Weak")
    void (*lvp_DestroyRenderPass_Null)(VkDevice device, VkRenderPass renderPass, const VkAllocationCallbacks* pAllocator) = 0;
    void lvp_DestroyRenderPass_Weak(VkDevice device, VkRenderPass renderPass, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_DestroyRenderPass(VkDevice device, VkRenderPass renderPass, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetRenderAreaGranularity_Weak=lvp_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:lvp_GetRenderAreaGranularity=lvp_GetRenderAreaGranularity_Weak")
    void (*lvp_GetRenderAreaGranularity_Null)(VkDevice device, VkRenderPass renderPass, VkExtent2D* pGranularity) = 0;
    void lvp_GetRenderAreaGranularity_Weak(VkDevice device, VkRenderPass renderPass, VkExtent2D* pGranularity);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_GetRenderAreaGranularity(VkDevice device, VkRenderPass renderPass, VkExtent2D* pGranularity) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CreateCommandPool_Weak=lvp_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:lvp_CreateCommandPool=lvp_CreateCommandPool_Weak")
    VkResult (*lvp_CreateCommandPool_Null)(VkDevice device, const VkCommandPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCommandPool* pCommandPool) = 0;
    VkResult lvp_CreateCommandPool_Weak(VkDevice device, const VkCommandPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCommandPool* pCommandPool);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_CreateCommandPool(VkDevice device, const VkCommandPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCommandPool* pCommandPool) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_DestroyCommandPool_Weak=lvp_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:lvp_DestroyCommandPool=lvp_DestroyCommandPool_Weak")
    void (*lvp_DestroyCommandPool_Null)(VkDevice device, VkCommandPool commandPool, const VkAllocationCallbacks* pAllocator) = 0;
    void lvp_DestroyCommandPool_Weak(VkDevice device, VkCommandPool commandPool, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_DestroyCommandPool(VkDevice device, VkCommandPool commandPool, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_ResetCommandPool_Weak=lvp_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:lvp_ResetCommandPool=lvp_ResetCommandPool_Weak")
    VkResult (*lvp_ResetCommandPool_Null)(VkDevice device, VkCommandPool commandPool, VkCommandPoolResetFlags flags) = 0;
    VkResult lvp_ResetCommandPool_Weak(VkDevice device, VkCommandPool commandPool, VkCommandPoolResetFlags flags);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_ResetCommandPool(VkDevice device, VkCommandPool commandPool, VkCommandPoolResetFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_AllocateCommandBuffers_Weak=lvp_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:lvp_AllocateCommandBuffers=lvp_AllocateCommandBuffers_Weak")
    VkResult (*lvp_AllocateCommandBuffers_Null)(VkDevice device, const VkCommandBufferAllocateInfo* pAllocateInfo, VkCommandBuffer* pCommandBuffers) = 0;
    VkResult lvp_AllocateCommandBuffers_Weak(VkDevice device, const VkCommandBufferAllocateInfo* pAllocateInfo, VkCommandBuffer* pCommandBuffers);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_AllocateCommandBuffers(VkDevice device, const VkCommandBufferAllocateInfo* pAllocateInfo, VkCommandBuffer* pCommandBuffers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_FreeCommandBuffers_Weak=lvp_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:lvp_FreeCommandBuffers=lvp_FreeCommandBuffers_Weak")
    void (*lvp_FreeCommandBuffers_Null)(VkDevice device, VkCommandPool commandPool, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers) = 0;
    void lvp_FreeCommandBuffers_Weak(VkDevice device, VkCommandPool commandPool, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_FreeCommandBuffers(VkDevice device, VkCommandPool commandPool, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_BeginCommandBuffer_Weak=lvp_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:lvp_BeginCommandBuffer=lvp_BeginCommandBuffer_Weak")
    VkResult (*lvp_BeginCommandBuffer_Null)(VkCommandBuffer commandBuffer, const VkCommandBufferBeginInfo* pBeginInfo) = 0;
    VkResult lvp_BeginCommandBuffer_Weak(VkCommandBuffer commandBuffer, const VkCommandBufferBeginInfo* pBeginInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_BeginCommandBuffer(VkCommandBuffer commandBuffer, const VkCommandBufferBeginInfo* pBeginInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_EndCommandBuffer_Weak=lvp_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:lvp_EndCommandBuffer=lvp_EndCommandBuffer_Weak")
    VkResult (*lvp_EndCommandBuffer_Null)(VkCommandBuffer commandBuffer) = 0;
    VkResult lvp_EndCommandBuffer_Weak(VkCommandBuffer commandBuffer);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_EndCommandBuffer(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_ResetCommandBuffer_Weak=lvp_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:lvp_ResetCommandBuffer=lvp_ResetCommandBuffer_Weak")
    VkResult (*lvp_ResetCommandBuffer_Null)(VkCommandBuffer commandBuffer, VkCommandBufferResetFlags flags) = 0;
    VkResult lvp_ResetCommandBuffer_Weak(VkCommandBuffer commandBuffer, VkCommandBufferResetFlags flags);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_ResetCommandBuffer(VkCommandBuffer commandBuffer, VkCommandBufferResetFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdBindPipeline_Weak=lvp_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdBindPipeline=lvp_CmdBindPipeline_Weak")
    void (*lvp_CmdBindPipeline_Null)(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline) = 0;
    void lvp_CmdBindPipeline_Weak(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdBindPipeline(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdSetViewport_Weak=lvp_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdSetViewport=lvp_CmdSetViewport_Weak")
    void (*lvp_CmdSetViewport_Null)(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewport* pViewports) = 0;
    void lvp_CmdSetViewport_Weak(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewport* pViewports);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdSetViewport(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewport* pViewports) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdSetScissor_Weak=lvp_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdSetScissor=lvp_CmdSetScissor_Weak")
    void (*lvp_CmdSetScissor_Null)(VkCommandBuffer commandBuffer, uint32_t firstScissor, uint32_t scissorCount, const VkRect2D* pScissors) = 0;
    void lvp_CmdSetScissor_Weak(VkCommandBuffer commandBuffer, uint32_t firstScissor, uint32_t scissorCount, const VkRect2D* pScissors);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdSetScissor(VkCommandBuffer commandBuffer, uint32_t firstScissor, uint32_t scissorCount, const VkRect2D* pScissors) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdSetLineWidth_Weak=lvp_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdSetLineWidth=lvp_CmdSetLineWidth_Weak")
    void (*lvp_CmdSetLineWidth_Null)(VkCommandBuffer commandBuffer, float lineWidth) = 0;
    void lvp_CmdSetLineWidth_Weak(VkCommandBuffer commandBuffer, float lineWidth);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdSetLineWidth(VkCommandBuffer commandBuffer, float lineWidth) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdSetDepthBias_Weak=lvp_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdSetDepthBias=lvp_CmdSetDepthBias_Weak")
    void (*lvp_CmdSetDepthBias_Null)(VkCommandBuffer commandBuffer, float depthBiasConstantFactor, float depthBiasClamp, float depthBiasSlopeFactor) = 0;
    void lvp_CmdSetDepthBias_Weak(VkCommandBuffer commandBuffer, float depthBiasConstantFactor, float depthBiasClamp, float depthBiasSlopeFactor);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdSetDepthBias(VkCommandBuffer commandBuffer, float depthBiasConstantFactor, float depthBiasClamp, float depthBiasSlopeFactor) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdSetBlendConstants_Weak=lvp_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdSetBlendConstants=lvp_CmdSetBlendConstants_Weak")
    void (*lvp_CmdSetBlendConstants_Null)(VkCommandBuffer commandBuffer, const float blendConstants[4]) = 0;
    void lvp_CmdSetBlendConstants_Weak(VkCommandBuffer commandBuffer, const float blendConstants[4]);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdSetBlendConstants(VkCommandBuffer commandBuffer, const float blendConstants[4]) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdSetDepthBounds_Weak=lvp_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdSetDepthBounds=lvp_CmdSetDepthBounds_Weak")
    void (*lvp_CmdSetDepthBounds_Null)(VkCommandBuffer commandBuffer, float minDepthBounds, float maxDepthBounds) = 0;
    void lvp_CmdSetDepthBounds_Weak(VkCommandBuffer commandBuffer, float minDepthBounds, float maxDepthBounds);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdSetDepthBounds(VkCommandBuffer commandBuffer, float minDepthBounds, float maxDepthBounds) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdSetStencilCompareMask_Weak=lvp_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdSetStencilCompareMask=lvp_CmdSetStencilCompareMask_Weak")
    void (*lvp_CmdSetStencilCompareMask_Null)(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t compareMask) = 0;
    void lvp_CmdSetStencilCompareMask_Weak(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t compareMask);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdSetStencilCompareMask(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t compareMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdSetStencilWriteMask_Weak=lvp_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdSetStencilWriteMask=lvp_CmdSetStencilWriteMask_Weak")
    void (*lvp_CmdSetStencilWriteMask_Null)(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t writeMask) = 0;
    void lvp_CmdSetStencilWriteMask_Weak(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t writeMask);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdSetStencilWriteMask(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t writeMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdSetStencilReference_Weak=lvp_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdSetStencilReference=lvp_CmdSetStencilReference_Weak")
    void (*lvp_CmdSetStencilReference_Null)(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t reference) = 0;
    void lvp_CmdSetStencilReference_Weak(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t reference);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdSetStencilReference(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t reference) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdBindDescriptorSets_Weak=lvp_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdBindDescriptorSets=lvp_CmdBindDescriptorSets_Weak")
    void (*lvp_CmdBindDescriptorSets_Null)(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t firstSet, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets, uint32_t dynamicOffsetCount, const uint32_t* pDynamicOffsets) = 0;
    void lvp_CmdBindDescriptorSets_Weak(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t firstSet, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets, uint32_t dynamicOffsetCount, const uint32_t* pDynamicOffsets);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdBindDescriptorSets(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t firstSet, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets, uint32_t dynamicOffsetCount, const uint32_t* pDynamicOffsets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdBindIndexBuffer_Weak=lvp_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdBindIndexBuffer=lvp_CmdBindIndexBuffer_Weak")
    void (*lvp_CmdBindIndexBuffer_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkIndexType indexType) = 0;
    void lvp_CmdBindIndexBuffer_Weak(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkIndexType indexType);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdBindIndexBuffer(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkIndexType indexType) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdBindVertexBuffers_Weak=lvp_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdBindVertexBuffers=lvp_CmdBindVertexBuffers_Weak")
    void (*lvp_CmdBindVertexBuffers_Null)(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets) = 0;
    void lvp_CmdBindVertexBuffers_Weak(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdBindVertexBuffers(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdDraw_Weak=lvp_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdDraw=lvp_CmdDraw_Weak")
    void (*lvp_CmdDraw_Null)(VkCommandBuffer commandBuffer, uint32_t vertexCount, uint32_t instanceCount, uint32_t firstVertex, uint32_t firstInstance) = 0;
    void lvp_CmdDraw_Weak(VkCommandBuffer commandBuffer, uint32_t vertexCount, uint32_t instanceCount, uint32_t firstVertex, uint32_t firstInstance);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdDraw(VkCommandBuffer commandBuffer, uint32_t vertexCount, uint32_t instanceCount, uint32_t firstVertex, uint32_t firstInstance) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdDrawIndexed_Weak=lvp_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdDrawIndexed=lvp_CmdDrawIndexed_Weak")
    void (*lvp_CmdDrawIndexed_Null)(VkCommandBuffer commandBuffer, uint32_t indexCount, uint32_t instanceCount, uint32_t firstIndex, int32_t vertexOffset, uint32_t firstInstance) = 0;
    void lvp_CmdDrawIndexed_Weak(VkCommandBuffer commandBuffer, uint32_t indexCount, uint32_t instanceCount, uint32_t firstIndex, int32_t vertexOffset, uint32_t firstInstance);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdDrawIndexed(VkCommandBuffer commandBuffer, uint32_t indexCount, uint32_t instanceCount, uint32_t firstIndex, int32_t vertexOffset, uint32_t firstInstance) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdDrawIndirect_Weak=lvp_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdDrawIndirect=lvp_CmdDrawIndirect_Weak")
    void (*lvp_CmdDrawIndirect_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) = 0;
    void lvp_CmdDrawIndirect_Weak(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdDrawIndirect(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdDrawIndexedIndirect_Weak=lvp_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdDrawIndexedIndirect=lvp_CmdDrawIndexedIndirect_Weak")
    void (*lvp_CmdDrawIndexedIndirect_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) = 0;
    void lvp_CmdDrawIndexedIndirect_Weak(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdDrawIndexedIndirect(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdDispatch_Weak=lvp_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdDispatch=lvp_CmdDispatch_Weak")
    void (*lvp_CmdDispatch_Null)(VkCommandBuffer commandBuffer, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) = 0;
    void lvp_CmdDispatch_Weak(VkCommandBuffer commandBuffer, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdDispatch(VkCommandBuffer commandBuffer, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdDispatchIndirect_Weak=lvp_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdDispatchIndirect=lvp_CmdDispatchIndirect_Weak")
    void (*lvp_CmdDispatchIndirect_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset) = 0;
    void lvp_CmdDispatchIndirect_Weak(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdDispatchIndirect(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdCopyBuffer_Weak=lvp_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdCopyBuffer=lvp_CmdCopyBuffer_Weak")
    void (*lvp_CmdCopyBuffer_Null)(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferCopy* pRegions) = 0;
    void lvp_CmdCopyBuffer_Weak(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferCopy* pRegions);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdCopyBuffer(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferCopy* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdCopyImage_Weak=lvp_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdCopyImage=lvp_CmdCopyImage_Weak")
    void (*lvp_CmdCopyImage_Null)(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageCopy* pRegions) = 0;
    void lvp_CmdCopyImage_Weak(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageCopy* pRegions);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdCopyImage(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageCopy* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdBlitImage_Weak=lvp_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdBlitImage=lvp_CmdBlitImage_Weak")
    void (*lvp_CmdBlitImage_Null)(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageBlit* pRegions, VkFilter filter) = 0;
    void lvp_CmdBlitImage_Weak(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageBlit* pRegions, VkFilter filter);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdBlitImage(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageBlit* pRegions, VkFilter filter) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdCopyBufferToImage_Weak=lvp_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdCopyBufferToImage=lvp_CmdCopyBufferToImage_Weak")
    void (*lvp_CmdCopyBufferToImage_Null)(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkBufferImageCopy* pRegions) = 0;
    void lvp_CmdCopyBufferToImage_Weak(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkBufferImageCopy* pRegions);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdCopyBufferToImage(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkBufferImageCopy* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdCopyImageToBuffer_Weak=lvp_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdCopyImageToBuffer=lvp_CmdCopyImageToBuffer_Weak")
    void (*lvp_CmdCopyImageToBuffer_Null)(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferImageCopy* pRegions) = 0;
    void lvp_CmdCopyImageToBuffer_Weak(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferImageCopy* pRegions);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdCopyImageToBuffer(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferImageCopy* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdUpdateBuffer_Weak=lvp_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdUpdateBuffer=lvp_CmdUpdateBuffer_Weak")
    void (*lvp_CmdUpdateBuffer_Null)(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize dataSize, const void* pData) = 0;
    void lvp_CmdUpdateBuffer_Weak(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize dataSize, const void* pData);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdUpdateBuffer(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize dataSize, const void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdFillBuffer_Weak=lvp_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdFillBuffer=lvp_CmdFillBuffer_Weak")
    void (*lvp_CmdFillBuffer_Null)(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize size, uint32_t data) = 0;
    void lvp_CmdFillBuffer_Weak(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize size, uint32_t data);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdFillBuffer(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize size, uint32_t data) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdClearColorImage_Weak=lvp_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdClearColorImage=lvp_CmdClearColorImage_Weak")
    void (*lvp_CmdClearColorImage_Null)(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearColorValue* pColor, uint32_t rangeCount, const VkImageSubresourceRange* pRanges) = 0;
    void lvp_CmdClearColorImage_Weak(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearColorValue* pColor, uint32_t rangeCount, const VkImageSubresourceRange* pRanges);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdClearColorImage(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearColorValue* pColor, uint32_t rangeCount, const VkImageSubresourceRange* pRanges) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdClearDepthStencilImage_Weak=lvp_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdClearDepthStencilImage=lvp_CmdClearDepthStencilImage_Weak")
    void (*lvp_CmdClearDepthStencilImage_Null)(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearDepthStencilValue* pDepthStencil, uint32_t rangeCount, const VkImageSubresourceRange* pRanges) = 0;
    void lvp_CmdClearDepthStencilImage_Weak(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearDepthStencilValue* pDepthStencil, uint32_t rangeCount, const VkImageSubresourceRange* pRanges);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdClearDepthStencilImage(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearDepthStencilValue* pDepthStencil, uint32_t rangeCount, const VkImageSubresourceRange* pRanges) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdClearAttachments_Weak=lvp_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdClearAttachments=lvp_CmdClearAttachments_Weak")
    void (*lvp_CmdClearAttachments_Null)(VkCommandBuffer commandBuffer, uint32_t attachmentCount, const VkClearAttachment* pAttachments, uint32_t rectCount, const VkClearRect* pRects) = 0;
    void lvp_CmdClearAttachments_Weak(VkCommandBuffer commandBuffer, uint32_t attachmentCount, const VkClearAttachment* pAttachments, uint32_t rectCount, const VkClearRect* pRects);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdClearAttachments(VkCommandBuffer commandBuffer, uint32_t attachmentCount, const VkClearAttachment* pAttachments, uint32_t rectCount, const VkClearRect* pRects) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdResolveImage_Weak=lvp_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdResolveImage=lvp_CmdResolveImage_Weak")
    void (*lvp_CmdResolveImage_Null)(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageResolve* pRegions) = 0;
    void lvp_CmdResolveImage_Weak(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageResolve* pRegions);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdResolveImage(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageResolve* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdSetEvent_Weak=lvp_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdSetEvent=lvp_CmdSetEvent_Weak")
    void (*lvp_CmdSetEvent_Null)(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask) = 0;
    void lvp_CmdSetEvent_Weak(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdSetEvent(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdResetEvent_Weak=lvp_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdResetEvent=lvp_CmdResetEvent_Weak")
    void (*lvp_CmdResetEvent_Null)(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask) = 0;
    void lvp_CmdResetEvent_Weak(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdResetEvent(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdWaitEvents_Weak=lvp_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdWaitEvents=lvp_CmdWaitEvents_Weak")
    void (*lvp_CmdWaitEvents_Null)(VkCommandBuffer commandBuffer, uint32_t eventCount, const VkEvent* pEvents, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers) = 0;
    void lvp_CmdWaitEvents_Weak(VkCommandBuffer commandBuffer, uint32_t eventCount, const VkEvent* pEvents, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdWaitEvents(VkCommandBuffer commandBuffer, uint32_t eventCount, const VkEvent* pEvents, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdPipelineBarrier_Weak=lvp_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdPipelineBarrier=lvp_CmdPipelineBarrier_Weak")
    void (*lvp_CmdPipelineBarrier_Null)(VkCommandBuffer commandBuffer, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, VkDependencyFlags dependencyFlags, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers) = 0;
    void lvp_CmdPipelineBarrier_Weak(VkCommandBuffer commandBuffer, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, VkDependencyFlags dependencyFlags, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdPipelineBarrier(VkCommandBuffer commandBuffer, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, VkDependencyFlags dependencyFlags, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdBeginQuery_Weak=lvp_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdBeginQuery=lvp_CmdBeginQuery_Weak")
    void (*lvp_CmdBeginQuery_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags) = 0;
    void lvp_CmdBeginQuery_Weak(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdBeginQuery(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdEndQuery_Weak=lvp_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdEndQuery=lvp_CmdEndQuery_Weak")
    void (*lvp_CmdEndQuery_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query) = 0;
    void lvp_CmdEndQuery_Weak(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdEndQuery(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdBeginConditionalRenderingEXT_Weak=lvp_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdBeginConditionalRenderingEXT=lvp_CmdBeginConditionalRenderingEXT_Weak")
    void (*lvp_CmdBeginConditionalRenderingEXT_Null)(VkCommandBuffer commandBuffer, const VkConditionalRenderingBeginInfoEXT* pConditionalRenderingBegin) = 0;
    void lvp_CmdBeginConditionalRenderingEXT_Weak(VkCommandBuffer commandBuffer, const VkConditionalRenderingBeginInfoEXT* pConditionalRenderingBegin);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdBeginConditionalRenderingEXT(VkCommandBuffer commandBuffer, const VkConditionalRenderingBeginInfoEXT* pConditionalRenderingBegin) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdEndConditionalRenderingEXT_Weak=lvp_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdEndConditionalRenderingEXT=lvp_CmdEndConditionalRenderingEXT_Weak")
    void (*lvp_CmdEndConditionalRenderingEXT_Null)(VkCommandBuffer commandBuffer) = 0;
    void lvp_CmdEndConditionalRenderingEXT_Weak(VkCommandBuffer commandBuffer);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdEndConditionalRenderingEXT(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdResetQueryPool_Weak=lvp_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdResetQueryPool=lvp_CmdResetQueryPool_Weak")
    void (*lvp_CmdResetQueryPool_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) = 0;
    void lvp_CmdResetQueryPool_Weak(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdResetQueryPool(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdWriteTimestamp_Weak=lvp_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdWriteTimestamp=lvp_CmdWriteTimestamp_Weak")
    void (*lvp_CmdWriteTimestamp_Null)(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkQueryPool queryPool, uint32_t query) = 0;
    void lvp_CmdWriteTimestamp_Weak(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkQueryPool queryPool, uint32_t query);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdWriteTimestamp(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkQueryPool queryPool, uint32_t query) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdCopyQueryPoolResults_Weak=lvp_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdCopyQueryPoolResults=lvp_CmdCopyQueryPoolResults_Weak")
    void (*lvp_CmdCopyQueryPoolResults_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize stride, VkQueryResultFlags flags) = 0;
    void lvp_CmdCopyQueryPoolResults_Weak(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize stride, VkQueryResultFlags flags);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdCopyQueryPoolResults(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize stride, VkQueryResultFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdPushConstants_Weak=lvp_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdPushConstants=lvp_CmdPushConstants_Weak")
    void (*lvp_CmdPushConstants_Null)(VkCommandBuffer commandBuffer, VkPipelineLayout layout, VkShaderStageFlags stageFlags, uint32_t offset, uint32_t size, const void* pValues) = 0;
    void lvp_CmdPushConstants_Weak(VkCommandBuffer commandBuffer, VkPipelineLayout layout, VkShaderStageFlags stageFlags, uint32_t offset, uint32_t size, const void* pValues);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdPushConstants(VkCommandBuffer commandBuffer, VkPipelineLayout layout, VkShaderStageFlags stageFlags, uint32_t offset, uint32_t size, const void* pValues) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdBeginRenderPass_Weak=lvp_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdBeginRenderPass=lvp_CmdBeginRenderPass_Weak")
    void (*lvp_CmdBeginRenderPass_Null)(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo* pRenderPassBegin, VkSubpassContents contents) = 0;
    void lvp_CmdBeginRenderPass_Weak(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo* pRenderPassBegin, VkSubpassContents contents);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdBeginRenderPass(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo* pRenderPassBegin, VkSubpassContents contents) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdNextSubpass_Weak=lvp_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdNextSubpass=lvp_CmdNextSubpass_Weak")
    void (*lvp_CmdNextSubpass_Null)(VkCommandBuffer commandBuffer, VkSubpassContents contents) = 0;
    void lvp_CmdNextSubpass_Weak(VkCommandBuffer commandBuffer, VkSubpassContents contents);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdNextSubpass(VkCommandBuffer commandBuffer, VkSubpassContents contents) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdEndRenderPass_Weak=lvp_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdEndRenderPass=lvp_CmdEndRenderPass_Weak")
    void (*lvp_CmdEndRenderPass_Null)(VkCommandBuffer commandBuffer) = 0;
    void lvp_CmdEndRenderPass_Weak(VkCommandBuffer commandBuffer);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdEndRenderPass(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdExecuteCommands_Weak=lvp_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdExecuteCommands=lvp_CmdExecuteCommands_Weak")
    void (*lvp_CmdExecuteCommands_Null)(VkCommandBuffer commandBuffer, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers) = 0;
    void lvp_CmdExecuteCommands_Weak(VkCommandBuffer commandBuffer, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdExecuteCommands(VkCommandBuffer commandBuffer, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CreateSharedSwapchainsKHR_Weak=lvp_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_CreateSharedSwapchainsKHR=lvp_CreateSharedSwapchainsKHR_Weak")
    VkResult (*lvp_CreateSharedSwapchainsKHR_Null)(VkDevice device, uint32_t swapchainCount, const VkSwapchainCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchains) = 0;
    VkResult lvp_CreateSharedSwapchainsKHR_Weak(VkDevice device, uint32_t swapchainCount, const VkSwapchainCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchains);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_CreateSharedSwapchainsKHR(VkDevice device, uint32_t swapchainCount, const VkSwapchainCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchains) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CreateSwapchainKHR_Weak=lvp_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_CreateSwapchainKHR=lvp_CreateSwapchainKHR_Weak")
    VkResult (*lvp_CreateSwapchainKHR_Null)(VkDevice device, const VkSwapchainCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchain) = 0;
    VkResult lvp_CreateSwapchainKHR_Weak(VkDevice device, const VkSwapchainCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchain);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_CreateSwapchainKHR(VkDevice device, const VkSwapchainCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchain) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_DestroySwapchainKHR_Weak=lvp_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_DestroySwapchainKHR=lvp_DestroySwapchainKHR_Weak")
    void (*lvp_DestroySwapchainKHR_Null)(VkDevice device, VkSwapchainKHR swapchain, const VkAllocationCallbacks* pAllocator) = 0;
    void lvp_DestroySwapchainKHR_Weak(VkDevice device, VkSwapchainKHR swapchain, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_DestroySwapchainKHR(VkDevice device, VkSwapchainKHR swapchain, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetSwapchainImagesKHR_Weak=lvp_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_GetSwapchainImagesKHR=lvp_GetSwapchainImagesKHR_Weak")
    VkResult (*lvp_GetSwapchainImagesKHR_Null)(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pSwapchainImageCount, VkImage* pSwapchainImages) = 0;
    VkResult lvp_GetSwapchainImagesKHR_Weak(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pSwapchainImageCount, VkImage* pSwapchainImages);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetSwapchainImagesKHR(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pSwapchainImageCount, VkImage* pSwapchainImages) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_AcquireNextImageKHR_Weak=lvp_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_AcquireNextImageKHR=lvp_AcquireNextImageKHR_Weak")
    VkResult (*lvp_AcquireNextImageKHR_Null)(VkDevice device, VkSwapchainKHR swapchain, uint64_t timeout, VkSemaphore semaphore, VkFence fence, uint32_t* pImageIndex) = 0;
    VkResult lvp_AcquireNextImageKHR_Weak(VkDevice device, VkSwapchainKHR swapchain, uint64_t timeout, VkSemaphore semaphore, VkFence fence, uint32_t* pImageIndex);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_AcquireNextImageKHR(VkDevice device, VkSwapchainKHR swapchain, uint64_t timeout, VkSemaphore semaphore, VkFence fence, uint32_t* pImageIndex) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_QueuePresentKHR_Weak=lvp_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_QueuePresentKHR=lvp_QueuePresentKHR_Weak")
    VkResult (*lvp_QueuePresentKHR_Null)(VkQueue queue, const VkPresentInfoKHR* pPresentInfo) = 0;
    VkResult lvp_QueuePresentKHR_Weak(VkQueue queue, const VkPresentInfoKHR* pPresentInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_QueuePresentKHR(VkQueue queue, const VkPresentInfoKHR* pPresentInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_DebugMarkerSetObjectNameEXT_Weak=lvp_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_DebugMarkerSetObjectNameEXT=lvp_DebugMarkerSetObjectNameEXT_Weak")
    VkResult (*lvp_DebugMarkerSetObjectNameEXT_Null)(VkDevice device, const VkDebugMarkerObjectNameInfoEXT* pNameInfo) = 0;
    VkResult lvp_DebugMarkerSetObjectNameEXT_Weak(VkDevice device, const VkDebugMarkerObjectNameInfoEXT* pNameInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_DebugMarkerSetObjectNameEXT(VkDevice device, const VkDebugMarkerObjectNameInfoEXT* pNameInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_DebugMarkerSetObjectTagEXT_Weak=lvp_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_DebugMarkerSetObjectTagEXT=lvp_DebugMarkerSetObjectTagEXT_Weak")
    VkResult (*lvp_DebugMarkerSetObjectTagEXT_Null)(VkDevice device, const VkDebugMarkerObjectTagInfoEXT* pTagInfo) = 0;
    VkResult lvp_DebugMarkerSetObjectTagEXT_Weak(VkDevice device, const VkDebugMarkerObjectTagInfoEXT* pTagInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_DebugMarkerSetObjectTagEXT(VkDevice device, const VkDebugMarkerObjectTagInfoEXT* pTagInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdDebugMarkerBeginEXT_Weak=lvp_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdDebugMarkerBeginEXT=lvp_CmdDebugMarkerBeginEXT_Weak")
    void (*lvp_CmdDebugMarkerBeginEXT_Null)(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo) = 0;
    void lvp_CmdDebugMarkerBeginEXT_Weak(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdDebugMarkerBeginEXT(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdDebugMarkerEndEXT_Weak=lvp_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdDebugMarkerEndEXT=lvp_CmdDebugMarkerEndEXT_Weak")
    void (*lvp_CmdDebugMarkerEndEXT_Null)(VkCommandBuffer commandBuffer) = 0;
    void lvp_CmdDebugMarkerEndEXT_Weak(VkCommandBuffer commandBuffer);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdDebugMarkerEndEXT(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdDebugMarkerInsertEXT_Weak=lvp_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdDebugMarkerInsertEXT=lvp_CmdDebugMarkerInsertEXT_Weak")
    void (*lvp_CmdDebugMarkerInsertEXT_Null)(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo) = 0;
    void lvp_CmdDebugMarkerInsertEXT_Weak(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdDebugMarkerInsertEXT(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetMemoryWin32HandleNV_Weak=lvp_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:lvp_GetMemoryWin32HandleNV=lvp_GetMemoryWin32HandleNV_Weak")
    VkResult (*lvp_GetMemoryWin32HandleNV_Null)(VkDevice device, VkDeviceMemory memory, VkExternalMemoryHandleTypeFlagsNV handleType, HANDLE* pHandle) = 0;
    VkResult lvp_GetMemoryWin32HandleNV_Weak(VkDevice device, VkDeviceMemory memory, VkExternalMemoryHandleTypeFlagsNV handleType, HANDLE* pHandle);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetMemoryWin32HandleNV(VkDevice device, VkDeviceMemory memory, VkExternalMemoryHandleTypeFlagsNV handleType, HANDLE* pHandle) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdExecuteGeneratedCommandsNV_Weak=lvp_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdExecuteGeneratedCommandsNV=lvp_CmdExecuteGeneratedCommandsNV_Weak")
    void (*lvp_CmdExecuteGeneratedCommandsNV_Null)(VkCommandBuffer commandBuffer, VkBool32 isPreprocessed, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo) = 0;
    void lvp_CmdExecuteGeneratedCommandsNV_Weak(VkCommandBuffer commandBuffer, VkBool32 isPreprocessed, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdExecuteGeneratedCommandsNV(VkCommandBuffer commandBuffer, VkBool32 isPreprocessed, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdPreprocessGeneratedCommandsNV_Weak=lvp_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdPreprocessGeneratedCommandsNV=lvp_CmdPreprocessGeneratedCommandsNV_Weak")
    void (*lvp_CmdPreprocessGeneratedCommandsNV_Null)(VkCommandBuffer commandBuffer, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo) = 0;
    void lvp_CmdPreprocessGeneratedCommandsNV_Weak(VkCommandBuffer commandBuffer, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdPreprocessGeneratedCommandsNV(VkCommandBuffer commandBuffer, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdBindPipelineShaderGroupNV_Weak=lvp_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdBindPipelineShaderGroupNV=lvp_CmdBindPipelineShaderGroupNV_Weak")
    void (*lvp_CmdBindPipelineShaderGroupNV_Null)(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline, uint32_t groupIndex) = 0;
    void lvp_CmdBindPipelineShaderGroupNV_Weak(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline, uint32_t groupIndex);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdBindPipelineShaderGroupNV(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline, uint32_t groupIndex) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetGeneratedCommandsMemoryRequirementsNV_Weak=lvp_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:lvp_GetGeneratedCommandsMemoryRequirementsNV=lvp_GetGeneratedCommandsMemoryRequirementsNV_Weak")
    void (*lvp_GetGeneratedCommandsMemoryRequirementsNV_Null)(VkDevice device, const VkGeneratedCommandsMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
    void lvp_GetGeneratedCommandsMemoryRequirementsNV_Weak(VkDevice device, const VkGeneratedCommandsMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2* pMemoryRequirements);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_GetGeneratedCommandsMemoryRequirementsNV(VkDevice device, const VkGeneratedCommandsMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CreateIndirectCommandsLayoutNV_Weak=lvp_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:lvp_CreateIndirectCommandsLayoutNV=lvp_CreateIndirectCommandsLayoutNV_Weak")
    VkResult (*lvp_CreateIndirectCommandsLayoutNV_Null)(VkDevice device, const VkIndirectCommandsLayoutCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkIndirectCommandsLayoutNV* pIndirectCommandsLayout) = 0;
    VkResult lvp_CreateIndirectCommandsLayoutNV_Weak(VkDevice device, const VkIndirectCommandsLayoutCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkIndirectCommandsLayoutNV* pIndirectCommandsLayout);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_CreateIndirectCommandsLayoutNV(VkDevice device, const VkIndirectCommandsLayoutCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkIndirectCommandsLayoutNV* pIndirectCommandsLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_DestroyIndirectCommandsLayoutNV_Weak=lvp_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:lvp_DestroyIndirectCommandsLayoutNV=lvp_DestroyIndirectCommandsLayoutNV_Weak")
    void (*lvp_DestroyIndirectCommandsLayoutNV_Null)(VkDevice device, VkIndirectCommandsLayoutNV indirectCommandsLayout, const VkAllocationCallbacks* pAllocator) = 0;
    void lvp_DestroyIndirectCommandsLayoutNV_Weak(VkDevice device, VkIndirectCommandsLayoutNV indirectCommandsLayout, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_DestroyIndirectCommandsLayoutNV(VkDevice device, VkIndirectCommandsLayoutNV indirectCommandsLayout, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdPushDescriptorSetKHR_Weak=lvp_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdPushDescriptorSetKHR=lvp_CmdPushDescriptorSetKHR_Weak")
    void (*lvp_CmdPushDescriptorSetKHR_Null)(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t set, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites) = 0;
    void lvp_CmdPushDescriptorSetKHR_Weak(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t set, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdPushDescriptorSetKHR(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t set, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_TrimCommandPool_Weak=lvp_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:lvp_TrimCommandPool=lvp_TrimCommandPool_Weak")
    void (*lvp_TrimCommandPool_Null)(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags) = 0;
    void lvp_TrimCommandPool_Weak(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_TrimCommandPool(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_TrimCommandPoolKHR_Weak=lvp_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_TrimCommandPoolKHR=lvp_TrimCommandPoolKHR_Weak")
    void (*lvp_TrimCommandPoolKHR_Null)(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags) = 0;
    void lvp_TrimCommandPoolKHR_Weak(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_TrimCommandPoolKHR(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetMemoryWin32HandleKHR_Weak=lvp_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_GetMemoryWin32HandleKHR=lvp_GetMemoryWin32HandleKHR_Weak")
    VkResult (*lvp_GetMemoryWin32HandleKHR_Null)(VkDevice device, const VkMemoryGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) = 0;
    VkResult lvp_GetMemoryWin32HandleKHR_Weak(VkDevice device, const VkMemoryGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetMemoryWin32HandleKHR(VkDevice device, const VkMemoryGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetMemoryWin32HandlePropertiesKHR_Weak=lvp_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_GetMemoryWin32HandlePropertiesKHR=lvp_GetMemoryWin32HandlePropertiesKHR_Weak")
    VkResult (*lvp_GetMemoryWin32HandlePropertiesKHR_Null)(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, HANDLE handle, VkMemoryWin32HandlePropertiesKHR* pMemoryWin32HandleProperties) = 0;
    VkResult lvp_GetMemoryWin32HandlePropertiesKHR_Weak(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, HANDLE handle, VkMemoryWin32HandlePropertiesKHR* pMemoryWin32HandleProperties);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetMemoryWin32HandlePropertiesKHR(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, HANDLE handle, VkMemoryWin32HandlePropertiesKHR* pMemoryWin32HandleProperties) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetMemoryFdKHR_Weak=lvp_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_GetMemoryFdKHR=lvp_GetMemoryFdKHR_Weak")
    VkResult (*lvp_GetMemoryFdKHR_Null)(VkDevice device, const VkMemoryGetFdInfoKHR* pGetFdInfo, int* pFd) = 0;
    VkResult lvp_GetMemoryFdKHR_Weak(VkDevice device, const VkMemoryGetFdInfoKHR* pGetFdInfo, int* pFd);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetMemoryFdKHR(VkDevice device, const VkMemoryGetFdInfoKHR* pGetFdInfo, int* pFd) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetMemoryFdPropertiesKHR_Weak=lvp_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_GetMemoryFdPropertiesKHR=lvp_GetMemoryFdPropertiesKHR_Weak")
    VkResult (*lvp_GetMemoryFdPropertiesKHR_Null)(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, int fd, VkMemoryFdPropertiesKHR* pMemoryFdProperties) = 0;
    VkResult lvp_GetMemoryFdPropertiesKHR_Weak(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, int fd, VkMemoryFdPropertiesKHR* pMemoryFdProperties);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetMemoryFdPropertiesKHR(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, int fd, VkMemoryFdPropertiesKHR* pMemoryFdProperties) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetSemaphoreWin32HandleKHR_Weak=lvp_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_GetSemaphoreWin32HandleKHR=lvp_GetSemaphoreWin32HandleKHR_Weak")
    VkResult (*lvp_GetSemaphoreWin32HandleKHR_Null)(VkDevice device, const VkSemaphoreGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) = 0;
    VkResult lvp_GetSemaphoreWin32HandleKHR_Weak(VkDevice device, const VkSemaphoreGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetSemaphoreWin32HandleKHR(VkDevice device, const VkSemaphoreGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_ImportSemaphoreWin32HandleKHR_Weak=lvp_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_ImportSemaphoreWin32HandleKHR=lvp_ImportSemaphoreWin32HandleKHR_Weak")
    VkResult (*lvp_ImportSemaphoreWin32HandleKHR_Null)(VkDevice device, const VkImportSemaphoreWin32HandleInfoKHR* pImportSemaphoreWin32HandleInfo) = 0;
    VkResult lvp_ImportSemaphoreWin32HandleKHR_Weak(VkDevice device, const VkImportSemaphoreWin32HandleInfoKHR* pImportSemaphoreWin32HandleInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_ImportSemaphoreWin32HandleKHR(VkDevice device, const VkImportSemaphoreWin32HandleInfoKHR* pImportSemaphoreWin32HandleInfo) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetSemaphoreFdKHR_Weak=lvp_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_GetSemaphoreFdKHR=lvp_GetSemaphoreFdKHR_Weak")
    VkResult (*lvp_GetSemaphoreFdKHR_Null)(VkDevice device, const VkSemaphoreGetFdInfoKHR* pGetFdInfo, int* pFd) = 0;
    VkResult lvp_GetSemaphoreFdKHR_Weak(VkDevice device, const VkSemaphoreGetFdInfoKHR* pGetFdInfo, int* pFd);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetSemaphoreFdKHR(VkDevice device, const VkSemaphoreGetFdInfoKHR* pGetFdInfo, int* pFd) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_ImportSemaphoreFdKHR_Weak=lvp_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_ImportSemaphoreFdKHR=lvp_ImportSemaphoreFdKHR_Weak")
    VkResult (*lvp_ImportSemaphoreFdKHR_Null)(VkDevice device, const VkImportSemaphoreFdInfoKHR* pImportSemaphoreFdInfo) = 0;
    VkResult lvp_ImportSemaphoreFdKHR_Weak(VkDevice device, const VkImportSemaphoreFdInfoKHR* pImportSemaphoreFdInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_ImportSemaphoreFdKHR(VkDevice device, const VkImportSemaphoreFdInfoKHR* pImportSemaphoreFdInfo) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetFenceWin32HandleKHR_Weak=lvp_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_GetFenceWin32HandleKHR=lvp_GetFenceWin32HandleKHR_Weak")
    VkResult (*lvp_GetFenceWin32HandleKHR_Null)(VkDevice device, const VkFenceGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) = 0;
    VkResult lvp_GetFenceWin32HandleKHR_Weak(VkDevice device, const VkFenceGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetFenceWin32HandleKHR(VkDevice device, const VkFenceGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_ImportFenceWin32HandleKHR_Weak=lvp_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_ImportFenceWin32HandleKHR=lvp_ImportFenceWin32HandleKHR_Weak")
    VkResult (*lvp_ImportFenceWin32HandleKHR_Null)(VkDevice device, const VkImportFenceWin32HandleInfoKHR* pImportFenceWin32HandleInfo) = 0;
    VkResult lvp_ImportFenceWin32HandleKHR_Weak(VkDevice device, const VkImportFenceWin32HandleInfoKHR* pImportFenceWin32HandleInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_ImportFenceWin32HandleKHR(VkDevice device, const VkImportFenceWin32HandleInfoKHR* pImportFenceWin32HandleInfo) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetFenceFdKHR_Weak=lvp_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_GetFenceFdKHR=lvp_GetFenceFdKHR_Weak")
    VkResult (*lvp_GetFenceFdKHR_Null)(VkDevice device, const VkFenceGetFdInfoKHR* pGetFdInfo, int* pFd) = 0;
    VkResult lvp_GetFenceFdKHR_Weak(VkDevice device, const VkFenceGetFdInfoKHR* pGetFdInfo, int* pFd);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetFenceFdKHR(VkDevice device, const VkFenceGetFdInfoKHR* pGetFdInfo, int* pFd) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_ImportFenceFdKHR_Weak=lvp_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_ImportFenceFdKHR=lvp_ImportFenceFdKHR_Weak")
    VkResult (*lvp_ImportFenceFdKHR_Null)(VkDevice device, const VkImportFenceFdInfoKHR* pImportFenceFdInfo) = 0;
    VkResult lvp_ImportFenceFdKHR_Weak(VkDevice device, const VkImportFenceFdInfoKHR* pImportFenceFdInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_ImportFenceFdKHR(VkDevice device, const VkImportFenceFdInfoKHR* pImportFenceFdInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_DisplayPowerControlEXT_Weak=lvp_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_DisplayPowerControlEXT=lvp_DisplayPowerControlEXT_Weak")
    VkResult (*lvp_DisplayPowerControlEXT_Null)(VkDevice device, VkDisplayKHR display, const VkDisplayPowerInfoEXT* pDisplayPowerInfo) = 0;
    VkResult lvp_DisplayPowerControlEXT_Weak(VkDevice device, VkDisplayKHR display, const VkDisplayPowerInfoEXT* pDisplayPowerInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_DisplayPowerControlEXT(VkDevice device, VkDisplayKHR display, const VkDisplayPowerInfoEXT* pDisplayPowerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_RegisterDeviceEventEXT_Weak=lvp_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_RegisterDeviceEventEXT=lvp_RegisterDeviceEventEXT_Weak")
    VkResult (*lvp_RegisterDeviceEventEXT_Null)(VkDevice device, const VkDeviceEventInfoEXT* pDeviceEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) = 0;
    VkResult lvp_RegisterDeviceEventEXT_Weak(VkDevice device, const VkDeviceEventInfoEXT* pDeviceEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_RegisterDeviceEventEXT(VkDevice device, const VkDeviceEventInfoEXT* pDeviceEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_RegisterDisplayEventEXT_Weak=lvp_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_RegisterDisplayEventEXT=lvp_RegisterDisplayEventEXT_Weak")
    VkResult (*lvp_RegisterDisplayEventEXT_Null)(VkDevice device, VkDisplayKHR display, const VkDisplayEventInfoEXT* pDisplayEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) = 0;
    VkResult lvp_RegisterDisplayEventEXT_Weak(VkDevice device, VkDisplayKHR display, const VkDisplayEventInfoEXT* pDisplayEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_RegisterDisplayEventEXT(VkDevice device, VkDisplayKHR display, const VkDisplayEventInfoEXT* pDisplayEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetSwapchainCounterEXT_Weak=lvp_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_GetSwapchainCounterEXT=lvp_GetSwapchainCounterEXT_Weak")
    VkResult (*lvp_GetSwapchainCounterEXT_Null)(VkDevice device, VkSwapchainKHR swapchain, VkSurfaceCounterFlagBitsEXT counter, uint64_t* pCounterValue) = 0;
    VkResult lvp_GetSwapchainCounterEXT_Weak(VkDevice device, VkSwapchainKHR swapchain, VkSurfaceCounterFlagBitsEXT counter, uint64_t* pCounterValue);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetSwapchainCounterEXT(VkDevice device, VkSwapchainKHR swapchain, VkSurfaceCounterFlagBitsEXT counter, uint64_t* pCounterValue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetDeviceGroupPeerMemoryFeatures_Weak=lvp_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:lvp_GetDeviceGroupPeerMemoryFeatures=lvp_GetDeviceGroupPeerMemoryFeatures_Weak")
    void (*lvp_GetDeviceGroupPeerMemoryFeatures_Null)(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures) = 0;
    void lvp_GetDeviceGroupPeerMemoryFeatures_Weak(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_GetDeviceGroupPeerMemoryFeatures(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetDeviceGroupPeerMemoryFeaturesKHR_Weak=lvp_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_GetDeviceGroupPeerMemoryFeaturesKHR=lvp_GetDeviceGroupPeerMemoryFeaturesKHR_Weak")
    void (*lvp_GetDeviceGroupPeerMemoryFeaturesKHR_Null)(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures) = 0;
    void lvp_GetDeviceGroupPeerMemoryFeaturesKHR_Weak(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_GetDeviceGroupPeerMemoryFeaturesKHR(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_BindBufferMemory2_Weak=lvp_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:lvp_BindBufferMemory2=lvp_BindBufferMemory2_Weak")
    VkResult (*lvp_BindBufferMemory2_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos) = 0;
    VkResult lvp_BindBufferMemory2_Weak(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_BindBufferMemory2(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_BindBufferMemory2KHR_Weak=lvp_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:lvp_BindBufferMemory2KHR=lvp_BindBufferMemory2KHR_Weak")
    VkResult (*lvp_BindBufferMemory2KHR_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos) = 0;
    VkResult lvp_BindBufferMemory2KHR_Weak(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_BindBufferMemory2KHR(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_BindImageMemory2_Weak=lvp_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:lvp_BindImageMemory2=lvp_BindImageMemory2_Weak")
    VkResult (*lvp_BindImageMemory2_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos) = 0;
    VkResult lvp_BindImageMemory2_Weak(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_BindImageMemory2(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_BindImageMemory2KHR_Weak=lvp_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:lvp_BindImageMemory2KHR=lvp_BindImageMemory2KHR_Weak")
    VkResult (*lvp_BindImageMemory2KHR_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos) = 0;
    VkResult lvp_BindImageMemory2KHR_Weak(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_BindImageMemory2KHR(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdSetDeviceMask_Weak=lvp_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdSetDeviceMask=lvp_CmdSetDeviceMask_Weak")
    void (*lvp_CmdSetDeviceMask_Null)(VkCommandBuffer commandBuffer, uint32_t deviceMask) = 0;
    void lvp_CmdSetDeviceMask_Weak(VkCommandBuffer commandBuffer, uint32_t deviceMask);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdSetDeviceMask(VkCommandBuffer commandBuffer, uint32_t deviceMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdSetDeviceMaskKHR_Weak=lvp_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdSetDeviceMaskKHR=lvp_CmdSetDeviceMaskKHR_Weak")
    void (*lvp_CmdSetDeviceMaskKHR_Null)(VkCommandBuffer commandBuffer, uint32_t deviceMask) = 0;
    void lvp_CmdSetDeviceMaskKHR_Weak(VkCommandBuffer commandBuffer, uint32_t deviceMask);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdSetDeviceMaskKHR(VkCommandBuffer commandBuffer, uint32_t deviceMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetDeviceGroupPresentCapabilitiesKHR_Weak=lvp_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_GetDeviceGroupPresentCapabilitiesKHR=lvp_GetDeviceGroupPresentCapabilitiesKHR_Weak")
    VkResult (*lvp_GetDeviceGroupPresentCapabilitiesKHR_Null)(VkDevice device, VkDeviceGroupPresentCapabilitiesKHR* pDeviceGroupPresentCapabilities) = 0;
    VkResult lvp_GetDeviceGroupPresentCapabilitiesKHR_Weak(VkDevice device, VkDeviceGroupPresentCapabilitiesKHR* pDeviceGroupPresentCapabilities);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetDeviceGroupPresentCapabilitiesKHR(VkDevice device, VkDeviceGroupPresentCapabilitiesKHR* pDeviceGroupPresentCapabilities) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetDeviceGroupSurfacePresentModesKHR_Weak=lvp_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_GetDeviceGroupSurfacePresentModesKHR=lvp_GetDeviceGroupSurfacePresentModesKHR_Weak")
    VkResult (*lvp_GetDeviceGroupSurfacePresentModesKHR_Null)(VkDevice device, VkSurfaceKHR surface, VkDeviceGroupPresentModeFlagsKHR* pModes) = 0;
    VkResult lvp_GetDeviceGroupSurfacePresentModesKHR_Weak(VkDevice device, VkSurfaceKHR surface, VkDeviceGroupPresentModeFlagsKHR* pModes);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetDeviceGroupSurfacePresentModesKHR(VkDevice device, VkSurfaceKHR surface, VkDeviceGroupPresentModeFlagsKHR* pModes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_AcquireNextImage2KHR_Weak=lvp_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:lvp_AcquireNextImage2KHR=lvp_AcquireNextImage2KHR_Weak")
    VkResult (*lvp_AcquireNextImage2KHR_Null)(VkDevice device, const VkAcquireNextImageInfoKHR* pAcquireInfo, uint32_t* pImageIndex) = 0;
    VkResult lvp_AcquireNextImage2KHR_Weak(VkDevice device, const VkAcquireNextImageInfoKHR* pAcquireInfo, uint32_t* pImageIndex);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_AcquireNextImage2KHR(VkDevice device, const VkAcquireNextImageInfoKHR* pAcquireInfo, uint32_t* pImageIndex) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdDispatchBase_Weak=lvp_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdDispatchBase=lvp_CmdDispatchBase_Weak")
    void (*lvp_CmdDispatchBase_Null)(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) = 0;
    void lvp_CmdDispatchBase_Weak(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdDispatchBase(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdDispatchBaseKHR_Weak=lvp_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdDispatchBaseKHR=lvp_CmdDispatchBaseKHR_Weak")
    void (*lvp_CmdDispatchBaseKHR_Null)(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) = 0;
    void lvp_CmdDispatchBaseKHR_Weak(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdDispatchBaseKHR(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CreateDescriptorUpdateTemplate_Weak=lvp_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:lvp_CreateDescriptorUpdateTemplate=lvp_CreateDescriptorUpdateTemplate_Weak")
    VkResult (*lvp_CreateDescriptorUpdateTemplate_Null)(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate) = 0;
    VkResult lvp_CreateDescriptorUpdateTemplate_Weak(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_CreateDescriptorUpdateTemplate(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CreateDescriptorUpdateTemplateKHR_Weak=lvp_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_CreateDescriptorUpdateTemplateKHR=lvp_CreateDescriptorUpdateTemplateKHR_Weak")
    VkResult (*lvp_CreateDescriptorUpdateTemplateKHR_Null)(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate) = 0;
    VkResult lvp_CreateDescriptorUpdateTemplateKHR_Weak(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_CreateDescriptorUpdateTemplateKHR(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_DestroyDescriptorUpdateTemplate_Weak=lvp_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:lvp_DestroyDescriptorUpdateTemplate=lvp_DestroyDescriptorUpdateTemplate_Weak")
    void (*lvp_DestroyDescriptorUpdateTemplate_Null)(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator) = 0;
    void lvp_DestroyDescriptorUpdateTemplate_Weak(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_DestroyDescriptorUpdateTemplate(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_DestroyDescriptorUpdateTemplateKHR_Weak=lvp_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_DestroyDescriptorUpdateTemplateKHR=lvp_DestroyDescriptorUpdateTemplateKHR_Weak")
    void (*lvp_DestroyDescriptorUpdateTemplateKHR_Null)(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator) = 0;
    void lvp_DestroyDescriptorUpdateTemplateKHR_Weak(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_DestroyDescriptorUpdateTemplateKHR(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_UpdateDescriptorSetWithTemplate_Weak=lvp_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:lvp_UpdateDescriptorSetWithTemplate=lvp_UpdateDescriptorSetWithTemplate_Weak")
    void (*lvp_UpdateDescriptorSetWithTemplate_Null)(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData) = 0;
    void lvp_UpdateDescriptorSetWithTemplate_Weak(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_UpdateDescriptorSetWithTemplate(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_UpdateDescriptorSetWithTemplateKHR_Weak=lvp_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_UpdateDescriptorSetWithTemplateKHR=lvp_UpdateDescriptorSetWithTemplateKHR_Weak")
    void (*lvp_UpdateDescriptorSetWithTemplateKHR_Null)(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData) = 0;
    void lvp_UpdateDescriptorSetWithTemplateKHR_Weak(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_UpdateDescriptorSetWithTemplateKHR(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdPushDescriptorSetWithTemplateKHR_Weak=lvp_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdPushDescriptorSetWithTemplateKHR=lvp_CmdPushDescriptorSetWithTemplateKHR_Weak")
    void (*lvp_CmdPushDescriptorSetWithTemplateKHR_Null)(VkCommandBuffer commandBuffer, VkDescriptorUpdateTemplate descriptorUpdateTemplate, VkPipelineLayout layout, uint32_t set, const void* pData) = 0;
    void lvp_CmdPushDescriptorSetWithTemplateKHR_Weak(VkCommandBuffer commandBuffer, VkDescriptorUpdateTemplate descriptorUpdateTemplate, VkPipelineLayout layout, uint32_t set, const void* pData);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdPushDescriptorSetWithTemplateKHR(VkCommandBuffer commandBuffer, VkDescriptorUpdateTemplate descriptorUpdateTemplate, VkPipelineLayout layout, uint32_t set, const void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_SetHdrMetadataEXT_Weak=lvp_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_SetHdrMetadataEXT=lvp_SetHdrMetadataEXT_Weak")
    void (*lvp_SetHdrMetadataEXT_Null)(VkDevice device, uint32_t swapchainCount, const VkSwapchainKHR* pSwapchains, const VkHdrMetadataEXT* pMetadata) = 0;
    void lvp_SetHdrMetadataEXT_Weak(VkDevice device, uint32_t swapchainCount, const VkSwapchainKHR* pSwapchains, const VkHdrMetadataEXT* pMetadata);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_SetHdrMetadataEXT(VkDevice device, uint32_t swapchainCount, const VkSwapchainKHR* pSwapchains, const VkHdrMetadataEXT* pMetadata) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetSwapchainStatusKHR_Weak=lvp_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_GetSwapchainStatusKHR=lvp_GetSwapchainStatusKHR_Weak")
    VkResult (*lvp_GetSwapchainStatusKHR_Null)(VkDevice device, VkSwapchainKHR swapchain) = 0;
    VkResult lvp_GetSwapchainStatusKHR_Weak(VkDevice device, VkSwapchainKHR swapchain);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetSwapchainStatusKHR(VkDevice device, VkSwapchainKHR swapchain) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetRefreshCycleDurationGOOGLE_Weak=lvp_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:lvp_GetRefreshCycleDurationGOOGLE=lvp_GetRefreshCycleDurationGOOGLE_Weak")
    VkResult (*lvp_GetRefreshCycleDurationGOOGLE_Null)(VkDevice device, VkSwapchainKHR swapchain, VkRefreshCycleDurationGOOGLE* pDisplayTimingProperties) = 0;
    VkResult lvp_GetRefreshCycleDurationGOOGLE_Weak(VkDevice device, VkSwapchainKHR swapchain, VkRefreshCycleDurationGOOGLE* pDisplayTimingProperties);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetRefreshCycleDurationGOOGLE(VkDevice device, VkSwapchainKHR swapchain, VkRefreshCycleDurationGOOGLE* pDisplayTimingProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetPastPresentationTimingGOOGLE_Weak=lvp_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:lvp_GetPastPresentationTimingGOOGLE=lvp_GetPastPresentationTimingGOOGLE_Weak")
    VkResult (*lvp_GetPastPresentationTimingGOOGLE_Null)(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pPresentationTimingCount, VkPastPresentationTimingGOOGLE* pPresentationTimings) = 0;
    VkResult lvp_GetPastPresentationTimingGOOGLE_Weak(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pPresentationTimingCount, VkPastPresentationTimingGOOGLE* pPresentationTimings);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetPastPresentationTimingGOOGLE(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pPresentationTimingCount, VkPastPresentationTimingGOOGLE* pPresentationTimings) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdSetViewportWScalingNV_Weak=lvp_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdSetViewportWScalingNV=lvp_CmdSetViewportWScalingNV_Weak")
    void (*lvp_CmdSetViewportWScalingNV_Null)(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewportWScalingNV* pViewportWScalings) = 0;
    void lvp_CmdSetViewportWScalingNV_Weak(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewportWScalingNV* pViewportWScalings);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdSetViewportWScalingNV(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewportWScalingNV* pViewportWScalings) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdSetDiscardRectangleEXT_Weak=lvp_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdSetDiscardRectangleEXT=lvp_CmdSetDiscardRectangleEXT_Weak")
    void (*lvp_CmdSetDiscardRectangleEXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstDiscardRectangle, uint32_t discardRectangleCount, const VkRect2D* pDiscardRectangles) = 0;
    void lvp_CmdSetDiscardRectangleEXT_Weak(VkCommandBuffer commandBuffer, uint32_t firstDiscardRectangle, uint32_t discardRectangleCount, const VkRect2D* pDiscardRectangles);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdSetDiscardRectangleEXT(VkCommandBuffer commandBuffer, uint32_t firstDiscardRectangle, uint32_t discardRectangleCount, const VkRect2D* pDiscardRectangles) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdSetSampleLocationsEXT_Weak=lvp_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdSetSampleLocationsEXT=lvp_CmdSetSampleLocationsEXT_Weak")
    void (*lvp_CmdSetSampleLocationsEXT_Null)(VkCommandBuffer commandBuffer, const VkSampleLocationsInfoEXT* pSampleLocationsInfo) = 0;
    void lvp_CmdSetSampleLocationsEXT_Weak(VkCommandBuffer commandBuffer, const VkSampleLocationsInfoEXT* pSampleLocationsInfo);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdSetSampleLocationsEXT(VkCommandBuffer commandBuffer, const VkSampleLocationsInfoEXT* pSampleLocationsInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetBufferMemoryRequirements2_Weak=lvp_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:lvp_GetBufferMemoryRequirements2=lvp_GetBufferMemoryRequirements2_Weak")
    void (*lvp_GetBufferMemoryRequirements2_Null)(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
    void lvp_GetBufferMemoryRequirements2_Weak(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_GetBufferMemoryRequirements2(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetBufferMemoryRequirements2KHR_Weak=lvp_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:lvp_GetBufferMemoryRequirements2KHR=lvp_GetBufferMemoryRequirements2KHR_Weak")
    void (*lvp_GetBufferMemoryRequirements2KHR_Null)(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
    void lvp_GetBufferMemoryRequirements2KHR_Weak(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_GetBufferMemoryRequirements2KHR(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetImageMemoryRequirements2_Weak=lvp_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:lvp_GetImageMemoryRequirements2=lvp_GetImageMemoryRequirements2_Weak")
    void (*lvp_GetImageMemoryRequirements2_Null)(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
    void lvp_GetImageMemoryRequirements2_Weak(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_GetImageMemoryRequirements2(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetImageMemoryRequirements2KHR_Weak=lvp_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:lvp_GetImageMemoryRequirements2KHR=lvp_GetImageMemoryRequirements2KHR_Weak")
    void (*lvp_GetImageMemoryRequirements2KHR_Null)(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
    void lvp_GetImageMemoryRequirements2KHR_Weak(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_GetImageMemoryRequirements2KHR(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetImageSparseMemoryRequirements2_Weak=lvp_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:lvp_GetImageSparseMemoryRequirements2=lvp_GetImageSparseMemoryRequirements2_Weak")
    void (*lvp_GetImageSparseMemoryRequirements2_Null)(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements) = 0;
    void lvp_GetImageSparseMemoryRequirements2_Weak(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_GetImageSparseMemoryRequirements2(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetImageSparseMemoryRequirements2KHR_Weak=lvp_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:lvp_GetImageSparseMemoryRequirements2KHR=lvp_GetImageSparseMemoryRequirements2KHR_Weak")
    void (*lvp_GetImageSparseMemoryRequirements2KHR_Null)(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements) = 0;
    void lvp_GetImageSparseMemoryRequirements2KHR_Weak(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_GetImageSparseMemoryRequirements2KHR(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CreateSamplerYcbcrConversion_Weak=lvp_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:lvp_CreateSamplerYcbcrConversion=lvp_CreateSamplerYcbcrConversion_Weak")
    VkResult (*lvp_CreateSamplerYcbcrConversion_Null)(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion) = 0;
    VkResult lvp_CreateSamplerYcbcrConversion_Weak(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_CreateSamplerYcbcrConversion(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CreateSamplerYcbcrConversionKHR_Weak=lvp_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_CreateSamplerYcbcrConversionKHR=lvp_CreateSamplerYcbcrConversionKHR_Weak")
    VkResult (*lvp_CreateSamplerYcbcrConversionKHR_Null)(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion) = 0;
    VkResult lvp_CreateSamplerYcbcrConversionKHR_Weak(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_CreateSamplerYcbcrConversionKHR(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_DestroySamplerYcbcrConversion_Weak=lvp_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:lvp_DestroySamplerYcbcrConversion=lvp_DestroySamplerYcbcrConversion_Weak")
    void (*lvp_DestroySamplerYcbcrConversion_Null)(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator) = 0;
    void lvp_DestroySamplerYcbcrConversion_Weak(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_DestroySamplerYcbcrConversion(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_DestroySamplerYcbcrConversionKHR_Weak=lvp_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_DestroySamplerYcbcrConversionKHR=lvp_DestroySamplerYcbcrConversionKHR_Weak")
    void (*lvp_DestroySamplerYcbcrConversionKHR_Null)(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator) = 0;
    void lvp_DestroySamplerYcbcrConversionKHR_Weak(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_DestroySamplerYcbcrConversionKHR(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetDeviceQueue2_Weak=lvp_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:lvp_GetDeviceQueue2=lvp_GetDeviceQueue2_Weak")
    void (*lvp_GetDeviceQueue2_Null)(VkDevice device, const VkDeviceQueueInfo2* pQueueInfo, VkQueue* pQueue) = 0;
    void lvp_GetDeviceQueue2_Weak(VkDevice device, const VkDeviceQueueInfo2* pQueueInfo, VkQueue* pQueue);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_GetDeviceQueue2(VkDevice device, const VkDeviceQueueInfo2* pQueueInfo, VkQueue* pQueue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CreateValidationCacheEXT_Weak=lvp_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_CreateValidationCacheEXT=lvp_CreateValidationCacheEXT_Weak")
    VkResult (*lvp_CreateValidationCacheEXT_Null)(VkDevice device, const VkValidationCacheCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkValidationCacheEXT* pValidationCache) = 0;
    VkResult lvp_CreateValidationCacheEXT_Weak(VkDevice device, const VkValidationCacheCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkValidationCacheEXT* pValidationCache);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_CreateValidationCacheEXT(VkDevice device, const VkValidationCacheCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkValidationCacheEXT* pValidationCache) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_DestroyValidationCacheEXT_Weak=lvp_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_DestroyValidationCacheEXT=lvp_DestroyValidationCacheEXT_Weak")
    void (*lvp_DestroyValidationCacheEXT_Null)(VkDevice device, VkValidationCacheEXT validationCache, const VkAllocationCallbacks* pAllocator) = 0;
    void lvp_DestroyValidationCacheEXT_Weak(VkDevice device, VkValidationCacheEXT validationCache, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_DestroyValidationCacheEXT(VkDevice device, VkValidationCacheEXT validationCache, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetValidationCacheDataEXT_Weak=lvp_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_GetValidationCacheDataEXT=lvp_GetValidationCacheDataEXT_Weak")
    VkResult (*lvp_GetValidationCacheDataEXT_Null)(VkDevice device, VkValidationCacheEXT validationCache, size_t* pDataSize, void* pData) = 0;
    VkResult lvp_GetValidationCacheDataEXT_Weak(VkDevice device, VkValidationCacheEXT validationCache, size_t* pDataSize, void* pData);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetValidationCacheDataEXT(VkDevice device, VkValidationCacheEXT validationCache, size_t* pDataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_MergeValidationCachesEXT_Weak=lvp_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_MergeValidationCachesEXT=lvp_MergeValidationCachesEXT_Weak")
    VkResult (*lvp_MergeValidationCachesEXT_Null)(VkDevice device, VkValidationCacheEXT dstCache, uint32_t srcCacheCount, const VkValidationCacheEXT* pSrcCaches) = 0;
    VkResult lvp_MergeValidationCachesEXT_Weak(VkDevice device, VkValidationCacheEXT dstCache, uint32_t srcCacheCount, const VkValidationCacheEXT* pSrcCaches);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_MergeValidationCachesEXT(VkDevice device, VkValidationCacheEXT dstCache, uint32_t srcCacheCount, const VkValidationCacheEXT* pSrcCaches) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetDescriptorSetLayoutSupport_Weak=lvp_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:lvp_GetDescriptorSetLayoutSupport=lvp_GetDescriptorSetLayoutSupport_Weak")
    void (*lvp_GetDescriptorSetLayoutSupport_Null)(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport) = 0;
    void lvp_GetDescriptorSetLayoutSupport_Weak(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_GetDescriptorSetLayoutSupport(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetDescriptorSetLayoutSupportKHR_Weak=lvp_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_GetDescriptorSetLayoutSupportKHR=lvp_GetDescriptorSetLayoutSupportKHR_Weak")
    void (*lvp_GetDescriptorSetLayoutSupportKHR_Null)(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport) = 0;
    void lvp_GetDescriptorSetLayoutSupportKHR_Weak(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_GetDescriptorSetLayoutSupportKHR(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_ANDROID_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetSwapchainGrallocUsageANDROID_Weak=lvp_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:lvp_GetSwapchainGrallocUsageANDROID=lvp_GetSwapchainGrallocUsageANDROID_Weak")
    VkResult (*lvp_GetSwapchainGrallocUsageANDROID_Null)(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, int* grallocUsage) = 0;
    VkResult lvp_GetSwapchainGrallocUsageANDROID_Weak(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, int* grallocUsage);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetSwapchainGrallocUsageANDROID(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, int* grallocUsage) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetSwapchainGrallocUsage2ANDROID_Weak=lvp_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:lvp_GetSwapchainGrallocUsage2ANDROID=lvp_GetSwapchainGrallocUsage2ANDROID_Weak")
    VkResult (*lvp_GetSwapchainGrallocUsage2ANDROID_Null)(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, VkSwapchainImageUsageFlagsANDROID swapchainImageUsage, uint64_t* grallocConsumerUsage, uint64_t* grallocProducerUsage) = 0;
    VkResult lvp_GetSwapchainGrallocUsage2ANDROID_Weak(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, VkSwapchainImageUsageFlagsANDROID swapchainImageUsage, uint64_t* grallocConsumerUsage, uint64_t* grallocProducerUsage);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetSwapchainGrallocUsage2ANDROID(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, VkSwapchainImageUsageFlagsANDROID swapchainImageUsage, uint64_t* grallocConsumerUsage, uint64_t* grallocProducerUsage) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_AcquireImageANDROID_Weak=lvp_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:lvp_AcquireImageANDROID=lvp_AcquireImageANDROID_Weak")
    VkResult (*lvp_AcquireImageANDROID_Null)(VkDevice device, VkImage image, int nativeFenceFd, VkSemaphore semaphore, VkFence fence) = 0;
    VkResult lvp_AcquireImageANDROID_Weak(VkDevice device, VkImage image, int nativeFenceFd, VkSemaphore semaphore, VkFence fence);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_AcquireImageANDROID(VkDevice device, VkImage image, int nativeFenceFd, VkSemaphore semaphore, VkFence fence) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_QueueSignalReleaseImageANDROID_Weak=lvp_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:lvp_QueueSignalReleaseImageANDROID=lvp_QueueSignalReleaseImageANDROID_Weak")
    VkResult (*lvp_QueueSignalReleaseImageANDROID_Null)(VkQueue queue, uint32_t waitSemaphoreCount, const VkSemaphore* pWaitSemaphores, VkImage image, int* pNativeFenceFd) = 0;
    VkResult lvp_QueueSignalReleaseImageANDROID_Weak(VkQueue queue, uint32_t waitSemaphoreCount, const VkSemaphore* pWaitSemaphores, VkImage image, int* pNativeFenceFd);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_QueueSignalReleaseImageANDROID(VkQueue queue, uint32_t waitSemaphoreCount, const VkSemaphore* pWaitSemaphores, VkImage image, int* pNativeFenceFd) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetShaderInfoAMD_Weak=lvp_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:lvp_GetShaderInfoAMD=lvp_GetShaderInfoAMD_Weak")
    VkResult (*lvp_GetShaderInfoAMD_Null)(VkDevice device, VkPipeline pipeline, VkShaderStageFlagBits shaderStage, VkShaderInfoTypeAMD infoType, size_t* pInfoSize, void* pInfo) = 0;
    VkResult lvp_GetShaderInfoAMD_Weak(VkDevice device, VkPipeline pipeline, VkShaderStageFlagBits shaderStage, VkShaderInfoTypeAMD infoType, size_t* pInfoSize, void* pInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetShaderInfoAMD(VkDevice device, VkPipeline pipeline, VkShaderStageFlagBits shaderStage, VkShaderInfoTypeAMD infoType, size_t* pInfoSize, void* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_SetLocalDimmingAMD_Weak=lvp_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:lvp_SetLocalDimmingAMD=lvp_SetLocalDimmingAMD_Weak")
    void (*lvp_SetLocalDimmingAMD_Null)(VkDevice device, VkSwapchainKHR swapChain, VkBool32 localDimmingEnable) = 0;
    void lvp_SetLocalDimmingAMD_Weak(VkDevice device, VkSwapchainKHR swapChain, VkBool32 localDimmingEnable);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_SetLocalDimmingAMD(VkDevice device, VkSwapchainKHR swapChain, VkBool32 localDimmingEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetCalibratedTimestampsEXT_Weak=lvp_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_GetCalibratedTimestampsEXT=lvp_GetCalibratedTimestampsEXT_Weak")
    VkResult (*lvp_GetCalibratedTimestampsEXT_Null)(VkDevice device, uint32_t timestampCount, const VkCalibratedTimestampInfoEXT* pTimestampInfos, uint64_t* pTimestamps, uint64_t* pMaxDeviation) = 0;
    VkResult lvp_GetCalibratedTimestampsEXT_Weak(VkDevice device, uint32_t timestampCount, const VkCalibratedTimestampInfoEXT* pTimestampInfos, uint64_t* pTimestamps, uint64_t* pMaxDeviation);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetCalibratedTimestampsEXT(VkDevice device, uint32_t timestampCount, const VkCalibratedTimestampInfoEXT* pTimestampInfos, uint64_t* pTimestamps, uint64_t* pMaxDeviation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_SetDebugUtilsObjectNameEXT_Weak=lvp_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_SetDebugUtilsObjectNameEXT=lvp_SetDebugUtilsObjectNameEXT_Weak")
    VkResult (*lvp_SetDebugUtilsObjectNameEXT_Null)(VkDevice device, const VkDebugUtilsObjectNameInfoEXT* pNameInfo) = 0;
    VkResult lvp_SetDebugUtilsObjectNameEXT_Weak(VkDevice device, const VkDebugUtilsObjectNameInfoEXT* pNameInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_SetDebugUtilsObjectNameEXT(VkDevice device, const VkDebugUtilsObjectNameInfoEXT* pNameInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_SetDebugUtilsObjectTagEXT_Weak=lvp_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_SetDebugUtilsObjectTagEXT=lvp_SetDebugUtilsObjectTagEXT_Weak")
    VkResult (*lvp_SetDebugUtilsObjectTagEXT_Null)(VkDevice device, const VkDebugUtilsObjectTagInfoEXT* pTagInfo) = 0;
    VkResult lvp_SetDebugUtilsObjectTagEXT_Weak(VkDevice device, const VkDebugUtilsObjectTagInfoEXT* pTagInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_SetDebugUtilsObjectTagEXT(VkDevice device, const VkDebugUtilsObjectTagInfoEXT* pTagInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_QueueBeginDebugUtilsLabelEXT_Weak=lvp_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_QueueBeginDebugUtilsLabelEXT=lvp_QueueBeginDebugUtilsLabelEXT_Weak")
    void (*lvp_QueueBeginDebugUtilsLabelEXT_Null)(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo) = 0;
    void lvp_QueueBeginDebugUtilsLabelEXT_Weak(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_QueueBeginDebugUtilsLabelEXT(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_QueueEndDebugUtilsLabelEXT_Weak=lvp_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_QueueEndDebugUtilsLabelEXT=lvp_QueueEndDebugUtilsLabelEXT_Weak")
    void (*lvp_QueueEndDebugUtilsLabelEXT_Null)(VkQueue queue) = 0;
    void lvp_QueueEndDebugUtilsLabelEXT_Weak(VkQueue queue);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_QueueEndDebugUtilsLabelEXT(VkQueue queue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_QueueInsertDebugUtilsLabelEXT_Weak=lvp_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_QueueInsertDebugUtilsLabelEXT=lvp_QueueInsertDebugUtilsLabelEXT_Weak")
    void (*lvp_QueueInsertDebugUtilsLabelEXT_Null)(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo) = 0;
    void lvp_QueueInsertDebugUtilsLabelEXT_Weak(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_QueueInsertDebugUtilsLabelEXT(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdBeginDebugUtilsLabelEXT_Weak=lvp_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdBeginDebugUtilsLabelEXT=lvp_CmdBeginDebugUtilsLabelEXT_Weak")
    void (*lvp_CmdBeginDebugUtilsLabelEXT_Null)(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo) = 0;
    void lvp_CmdBeginDebugUtilsLabelEXT_Weak(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdBeginDebugUtilsLabelEXT(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdEndDebugUtilsLabelEXT_Weak=lvp_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdEndDebugUtilsLabelEXT=lvp_CmdEndDebugUtilsLabelEXT_Weak")
    void (*lvp_CmdEndDebugUtilsLabelEXT_Null)(VkCommandBuffer commandBuffer) = 0;
    void lvp_CmdEndDebugUtilsLabelEXT_Weak(VkCommandBuffer commandBuffer);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdEndDebugUtilsLabelEXT(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdInsertDebugUtilsLabelEXT_Weak=lvp_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdInsertDebugUtilsLabelEXT=lvp_CmdInsertDebugUtilsLabelEXT_Weak")
    void (*lvp_CmdInsertDebugUtilsLabelEXT_Null)(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo) = 0;
    void lvp_CmdInsertDebugUtilsLabelEXT_Weak(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdInsertDebugUtilsLabelEXT(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetMemoryHostPointerPropertiesEXT_Weak=lvp_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_GetMemoryHostPointerPropertiesEXT=lvp_GetMemoryHostPointerPropertiesEXT_Weak")
    VkResult (*lvp_GetMemoryHostPointerPropertiesEXT_Null)(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, const void* pHostPointer, VkMemoryHostPointerPropertiesEXT* pMemoryHostPointerProperties) = 0;
    VkResult lvp_GetMemoryHostPointerPropertiesEXT_Weak(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, const void* pHostPointer, VkMemoryHostPointerPropertiesEXT* pMemoryHostPointerProperties);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetMemoryHostPointerPropertiesEXT(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, const void* pHostPointer, VkMemoryHostPointerPropertiesEXT* pMemoryHostPointerProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdWriteBufferMarkerAMD_Weak=lvp_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdWriteBufferMarkerAMD=lvp_CmdWriteBufferMarkerAMD_Weak")
    void (*lvp_CmdWriteBufferMarkerAMD_Null)(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkBuffer dstBuffer, VkDeviceSize dstOffset, uint32_t marker) = 0;
    void lvp_CmdWriteBufferMarkerAMD_Weak(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkBuffer dstBuffer, VkDeviceSize dstOffset, uint32_t marker);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdWriteBufferMarkerAMD(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkBuffer dstBuffer, VkDeviceSize dstOffset, uint32_t marker) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CreateRenderPass2_Weak=lvp_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:lvp_CreateRenderPass2=lvp_CreateRenderPass2_Weak")
    VkResult (*lvp_CreateRenderPass2_Null)(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) = 0;
    VkResult lvp_CreateRenderPass2_Weak(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_CreateRenderPass2(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CreateRenderPass2KHR_Weak=lvp_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:lvp_CreateRenderPass2KHR=lvp_CreateRenderPass2KHR_Weak")
    VkResult (*lvp_CreateRenderPass2KHR_Null)(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) = 0;
    VkResult lvp_CreateRenderPass2KHR_Weak(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_CreateRenderPass2KHR(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdBeginRenderPass2_Weak=lvp_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdBeginRenderPass2=lvp_CmdBeginRenderPass2_Weak")
    void (*lvp_CmdBeginRenderPass2_Null)(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo) = 0;
    void lvp_CmdBeginRenderPass2_Weak(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdBeginRenderPass2(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdBeginRenderPass2KHR_Weak=lvp_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdBeginRenderPass2KHR=lvp_CmdBeginRenderPass2KHR_Weak")
    void (*lvp_CmdBeginRenderPass2KHR_Null)(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo) = 0;
    void lvp_CmdBeginRenderPass2KHR_Weak(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdBeginRenderPass2KHR(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdNextSubpass2_Weak=lvp_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdNextSubpass2=lvp_CmdNextSubpass2_Weak")
    void (*lvp_CmdNextSubpass2_Null)(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo) = 0;
    void lvp_CmdNextSubpass2_Weak(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdNextSubpass2(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdNextSubpass2KHR_Weak=lvp_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdNextSubpass2KHR=lvp_CmdNextSubpass2KHR_Weak")
    void (*lvp_CmdNextSubpass2KHR_Null)(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo) = 0;
    void lvp_CmdNextSubpass2KHR_Weak(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdNextSubpass2KHR(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdEndRenderPass2_Weak=lvp_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdEndRenderPass2=lvp_CmdEndRenderPass2_Weak")
    void (*lvp_CmdEndRenderPass2_Null)(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo) = 0;
    void lvp_CmdEndRenderPass2_Weak(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdEndRenderPass2(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdEndRenderPass2KHR_Weak=lvp_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdEndRenderPass2KHR=lvp_CmdEndRenderPass2KHR_Weak")
    void (*lvp_CmdEndRenderPass2KHR_Null)(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo) = 0;
    void lvp_CmdEndRenderPass2KHR_Weak(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdEndRenderPass2KHR(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetSemaphoreCounterValue_Weak=lvp_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:lvp_GetSemaphoreCounterValue=lvp_GetSemaphoreCounterValue_Weak")
    VkResult (*lvp_GetSemaphoreCounterValue_Null)(VkDevice device, VkSemaphore semaphore, uint64_t* pValue) = 0;
    VkResult lvp_GetSemaphoreCounterValue_Weak(VkDevice device, VkSemaphore semaphore, uint64_t* pValue);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetSemaphoreCounterValue(VkDevice device, VkSemaphore semaphore, uint64_t* pValue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetSemaphoreCounterValueKHR_Weak=lvp_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_GetSemaphoreCounterValueKHR=lvp_GetSemaphoreCounterValueKHR_Weak")
    VkResult (*lvp_GetSemaphoreCounterValueKHR_Null)(VkDevice device, VkSemaphore semaphore, uint64_t* pValue) = 0;
    VkResult lvp_GetSemaphoreCounterValueKHR_Weak(VkDevice device, VkSemaphore semaphore, uint64_t* pValue);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetSemaphoreCounterValueKHR(VkDevice device, VkSemaphore semaphore, uint64_t* pValue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_WaitSemaphores_Weak=lvp_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:lvp_WaitSemaphores=lvp_WaitSemaphores_Weak")
    VkResult (*lvp_WaitSemaphores_Null)(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout) = 0;
    VkResult lvp_WaitSemaphores_Weak(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_WaitSemaphores(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_WaitSemaphoresKHR_Weak=lvp_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_WaitSemaphoresKHR=lvp_WaitSemaphoresKHR_Weak")
    VkResult (*lvp_WaitSemaphoresKHR_Null)(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout) = 0;
    VkResult lvp_WaitSemaphoresKHR_Weak(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_WaitSemaphoresKHR(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_SignalSemaphore_Weak=lvp_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:lvp_SignalSemaphore=lvp_SignalSemaphore_Weak")
    VkResult (*lvp_SignalSemaphore_Null)(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo) = 0;
    VkResult lvp_SignalSemaphore_Weak(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_SignalSemaphore(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_SignalSemaphoreKHR_Weak=lvp_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_SignalSemaphoreKHR=lvp_SignalSemaphoreKHR_Weak")
    VkResult (*lvp_SignalSemaphoreKHR_Null)(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo) = 0;
    VkResult lvp_SignalSemaphoreKHR_Weak(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_SignalSemaphoreKHR(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_ANDROID_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetAndroidHardwareBufferPropertiesANDROID_Weak=lvp_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:lvp_GetAndroidHardwareBufferPropertiesANDROID=lvp_GetAndroidHardwareBufferPropertiesANDROID_Weak")
    VkResult (*lvp_GetAndroidHardwareBufferPropertiesANDROID_Null)(VkDevice device, const struct AHardwareBuffer* buffer, VkAndroidHardwareBufferPropertiesANDROID* pProperties) = 0;
    VkResult lvp_GetAndroidHardwareBufferPropertiesANDROID_Weak(VkDevice device, const struct AHardwareBuffer* buffer, VkAndroidHardwareBufferPropertiesANDROID* pProperties);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetAndroidHardwareBufferPropertiesANDROID(VkDevice device, const struct AHardwareBuffer* buffer, VkAndroidHardwareBufferPropertiesANDROID* pProperties) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetMemoryAndroidHardwareBufferANDROID_Weak=lvp_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:lvp_GetMemoryAndroidHardwareBufferANDROID=lvp_GetMemoryAndroidHardwareBufferANDROID_Weak")
    VkResult (*lvp_GetMemoryAndroidHardwareBufferANDROID_Null)(VkDevice device, const VkMemoryGetAndroidHardwareBufferInfoANDROID* pInfo, struct AHardwareBuffer** pBuffer) = 0;
    VkResult lvp_GetMemoryAndroidHardwareBufferANDROID_Weak(VkDevice device, const VkMemoryGetAndroidHardwareBufferInfoANDROID* pInfo, struct AHardwareBuffer** pBuffer);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetMemoryAndroidHardwareBufferANDROID(VkDevice device, const VkMemoryGetAndroidHardwareBufferInfoANDROID* pInfo, struct AHardwareBuffer** pBuffer) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdDrawIndirectCount_Weak=lvp_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdDrawIndirectCount=lvp_CmdDrawIndirectCount_Weak")
    void (*lvp_CmdDrawIndirectCount_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
    void lvp_CmdDrawIndirectCount_Weak(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdDrawIndirectCount(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdDrawIndirectCountKHR_Weak=lvp_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdDrawIndirectCountKHR=lvp_CmdDrawIndirectCountKHR_Weak")
    void (*lvp_CmdDrawIndirectCountKHR_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
    void lvp_CmdDrawIndirectCountKHR_Weak(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdDrawIndirectCountKHR(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdDrawIndirectCountAMD_Weak=lvp_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdDrawIndirectCountAMD=lvp_CmdDrawIndirectCountAMD_Weak")
    void (*lvp_CmdDrawIndirectCountAMD_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
    void lvp_CmdDrawIndirectCountAMD_Weak(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdDrawIndirectCountAMD(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdDrawIndexedIndirectCount_Weak=lvp_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdDrawIndexedIndirectCount=lvp_CmdDrawIndexedIndirectCount_Weak")
    void (*lvp_CmdDrawIndexedIndirectCount_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
    void lvp_CmdDrawIndexedIndirectCount_Weak(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdDrawIndexedIndirectCount(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdDrawIndexedIndirectCountKHR_Weak=lvp_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdDrawIndexedIndirectCountKHR=lvp_CmdDrawIndexedIndirectCountKHR_Weak")
    void (*lvp_CmdDrawIndexedIndirectCountKHR_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
    void lvp_CmdDrawIndexedIndirectCountKHR_Weak(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdDrawIndexedIndirectCountKHR(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdDrawIndexedIndirectCountAMD_Weak=lvp_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdDrawIndexedIndirectCountAMD=lvp_CmdDrawIndexedIndirectCountAMD_Weak")
    void (*lvp_CmdDrawIndexedIndirectCountAMD_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
    void lvp_CmdDrawIndexedIndirectCountAMD_Weak(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdDrawIndexedIndirectCountAMD(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdSetCheckpointNV_Weak=lvp_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdSetCheckpointNV=lvp_CmdSetCheckpointNV_Weak")
    void (*lvp_CmdSetCheckpointNV_Null)(VkCommandBuffer commandBuffer, const void* pCheckpointMarker) = 0;
    void lvp_CmdSetCheckpointNV_Weak(VkCommandBuffer commandBuffer, const void* pCheckpointMarker);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdSetCheckpointNV(VkCommandBuffer commandBuffer, const void* pCheckpointMarker) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetQueueCheckpointDataNV_Weak=lvp_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:lvp_GetQueueCheckpointDataNV=lvp_GetQueueCheckpointDataNV_Weak")
    void (*lvp_GetQueueCheckpointDataNV_Null)(VkQueue queue, uint32_t* pCheckpointDataCount, VkCheckpointDataNV* pCheckpointData) = 0;
    void lvp_GetQueueCheckpointDataNV_Weak(VkQueue queue, uint32_t* pCheckpointDataCount, VkCheckpointDataNV* pCheckpointData);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_GetQueueCheckpointDataNV(VkQueue queue, uint32_t* pCheckpointDataCount, VkCheckpointDataNV* pCheckpointData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdBindTransformFeedbackBuffersEXT_Weak=lvp_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdBindTransformFeedbackBuffersEXT=lvp_CmdBindTransformFeedbackBuffersEXT_Weak")
    void (*lvp_CmdBindTransformFeedbackBuffersEXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes) = 0;
    void lvp_CmdBindTransformFeedbackBuffersEXT_Weak(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdBindTransformFeedbackBuffersEXT(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdBeginTransformFeedbackEXT_Weak=lvp_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdBeginTransformFeedbackEXT=lvp_CmdBeginTransformFeedbackEXT_Weak")
    void (*lvp_CmdBeginTransformFeedbackEXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets) = 0;
    void lvp_CmdBeginTransformFeedbackEXT_Weak(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdBeginTransformFeedbackEXT(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdEndTransformFeedbackEXT_Weak=lvp_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdEndTransformFeedbackEXT=lvp_CmdEndTransformFeedbackEXT_Weak")
    void (*lvp_CmdEndTransformFeedbackEXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets) = 0;
    void lvp_CmdEndTransformFeedbackEXT_Weak(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdEndTransformFeedbackEXT(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdBeginQueryIndexedEXT_Weak=lvp_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdBeginQueryIndexedEXT=lvp_CmdBeginQueryIndexedEXT_Weak")
    void (*lvp_CmdBeginQueryIndexedEXT_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags, uint32_t index) = 0;
    void lvp_CmdBeginQueryIndexedEXT_Weak(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags, uint32_t index);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdBeginQueryIndexedEXT(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags, uint32_t index) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdEndQueryIndexedEXT_Weak=lvp_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdEndQueryIndexedEXT=lvp_CmdEndQueryIndexedEXT_Weak")
    void (*lvp_CmdEndQueryIndexedEXT_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, uint32_t index) = 0;
    void lvp_CmdEndQueryIndexedEXT_Weak(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, uint32_t index);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdEndQueryIndexedEXT(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, uint32_t index) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdDrawIndirectByteCountEXT_Weak=lvp_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdDrawIndirectByteCountEXT=lvp_CmdDrawIndirectByteCountEXT_Weak")
    void (*lvp_CmdDrawIndirectByteCountEXT_Null)(VkCommandBuffer commandBuffer, uint32_t instanceCount, uint32_t firstInstance, VkBuffer counterBuffer, VkDeviceSize counterBufferOffset, uint32_t counterOffset, uint32_t vertexStride) = 0;
    void lvp_CmdDrawIndirectByteCountEXT_Weak(VkCommandBuffer commandBuffer, uint32_t instanceCount, uint32_t firstInstance, VkBuffer counterBuffer, VkDeviceSize counterBufferOffset, uint32_t counterOffset, uint32_t vertexStride);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdDrawIndirectByteCountEXT(VkCommandBuffer commandBuffer, uint32_t instanceCount, uint32_t firstInstance, VkBuffer counterBuffer, VkDeviceSize counterBufferOffset, uint32_t counterOffset, uint32_t vertexStride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdSetExclusiveScissorNV_Weak=lvp_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdSetExclusiveScissorNV=lvp_CmdSetExclusiveScissorNV_Weak")
    void (*lvp_CmdSetExclusiveScissorNV_Null)(VkCommandBuffer commandBuffer, uint32_t firstExclusiveScissor, uint32_t exclusiveScissorCount, const VkRect2D* pExclusiveScissors) = 0;
    void lvp_CmdSetExclusiveScissorNV_Weak(VkCommandBuffer commandBuffer, uint32_t firstExclusiveScissor, uint32_t exclusiveScissorCount, const VkRect2D* pExclusiveScissors);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdSetExclusiveScissorNV(VkCommandBuffer commandBuffer, uint32_t firstExclusiveScissor, uint32_t exclusiveScissorCount, const VkRect2D* pExclusiveScissors) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdBindShadingRateImageNV_Weak=lvp_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdBindShadingRateImageNV=lvp_CmdBindShadingRateImageNV_Weak")
    void (*lvp_CmdBindShadingRateImageNV_Null)(VkCommandBuffer commandBuffer, VkImageView imageView, VkImageLayout imageLayout) = 0;
    void lvp_CmdBindShadingRateImageNV_Weak(VkCommandBuffer commandBuffer, VkImageView imageView, VkImageLayout imageLayout);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdBindShadingRateImageNV(VkCommandBuffer commandBuffer, VkImageView imageView, VkImageLayout imageLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdSetViewportShadingRatePaletteNV_Weak=lvp_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdSetViewportShadingRatePaletteNV=lvp_CmdSetViewportShadingRatePaletteNV_Weak")
    void (*lvp_CmdSetViewportShadingRatePaletteNV_Null)(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkShadingRatePaletteNV* pShadingRatePalettes) = 0;
    void lvp_CmdSetViewportShadingRatePaletteNV_Weak(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkShadingRatePaletteNV* pShadingRatePalettes);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdSetViewportShadingRatePaletteNV(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkShadingRatePaletteNV* pShadingRatePalettes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdSetCoarseSampleOrderNV_Weak=lvp_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdSetCoarseSampleOrderNV=lvp_CmdSetCoarseSampleOrderNV_Weak")
    void (*lvp_CmdSetCoarseSampleOrderNV_Null)(VkCommandBuffer commandBuffer, VkCoarseSampleOrderTypeNV sampleOrderType, uint32_t customSampleOrderCount, const VkCoarseSampleOrderCustomNV* pCustomSampleOrders) = 0;
    void lvp_CmdSetCoarseSampleOrderNV_Weak(VkCommandBuffer commandBuffer, VkCoarseSampleOrderTypeNV sampleOrderType, uint32_t customSampleOrderCount, const VkCoarseSampleOrderCustomNV* pCustomSampleOrders);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdSetCoarseSampleOrderNV(VkCommandBuffer commandBuffer, VkCoarseSampleOrderTypeNV sampleOrderType, uint32_t customSampleOrderCount, const VkCoarseSampleOrderCustomNV* pCustomSampleOrders) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdDrawMeshTasksNV_Weak=lvp_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdDrawMeshTasksNV=lvp_CmdDrawMeshTasksNV_Weak")
    void (*lvp_CmdDrawMeshTasksNV_Null)(VkCommandBuffer commandBuffer, uint32_t taskCount, uint32_t firstTask) = 0;
    void lvp_CmdDrawMeshTasksNV_Weak(VkCommandBuffer commandBuffer, uint32_t taskCount, uint32_t firstTask);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdDrawMeshTasksNV(VkCommandBuffer commandBuffer, uint32_t taskCount, uint32_t firstTask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdDrawMeshTasksIndirectNV_Weak=lvp_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdDrawMeshTasksIndirectNV=lvp_CmdDrawMeshTasksIndirectNV_Weak")
    void (*lvp_CmdDrawMeshTasksIndirectNV_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) = 0;
    void lvp_CmdDrawMeshTasksIndirectNV_Weak(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdDrawMeshTasksIndirectNV(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdDrawMeshTasksIndirectCountNV_Weak=lvp_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdDrawMeshTasksIndirectCountNV=lvp_CmdDrawMeshTasksIndirectCountNV_Weak")
    void (*lvp_CmdDrawMeshTasksIndirectCountNV_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
    void lvp_CmdDrawMeshTasksIndirectCountNV_Weak(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdDrawMeshTasksIndirectCountNV(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CompileDeferredNV_Weak=lvp_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:lvp_CompileDeferredNV=lvp_CompileDeferredNV_Weak")
    VkResult (*lvp_CompileDeferredNV_Null)(VkDevice device, VkPipeline pipeline, uint32_t shader) = 0;
    VkResult lvp_CompileDeferredNV_Weak(VkDevice device, VkPipeline pipeline, uint32_t shader);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_CompileDeferredNV(VkDevice device, VkPipeline pipeline, uint32_t shader) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CreateAccelerationStructureNV_Weak=lvp_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:lvp_CreateAccelerationStructureNV=lvp_CreateAccelerationStructureNV_Weak")
    VkResult (*lvp_CreateAccelerationStructureNV_Null)(VkDevice device, const VkAccelerationStructureCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkAccelerationStructureNV* pAccelerationStructure) = 0;
    VkResult lvp_CreateAccelerationStructureNV_Weak(VkDevice device, const VkAccelerationStructureCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkAccelerationStructureNV* pAccelerationStructure);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_CreateAccelerationStructureNV(VkDevice device, const VkAccelerationStructureCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkAccelerationStructureNV* pAccelerationStructure) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_DestroyAccelerationStructureKHR_Weak=lvp_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_DestroyAccelerationStructureKHR=lvp_DestroyAccelerationStructureKHR_Weak")
    void (*lvp_DestroyAccelerationStructureKHR_Null)(VkDevice device, VkAccelerationStructureKHR accelerationStructure, const VkAllocationCallbacks* pAllocator) = 0;
    void lvp_DestroyAccelerationStructureKHR_Weak(VkDevice device, VkAccelerationStructureKHR accelerationStructure, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_DestroyAccelerationStructureKHR(VkDevice device, VkAccelerationStructureKHR accelerationStructure, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_DestroyAccelerationStructureNV_Weak=lvp_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:lvp_DestroyAccelerationStructureNV=lvp_DestroyAccelerationStructureNV_Weak")
    void (*lvp_DestroyAccelerationStructureNV_Null)(VkDevice device, VkAccelerationStructureNV accelerationStructure, const VkAllocationCallbacks* pAllocator) = 0;
    void lvp_DestroyAccelerationStructureNV_Weak(VkDevice device, VkAccelerationStructureNV accelerationStructure, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_DestroyAccelerationStructureNV(VkDevice device, VkAccelerationStructureNV accelerationStructure, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetAccelerationStructureMemoryRequirementsNV_Weak=lvp_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:lvp_GetAccelerationStructureMemoryRequirementsNV=lvp_GetAccelerationStructureMemoryRequirementsNV_Weak")
    void (*lvp_GetAccelerationStructureMemoryRequirementsNV_Null)(VkDevice device, const VkAccelerationStructureMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2KHR* pMemoryRequirements) = 0;
    void lvp_GetAccelerationStructureMemoryRequirementsNV_Weak(VkDevice device, const VkAccelerationStructureMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2KHR* pMemoryRequirements);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_GetAccelerationStructureMemoryRequirementsNV(VkDevice device, const VkAccelerationStructureMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2KHR* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_BindAccelerationStructureMemoryNV_Weak=lvp_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:lvp_BindAccelerationStructureMemoryNV=lvp_BindAccelerationStructureMemoryNV_Weak")
    VkResult (*lvp_BindAccelerationStructureMemoryNV_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindAccelerationStructureMemoryInfoNV* pBindInfos) = 0;
    VkResult lvp_BindAccelerationStructureMemoryNV_Weak(VkDevice device, uint32_t bindInfoCount, const VkBindAccelerationStructureMemoryInfoNV* pBindInfos);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_BindAccelerationStructureMemoryNV(VkDevice device, uint32_t bindInfoCount, const VkBindAccelerationStructureMemoryInfoNV* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdCopyAccelerationStructureNV_Weak=lvp_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdCopyAccelerationStructureNV=lvp_CmdCopyAccelerationStructureNV_Weak")
    void (*lvp_CmdCopyAccelerationStructureNV_Null)(VkCommandBuffer commandBuffer, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkCopyAccelerationStructureModeKHR mode) = 0;
    void lvp_CmdCopyAccelerationStructureNV_Weak(VkCommandBuffer commandBuffer, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkCopyAccelerationStructureModeKHR mode);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdCopyAccelerationStructureNV(VkCommandBuffer commandBuffer, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkCopyAccelerationStructureModeKHR mode) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdCopyAccelerationStructureKHR_Weak=lvp_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdCopyAccelerationStructureKHR=lvp_CmdCopyAccelerationStructureKHR_Weak")
    void (*lvp_CmdCopyAccelerationStructureKHR_Null)(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureInfoKHR* pInfo) = 0;
    void lvp_CmdCopyAccelerationStructureKHR_Weak(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureInfoKHR* pInfo);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdCopyAccelerationStructureKHR(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CopyAccelerationStructureKHR_Weak=lvp_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_CopyAccelerationStructureKHR=lvp_CopyAccelerationStructureKHR_Weak")
    VkResult (*lvp_CopyAccelerationStructureKHR_Null)(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureInfoKHR* pInfo) = 0;
    VkResult lvp_CopyAccelerationStructureKHR_Weak(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureInfoKHR* pInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_CopyAccelerationStructureKHR(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdCopyAccelerationStructureToMemoryKHR_Weak=lvp_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdCopyAccelerationStructureToMemoryKHR=lvp_CmdCopyAccelerationStructureToMemoryKHR_Weak")
    void (*lvp_CmdCopyAccelerationStructureToMemoryKHR_Null)(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo) = 0;
    void lvp_CmdCopyAccelerationStructureToMemoryKHR_Weak(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdCopyAccelerationStructureToMemoryKHR(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CopyAccelerationStructureToMemoryKHR_Weak=lvp_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_CopyAccelerationStructureToMemoryKHR=lvp_CopyAccelerationStructureToMemoryKHR_Weak")
    VkResult (*lvp_CopyAccelerationStructureToMemoryKHR_Null)(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo) = 0;
    VkResult lvp_CopyAccelerationStructureToMemoryKHR_Weak(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_CopyAccelerationStructureToMemoryKHR(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdCopyMemoryToAccelerationStructureKHR_Weak=lvp_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdCopyMemoryToAccelerationStructureKHR=lvp_CmdCopyMemoryToAccelerationStructureKHR_Weak")
    void (*lvp_CmdCopyMemoryToAccelerationStructureKHR_Null)(VkCommandBuffer commandBuffer, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo) = 0;
    void lvp_CmdCopyMemoryToAccelerationStructureKHR_Weak(VkCommandBuffer commandBuffer, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdCopyMemoryToAccelerationStructureKHR(VkCommandBuffer commandBuffer, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CopyMemoryToAccelerationStructureKHR_Weak=lvp_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_CopyMemoryToAccelerationStructureKHR=lvp_CopyMemoryToAccelerationStructureKHR_Weak")
    VkResult (*lvp_CopyMemoryToAccelerationStructureKHR_Null)(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo) = 0;
    VkResult lvp_CopyMemoryToAccelerationStructureKHR_Weak(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_CopyMemoryToAccelerationStructureKHR(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdWriteAccelerationStructuresPropertiesKHR_Weak=lvp_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdWriteAccelerationStructuresPropertiesKHR=lvp_CmdWriteAccelerationStructuresPropertiesKHR_Weak")
    void (*lvp_CmdWriteAccelerationStructuresPropertiesKHR_Null)(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery) = 0;
    void lvp_CmdWriteAccelerationStructuresPropertiesKHR_Weak(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdWriteAccelerationStructuresPropertiesKHR(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdWriteAccelerationStructuresPropertiesNV_Weak=lvp_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdWriteAccelerationStructuresPropertiesNV=lvp_CmdWriteAccelerationStructuresPropertiesNV_Weak")
    void (*lvp_CmdWriteAccelerationStructuresPropertiesNV_Null)(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureNV* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery) = 0;
    void lvp_CmdWriteAccelerationStructuresPropertiesNV_Weak(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureNV* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdWriteAccelerationStructuresPropertiesNV(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureNV* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdBuildAccelerationStructureNV_Weak=lvp_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdBuildAccelerationStructureNV=lvp_CmdBuildAccelerationStructureNV_Weak")
    void (*lvp_CmdBuildAccelerationStructureNV_Null)(VkCommandBuffer commandBuffer, const VkAccelerationStructureInfoNV* pInfo, VkBuffer instanceData, VkDeviceSize instanceOffset, VkBool32 update, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkBuffer scratch, VkDeviceSize scratchOffset) = 0;
    void lvp_CmdBuildAccelerationStructureNV_Weak(VkCommandBuffer commandBuffer, const VkAccelerationStructureInfoNV* pInfo, VkBuffer instanceData, VkDeviceSize instanceOffset, VkBool32 update, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkBuffer scratch, VkDeviceSize scratchOffset);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdBuildAccelerationStructureNV(VkCommandBuffer commandBuffer, const VkAccelerationStructureInfoNV* pInfo, VkBuffer instanceData, VkDeviceSize instanceOffset, VkBool32 update, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkBuffer scratch, VkDeviceSize scratchOffset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_WriteAccelerationStructuresPropertiesKHR_Weak=lvp_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_WriteAccelerationStructuresPropertiesKHR=lvp_WriteAccelerationStructuresPropertiesKHR_Weak")
    VkResult (*lvp_WriteAccelerationStructuresPropertiesKHR_Null)(VkDevice device, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType  queryType, size_t       dataSize, void* pData, size_t stride) = 0;
    VkResult lvp_WriteAccelerationStructuresPropertiesKHR_Weak(VkDevice device, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType  queryType, size_t       dataSize, void* pData, size_t stride);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_WriteAccelerationStructuresPropertiesKHR(VkDevice device, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType  queryType, size_t       dataSize, void* pData, size_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdTraceRaysKHR_Weak=lvp_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdTraceRaysKHR=lvp_CmdTraceRaysKHR_Weak")
    void (*lvp_CmdTraceRaysKHR_Null)(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, uint32_t width, uint32_t height, uint32_t depth) = 0;
    void lvp_CmdTraceRaysKHR_Weak(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, uint32_t width, uint32_t height, uint32_t depth);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdTraceRaysKHR(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, uint32_t width, uint32_t height, uint32_t depth) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdTraceRaysNV_Weak=lvp_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdTraceRaysNV=lvp_CmdTraceRaysNV_Weak")
    void (*lvp_CmdTraceRaysNV_Null)(VkCommandBuffer commandBuffer, VkBuffer raygenShaderBindingTableBuffer, VkDeviceSize raygenShaderBindingOffset, VkBuffer missShaderBindingTableBuffer, VkDeviceSize missShaderBindingOffset, VkDeviceSize missShaderBindingStride, VkBuffer hitShaderBindingTableBuffer, VkDeviceSize hitShaderBindingOffset, VkDeviceSize hitShaderBindingStride, VkBuffer callableShaderBindingTableBuffer, VkDeviceSize callableShaderBindingOffset, VkDeviceSize callableShaderBindingStride, uint32_t width, uint32_t height, uint32_t depth) = 0;
    void lvp_CmdTraceRaysNV_Weak(VkCommandBuffer commandBuffer, VkBuffer raygenShaderBindingTableBuffer, VkDeviceSize raygenShaderBindingOffset, VkBuffer missShaderBindingTableBuffer, VkDeviceSize missShaderBindingOffset, VkDeviceSize missShaderBindingStride, VkBuffer hitShaderBindingTableBuffer, VkDeviceSize hitShaderBindingOffset, VkDeviceSize hitShaderBindingStride, VkBuffer callableShaderBindingTableBuffer, VkDeviceSize callableShaderBindingOffset, VkDeviceSize callableShaderBindingStride, uint32_t width, uint32_t height, uint32_t depth);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdTraceRaysNV(VkCommandBuffer commandBuffer, VkBuffer raygenShaderBindingTableBuffer, VkDeviceSize raygenShaderBindingOffset, VkBuffer missShaderBindingTableBuffer, VkDeviceSize missShaderBindingOffset, VkDeviceSize missShaderBindingStride, VkBuffer hitShaderBindingTableBuffer, VkDeviceSize hitShaderBindingOffset, VkDeviceSize hitShaderBindingStride, VkBuffer callableShaderBindingTableBuffer, VkDeviceSize callableShaderBindingOffset, VkDeviceSize callableShaderBindingStride, uint32_t width, uint32_t height, uint32_t depth) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetRayTracingShaderGroupHandlesKHR_Weak=lvp_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_GetRayTracingShaderGroupHandlesKHR=lvp_GetRayTracingShaderGroupHandlesKHR_Weak")
    VkResult (*lvp_GetRayTracingShaderGroupHandlesKHR_Null)(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) = 0;
    VkResult lvp_GetRayTracingShaderGroupHandlesKHR_Weak(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetRayTracingShaderGroupHandlesKHR(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetRayTracingShaderGroupHandlesNV_Weak=lvp_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:lvp_GetRayTracingShaderGroupHandlesNV=lvp_GetRayTracingShaderGroupHandlesNV_Weak")
    VkResult (*lvp_GetRayTracingShaderGroupHandlesNV_Null)(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) = 0;
    VkResult lvp_GetRayTracingShaderGroupHandlesNV_Weak(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetRayTracingShaderGroupHandlesNV(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Weak=lvp_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_GetRayTracingCaptureReplayShaderGroupHandlesKHR=lvp_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Weak")
    VkResult (*lvp_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null)(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) = 0;
    VkResult lvp_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Weak(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetRayTracingCaptureReplayShaderGroupHandlesKHR(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetAccelerationStructureHandleNV_Weak=lvp_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:lvp_GetAccelerationStructureHandleNV=lvp_GetAccelerationStructureHandleNV_Weak")
    VkResult (*lvp_GetAccelerationStructureHandleNV_Null)(VkDevice device, VkAccelerationStructureNV accelerationStructure, size_t dataSize, void* pData) = 0;
    VkResult lvp_GetAccelerationStructureHandleNV_Weak(VkDevice device, VkAccelerationStructureNV accelerationStructure, size_t dataSize, void* pData);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetAccelerationStructureHandleNV(VkDevice device, VkAccelerationStructureNV accelerationStructure, size_t dataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CreateRayTracingPipelinesNV_Weak=lvp_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:lvp_CreateRayTracingPipelinesNV=lvp_CreateRayTracingPipelinesNV_Weak")
    VkResult (*lvp_CreateRayTracingPipelinesNV_Null)(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoNV* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) = 0;
    VkResult lvp_CreateRayTracingPipelinesNV_Weak(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoNV* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_CreateRayTracingPipelinesNV(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoNV* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CreateRayTracingPipelinesKHR_Weak=lvp_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_CreateRayTracingPipelinesKHR=lvp_CreateRayTracingPipelinesKHR_Weak")
    VkResult (*lvp_CreateRayTracingPipelinesKHR_Null)(VkDevice device, VkDeferredOperationKHR deferredOperation, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) = 0;
    VkResult lvp_CreateRayTracingPipelinesKHR_Weak(VkDevice device, VkDeferredOperationKHR deferredOperation, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_CreateRayTracingPipelinesKHR(VkDevice device, VkDeferredOperationKHR deferredOperation, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdTraceRaysIndirectKHR_Weak=lvp_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdTraceRaysIndirectKHR=lvp_CmdTraceRaysIndirectKHR_Weak")
    void (*lvp_CmdTraceRaysIndirectKHR_Null)(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, VkDeviceAddress indirectDeviceAddress) = 0;
    void lvp_CmdTraceRaysIndirectKHR_Weak(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, VkDeviceAddress indirectDeviceAddress);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdTraceRaysIndirectKHR(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, VkDeviceAddress indirectDeviceAddress) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetDeviceAccelerationStructureCompatibilityKHR_Weak=lvp_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_GetDeviceAccelerationStructureCompatibilityKHR=lvp_GetDeviceAccelerationStructureCompatibilityKHR_Weak")
    void (*lvp_GetDeviceAccelerationStructureCompatibilityKHR_Null)(VkDevice device, const VkAccelerationStructureVersionInfoKHR* pVersionInfo, VkAccelerationStructureCompatibilityKHR* pCompatibility) = 0;
    void lvp_GetDeviceAccelerationStructureCompatibilityKHR_Weak(VkDevice device, const VkAccelerationStructureVersionInfoKHR* pVersionInfo, VkAccelerationStructureCompatibilityKHR* pCompatibility);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_GetDeviceAccelerationStructureCompatibilityKHR(VkDevice device, const VkAccelerationStructureVersionInfoKHR* pVersionInfo, VkAccelerationStructureCompatibilityKHR* pCompatibility) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetRayTracingShaderGroupStackSizeKHR_Weak=lvp_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_GetRayTracingShaderGroupStackSizeKHR=lvp_GetRayTracingShaderGroupStackSizeKHR_Weak")
    VkDeviceSize (*lvp_GetRayTracingShaderGroupStackSizeKHR_Null)(VkDevice device, VkPipeline pipeline, uint32_t group, VkShaderGroupShaderKHR groupShader) = 0;
    VkDeviceSize lvp_GetRayTracingShaderGroupStackSizeKHR_Weak(VkDevice device, VkPipeline pipeline, uint32_t group, VkShaderGroupShaderKHR groupShader);
#else
    VKAPI_ATTR VkDeviceSize VKAPI_CALL lvp_GetRayTracingShaderGroupStackSizeKHR(VkDevice device, VkPipeline pipeline, uint32_t group, VkShaderGroupShaderKHR groupShader) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdSetRayTracingPipelineStackSizeKHR_Weak=lvp_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdSetRayTracingPipelineStackSizeKHR=lvp_CmdSetRayTracingPipelineStackSizeKHR_Weak")
    void (*lvp_CmdSetRayTracingPipelineStackSizeKHR_Null)(VkCommandBuffer commandBuffer, uint32_t pipelineStackSize) = 0;
    void lvp_CmdSetRayTracingPipelineStackSizeKHR_Weak(VkCommandBuffer commandBuffer, uint32_t pipelineStackSize);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdSetRayTracingPipelineStackSizeKHR(VkCommandBuffer commandBuffer, uint32_t pipelineStackSize) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetImageViewHandleNVX_Weak=lvp_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:lvp_GetImageViewHandleNVX=lvp_GetImageViewHandleNVX_Weak")
    uint32_t (*lvp_GetImageViewHandleNVX_Null)(VkDevice device, const VkImageViewHandleInfoNVX* pInfo) = 0;
    uint32_t lvp_GetImageViewHandleNVX_Weak(VkDevice device, const VkImageViewHandleInfoNVX* pInfo);
#else
    VKAPI_ATTR uint32_t VKAPI_CALL lvp_GetImageViewHandleNVX(VkDevice device, const VkImageViewHandleInfoNVX* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetImageViewAddressNVX_Weak=lvp_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:lvp_GetImageViewAddressNVX=lvp_GetImageViewAddressNVX_Weak")
    VkResult (*lvp_GetImageViewAddressNVX_Null)(VkDevice device, VkImageView imageView, VkImageViewAddressPropertiesNVX* pProperties) = 0;
    VkResult lvp_GetImageViewAddressNVX_Weak(VkDevice device, VkImageView imageView, VkImageViewAddressPropertiesNVX* pProperties);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetImageViewAddressNVX(VkDevice device, VkImageView imageView, VkImageViewAddressPropertiesNVX* pProperties) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetDeviceGroupSurfacePresentModes2EXT_Weak=lvp_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:lvp_GetDeviceGroupSurfacePresentModes2EXT=lvp_GetDeviceGroupSurfacePresentModes2EXT_Weak")
    VkResult (*lvp_GetDeviceGroupSurfacePresentModes2EXT_Null)(VkDevice device, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, VkDeviceGroupPresentModeFlagsKHR* pModes) = 0;
    VkResult lvp_GetDeviceGroupSurfacePresentModes2EXT_Weak(VkDevice device, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, VkDeviceGroupPresentModeFlagsKHR* pModes);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetDeviceGroupSurfacePresentModes2EXT(VkDevice device, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, VkDeviceGroupPresentModeFlagsKHR* pModes) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_AcquireFullScreenExclusiveModeEXT_Weak=lvp_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_AcquireFullScreenExclusiveModeEXT=lvp_AcquireFullScreenExclusiveModeEXT_Weak")
    VkResult (*lvp_AcquireFullScreenExclusiveModeEXT_Null)(VkDevice device, VkSwapchainKHR swapchain) = 0;
    VkResult lvp_AcquireFullScreenExclusiveModeEXT_Weak(VkDevice device, VkSwapchainKHR swapchain);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_AcquireFullScreenExclusiveModeEXT(VkDevice device, VkSwapchainKHR swapchain) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_ReleaseFullScreenExclusiveModeEXT_Weak=lvp_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_ReleaseFullScreenExclusiveModeEXT=lvp_ReleaseFullScreenExclusiveModeEXT_Weak")
    VkResult (*lvp_ReleaseFullScreenExclusiveModeEXT_Null)(VkDevice device, VkSwapchainKHR swapchain) = 0;
    VkResult lvp_ReleaseFullScreenExclusiveModeEXT_Weak(VkDevice device, VkSwapchainKHR swapchain);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_ReleaseFullScreenExclusiveModeEXT(VkDevice device, VkSwapchainKHR swapchain) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_AcquireProfilingLockKHR_Weak=lvp_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_AcquireProfilingLockKHR=lvp_AcquireProfilingLockKHR_Weak")
    VkResult (*lvp_AcquireProfilingLockKHR_Null)(VkDevice device, const VkAcquireProfilingLockInfoKHR* pInfo) = 0;
    VkResult lvp_AcquireProfilingLockKHR_Weak(VkDevice device, const VkAcquireProfilingLockInfoKHR* pInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_AcquireProfilingLockKHR(VkDevice device, const VkAcquireProfilingLockInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_ReleaseProfilingLockKHR_Weak=lvp_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_ReleaseProfilingLockKHR=lvp_ReleaseProfilingLockKHR_Weak")
    void (*lvp_ReleaseProfilingLockKHR_Null)(VkDevice device) = 0;
    void lvp_ReleaseProfilingLockKHR_Weak(VkDevice device);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_ReleaseProfilingLockKHR(VkDevice device) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetImageDrmFormatModifierPropertiesEXT_Weak=lvp_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_GetImageDrmFormatModifierPropertiesEXT=lvp_GetImageDrmFormatModifierPropertiesEXT_Weak")
    VkResult (*lvp_GetImageDrmFormatModifierPropertiesEXT_Null)(VkDevice device, VkImage image, VkImageDrmFormatModifierPropertiesEXT* pProperties) = 0;
    VkResult lvp_GetImageDrmFormatModifierPropertiesEXT_Weak(VkDevice device, VkImage image, VkImageDrmFormatModifierPropertiesEXT* pProperties);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetImageDrmFormatModifierPropertiesEXT(VkDevice device, VkImage image, VkImageDrmFormatModifierPropertiesEXT* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetBufferOpaqueCaptureAddress_Weak=lvp_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:lvp_GetBufferOpaqueCaptureAddress=lvp_GetBufferOpaqueCaptureAddress_Weak")
    uint64_t (*lvp_GetBufferOpaqueCaptureAddress_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
    uint64_t lvp_GetBufferOpaqueCaptureAddress_Weak(VkDevice device, const VkBufferDeviceAddressInfo* pInfo);
#else
    VKAPI_ATTR uint64_t VKAPI_CALL lvp_GetBufferOpaqueCaptureAddress(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetBufferOpaqueCaptureAddressKHR_Weak=lvp_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_GetBufferOpaqueCaptureAddressKHR=lvp_GetBufferOpaqueCaptureAddressKHR_Weak")
    uint64_t (*lvp_GetBufferOpaqueCaptureAddressKHR_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
    uint64_t lvp_GetBufferOpaqueCaptureAddressKHR_Weak(VkDevice device, const VkBufferDeviceAddressInfo* pInfo);
#else
    VKAPI_ATTR uint64_t VKAPI_CALL lvp_GetBufferOpaqueCaptureAddressKHR(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetBufferDeviceAddress_Weak=lvp_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:lvp_GetBufferDeviceAddress=lvp_GetBufferDeviceAddress_Weak")
    VkDeviceAddress (*lvp_GetBufferDeviceAddress_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
    VkDeviceAddress lvp_GetBufferDeviceAddress_Weak(VkDevice device, const VkBufferDeviceAddressInfo* pInfo);
#else
    VKAPI_ATTR VkDeviceAddress VKAPI_CALL lvp_GetBufferDeviceAddress(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetBufferDeviceAddressKHR_Weak=lvp_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_GetBufferDeviceAddressKHR=lvp_GetBufferDeviceAddressKHR_Weak")
    VkDeviceAddress (*lvp_GetBufferDeviceAddressKHR_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
    VkDeviceAddress lvp_GetBufferDeviceAddressKHR_Weak(VkDevice device, const VkBufferDeviceAddressInfo* pInfo);
#else
    VKAPI_ATTR VkDeviceAddress VKAPI_CALL lvp_GetBufferDeviceAddressKHR(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetBufferDeviceAddressEXT_Weak=lvp_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_GetBufferDeviceAddressEXT=lvp_GetBufferDeviceAddressEXT_Weak")
    VkDeviceAddress (*lvp_GetBufferDeviceAddressEXT_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
    VkDeviceAddress lvp_GetBufferDeviceAddressEXT_Weak(VkDevice device, const VkBufferDeviceAddressInfo* pInfo);
#else
    VKAPI_ATTR VkDeviceAddress VKAPI_CALL lvp_GetBufferDeviceAddressEXT(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_InitializePerformanceApiINTEL_Weak=lvp_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:lvp_InitializePerformanceApiINTEL=lvp_InitializePerformanceApiINTEL_Weak")
    VkResult (*lvp_InitializePerformanceApiINTEL_Null)(VkDevice device, const VkInitializePerformanceApiInfoINTEL* pInitializeInfo) = 0;
    VkResult lvp_InitializePerformanceApiINTEL_Weak(VkDevice device, const VkInitializePerformanceApiInfoINTEL* pInitializeInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_InitializePerformanceApiINTEL(VkDevice device, const VkInitializePerformanceApiInfoINTEL* pInitializeInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_UninitializePerformanceApiINTEL_Weak=lvp_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:lvp_UninitializePerformanceApiINTEL=lvp_UninitializePerformanceApiINTEL_Weak")
    void (*lvp_UninitializePerformanceApiINTEL_Null)(VkDevice device) = 0;
    void lvp_UninitializePerformanceApiINTEL_Weak(VkDevice device);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_UninitializePerformanceApiINTEL(VkDevice device) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdSetPerformanceMarkerINTEL_Weak=lvp_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdSetPerformanceMarkerINTEL=lvp_CmdSetPerformanceMarkerINTEL_Weak")
    VkResult (*lvp_CmdSetPerformanceMarkerINTEL_Null)(VkCommandBuffer commandBuffer, const VkPerformanceMarkerInfoINTEL* pMarkerInfo) = 0;
    VkResult lvp_CmdSetPerformanceMarkerINTEL_Weak(VkCommandBuffer commandBuffer, const VkPerformanceMarkerInfoINTEL* pMarkerInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_CmdSetPerformanceMarkerINTEL(VkCommandBuffer commandBuffer, const VkPerformanceMarkerInfoINTEL* pMarkerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdSetPerformanceStreamMarkerINTEL_Weak=lvp_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdSetPerformanceStreamMarkerINTEL=lvp_CmdSetPerformanceStreamMarkerINTEL_Weak")
    VkResult (*lvp_CmdSetPerformanceStreamMarkerINTEL_Null)(VkCommandBuffer commandBuffer, const VkPerformanceStreamMarkerInfoINTEL* pMarkerInfo) = 0;
    VkResult lvp_CmdSetPerformanceStreamMarkerINTEL_Weak(VkCommandBuffer commandBuffer, const VkPerformanceStreamMarkerInfoINTEL* pMarkerInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_CmdSetPerformanceStreamMarkerINTEL(VkCommandBuffer commandBuffer, const VkPerformanceStreamMarkerInfoINTEL* pMarkerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdSetPerformanceOverrideINTEL_Weak=lvp_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdSetPerformanceOverrideINTEL=lvp_CmdSetPerformanceOverrideINTEL_Weak")
    VkResult (*lvp_CmdSetPerformanceOverrideINTEL_Null)(VkCommandBuffer commandBuffer, const VkPerformanceOverrideInfoINTEL* pOverrideInfo) = 0;
    VkResult lvp_CmdSetPerformanceOverrideINTEL_Weak(VkCommandBuffer commandBuffer, const VkPerformanceOverrideInfoINTEL* pOverrideInfo);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_CmdSetPerformanceOverrideINTEL(VkCommandBuffer commandBuffer, const VkPerformanceOverrideInfoINTEL* pOverrideInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_AcquirePerformanceConfigurationINTEL_Weak=lvp_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:lvp_AcquirePerformanceConfigurationINTEL=lvp_AcquirePerformanceConfigurationINTEL_Weak")
    VkResult (*lvp_AcquirePerformanceConfigurationINTEL_Null)(VkDevice device, const VkPerformanceConfigurationAcquireInfoINTEL* pAcquireInfo, VkPerformanceConfigurationINTEL* pConfiguration) = 0;
    VkResult lvp_AcquirePerformanceConfigurationINTEL_Weak(VkDevice device, const VkPerformanceConfigurationAcquireInfoINTEL* pAcquireInfo, VkPerformanceConfigurationINTEL* pConfiguration);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_AcquirePerformanceConfigurationINTEL(VkDevice device, const VkPerformanceConfigurationAcquireInfoINTEL* pAcquireInfo, VkPerformanceConfigurationINTEL* pConfiguration) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_ReleasePerformanceConfigurationINTEL_Weak=lvp_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:lvp_ReleasePerformanceConfigurationINTEL=lvp_ReleasePerformanceConfigurationINTEL_Weak")
    VkResult (*lvp_ReleasePerformanceConfigurationINTEL_Null)(VkDevice device, VkPerformanceConfigurationINTEL configuration) = 0;
    VkResult lvp_ReleasePerformanceConfigurationINTEL_Weak(VkDevice device, VkPerformanceConfigurationINTEL configuration);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_ReleasePerformanceConfigurationINTEL(VkDevice device, VkPerformanceConfigurationINTEL configuration) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_QueueSetPerformanceConfigurationINTEL_Weak=lvp_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:lvp_QueueSetPerformanceConfigurationINTEL=lvp_QueueSetPerformanceConfigurationINTEL_Weak")
    VkResult (*lvp_QueueSetPerformanceConfigurationINTEL_Null)(VkQueue queue, VkPerformanceConfigurationINTEL configuration) = 0;
    VkResult lvp_QueueSetPerformanceConfigurationINTEL_Weak(VkQueue queue, VkPerformanceConfigurationINTEL configuration);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_QueueSetPerformanceConfigurationINTEL(VkQueue queue, VkPerformanceConfigurationINTEL configuration) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetPerformanceParameterINTEL_Weak=lvp_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:lvp_GetPerformanceParameterINTEL=lvp_GetPerformanceParameterINTEL_Weak")
    VkResult (*lvp_GetPerformanceParameterINTEL_Null)(VkDevice device, VkPerformanceParameterTypeINTEL parameter, VkPerformanceValueINTEL* pValue) = 0;
    VkResult lvp_GetPerformanceParameterINTEL_Weak(VkDevice device, VkPerformanceParameterTypeINTEL parameter, VkPerformanceValueINTEL* pValue);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetPerformanceParameterINTEL(VkDevice device, VkPerformanceParameterTypeINTEL parameter, VkPerformanceValueINTEL* pValue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetDeviceMemoryOpaqueCaptureAddress_Weak=lvp_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:lvp_GetDeviceMemoryOpaqueCaptureAddress=lvp_GetDeviceMemoryOpaqueCaptureAddress_Weak")
    uint64_t (*lvp_GetDeviceMemoryOpaqueCaptureAddress_Null)(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo) = 0;
    uint64_t lvp_GetDeviceMemoryOpaqueCaptureAddress_Weak(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo);
#else
    VKAPI_ATTR uint64_t VKAPI_CALL lvp_GetDeviceMemoryOpaqueCaptureAddress(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetDeviceMemoryOpaqueCaptureAddressKHR_Weak=lvp_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_GetDeviceMemoryOpaqueCaptureAddressKHR=lvp_GetDeviceMemoryOpaqueCaptureAddressKHR_Weak")
    uint64_t (*lvp_GetDeviceMemoryOpaqueCaptureAddressKHR_Null)(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo) = 0;
    uint64_t lvp_GetDeviceMemoryOpaqueCaptureAddressKHR_Weak(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo);
#else
    VKAPI_ATTR uint64_t VKAPI_CALL lvp_GetDeviceMemoryOpaqueCaptureAddressKHR(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetPipelineExecutablePropertiesKHR_Weak=lvp_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_GetPipelineExecutablePropertiesKHR=lvp_GetPipelineExecutablePropertiesKHR_Weak")
    VkResult (*lvp_GetPipelineExecutablePropertiesKHR_Null)(VkDevice                        device, const VkPipelineInfoKHR*        pPipelineInfo, uint32_t* pExecutableCount, VkPipelineExecutablePropertiesKHR* pProperties) = 0;
    VkResult lvp_GetPipelineExecutablePropertiesKHR_Weak(VkDevice                        device, const VkPipelineInfoKHR*        pPipelineInfo, uint32_t* pExecutableCount, VkPipelineExecutablePropertiesKHR* pProperties);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetPipelineExecutablePropertiesKHR(VkDevice                        device, const VkPipelineInfoKHR*        pPipelineInfo, uint32_t* pExecutableCount, VkPipelineExecutablePropertiesKHR* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetPipelineExecutableStatisticsKHR_Weak=lvp_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_GetPipelineExecutableStatisticsKHR=lvp_GetPipelineExecutableStatisticsKHR_Weak")
    VkResult (*lvp_GetPipelineExecutableStatisticsKHR_Null)(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pStatisticCount, VkPipelineExecutableStatisticKHR* pStatistics) = 0;
    VkResult lvp_GetPipelineExecutableStatisticsKHR_Weak(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pStatisticCount, VkPipelineExecutableStatisticKHR* pStatistics);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetPipelineExecutableStatisticsKHR(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pStatisticCount, VkPipelineExecutableStatisticKHR* pStatistics) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetPipelineExecutableInternalRepresentationsKHR_Weak=lvp_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_GetPipelineExecutableInternalRepresentationsKHR=lvp_GetPipelineExecutableInternalRepresentationsKHR_Weak")
    VkResult (*lvp_GetPipelineExecutableInternalRepresentationsKHR_Null)(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pInternalRepresentationCount, VkPipelineExecutableInternalRepresentationKHR* pInternalRepresentations) = 0;
    VkResult lvp_GetPipelineExecutableInternalRepresentationsKHR_Weak(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pInternalRepresentationCount, VkPipelineExecutableInternalRepresentationKHR* pInternalRepresentations);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetPipelineExecutableInternalRepresentationsKHR(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pInternalRepresentationCount, VkPipelineExecutableInternalRepresentationKHR* pInternalRepresentations) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdSetLineStippleEXT_Weak=lvp_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdSetLineStippleEXT=lvp_CmdSetLineStippleEXT_Weak")
    void (*lvp_CmdSetLineStippleEXT_Null)(VkCommandBuffer commandBuffer, uint32_t lineStippleFactor, uint16_t lineStipplePattern) = 0;
    void lvp_CmdSetLineStippleEXT_Weak(VkCommandBuffer commandBuffer, uint32_t lineStippleFactor, uint16_t lineStipplePattern);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdSetLineStippleEXT(VkCommandBuffer commandBuffer, uint32_t lineStippleFactor, uint16_t lineStipplePattern) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CreateAccelerationStructureKHR_Weak=lvp_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_CreateAccelerationStructureKHR=lvp_CreateAccelerationStructureKHR_Weak")
    VkResult (*lvp_CreateAccelerationStructureKHR_Null)(VkDevice                                           device, const VkAccelerationStructureCreateInfoKHR*        pCreateInfo, const VkAllocationCallbacks*       pAllocator, VkAccelerationStructureKHR*                        pAccelerationStructure) = 0;
    VkResult lvp_CreateAccelerationStructureKHR_Weak(VkDevice                                           device, const VkAccelerationStructureCreateInfoKHR*        pCreateInfo, const VkAllocationCallbacks*       pAllocator, VkAccelerationStructureKHR*                        pAccelerationStructure);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_CreateAccelerationStructureKHR(VkDevice                                           device, const VkAccelerationStructureCreateInfoKHR*        pCreateInfo, const VkAllocationCallbacks*       pAllocator, VkAccelerationStructureKHR*                        pAccelerationStructure) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdBuildAccelerationStructuresKHR_Weak=lvp_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdBuildAccelerationStructuresKHR=lvp_CmdBuildAccelerationStructuresKHR_Weak")
    void (*lvp_CmdBuildAccelerationStructuresKHR_Null)(VkCommandBuffer                                    commandBuffer, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos) = 0;
    void lvp_CmdBuildAccelerationStructuresKHR_Weak(VkCommandBuffer                                    commandBuffer, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdBuildAccelerationStructuresKHR(VkCommandBuffer                                    commandBuffer, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdBuildAccelerationStructuresIndirectKHR_Weak=lvp_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdBuildAccelerationStructuresIndirectKHR=lvp_CmdBuildAccelerationStructuresIndirectKHR_Weak")
    void (*lvp_CmdBuildAccelerationStructuresIndirectKHR_Null)(VkCommandBuffer                  commandBuffer, uint32_t                                           infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkDeviceAddress*             pIndirectDeviceAddresses, const uint32_t*                    pIndirectStrides, const uint32_t* const*             ppMaxPrimitiveCounts) = 0;
    void lvp_CmdBuildAccelerationStructuresIndirectKHR_Weak(VkCommandBuffer                  commandBuffer, uint32_t                                           infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkDeviceAddress*             pIndirectDeviceAddresses, const uint32_t*                    pIndirectStrides, const uint32_t* const*             ppMaxPrimitiveCounts);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdBuildAccelerationStructuresIndirectKHR(VkCommandBuffer                  commandBuffer, uint32_t                                           infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkDeviceAddress*             pIndirectDeviceAddresses, const uint32_t*                    pIndirectStrides, const uint32_t* const*             ppMaxPrimitiveCounts) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_BuildAccelerationStructuresKHR_Weak=lvp_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_BuildAccelerationStructuresKHR=lvp_BuildAccelerationStructuresKHR_Weak")
    VkResult (*lvp_BuildAccelerationStructuresKHR_Null)(VkDevice                                           device, VkDeferredOperationKHR deferredOperation, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos) = 0;
    VkResult lvp_BuildAccelerationStructuresKHR_Weak(VkDevice                                           device, VkDeferredOperationKHR deferredOperation, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_BuildAccelerationStructuresKHR(VkDevice                                           device, VkDeferredOperationKHR deferredOperation, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetAccelerationStructureDeviceAddressKHR_Weak=lvp_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_GetAccelerationStructureDeviceAddressKHR=lvp_GetAccelerationStructureDeviceAddressKHR_Weak")
    VkDeviceAddress (*lvp_GetAccelerationStructureDeviceAddressKHR_Null)(VkDevice device, const VkAccelerationStructureDeviceAddressInfoKHR* pInfo) = 0;
    VkDeviceAddress lvp_GetAccelerationStructureDeviceAddressKHR_Weak(VkDevice device, const VkAccelerationStructureDeviceAddressInfoKHR* pInfo);
#else
    VKAPI_ATTR VkDeviceAddress VKAPI_CALL lvp_GetAccelerationStructureDeviceAddressKHR(VkDevice device, const VkAccelerationStructureDeviceAddressInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CreateDeferredOperationKHR_Weak=lvp_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_CreateDeferredOperationKHR=lvp_CreateDeferredOperationKHR_Weak")
    VkResult (*lvp_CreateDeferredOperationKHR_Null)(VkDevice device, const VkAllocationCallbacks* pAllocator, VkDeferredOperationKHR* pDeferredOperation) = 0;
    VkResult lvp_CreateDeferredOperationKHR_Weak(VkDevice device, const VkAllocationCallbacks* pAllocator, VkDeferredOperationKHR* pDeferredOperation);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_CreateDeferredOperationKHR(VkDevice device, const VkAllocationCallbacks* pAllocator, VkDeferredOperationKHR* pDeferredOperation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_DestroyDeferredOperationKHR_Weak=lvp_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_DestroyDeferredOperationKHR=lvp_DestroyDeferredOperationKHR_Weak")
    void (*lvp_DestroyDeferredOperationKHR_Null)(VkDevice device, VkDeferredOperationKHR operation, const VkAllocationCallbacks* pAllocator) = 0;
    void lvp_DestroyDeferredOperationKHR_Weak(VkDevice device, VkDeferredOperationKHR operation, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_DestroyDeferredOperationKHR(VkDevice device, VkDeferredOperationKHR operation, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetDeferredOperationMaxConcurrencyKHR_Weak=lvp_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_GetDeferredOperationMaxConcurrencyKHR=lvp_GetDeferredOperationMaxConcurrencyKHR_Weak")
    uint32_t (*lvp_GetDeferredOperationMaxConcurrencyKHR_Null)(VkDevice device, VkDeferredOperationKHR operation) = 0;
    uint32_t lvp_GetDeferredOperationMaxConcurrencyKHR_Weak(VkDevice device, VkDeferredOperationKHR operation);
#else
    VKAPI_ATTR uint32_t VKAPI_CALL lvp_GetDeferredOperationMaxConcurrencyKHR(VkDevice device, VkDeferredOperationKHR operation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetDeferredOperationResultKHR_Weak=lvp_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_GetDeferredOperationResultKHR=lvp_GetDeferredOperationResultKHR_Weak")
    VkResult (*lvp_GetDeferredOperationResultKHR_Null)(VkDevice device, VkDeferredOperationKHR operation) = 0;
    VkResult lvp_GetDeferredOperationResultKHR_Weak(VkDevice device, VkDeferredOperationKHR operation);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_GetDeferredOperationResultKHR(VkDevice device, VkDeferredOperationKHR operation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_DeferredOperationJoinKHR_Weak=lvp_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_DeferredOperationJoinKHR=lvp_DeferredOperationJoinKHR_Weak")
    VkResult (*lvp_DeferredOperationJoinKHR_Null)(VkDevice device, VkDeferredOperationKHR operation) = 0;
    VkResult lvp_DeferredOperationJoinKHR_Weak(VkDevice device, VkDeferredOperationKHR operation);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_DeferredOperationJoinKHR(VkDevice device, VkDeferredOperationKHR operation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdSetCullModeEXT_Weak=lvp_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdSetCullModeEXT=lvp_CmdSetCullModeEXT_Weak")
    void (*lvp_CmdSetCullModeEXT_Null)(VkCommandBuffer commandBuffer, VkCullModeFlags cullMode) = 0;
    void lvp_CmdSetCullModeEXT_Weak(VkCommandBuffer commandBuffer, VkCullModeFlags cullMode);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdSetCullModeEXT(VkCommandBuffer commandBuffer, VkCullModeFlags cullMode) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdSetFrontFaceEXT_Weak=lvp_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdSetFrontFaceEXT=lvp_CmdSetFrontFaceEXT_Weak")
    void (*lvp_CmdSetFrontFaceEXT_Null)(VkCommandBuffer commandBuffer, VkFrontFace frontFace) = 0;
    void lvp_CmdSetFrontFaceEXT_Weak(VkCommandBuffer commandBuffer, VkFrontFace frontFace);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdSetFrontFaceEXT(VkCommandBuffer commandBuffer, VkFrontFace frontFace) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdSetPrimitiveTopologyEXT_Weak=lvp_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdSetPrimitiveTopologyEXT=lvp_CmdSetPrimitiveTopologyEXT_Weak")
    void (*lvp_CmdSetPrimitiveTopologyEXT_Null)(VkCommandBuffer commandBuffer, VkPrimitiveTopology primitiveTopology) = 0;
    void lvp_CmdSetPrimitiveTopologyEXT_Weak(VkCommandBuffer commandBuffer, VkPrimitiveTopology primitiveTopology);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdSetPrimitiveTopologyEXT(VkCommandBuffer commandBuffer, VkPrimitiveTopology primitiveTopology) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdSetViewportWithCountEXT_Weak=lvp_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdSetViewportWithCountEXT=lvp_CmdSetViewportWithCountEXT_Weak")
    void (*lvp_CmdSetViewportWithCountEXT_Null)(VkCommandBuffer commandBuffer, uint32_t viewportCount, const VkViewport* pViewports) = 0;
    void lvp_CmdSetViewportWithCountEXT_Weak(VkCommandBuffer commandBuffer, uint32_t viewportCount, const VkViewport* pViewports);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdSetViewportWithCountEXT(VkCommandBuffer commandBuffer, uint32_t viewportCount, const VkViewport* pViewports) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdSetScissorWithCountEXT_Weak=lvp_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdSetScissorWithCountEXT=lvp_CmdSetScissorWithCountEXT_Weak")
    void (*lvp_CmdSetScissorWithCountEXT_Null)(VkCommandBuffer commandBuffer, uint32_t scissorCount, const VkRect2D* pScissors) = 0;
    void lvp_CmdSetScissorWithCountEXT_Weak(VkCommandBuffer commandBuffer, uint32_t scissorCount, const VkRect2D* pScissors);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdSetScissorWithCountEXT(VkCommandBuffer commandBuffer, uint32_t scissorCount, const VkRect2D* pScissors) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdBindVertexBuffers2EXT_Weak=lvp_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdBindVertexBuffers2EXT=lvp_CmdBindVertexBuffers2EXT_Weak")
    void (*lvp_CmdBindVertexBuffers2EXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes, const VkDeviceSize* pStrides) = 0;
    void lvp_CmdBindVertexBuffers2EXT_Weak(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes, const VkDeviceSize* pStrides);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdBindVertexBuffers2EXT(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes, const VkDeviceSize* pStrides) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdSetDepthTestEnableEXT_Weak=lvp_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdSetDepthTestEnableEXT=lvp_CmdSetDepthTestEnableEXT_Weak")
    void (*lvp_CmdSetDepthTestEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 depthTestEnable) = 0;
    void lvp_CmdSetDepthTestEnableEXT_Weak(VkCommandBuffer commandBuffer, VkBool32 depthTestEnable);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdSetDepthTestEnableEXT(VkCommandBuffer commandBuffer, VkBool32 depthTestEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdSetDepthWriteEnableEXT_Weak=lvp_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdSetDepthWriteEnableEXT=lvp_CmdSetDepthWriteEnableEXT_Weak")
    void (*lvp_CmdSetDepthWriteEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 depthWriteEnable) = 0;
    void lvp_CmdSetDepthWriteEnableEXT_Weak(VkCommandBuffer commandBuffer, VkBool32 depthWriteEnable);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdSetDepthWriteEnableEXT(VkCommandBuffer commandBuffer, VkBool32 depthWriteEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdSetDepthCompareOpEXT_Weak=lvp_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdSetDepthCompareOpEXT=lvp_CmdSetDepthCompareOpEXT_Weak")
    void (*lvp_CmdSetDepthCompareOpEXT_Null)(VkCommandBuffer commandBuffer, VkCompareOp depthCompareOp) = 0;
    void lvp_CmdSetDepthCompareOpEXT_Weak(VkCommandBuffer commandBuffer, VkCompareOp depthCompareOp);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdSetDepthCompareOpEXT(VkCommandBuffer commandBuffer, VkCompareOp depthCompareOp) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdSetDepthBoundsTestEnableEXT_Weak=lvp_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdSetDepthBoundsTestEnableEXT=lvp_CmdSetDepthBoundsTestEnableEXT_Weak")
    void (*lvp_CmdSetDepthBoundsTestEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 depthBoundsTestEnable) = 0;
    void lvp_CmdSetDepthBoundsTestEnableEXT_Weak(VkCommandBuffer commandBuffer, VkBool32 depthBoundsTestEnable);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdSetDepthBoundsTestEnableEXT(VkCommandBuffer commandBuffer, VkBool32 depthBoundsTestEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdSetStencilTestEnableEXT_Weak=lvp_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdSetStencilTestEnableEXT=lvp_CmdSetStencilTestEnableEXT_Weak")
    void (*lvp_CmdSetStencilTestEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 stencilTestEnable) = 0;
    void lvp_CmdSetStencilTestEnableEXT_Weak(VkCommandBuffer commandBuffer, VkBool32 stencilTestEnable);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdSetStencilTestEnableEXT(VkCommandBuffer commandBuffer, VkBool32 stencilTestEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdSetStencilOpEXT_Weak=lvp_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdSetStencilOpEXT=lvp_CmdSetStencilOpEXT_Weak")
    void (*lvp_CmdSetStencilOpEXT_Null)(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, VkStencilOp failOp, VkStencilOp passOp, VkStencilOp depthFailOp, VkCompareOp compareOp) = 0;
    void lvp_CmdSetStencilOpEXT_Weak(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, VkStencilOp failOp, VkStencilOp passOp, VkStencilOp depthFailOp, VkCompareOp compareOp);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdSetStencilOpEXT(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, VkStencilOp failOp, VkStencilOp passOp, VkStencilOp depthFailOp, VkCompareOp compareOp) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CreatePrivateDataSlotEXT_Weak=lvp_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_CreatePrivateDataSlotEXT=lvp_CreatePrivateDataSlotEXT_Weak")
    VkResult (*lvp_CreatePrivateDataSlotEXT_Null)(VkDevice device, const VkPrivateDataSlotCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPrivateDataSlotEXT* pPrivateDataSlot) = 0;
    VkResult lvp_CreatePrivateDataSlotEXT_Weak(VkDevice device, const VkPrivateDataSlotCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPrivateDataSlotEXT* pPrivateDataSlot);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_CreatePrivateDataSlotEXT(VkDevice device, const VkPrivateDataSlotCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPrivateDataSlotEXT* pPrivateDataSlot) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_DestroyPrivateDataSlotEXT_Weak=lvp_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_DestroyPrivateDataSlotEXT=lvp_DestroyPrivateDataSlotEXT_Weak")
    void (*lvp_DestroyPrivateDataSlotEXT_Null)(VkDevice device, VkPrivateDataSlotEXT privateDataSlot, const VkAllocationCallbacks* pAllocator) = 0;
    void lvp_DestroyPrivateDataSlotEXT_Weak(VkDevice device, VkPrivateDataSlotEXT privateDataSlot, const VkAllocationCallbacks* pAllocator);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_DestroyPrivateDataSlotEXT(VkDevice device, VkPrivateDataSlotEXT privateDataSlot, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_SetPrivateDataEXT_Weak=lvp_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_SetPrivateDataEXT=lvp_SetPrivateDataEXT_Weak")
    VkResult (*lvp_SetPrivateDataEXT_Null)(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t data) = 0;
    VkResult lvp_SetPrivateDataEXT_Weak(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t data);
#else
    VKAPI_ATTR VkResult VKAPI_CALL lvp_SetPrivateDataEXT(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t data) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetPrivateDataEXT_Weak=lvp_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:lvp_GetPrivateDataEXT=lvp_GetPrivateDataEXT_Weak")
    void (*lvp_GetPrivateDataEXT_Null)(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t* pData) = 0;
    void lvp_GetPrivateDataEXT_Weak(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t* pData);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_GetPrivateDataEXT(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdCopyBuffer2KHR_Weak=lvp_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdCopyBuffer2KHR=lvp_CmdCopyBuffer2KHR_Weak")
    void (*lvp_CmdCopyBuffer2KHR_Null)(VkCommandBuffer commandBuffer, const VkCopyBufferInfo2KHR* pCopyBufferInfo) = 0;
    void lvp_CmdCopyBuffer2KHR_Weak(VkCommandBuffer commandBuffer, const VkCopyBufferInfo2KHR* pCopyBufferInfo);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdCopyBuffer2KHR(VkCommandBuffer commandBuffer, const VkCopyBufferInfo2KHR* pCopyBufferInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdCopyImage2KHR_Weak=lvp_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdCopyImage2KHR=lvp_CmdCopyImage2KHR_Weak")
    void (*lvp_CmdCopyImage2KHR_Null)(VkCommandBuffer commandBuffer, const VkCopyImageInfo2KHR* pCopyImageInfo) = 0;
    void lvp_CmdCopyImage2KHR_Weak(VkCommandBuffer commandBuffer, const VkCopyImageInfo2KHR* pCopyImageInfo);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdCopyImage2KHR(VkCommandBuffer commandBuffer, const VkCopyImageInfo2KHR* pCopyImageInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdBlitImage2KHR_Weak=lvp_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdBlitImage2KHR=lvp_CmdBlitImage2KHR_Weak")
    void (*lvp_CmdBlitImage2KHR_Null)(VkCommandBuffer commandBuffer, const VkBlitImageInfo2KHR* pBlitImageInfo) = 0;
    void lvp_CmdBlitImage2KHR_Weak(VkCommandBuffer commandBuffer, const VkBlitImageInfo2KHR* pBlitImageInfo);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdBlitImage2KHR(VkCommandBuffer commandBuffer, const VkBlitImageInfo2KHR* pBlitImageInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdCopyBufferToImage2KHR_Weak=lvp_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdCopyBufferToImage2KHR=lvp_CmdCopyBufferToImage2KHR_Weak")
    void (*lvp_CmdCopyBufferToImage2KHR_Null)(VkCommandBuffer commandBuffer, const VkCopyBufferToImageInfo2KHR* pCopyBufferToImageInfo) = 0;
    void lvp_CmdCopyBufferToImage2KHR_Weak(VkCommandBuffer commandBuffer, const VkCopyBufferToImageInfo2KHR* pCopyBufferToImageInfo);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdCopyBufferToImage2KHR(VkCommandBuffer commandBuffer, const VkCopyBufferToImageInfo2KHR* pCopyBufferToImageInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdCopyImageToBuffer2KHR_Weak=lvp_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdCopyImageToBuffer2KHR=lvp_CmdCopyImageToBuffer2KHR_Weak")
    void (*lvp_CmdCopyImageToBuffer2KHR_Null)(VkCommandBuffer commandBuffer, const VkCopyImageToBufferInfo2KHR* pCopyImageToBufferInfo) = 0;
    void lvp_CmdCopyImageToBuffer2KHR_Weak(VkCommandBuffer commandBuffer, const VkCopyImageToBufferInfo2KHR* pCopyImageToBufferInfo);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdCopyImageToBuffer2KHR(VkCommandBuffer commandBuffer, const VkCopyImageToBufferInfo2KHR* pCopyImageToBufferInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdResolveImage2KHR_Weak=lvp_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdResolveImage2KHR=lvp_CmdResolveImage2KHR_Weak")
    void (*lvp_CmdResolveImage2KHR_Null)(VkCommandBuffer commandBuffer, const VkResolveImageInfo2KHR* pResolveImageInfo) = 0;
    void lvp_CmdResolveImage2KHR_Weak(VkCommandBuffer commandBuffer, const VkResolveImageInfo2KHR* pResolveImageInfo);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdResolveImage2KHR(VkCommandBuffer commandBuffer, const VkResolveImageInfo2KHR* pResolveImageInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdSetFragmentShadingRateKHR_Weak=lvp_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdSetFragmentShadingRateKHR=lvp_CmdSetFragmentShadingRateKHR_Weak")
    void (*lvp_CmdSetFragmentShadingRateKHR_Null)(VkCommandBuffer           commandBuffer, const VkExtent2D*                           pFragmentSize, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]) = 0;
    void lvp_CmdSetFragmentShadingRateKHR_Weak(VkCommandBuffer           commandBuffer, const VkExtent2D*                           pFragmentSize, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdSetFragmentShadingRateKHR(VkCommandBuffer           commandBuffer, const VkExtent2D*                           pFragmentSize, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_CmdSetFragmentShadingRateEnumNV_Weak=lvp_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:lvp_CmdSetFragmentShadingRateEnumNV=lvp_CmdSetFragmentShadingRateEnumNV_Weak")
    void (*lvp_CmdSetFragmentShadingRateEnumNV_Null)(VkCommandBuffer           commandBuffer, VkFragmentShadingRateNV                     shadingRate, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]) = 0;
    void lvp_CmdSetFragmentShadingRateEnumNV_Weak(VkCommandBuffer           commandBuffer, VkFragmentShadingRateNV                     shadingRate, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_CmdSetFragmentShadingRateEnumNV(VkCommandBuffer           commandBuffer, VkFragmentShadingRateNV                     shadingRate, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    #pragma comment(linker, "/alternatename:lvp_GetAccelerationStructureBuildSizesKHR_Weak=lvp_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:lvp_GetAccelerationStructureBuildSizesKHR=lvp_GetAccelerationStructureBuildSizesKHR_Weak")
    void (*lvp_GetAccelerationStructureBuildSizesKHR_Null)(VkDevice                                            device, VkAccelerationStructureBuildTypeKHR                 buildType, const VkAccelerationStructureBuildGeometryInfoKHR*  pBuildInfo, const uint32_t*  pMaxPrimitiveCounts, VkAccelerationStructureBuildSizesInfoKHR*           pSizeInfo) = 0;
    void lvp_GetAccelerationStructureBuildSizesKHR_Weak(VkDevice                                            device, VkAccelerationStructureBuildTypeKHR                 buildType, const VkAccelerationStructureBuildGeometryInfoKHR*  pBuildInfo, const uint32_t*  pMaxPrimitiveCounts, VkAccelerationStructureBuildSizesInfoKHR*           pSizeInfo);
#else
    VKAPI_ATTR void VKAPI_CALL lvp_GetAccelerationStructureBuildSizesKHR(VkDevice                                            device, VkAccelerationStructureBuildTypeKHR                 buildType, const VkAccelerationStructureBuildGeometryInfoKHR*  pBuildInfo, const uint32_t*  pMaxPrimitiveCounts, VkAccelerationStructureBuildSizesInfoKHR*           pSizeInfo) __attribute__ ((weak));
#endif

const struct vk_device_entrypoint_table lvp_device_entrypoints = {
    .GetDeviceProcAddr = lvp_GetDeviceProcAddr,
    .DestroyDevice = lvp_DestroyDevice,
    .GetDeviceQueue = lvp_GetDeviceQueue,
    .QueueSubmit = lvp_QueueSubmit,
    .QueueWaitIdle = lvp_QueueWaitIdle,
    .DeviceWaitIdle = lvp_DeviceWaitIdle,
    .AllocateMemory = lvp_AllocateMemory,
    .FreeMemory = lvp_FreeMemory,
    .MapMemory = lvp_MapMemory,
    .UnmapMemory = lvp_UnmapMemory,
    .FlushMappedMemoryRanges = lvp_FlushMappedMemoryRanges,
    .InvalidateMappedMemoryRanges = lvp_InvalidateMappedMemoryRanges,
    .GetDeviceMemoryCommitment = lvp_GetDeviceMemoryCommitment,
    .GetBufferMemoryRequirements = lvp_GetBufferMemoryRequirements,
    .BindBufferMemory = lvp_BindBufferMemory,
    .GetImageMemoryRequirements = lvp_GetImageMemoryRequirements,
    .BindImageMemory = lvp_BindImageMemory,
    .GetImageSparseMemoryRequirements = lvp_GetImageSparseMemoryRequirements,
    .QueueBindSparse = lvp_QueueBindSparse,
    .CreateFence = lvp_CreateFence,
    .DestroyFence = lvp_DestroyFence,
    .ResetFences = lvp_ResetFences,
    .GetFenceStatus = lvp_GetFenceStatus,
    .WaitForFences = lvp_WaitForFences,
    .CreateSemaphore = lvp_CreateSemaphore,
    .DestroySemaphore = lvp_DestroySemaphore,
    .CreateEvent = lvp_CreateEvent,
    .DestroyEvent = lvp_DestroyEvent,
    .GetEventStatus = lvp_GetEventStatus,
    .SetEvent = lvp_SetEvent,
    .ResetEvent = lvp_ResetEvent,
    .CreateQueryPool = lvp_CreateQueryPool,
    .DestroyQueryPool = lvp_DestroyQueryPool,
    .GetQueryPoolResults = lvp_GetQueryPoolResults,
    .ResetQueryPool = lvp_ResetQueryPool,
    .ResetQueryPoolEXT = lvp_ResetQueryPoolEXT,
    .CreateBuffer = lvp_CreateBuffer,
    .DestroyBuffer = lvp_DestroyBuffer,
    .CreateBufferView = lvp_CreateBufferView,
    .DestroyBufferView = lvp_DestroyBufferView,
    .CreateImage = lvp_CreateImage,
    .DestroyImage = lvp_DestroyImage,
    .GetImageSubresourceLayout = lvp_GetImageSubresourceLayout,
    .CreateImageView = lvp_CreateImageView,
    .DestroyImageView = lvp_DestroyImageView,
    .CreateShaderModule = lvp_CreateShaderModule,
    .DestroyShaderModule = lvp_DestroyShaderModule,
    .CreatePipelineCache = lvp_CreatePipelineCache,
    .DestroyPipelineCache = lvp_DestroyPipelineCache,
    .GetPipelineCacheData = lvp_GetPipelineCacheData,
    .MergePipelineCaches = lvp_MergePipelineCaches,
    .CreateGraphicsPipelines = lvp_CreateGraphicsPipelines,
    .CreateComputePipelines = lvp_CreateComputePipelines,
    .DestroyPipeline = lvp_DestroyPipeline,
    .CreatePipelineLayout = lvp_CreatePipelineLayout,
    .DestroyPipelineLayout = lvp_DestroyPipelineLayout,
    .CreateSampler = lvp_CreateSampler,
    .DestroySampler = lvp_DestroySampler,
    .CreateDescriptorSetLayout = lvp_CreateDescriptorSetLayout,
    .DestroyDescriptorSetLayout = lvp_DestroyDescriptorSetLayout,
    .CreateDescriptorPool = lvp_CreateDescriptorPool,
    .DestroyDescriptorPool = lvp_DestroyDescriptorPool,
    .ResetDescriptorPool = lvp_ResetDescriptorPool,
    .AllocateDescriptorSets = lvp_AllocateDescriptorSets,
    .FreeDescriptorSets = lvp_FreeDescriptorSets,
    .UpdateDescriptorSets = lvp_UpdateDescriptorSets,
    .CreateFramebuffer = lvp_CreateFramebuffer,
    .DestroyFramebuffer = lvp_DestroyFramebuffer,
    .CreateRenderPass = lvp_CreateRenderPass,
    .DestroyRenderPass = lvp_DestroyRenderPass,
    .GetRenderAreaGranularity = lvp_GetRenderAreaGranularity,
    .CreateCommandPool = lvp_CreateCommandPool,
    .DestroyCommandPool = lvp_DestroyCommandPool,
    .ResetCommandPool = lvp_ResetCommandPool,
    .AllocateCommandBuffers = lvp_AllocateCommandBuffers,
    .FreeCommandBuffers = lvp_FreeCommandBuffers,
    .BeginCommandBuffer = lvp_BeginCommandBuffer,
    .EndCommandBuffer = lvp_EndCommandBuffer,
    .ResetCommandBuffer = lvp_ResetCommandBuffer,
    .CmdBindPipeline = lvp_CmdBindPipeline,
    .CmdSetViewport = lvp_CmdSetViewport,
    .CmdSetScissor = lvp_CmdSetScissor,
    .CmdSetLineWidth = lvp_CmdSetLineWidth,
    .CmdSetDepthBias = lvp_CmdSetDepthBias,
    .CmdSetBlendConstants = lvp_CmdSetBlendConstants,
    .CmdSetDepthBounds = lvp_CmdSetDepthBounds,
    .CmdSetStencilCompareMask = lvp_CmdSetStencilCompareMask,
    .CmdSetStencilWriteMask = lvp_CmdSetStencilWriteMask,
    .CmdSetStencilReference = lvp_CmdSetStencilReference,
    .CmdBindDescriptorSets = lvp_CmdBindDescriptorSets,
    .CmdBindIndexBuffer = lvp_CmdBindIndexBuffer,
    .CmdBindVertexBuffers = lvp_CmdBindVertexBuffers,
    .CmdDraw = lvp_CmdDraw,
    .CmdDrawIndexed = lvp_CmdDrawIndexed,
    .CmdDrawIndirect = lvp_CmdDrawIndirect,
    .CmdDrawIndexedIndirect = lvp_CmdDrawIndexedIndirect,
    .CmdDispatch = lvp_CmdDispatch,
    .CmdDispatchIndirect = lvp_CmdDispatchIndirect,
    .CmdCopyBuffer = lvp_CmdCopyBuffer,
    .CmdCopyImage = lvp_CmdCopyImage,
    .CmdBlitImage = lvp_CmdBlitImage,
    .CmdCopyBufferToImage = lvp_CmdCopyBufferToImage,
    .CmdCopyImageToBuffer = lvp_CmdCopyImageToBuffer,
    .CmdUpdateBuffer = lvp_CmdUpdateBuffer,
    .CmdFillBuffer = lvp_CmdFillBuffer,
    .CmdClearColorImage = lvp_CmdClearColorImage,
    .CmdClearDepthStencilImage = lvp_CmdClearDepthStencilImage,
    .CmdClearAttachments = lvp_CmdClearAttachments,
    .CmdResolveImage = lvp_CmdResolveImage,
    .CmdSetEvent = lvp_CmdSetEvent,
    .CmdResetEvent = lvp_CmdResetEvent,
    .CmdWaitEvents = lvp_CmdWaitEvents,
    .CmdPipelineBarrier = lvp_CmdPipelineBarrier,
    .CmdBeginQuery = lvp_CmdBeginQuery,
    .CmdEndQuery = lvp_CmdEndQuery,
    .CmdBeginConditionalRenderingEXT = lvp_CmdBeginConditionalRenderingEXT,
    .CmdEndConditionalRenderingEXT = lvp_CmdEndConditionalRenderingEXT,
    .CmdResetQueryPool = lvp_CmdResetQueryPool,
    .CmdWriteTimestamp = lvp_CmdWriteTimestamp,
    .CmdCopyQueryPoolResults = lvp_CmdCopyQueryPoolResults,
    .CmdPushConstants = lvp_CmdPushConstants,
    .CmdBeginRenderPass = lvp_CmdBeginRenderPass,
    .CmdNextSubpass = lvp_CmdNextSubpass,
    .CmdEndRenderPass = lvp_CmdEndRenderPass,
    .CmdExecuteCommands = lvp_CmdExecuteCommands,
    .CreateSharedSwapchainsKHR = lvp_CreateSharedSwapchainsKHR,
    .CreateSwapchainKHR = lvp_CreateSwapchainKHR,
    .DestroySwapchainKHR = lvp_DestroySwapchainKHR,
    .GetSwapchainImagesKHR = lvp_GetSwapchainImagesKHR,
    .AcquireNextImageKHR = lvp_AcquireNextImageKHR,
    .QueuePresentKHR = lvp_QueuePresentKHR,
    .DebugMarkerSetObjectNameEXT = lvp_DebugMarkerSetObjectNameEXT,
    .DebugMarkerSetObjectTagEXT = lvp_DebugMarkerSetObjectTagEXT,
    .CmdDebugMarkerBeginEXT = lvp_CmdDebugMarkerBeginEXT,
    .CmdDebugMarkerEndEXT = lvp_CmdDebugMarkerEndEXT,
    .CmdDebugMarkerInsertEXT = lvp_CmdDebugMarkerInsertEXT,
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetMemoryWin32HandleNV = lvp_GetMemoryWin32HandleNV,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .CmdExecuteGeneratedCommandsNV = lvp_CmdExecuteGeneratedCommandsNV,
    .CmdPreprocessGeneratedCommandsNV = lvp_CmdPreprocessGeneratedCommandsNV,
    .CmdBindPipelineShaderGroupNV = lvp_CmdBindPipelineShaderGroupNV,
    .GetGeneratedCommandsMemoryRequirementsNV = lvp_GetGeneratedCommandsMemoryRequirementsNV,
    .CreateIndirectCommandsLayoutNV = lvp_CreateIndirectCommandsLayoutNV,
    .DestroyIndirectCommandsLayoutNV = lvp_DestroyIndirectCommandsLayoutNV,
    .CmdPushDescriptorSetKHR = lvp_CmdPushDescriptorSetKHR,
    .TrimCommandPool = lvp_TrimCommandPool,
    .TrimCommandPoolKHR = lvp_TrimCommandPoolKHR,
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetMemoryWin32HandleKHR = lvp_GetMemoryWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetMemoryWin32HandlePropertiesKHR = lvp_GetMemoryWin32HandlePropertiesKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .GetMemoryFdKHR = lvp_GetMemoryFdKHR,
    .GetMemoryFdPropertiesKHR = lvp_GetMemoryFdPropertiesKHR,
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetSemaphoreWin32HandleKHR = lvp_GetSemaphoreWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .ImportSemaphoreWin32HandleKHR = lvp_ImportSemaphoreWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .GetSemaphoreFdKHR = lvp_GetSemaphoreFdKHR,
    .ImportSemaphoreFdKHR = lvp_ImportSemaphoreFdKHR,
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetFenceWin32HandleKHR = lvp_GetFenceWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .ImportFenceWin32HandleKHR = lvp_ImportFenceWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .GetFenceFdKHR = lvp_GetFenceFdKHR,
    .ImportFenceFdKHR = lvp_ImportFenceFdKHR,
    .DisplayPowerControlEXT = lvp_DisplayPowerControlEXT,
    .RegisterDeviceEventEXT = lvp_RegisterDeviceEventEXT,
    .RegisterDisplayEventEXT = lvp_RegisterDisplayEventEXT,
    .GetSwapchainCounterEXT = lvp_GetSwapchainCounterEXT,
    .GetDeviceGroupPeerMemoryFeatures = lvp_GetDeviceGroupPeerMemoryFeatures,
    .GetDeviceGroupPeerMemoryFeaturesKHR = lvp_GetDeviceGroupPeerMemoryFeaturesKHR,
    .BindBufferMemory2 = lvp_BindBufferMemory2,
    .BindBufferMemory2KHR = lvp_BindBufferMemory2KHR,
    .BindImageMemory2 = lvp_BindImageMemory2,
    .BindImageMemory2KHR = lvp_BindImageMemory2KHR,
    .CmdSetDeviceMask = lvp_CmdSetDeviceMask,
    .CmdSetDeviceMaskKHR = lvp_CmdSetDeviceMaskKHR,
    .GetDeviceGroupPresentCapabilitiesKHR = lvp_GetDeviceGroupPresentCapabilitiesKHR,
    .GetDeviceGroupSurfacePresentModesKHR = lvp_GetDeviceGroupSurfacePresentModesKHR,
    .AcquireNextImage2KHR = lvp_AcquireNextImage2KHR,
    .CmdDispatchBase = lvp_CmdDispatchBase,
    .CmdDispatchBaseKHR = lvp_CmdDispatchBaseKHR,
    .CreateDescriptorUpdateTemplate = lvp_CreateDescriptorUpdateTemplate,
    .CreateDescriptorUpdateTemplateKHR = lvp_CreateDescriptorUpdateTemplateKHR,
    .DestroyDescriptorUpdateTemplate = lvp_DestroyDescriptorUpdateTemplate,
    .DestroyDescriptorUpdateTemplateKHR = lvp_DestroyDescriptorUpdateTemplateKHR,
    .UpdateDescriptorSetWithTemplate = lvp_UpdateDescriptorSetWithTemplate,
    .UpdateDescriptorSetWithTemplateKHR = lvp_UpdateDescriptorSetWithTemplateKHR,
    .CmdPushDescriptorSetWithTemplateKHR = lvp_CmdPushDescriptorSetWithTemplateKHR,
    .SetHdrMetadataEXT = lvp_SetHdrMetadataEXT,
    .GetSwapchainStatusKHR = lvp_GetSwapchainStatusKHR,
    .GetRefreshCycleDurationGOOGLE = lvp_GetRefreshCycleDurationGOOGLE,
    .GetPastPresentationTimingGOOGLE = lvp_GetPastPresentationTimingGOOGLE,
    .CmdSetViewportWScalingNV = lvp_CmdSetViewportWScalingNV,
    .CmdSetDiscardRectangleEXT = lvp_CmdSetDiscardRectangleEXT,
    .CmdSetSampleLocationsEXT = lvp_CmdSetSampleLocationsEXT,
    .GetBufferMemoryRequirements2 = lvp_GetBufferMemoryRequirements2,
    .GetBufferMemoryRequirements2KHR = lvp_GetBufferMemoryRequirements2KHR,
    .GetImageMemoryRequirements2 = lvp_GetImageMemoryRequirements2,
    .GetImageMemoryRequirements2KHR = lvp_GetImageMemoryRequirements2KHR,
    .GetImageSparseMemoryRequirements2 = lvp_GetImageSparseMemoryRequirements2,
    .GetImageSparseMemoryRequirements2KHR = lvp_GetImageSparseMemoryRequirements2KHR,
    .CreateSamplerYcbcrConversion = lvp_CreateSamplerYcbcrConversion,
    .CreateSamplerYcbcrConversionKHR = lvp_CreateSamplerYcbcrConversionKHR,
    .DestroySamplerYcbcrConversion = lvp_DestroySamplerYcbcrConversion,
    .DestroySamplerYcbcrConversionKHR = lvp_DestroySamplerYcbcrConversionKHR,
    .GetDeviceQueue2 = lvp_GetDeviceQueue2,
    .CreateValidationCacheEXT = lvp_CreateValidationCacheEXT,
    .DestroyValidationCacheEXT = lvp_DestroyValidationCacheEXT,
    .GetValidationCacheDataEXT = lvp_GetValidationCacheDataEXT,
    .MergeValidationCachesEXT = lvp_MergeValidationCachesEXT,
    .GetDescriptorSetLayoutSupport = lvp_GetDescriptorSetLayoutSupport,
    .GetDescriptorSetLayoutSupportKHR = lvp_GetDescriptorSetLayoutSupportKHR,
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .GetSwapchainGrallocUsageANDROID = lvp_GetSwapchainGrallocUsageANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .GetSwapchainGrallocUsage2ANDROID = lvp_GetSwapchainGrallocUsage2ANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .AcquireImageANDROID = lvp_AcquireImageANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .QueueSignalReleaseImageANDROID = lvp_QueueSignalReleaseImageANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
    .GetShaderInfoAMD = lvp_GetShaderInfoAMD,
    .SetLocalDimmingAMD = lvp_SetLocalDimmingAMD,
    .GetCalibratedTimestampsEXT = lvp_GetCalibratedTimestampsEXT,
    .SetDebugUtilsObjectNameEXT = lvp_SetDebugUtilsObjectNameEXT,
    .SetDebugUtilsObjectTagEXT = lvp_SetDebugUtilsObjectTagEXT,
    .QueueBeginDebugUtilsLabelEXT = lvp_QueueBeginDebugUtilsLabelEXT,
    .QueueEndDebugUtilsLabelEXT = lvp_QueueEndDebugUtilsLabelEXT,
    .QueueInsertDebugUtilsLabelEXT = lvp_QueueInsertDebugUtilsLabelEXT,
    .CmdBeginDebugUtilsLabelEXT = lvp_CmdBeginDebugUtilsLabelEXT,
    .CmdEndDebugUtilsLabelEXT = lvp_CmdEndDebugUtilsLabelEXT,
    .CmdInsertDebugUtilsLabelEXT = lvp_CmdInsertDebugUtilsLabelEXT,
    .GetMemoryHostPointerPropertiesEXT = lvp_GetMemoryHostPointerPropertiesEXT,
    .CmdWriteBufferMarkerAMD = lvp_CmdWriteBufferMarkerAMD,
    .CreateRenderPass2 = lvp_CreateRenderPass2,
    .CreateRenderPass2KHR = lvp_CreateRenderPass2KHR,
    .CmdBeginRenderPass2 = lvp_CmdBeginRenderPass2,
    .CmdBeginRenderPass2KHR = lvp_CmdBeginRenderPass2KHR,
    .CmdNextSubpass2 = lvp_CmdNextSubpass2,
    .CmdNextSubpass2KHR = lvp_CmdNextSubpass2KHR,
    .CmdEndRenderPass2 = lvp_CmdEndRenderPass2,
    .CmdEndRenderPass2KHR = lvp_CmdEndRenderPass2KHR,
    .GetSemaphoreCounterValue = lvp_GetSemaphoreCounterValue,
    .GetSemaphoreCounterValueKHR = lvp_GetSemaphoreCounterValueKHR,
    .WaitSemaphores = lvp_WaitSemaphores,
    .WaitSemaphoresKHR = lvp_WaitSemaphoresKHR,
    .SignalSemaphore = lvp_SignalSemaphore,
    .SignalSemaphoreKHR = lvp_SignalSemaphoreKHR,
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .GetAndroidHardwareBufferPropertiesANDROID = lvp_GetAndroidHardwareBufferPropertiesANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .GetMemoryAndroidHardwareBufferANDROID = lvp_GetMemoryAndroidHardwareBufferANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
    .CmdDrawIndirectCount = lvp_CmdDrawIndirectCount,
    .CmdDrawIndirectCountKHR = lvp_CmdDrawIndirectCountKHR,
    .CmdDrawIndirectCountAMD = lvp_CmdDrawIndirectCountAMD,
    .CmdDrawIndexedIndirectCount = lvp_CmdDrawIndexedIndirectCount,
    .CmdDrawIndexedIndirectCountKHR = lvp_CmdDrawIndexedIndirectCountKHR,
    .CmdDrawIndexedIndirectCountAMD = lvp_CmdDrawIndexedIndirectCountAMD,
    .CmdSetCheckpointNV = lvp_CmdSetCheckpointNV,
    .GetQueueCheckpointDataNV = lvp_GetQueueCheckpointDataNV,
    .CmdBindTransformFeedbackBuffersEXT = lvp_CmdBindTransformFeedbackBuffersEXT,
    .CmdBeginTransformFeedbackEXT = lvp_CmdBeginTransformFeedbackEXT,
    .CmdEndTransformFeedbackEXT = lvp_CmdEndTransformFeedbackEXT,
    .CmdBeginQueryIndexedEXT = lvp_CmdBeginQueryIndexedEXT,
    .CmdEndQueryIndexedEXT = lvp_CmdEndQueryIndexedEXT,
    .CmdDrawIndirectByteCountEXT = lvp_CmdDrawIndirectByteCountEXT,
    .CmdSetExclusiveScissorNV = lvp_CmdSetExclusiveScissorNV,
    .CmdBindShadingRateImageNV = lvp_CmdBindShadingRateImageNV,
    .CmdSetViewportShadingRatePaletteNV = lvp_CmdSetViewportShadingRatePaletteNV,
    .CmdSetCoarseSampleOrderNV = lvp_CmdSetCoarseSampleOrderNV,
    .CmdDrawMeshTasksNV = lvp_CmdDrawMeshTasksNV,
    .CmdDrawMeshTasksIndirectNV = lvp_CmdDrawMeshTasksIndirectNV,
    .CmdDrawMeshTasksIndirectCountNV = lvp_CmdDrawMeshTasksIndirectCountNV,
    .CompileDeferredNV = lvp_CompileDeferredNV,
    .CreateAccelerationStructureNV = lvp_CreateAccelerationStructureNV,
    .DestroyAccelerationStructureKHR = lvp_DestroyAccelerationStructureKHR,
    .DestroyAccelerationStructureNV = lvp_DestroyAccelerationStructureNV,
    .GetAccelerationStructureMemoryRequirementsNV = lvp_GetAccelerationStructureMemoryRequirementsNV,
    .BindAccelerationStructureMemoryNV = lvp_BindAccelerationStructureMemoryNV,
    .CmdCopyAccelerationStructureNV = lvp_CmdCopyAccelerationStructureNV,
    .CmdCopyAccelerationStructureKHR = lvp_CmdCopyAccelerationStructureKHR,
    .CopyAccelerationStructureKHR = lvp_CopyAccelerationStructureKHR,
    .CmdCopyAccelerationStructureToMemoryKHR = lvp_CmdCopyAccelerationStructureToMemoryKHR,
    .CopyAccelerationStructureToMemoryKHR = lvp_CopyAccelerationStructureToMemoryKHR,
    .CmdCopyMemoryToAccelerationStructureKHR = lvp_CmdCopyMemoryToAccelerationStructureKHR,
    .CopyMemoryToAccelerationStructureKHR = lvp_CopyMemoryToAccelerationStructureKHR,
    .CmdWriteAccelerationStructuresPropertiesKHR = lvp_CmdWriteAccelerationStructuresPropertiesKHR,
    .CmdWriteAccelerationStructuresPropertiesNV = lvp_CmdWriteAccelerationStructuresPropertiesNV,
    .CmdBuildAccelerationStructureNV = lvp_CmdBuildAccelerationStructureNV,
    .WriteAccelerationStructuresPropertiesKHR = lvp_WriteAccelerationStructuresPropertiesKHR,
    .CmdTraceRaysKHR = lvp_CmdTraceRaysKHR,
    .CmdTraceRaysNV = lvp_CmdTraceRaysNV,
    .GetRayTracingShaderGroupHandlesKHR = lvp_GetRayTracingShaderGroupHandlesKHR,
    .GetRayTracingShaderGroupHandlesNV = lvp_GetRayTracingShaderGroupHandlesNV,
    .GetRayTracingCaptureReplayShaderGroupHandlesKHR = lvp_GetRayTracingCaptureReplayShaderGroupHandlesKHR,
    .GetAccelerationStructureHandleNV = lvp_GetAccelerationStructureHandleNV,
    .CreateRayTracingPipelinesNV = lvp_CreateRayTracingPipelinesNV,
    .CreateRayTracingPipelinesKHR = lvp_CreateRayTracingPipelinesKHR,
    .CmdTraceRaysIndirectKHR = lvp_CmdTraceRaysIndirectKHR,
    .GetDeviceAccelerationStructureCompatibilityKHR = lvp_GetDeviceAccelerationStructureCompatibilityKHR,
    .GetRayTracingShaderGroupStackSizeKHR = lvp_GetRayTracingShaderGroupStackSizeKHR,
    .CmdSetRayTracingPipelineStackSizeKHR = lvp_CmdSetRayTracingPipelineStackSizeKHR,
    .GetImageViewHandleNVX = lvp_GetImageViewHandleNVX,
    .GetImageViewAddressNVX = lvp_GetImageViewAddressNVX,
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetDeviceGroupSurfacePresentModes2EXT = lvp_GetDeviceGroupSurfacePresentModes2EXT,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .AcquireFullScreenExclusiveModeEXT = lvp_AcquireFullScreenExclusiveModeEXT,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .ReleaseFullScreenExclusiveModeEXT = lvp_ReleaseFullScreenExclusiveModeEXT,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .AcquireProfilingLockKHR = lvp_AcquireProfilingLockKHR,
    .ReleaseProfilingLockKHR = lvp_ReleaseProfilingLockKHR,
    .GetImageDrmFormatModifierPropertiesEXT = lvp_GetImageDrmFormatModifierPropertiesEXT,
    .GetBufferOpaqueCaptureAddress = lvp_GetBufferOpaqueCaptureAddress,
    .GetBufferOpaqueCaptureAddressKHR = lvp_GetBufferOpaqueCaptureAddressKHR,
    .GetBufferDeviceAddress = lvp_GetBufferDeviceAddress,
    .GetBufferDeviceAddressKHR = lvp_GetBufferDeviceAddressKHR,
    .GetBufferDeviceAddressEXT = lvp_GetBufferDeviceAddressEXT,
    .InitializePerformanceApiINTEL = lvp_InitializePerformanceApiINTEL,
    .UninitializePerformanceApiINTEL = lvp_UninitializePerformanceApiINTEL,
    .CmdSetPerformanceMarkerINTEL = lvp_CmdSetPerformanceMarkerINTEL,
    .CmdSetPerformanceStreamMarkerINTEL = lvp_CmdSetPerformanceStreamMarkerINTEL,
    .CmdSetPerformanceOverrideINTEL = lvp_CmdSetPerformanceOverrideINTEL,
    .AcquirePerformanceConfigurationINTEL = lvp_AcquirePerformanceConfigurationINTEL,
    .ReleasePerformanceConfigurationINTEL = lvp_ReleasePerformanceConfigurationINTEL,
    .QueueSetPerformanceConfigurationINTEL = lvp_QueueSetPerformanceConfigurationINTEL,
    .GetPerformanceParameterINTEL = lvp_GetPerformanceParameterINTEL,
    .GetDeviceMemoryOpaqueCaptureAddress = lvp_GetDeviceMemoryOpaqueCaptureAddress,
    .GetDeviceMemoryOpaqueCaptureAddressKHR = lvp_GetDeviceMemoryOpaqueCaptureAddressKHR,
    .GetPipelineExecutablePropertiesKHR = lvp_GetPipelineExecutablePropertiesKHR,
    .GetPipelineExecutableStatisticsKHR = lvp_GetPipelineExecutableStatisticsKHR,
    .GetPipelineExecutableInternalRepresentationsKHR = lvp_GetPipelineExecutableInternalRepresentationsKHR,
    .CmdSetLineStippleEXT = lvp_CmdSetLineStippleEXT,
    .CreateAccelerationStructureKHR = lvp_CreateAccelerationStructureKHR,
    .CmdBuildAccelerationStructuresKHR = lvp_CmdBuildAccelerationStructuresKHR,
    .CmdBuildAccelerationStructuresIndirectKHR = lvp_CmdBuildAccelerationStructuresIndirectKHR,
    .BuildAccelerationStructuresKHR = lvp_BuildAccelerationStructuresKHR,
    .GetAccelerationStructureDeviceAddressKHR = lvp_GetAccelerationStructureDeviceAddressKHR,
    .CreateDeferredOperationKHR = lvp_CreateDeferredOperationKHR,
    .DestroyDeferredOperationKHR = lvp_DestroyDeferredOperationKHR,
    .GetDeferredOperationMaxConcurrencyKHR = lvp_GetDeferredOperationMaxConcurrencyKHR,
    .GetDeferredOperationResultKHR = lvp_GetDeferredOperationResultKHR,
    .DeferredOperationJoinKHR = lvp_DeferredOperationJoinKHR,
    .CmdSetCullModeEXT = lvp_CmdSetCullModeEXT,
    .CmdSetFrontFaceEXT = lvp_CmdSetFrontFaceEXT,
    .CmdSetPrimitiveTopologyEXT = lvp_CmdSetPrimitiveTopologyEXT,
    .CmdSetViewportWithCountEXT = lvp_CmdSetViewportWithCountEXT,
    .CmdSetScissorWithCountEXT = lvp_CmdSetScissorWithCountEXT,
    .CmdBindVertexBuffers2EXT = lvp_CmdBindVertexBuffers2EXT,
    .CmdSetDepthTestEnableEXT = lvp_CmdSetDepthTestEnableEXT,
    .CmdSetDepthWriteEnableEXT = lvp_CmdSetDepthWriteEnableEXT,
    .CmdSetDepthCompareOpEXT = lvp_CmdSetDepthCompareOpEXT,
    .CmdSetDepthBoundsTestEnableEXT = lvp_CmdSetDepthBoundsTestEnableEXT,
    .CmdSetStencilTestEnableEXT = lvp_CmdSetStencilTestEnableEXT,
    .CmdSetStencilOpEXT = lvp_CmdSetStencilOpEXT,
    .CreatePrivateDataSlotEXT = lvp_CreatePrivateDataSlotEXT,
    .DestroyPrivateDataSlotEXT = lvp_DestroyPrivateDataSlotEXT,
    .SetPrivateDataEXT = lvp_SetPrivateDataEXT,
    .GetPrivateDataEXT = lvp_GetPrivateDataEXT,
    .CmdCopyBuffer2KHR = lvp_CmdCopyBuffer2KHR,
    .CmdCopyImage2KHR = lvp_CmdCopyImage2KHR,
    .CmdBlitImage2KHR = lvp_CmdBlitImage2KHR,
    .CmdCopyBufferToImage2KHR = lvp_CmdCopyBufferToImage2KHR,
    .CmdCopyImageToBuffer2KHR = lvp_CmdCopyImageToBuffer2KHR,
    .CmdResolveImage2KHR = lvp_CmdResolveImage2KHR,
    .CmdSetFragmentShadingRateKHR = lvp_CmdSetFragmentShadingRateKHR,
    .CmdSetFragmentShadingRateEnumNV = lvp_CmdSetFragmentShadingRateEnumNV,
    .GetAccelerationStructureBuildSizesKHR = lvp_GetAccelerationStructureBuildSizesKHR,
};

